<?php
/*
*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
* @brief Small script to reserve, return and taking  archive (call class admin_apa in apa APA management)
*
* @file
* @author Cdric NDOUMBA <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
*/

require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_list_show.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_apa.php");

$core_tools = new core_tools();
$core_tools->load_lang();
$core_tools->load_html();
$core_tools->load_header();

$func = new functions();
$apa_tools = new apa_tools();

if(!empty($_SESSION['current_basket']['view']))
{
	$table = $_SESSION['current_basket']['view'];
}
else
{
	$table = $_SESSION['current_basket']['table'];
}

//Build sql
$sql = array();

//Tables
$sql['tables'] = array($table, $_SESSION['tablename']['ent_entities'], $_SESSION['tablename']['apa_natures'], $_SESSION['tablename']['apa_sites'], $_SESSION['tablename']['apa_containers']);

//Fiellds
$sql['fields'] = array();
array_push($sql['fields'],
			$table.".res_id",
			$table.".origin",
			$table.".work_batch",
			$table.".creation_date",
			$table.".author",
			$table.".description",
			$table.".custom_t2",
			$table.".arbox_id",
			$table.".status",
			$table.".custom_n1",
			$table.".custom_n2",
			$table.".custom_t3",
			$table.".custom_t4"
			);
array_push($sql['fields'], $_SESSION['tablename']['apa_containers'].".entity_id", $_SESSION['tablename']['apa_containers'].".arcontainer_id");
array_push($sql['fields'], $_SESSION['tablename']['ent_entities'].".entity_label");
array_push($sql['fields'], $_SESSION['tablename']['apa_natures'].".arnature_desc");
array_push($sql['fields'], $_SESSION['tablename']['apa_sites'].".site_desc");

//Conditions
$sql['conditions'] = stripslashes($_SESSION['current_basket']['clause']);

//Joint
$sql['joint'] = array (
						array(
							'type' => 'left join',
							'table' => $_SESSION['tablename']['apa_containers'],
							'field1' => $table.'.custom_n2',
							'field2' => $_SESSION['tablename']['apa_containers'].'.arcontainer_id'
						),
						array(
							'type' => 'left join',
							'table' => $_SESSION['tablename']['apa_natures'],
							'field1' => $table.'.custom_t3',
							'field2' => $_SESSION['tablename']['apa_natures'].'.arnature_id'
						),
						array(
							'type' => 'left join',
							'table' => $_SESSION['tablename']['ent_entities'],
							'field1' => $table.'.origin',
							'field2' => $_SESSION['tablename']['ent_entities'].'.entity_id'
						),
						array(
							'type' => 'left join',
							'table' => $_SESSION['tablename']['apa_sites'],
							'field1' => $table.'.custom_t2',
							'field2' => $_SESSION['tablename']['apa_sites'].'.site_id'
						)

					);
//Order
$order = '';
if(isset($_REQUEST['order']) && !empty($_REQUEST['order']))
{
	$order = trim($_REQUEST['order']);
}
//Field order
$field = '';
if(isset($_REQUEST['order_field']) && !empty($_REQUEST['order_field']))
{
	$field = trim($_REQUEST['order_field']);
}
//Get  order
if( !empty($order) &&  !empty($field))
{
	$sql['orders'] = array($field=>$order);
}

//Lentgth
$sql['length'] = "500";

$request = new new_request();
$tab = $request->select($sql, $_SESSION['config']['databasetype']);

//$request->show();

for ($i=0;$i<count($tab);$i++)
{
	$thePosition = array();
	$theEntityId = '';
	for ($j=0;$j<count($tab[$i]);$j++)
	{
	
		foreach(array_keys($tab[$i][$j]) as $value)
		{
			if($tab[$i][$j][$value]=="res_id")
			{
				$tab[$i][$j]["res_id"]=$tab[$i][$j]['value'];
				$tab[$i][$j]["label"]=_NUM;
				$tab[$i][$j]["size"]="5";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="left";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=false;
				$tab[$i][$j]["order"]='res_id';
			}
			if($tab[$i][$j][$value]=="work_batch")
			{
				$tab[$i][$j]['value'] = $tab[$i][$j]['value'];
				$tab[$i][$j]["label"]= _ARCHIVE_RESERVATION_BATCH;
				$tab[$i][$j]["size"]="5";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="left";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["order"]='work_batch';
			}
			if($tab[$i][$j][$value]=="creation_date")
			{
				$tab[$i][$j]['value'] = $request->format_date($tab[$i][$j]['value']);
				$tab[$i][$j]["label"]=_DATE;
				$tab[$i][$j]["size"]="5";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="left";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["order"]='creation_date';
			}
			if($tab[$i][$j][$value]=="description")
			{
				$tab[$i][$j]['value']= $request->show_string($tab[$i][$j]['value']);
				$tab[$i][$j]["label"]=_MANAGE_APA_HEADER_DESC;
				$tab[$i][$j]["size"]="10";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="left";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["order"]='description';
			}
			if($tab[$i][$j][$value]=="arbox_id")
			{
				$tab[$i][$j]["label"]=_MANAGE_APA_NUM_UA_SHORT;
				$tab[$i][$j]["size"]="5";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="left";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]["order"]="arbox_id";
			}
			if($tab[$i][$j][$value]=="custom_n1")
			{
				$tab[$i][$j]['value'] = $tab[$i][$j]['value'];
				$tab[$i][$j]["show"]=false;
			}
			if($tab[$i][$j][$value]=="custom_n2")
			{
				$tab[$i][$j]["label"]=_MANAGE_APA_NUM_UC_SHORT;
				$tab[$i][$j]["size"]="5";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="left";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]["order"]="custom_n2";
			}
			if($tab[$i][$j][$value]=="entity_id")
			{
				$theEntityId = $tab[$i][$j]['value'];
				$tab[$i][$j]["label"]=_ENTITY;
				$tab[$i][$j]["size"]="5";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="left";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=false;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]["order"]="entity_id";
			}
			if($tab[$i][$j][$value]=="arcontainer_id")
			{
				$thePosition = $apa_tools->containerposition($tab[$i][$j]['value'], $theEntityId);
				$tab[$i][$j]['value'] = $thePosition['row']."/".$thePosition['col']."/".$thePosition['level'];
				$tab[$i][$j]["label"]=_MANAGE_APA_POSITION_SHORT;
				$tab[$i][$j]["size"]="5";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="left";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]["order"]="arcontainer_id";
			}
			if($tab[$i][$j][$value]=="entity_label")
			{
				$tab[$i][$j]['value']=$request->show_string($tab[$i][$j]['value']);
				$tab[$i][$j]["label"]=_MANAGE_APA_CUSTOMER;
				$tab[$i][$j]["size"]="10";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="left";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["order"]='entity_label';
			}
			if($tab[$i][$j][$value]=="site_desc")
			{
				$tab[$i][$j]['value']=$request->show_string($tab[$i][$j]['value']);
				$tab[$i][$j]["label"]=_SITE;
				$tab[$i][$j]["size"]="10";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="left";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]["order"]="site_desc";
			}
		}
	}
}

//Parameters array
$paramsTab = array();
//Actions array
$actions = array();
//$view = array("href"=>$_SESSION['urltomodules']."advanced_physical_archive/apa_view.php?module=apa&@key=id|custom_n1;id_r|res_id#", "class"=>"view", "popup"=>true);
$view = array("href"=>$_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=apa_view&@key=id|custom_n1;id_r|res_id#", "class"=>"view", "popup"=>true);
array_push($actions, $view);

if($_SESSION['current_basket']['id'] == 'ReservationBasket')
{
	//$bordereau = array("href"=>$_SESSION['urltomodules']."advanced_physical_archive/apa_print_bordereau_pdf.php?@key=res_id#", "class"=>"bordereau", "popup"=>true, "tooltip"=>_MANAGE_APA_TIKET_SLIP);
	$bordereau = array("href"=>$_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=apa_print_bordereau_pdf&@key=res_id#", "class"=>"bordereau", "popup"=>true, "tooltip"=>_MANAGE_APA_TIKET_SLIP);
	array_push($actions, $bordereau);
}


//Parameters
$paramsTab['page_title'] = _RESULTS." : ".$i." "._FOUND_ARCHIVES;
$paramsTab['page_name'] = 'apa_basket_list';
$paramsTab['table_css'] = 'listing spec';
$paramsTab['module'] = 'advanced_physical_archive';
$paramsTab['bool_sort'] = true;
$paramsTab['nb_total'] = $i;
$paramsTab['what_search'] = 'res_id';
$paramsTab['hidden_fields_form'] = '<input type="hidden" name="table" id="table" value="'.$_SESSION['current_basket']['table'].'"/>
								<input type="hidden" name="module" id="module" value="advanced_physical_archive" />
								<input type="hidden" name="coll_id" id="coll_id" value="'.$_SESSION['current_basket']['coll_id'].'"/>';

?>
<div id="inner_content">
<?php
//$func->show_array($tab);
$list = new new_list_show();
$list->basket_list($tab, 'res_id', $paramsTab, $_SESSION['current_basket']['actions'], $actions);
?>
</div>
</body>
</html>
