<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief Small script to add to DB the archives headers imported (call class admin_apa in apa APA management)
*
* @file
* @author Jimmy Cdric NDOUMBA <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
*/

require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_apa.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_admin_apa.php");

$core_tools = new core_tools();
$core_tools->load_lang();
$func = new functions();
$admin_apa = new admin_apa();

//define("MAX_SIZE",9000000);
//define("DESTINATION_FOLDER", "../images_annonces");

$_accepted_extensions_ = "txt,csv";
if(strlen($_accepted_extensions_) > 0)
{
	$_accepted_extensions_ = @explode(",",$_accepted_extensions_);
}
else
{
	$_accepted_extensions_ = array();
}


//if2
if(!empty($_FILES['importFile']['name']))
{
	//if3
	if(is_uploaded_file($_FILES['importFile']['tmp_name']) && $_FILES['importFile']['error'] == 0)
	{
		$_file_ = $_FILES['importFile'];
		//$errStr = "";
		$_SESSION['import']['error'] = '';
		$_SESSION['import']['uc_created'] = $_SESSION['import']['ua_created'] = $_SESSION['import']['header_add'] = 0;
		$_name_ = $_file_['name'];
		$_type_ = $_file_['type'];
		$_tmp_name_ = $_file_['tmp_name'];
		$_size_ = $_file_['size'];

		$_ext_ = explode(".", $_name_);
		$_ext_ = strtolower($_ext_[count($_ext_)-1]);


		if(empty($_SESSION['import']['error']))
		{
			// Le @ n'est absolument pas obligatoire mais il
			// evite l'affichage d'un message d'erreur (non control)
			// dans le cas o le fichier n'existe pas.
			$handle = @fopen($_tmp_name_, "r");

			$conf = "modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."import.xml";

			// si fopen retourne faux c'est que le fichier ne peut tre ouvert en lecture
			if (!$handle){
				$_SESSION['import']['error'] = _MANAGE_APA_IMPORT_UNABLE_TO_OPEN_FILE;
			}
			elseif(!file_exists($conf)){
				$_SESSION['import']['error'] = _MANAGE_APA_IMPORT_UNABLE_TO_OPEN_CONF_IMPORT;
			}
			else{

				// Loading of the xml config file.
				$_ENV['log'] .= "<".date("d-m-Y")." - ".date("H:i:s")."> Loading xml config file : ".$conf."\r\n";
				$xmlconfig = simplexml_load_file($conf);
				$separator = $xmlconfig->SEPARATOR;
				define("MAX_SIZE", doubleval($xmlconfig->MAX_FILE_SIZE)*1024*1024);
				//echo 'MAX_SIZE = '.MAX_SIZE;
				foreach($xmlconfig->FIELDS as $CONFIG)
				{
					$pos_entity_id = intval($CONFIG->ENTITY_ID);
					$pos_nature_id = intval($CONFIG->ARNATURE_ID);
					$pos_ctype_id = intval($CONFIG->CTYPE_ID);
					$pos_year1 = intval($CONFIG->YEAR_1);
					$pos_year2 = intval($CONFIG->YEAR_2);
					$pos_destruction_date = intval($CONFIG->DESTRUCTION_DATE);
					$pos_container_id = intval($CONFIG->ARCONTAINER_ID);
					$pos_header_desc = intval($CONFIG->HEADER_DESC);
				}

				if($_size_ > MAX_SIZE && MAX_SIZE > 0)
				{
					$_SESSION['import']['error'] = _MANAGE_APA_IMPORT_SIZE_TOO_LARGE;
				}
				elseif(!in_array($_ext_, $_accepted_extensions_) && count($_accepted_extensions_) > 0)
				{
					$_SESSION['import']['error'] = _MANAGE_APA_IMPORT_UNKNOWN_FILE;
				}
				else{
					$numero_de_ligne = 1;
					$decoupe = array();
					while (!feof($handle)) {
						$tempError = false;
						// RAZ de toutes les valeurs
						$_SESSION['apa']['import']['cusEntityId'] = $_SESSION['apa']['import']['arnatureid'] = $_SESSION['apa']['import']['ctypeid'] = $_SESSION['apa']['import']['year1'] = $_SESSION['apa']['import']['year2'] = $_SESSION['apa']['import']['destructdate'] = $_SESSION['apa']['import']['ardesc'] = $_SESSION['apa']['import']['numuc'] = '';

						if (!feof($handle)){
							$ligne = fgets($handle, 1024);

							$decoupe = explode($separator, $ligne);
							//$func->show_array($decoupe);

							if(count($decoupe) >= count($CONFIG)){

								if(isset($decoupe[$pos_ctype_id]) && strlen(trim($decoupe[$pos_ctype_id])) > 0){
									$_SESSION['apa']['import']['ctypeid'] = addslashes(trim($decoupe[$pos_ctype_id]));
								}
								if(isset($decoupe[$pos_year1]) && strlen(trim($decoupe[$pos_year1])) > 0){
									$_SESSION['apa']['import']['year1'] = addslashes(trim($decoupe[$pos_year1]));
								}
								if(isset($decoupe[$pos_year2]) && strlen(trim($decoupe[$pos_year2])) > 0){
									$_SESSION['apa']['import']['year2'] = addslashes(trim($decoupe[$pos_year2]));
								}
								if(isset($decoupe[$pos_container_id]) && strlen(trim($decoupe[$pos_container_id])) > 0){
									$_SESSION['apa']['import']['numuc'] = addslashes(trim($decoupe[$pos_container_id]));
								}

								//verification de schamps obligatoires.
								if(isset($decoupe[$pos_entity_id]) && strlen(trim($decoupe[$pos_entity_id])) > 0){
									$_SESSION['apa']['import']['cusEntityId'] = addslashes(trim($decoupe[$pos_entity_id]));
								}
								else{
									$tempError = true;
								}
								if(isset($decoupe[$pos_nature_id]) && strlen(trim($decoupe[$pos_nature_id])) > 0){
									$_SESSION['apa']['import']['arnatureid'] = addslashes(trim($decoupe[$pos_nature_id]));
								}
								else{
									$tempError = true;
								}
								if(isset($decoupe[$pos_destruction_date]) && strlen(trim($decoupe[$pos_destruction_date])) > 0){
									$_SESSION['apa']['import']['destructdate'] = addslashes(trim($decoupe[$pos_destruction_date]));
								}
								else{
									$tempError = true;
								}
								if(isset($decoupe[$pos_header_desc]) && strlen(trim($decoupe[$pos_header_desc])) > 0){
									$_SESSION['apa']['import']['ardesc'] = addslashes(trim($decoupe[$pos_header_desc]));
								}
								else{
									$tempError = true;
								}

							}
							else{
								$_SESSION['import']['error'] .= _MANAGE_APA_IMPORT_WRONG_NUMBER_FIELDS.' &lt;'._MANAGE_APA_IMPORT_LINE_NUM.$numero_de_ligne.'&gt;'."<br/>";
								$tempError = true;
							}

							if(!$tempError){
								$admin_apa->addapaimport($numero_de_ligne);
							}
							$numero_de_ligne++;
						}
					}

					// On a fini, on ferme !!
					fclose($handle);
				}
			}
		}
	}//fin if3
	else{
		$_SESSION['import']['error'] = _MANAGE_APA_IMPORT_FAILURE_OF_UPLOAD;
	}
}// fin if2
else{
	$_SESSION['import']['error'] = _MANAGE_APA_IMPORT_CHOSE_IMPORT_FILE;
}

?>
<script type="text/javascript"> window.location = "<?php echo $_SESSION['config']['businessappurl'].'index.php?page=apa_import&module=advanced_physical_archive'; ?>"; </script>
