<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief show search result
*
* @file
* @author Yves Christian KPAKPO <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
*/

require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_apa.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_admin_apa.php");

$core_tools = new core_tools();
$core_tools->load_lang();
$core_tools->load_html();
$core_tools->load_header();

$func = new functions();

$orderby = "";
$_SESSION['apa']['error_search'] = '';

// define the row of the start
if(isset($_REQUEST['start']))
{
	$start = $_REQUEST['start'];
}
else
{
	$start = 0;
}
$search_link = '';
$where_request = "";
$where_positions_request = "";

$_SESSION['date_pattern'] = "^[0-3][0-9]-[0-1][0-9]-[1-2][0-9][0-9][0-9]$";

//Container Type
if(isset($_REQUEST['ctypeid']) && !empty($_REQUEST['ctypeid']))
{
	$_SESSION['apa']['search']['ctypeid'] = trim($_REQUEST['ctypeid']);
	$where_request .= $_SESSION['tablename']['apa_header'].".ctype_id = '".$_SESSION['apa']['search']['ctypeid']."' and ";
}
else
{
	$_SESSION['apa']['search']['ctypeid'] = '';
}

//Entity
if(isset($_REQUEST['entityid']) && !empty($_REQUEST['entityid']))
{
	$_SESSION['apa']['search']['entityid'] = trim($_REQUEST['entityid']);
	$where_request .= $_SESSION['tablename']['apa_header'].".entity_id = '".$_SESSION['apa']['search']['entityid']."' and ";
}
else
{
	$_SESSION['apa']['search']['entityid'] = '';
}

//Nature
if(isset($_REQUEST['arnatureid']) && !empty($_REQUEST['arnatureid']))
{
	$_SESSION['apa']['search']['arnatureid'] = trim($_REQUEST['arnatureid']);
	$where_request .= $_SESSION['tablename']['apa_header'].".arnature_id = '".$_SESSION['apa']['search']['arnatureid']."' and ";
}
else
{
	$_SESSION['apa']['search']['arnatureid'] = '';
}

//Site
if(isset($_REQUEST['site']) && !empty($_REQUEST['site']))
{
	$_SESSION['apa']['search']['site'] = trim($_REQUEST['site']);
	$where_request .= $_SESSION['tablename']['apa_header'].".site_id = '".$_SESSION['apa']['search']['site']."' and ";
}
else
{
	$_SESSION['apa']['search']['site'] = '';
}

//Row
if(isset($_REQUEST['row']) && !empty($_REQUEST['row']))
{
	$_SESSION['apa']['search']['row'] = trim($_REQUEST['row']);
	//With site
	$where_positions_request .= $_SESSION['tablename']['apa_positions'].".site_id = '".$_SESSION['apa']['search']['site']."' and ";

	$where_positions_request .= $_SESSION['tablename']['apa_positions'].".pos_row = '".$_SESSION['apa']['search']['row']."' ";
}
else
{


	$_SESSION['apa']['search']['row'] = '';
}

//Column
if(isset($_REQUEST['col']) && !empty($_REQUEST['col']))
{
	$_SESSION['apa']['search']['col'] = trim($_REQUEST['col']);
	$where_positions_request .= " and ".$_SESSION['tablename']['apa_positions'].".pos_col = '".$_SESSION['apa']['search']['col']."' ";
}
else
{
	$_SESSION['apa']['search']['col'] = '';
}

//Level
if(isset($_REQUEST['level']) && !empty($_REQUEST['level']))
{
	$_SESSION['apa']['search']['level'] = trim($_REQUEST['level']);
	$where_positions_request .= " and ".$_SESSION['tablename']['apa_positions'].".pos_level = '".$_SESSION['apa']['search']['level']."' ";
}
else
{
	$_SESSION['apa']['search']['level'] = '';
}

//UA
if(isset($_REQUEST['numua']) && !empty($_REQUEST['numua']))
{
	$_SESSION['apa']['search']['numua'] = trim($_REQUEST['numua']);
	$where_request .= $_SESSION['tablename']['apa_header'].".arbox_id = '".$_SESSION['apa']['search']['numua']."' and ";
}
else
{
	$_SESSION['apa']['search']['numua'] = '';
}

//UC
if(isset($_REQUEST['numuc']) && !empty($_REQUEST['numuc']))
{
	$_SESSION['apa']['search']['numuc'] = trim($_REQUEST['numuc']);
	$where_request .= $_SESSION['tablename']['apa_header'].".arcontainer_id = '".$_SESSION['apa']['search']['numuc']."' and ";
}
else
{
	$_SESSION['apa']['search']['numuc'] = '';
}

//Year 1
if(isset($_REQUEST['year1']) && !empty($_REQUEST['year1']))
{
	$_SESSION['apa']['search']['year1'] = trim($_REQUEST['year1']);
	$where_request .= $_SESSION['tablename']['apa_header'].".year_1 = '".$_SESSION['apa']['search']['year1']."' and ";
}
else
{
	$_SESSION['apa']['search']['year1'] = '';
}

//Year 2
if(isset($_REQUEST['year2']) && !empty($_REQUEST['year2']))
{
	$_SESSION['apa']['search']['year2'] = trim($_REQUEST['year2']);
	$where_request .= $_SESSION['tablename']['apa_header'].".year_2 = '".$_SESSION['apa']['search']['year2']."' and ";
}
else
{
	$_SESSION['apa']['search']['year2'] = '';
}

//From creation date
if(!empty($_REQUEST['vers_fromdate']) && isset($_REQUEST['vers_fromdate']))
{
	if( preg_match($_SESSION['date_pattern'],$_REQUEST['vers_fromdate'])==false )
	{
		$_SESSION['apa']['error_search'] = _WRONG_DATE_FORMAT;
		$_SESSION['apa']['search']['vers_fromdate'] = '';
	}
	else
	{
		$_SESSION['apa']['search']['vers_fromdate'] = $_REQUEST['vers_fromdate'];
		$tmp = $func->format_date_db($_REQUEST['vers_fromdate']);
		$where_request .= " (".$_SESSION['tablename']['apa_header'].".creation_date >= '".$tmp."') and ";
	}
}
else
{
	$_SESSION['search']['vers_fromdate'] = '';
}

// To creation date
if(!empty($_REQUEST['vers_todate']) && isset($_REQUEST['vers_todate']))
{
	if( preg_match($_SESSION['date_pattern'],$_REQUEST['vers_todate'])==false )
	{
		$_SESSION['apa']['error_search'] = _WRONG_DATE_FORMAT;
	}
	else
	{
		$_SESSION['apa']['search']['vers_todate'] = $_REQUEST['vers_todate'];
		$tmp = $func->format_date_db($_REQUEST['vers_todate']);
		$where_request .= " (".$_SESSION['tablename']['apa_header'].".creation_date <= '".$tmp."') and ";
	}
}
else
{
	$_SESSION['apa']['search']['vers_todate'] = '';
}

//From allow date
if(!empty($_REQUEST['allow_fromdate']) && isset($_REQUEST['allow_fromdate']))
{
	if( preg_match($_SESSION['date_pattern'],$_REQUEST['allow_fromdate'])==false )
	{
		$_SESSION['apa']['error_search'] = _WRONG_DATE_FORMAT;
		$_SESSION['apa']['search']['allow_fromdate'] = '';
	}
	else
	{
		$_SESSION['apa']['search']['allow_fromdate'] = $_REQUEST['allow_fromdate'];
		$tmp = $func->format_date_db($_REQUEST['allow_fromdate']);
		$where_request .= " (".$_SESSION['tablename']['apa_header'].".allow_transmission_date >= '".$tmp."') and ";
	}
}
else
{
	$_SESSION['search']['allow_fromdate'] = '';
}

// To allow date
if(!empty($_REQUEST['allow_todate']) && isset($_REQUEST['allow_todate']))
{
	if( preg_match($_SESSION['date_pattern'],$_REQUEST['allow_todate'])==false )
	{
		$_SESSION['apa']['error_search'] = _WRONG_DATE_FORMAT;
	}
	else
	{
		$_SESSION['apa']['search']['allow_todate'] = $_REQUEST['allow_todate'];
		$tmp = $func->format_date_db($_REQUEST['allow_todate']);
		$where_request .= " (".$_SESSION['tablename']['apa_header'].".allow_transmission_date <= '".$tmp."') and ";
	}
}
else
{
	$_SESSION['apa']['search']['allow_todate'] = '';
}

//From destruction date
if(!empty($_REQUEST['destruct_fromdate']) && isset($_REQUEST['destruct_fromdate']))
{
	if( preg_match($_SESSION['date_pattern'],$_REQUEST['destruct_fromdate'])==false )
	{
		$_SESSION['apa']['error_search'] = _WRONG_DATE_FORMAT;
		$_SESSION['apa']['search']['destruct_fromdate'] = '';
	}
	else
	{
		$_SESSION['apa']['search']['destruct_fromdate'] = $_REQUEST['destruct_fromdate'];
		$tmp = $func->format_date_db($_REQUEST['destruct_fromdate']);
		$where_request .= " (".$_SESSION['tablename']['apa_header'].".destruction_date >= '".$tmp."') and ";
	}
}
else
{
	$_SESSION['search']['destruct_fromdate'] = '';
}

// To destruction date
if(!empty($_REQUEST['destruct_todate']) && isset($_REQUEST['destruct_todate']))
{
	if( preg_match($_SESSION['date_pattern'],$_REQUEST['destruct_todate'])==false )
	{
		$_SESSION['apa']['error_search'] = _WRONG_DATE_FORMAT;
	}
	else
	{
		$_SESSION['apa']['search']['destruct_todate'] = $_REQUEST['destruct_todate'];
		$tmp = $func->format_date_db($_REQUEST['destruct_todate']);
		$where_request .= " (".$_SESSION['tablename']['apa_header'].".destruction_date <= '".$tmp."') and ";
	}
}
else
{
	$_SESSION['apa']['search']['destruct_todate'] = '';
}

//Description in fulltext mode
if(isset($_REQUEST['desc']) && !empty($_REQUEST['desc']))
{
	$_SESSION['apa']['search']['desc'] = trim($_REQUEST['desc']);

	//Minimum 4 char length for search in desc field
	if (strlen($_SESSION['apa']['search']['desc']) > 3)
	{
		$where_request .= "LOWER(".$_SESSION['tablename']['apa_header'].".header_desc) like LOWER('%".$_SESSION['apa']['search']['desc']."%') and ";
	}
	else
	{
		$_SESSION['apa']['error_search'] = _MANAGE_APA_SEARCH_WARNING_DESC_LENGTH;
	}
}
else
{
	$_SESSION['apa']['search']['desc']  = '';
}

//Description in advanced search
if(isset($_REQUEST['desc_q']) && !empty($_REQUEST['desc_q']))
{
	$_SESSION['apa']['search']['desc_q'] = $_REQUEST['desc_q'];
	$tab_str = array();

	$tab_str = explode(" ", trim($_REQUEST['desc_q']));
	$where_request .= "(";
	for ($i=0; $i<count($tab_str); $i++)
	{
		$where_request .= "LOWER(".$_SESSION['tablename']['apa_header'].".header_desc) like LOWER('%".$tab_str[$i]."%') and ";
	}

	$where_request .= " 1=1 ) and ";
}

//
if(isset($_REQUEST['desc_epq']) && !empty($_REQUEST['desc_epq']))
{
	$where_request .= "LOWER(".$_SESSION['tablename']['apa_header'].".header_desc) like LOWER('%".$_SESSION['apa']['search']['desc_epq']."%') and ";
}
//
if(isset($_REQUEST['desc_oq']) && !empty($_REQUEST['desc_oq']))
{
	$_SESSION['apa']['search']['desc_oq'] = $_REQUEST['desc_oq'];
	$tab_str = array();

	$tab_str = explode(" ", trim($_REQUEST['desc_oq']));
	$where_request .= "(";
	for ($i=0; $i<count($tab_str); $i++)
	{
		$where_request .= "LOWER(".$_SESSION['tablename']['apa_header'].".header_desc) like LOWER('%".$tab_str[$i]."%') or ";
	}

	$where_request .= " 1=1 ) and ";
}
//
if(isset($_REQUEST['desc_eq']) && !empty($_REQUEST['desc_eq']))
{
	$_SESSION['apa']['search']['desc_eq'] = $_REQUEST['desc_eq'];
	$tab_str = array();

	$tab_str = explode(" ", trim($_REQUEST['desc_eq']));
	$where_request .= "(";
	for ($i=0; $i<count($tab_str); $i++)
	{
		$where_request .= "LOWER(".$_SESSION['tablename']['apa_header'].".header_desc) NOT LIKE LOWER('%".$tab_str[$i]."%') AND ";
	}

	$where_request .= " 1=1 ) and ";
}

//builds the users entities filter of the current user
$apa_tools = new apa_tools();
$entitylist = $apa_tools->getentitylist();
$where_request .= $_SESSION['tablename']['apa_header'].".entity_id in (".$entitylist.") and ";


if(!empty($_SESSION['apa']['error_search']))
{

	$_SESSION['apa']['error_search'] = '<br /><div class="error">'._MUST_CORRECT_ERRORS.' : <br /><br /><strong>'.$_SESSION['apa']['error_search'].'<br /><a href="'.$_SESSION['config']['businessappurl'].'index.php?page=apa_search&module=advanced_physical_archive">'._CLICK_HERE_TO_CORRECT.'</a></strong></div>';
	?>
    <script type="text/javascript">window.top.location.href='<?php echo $_SESSION['config']['businessappurl'].'index.php?page=apa_search_error&module=advanced_physical_archive';?>';</script>
    <?php
}
else
{
	$where_request = trim($where_request);
	$_SESSION['apa']['searching']['where_request'] = $where_request;
	$_SESSION['apa']['searching']['where_positions_request'] = $where_positions_request;

	?>
	<script type="text/javascript">window.top.location.href='<?php echo $_SESSION['config']['businessappurl'].'index.php?page=list_apa&module=advanced_physical_archive';?>';</script>
	<?php
	exit();
}
?>
