<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief Small script to view archive header (call class admin_apa in apa APA management)
*
* @file
* @author Yves Christian KPAKPO <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
*/

require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_history.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_apa.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_admin_apa.php");

$core_tools = new core_tools();
$core_tools->test_user();
$core_tools->load_lang();
$func = new functions();

/****************Management of the location bar  ************/
$init = false;
if($_REQUEST['reinit'] == "true")
{
    $init = true;
}
$level = "";
if($_REQUEST['level'] == 2 || $_REQUEST['level'] == 3 || $_REQUEST['level'] == 4 || $_REQUEST['level'] == 1)
{
    $level = $_REQUEST['level'];
}
$page_path = $_SESSION['config']['businessappurl'].'index.php?page=apa_view&module=advanced_physical_archive';
$page_label = _MANAGE_APA_VIEW_HEADER;
$page_id = "apa_view";
$core_tools->manage_location_bar($page_path, $page_label, $page_id, $init, $level);
/***********************************************************/
$func = new functions();
$admin_apa = new admin_apa();

$headerid = '';
$entitylist = '';

//Get the archive Id
if(isset($_GET['id']) && !empty($_GET['id']))
{
    $headerid = addslashes($func->wash($_GET['id'], "num", _THE_ARCHIVE));
}

//builds the users entities filter of the current user
$entitylist = $admin_apa->getentitylist();

$db = new dbquery();
$db->connect();
/*$db->query("select header_id, creation_date, ".$_SESSION['tablename']['apa_header'].".ctype_id, year_1, year_2, ".$_SESSION['tablename']['apa_header'].".site_id,
            destruction_date, allow_transmission_date, header_desc, ".$_SESSION['tablename']['apa_header'].".entity_id,
            ".$_SESSION['tablename']['apa_header'].".arnature_id, arbox_id, arcontainer_id,
            ".$_SESSION['tablename']['apa_container_types'].".ctype_desc, ".$_SESSION['tablename']['apa_natures'].".arnature_desc,
            ".$_SESSION['tablename']['ent_entities'].".entity_label, ".$_SESSION['tablename']['apa_sites'].".site_desc
            from ".$_SESSION['tablename']['apa_header']."
            left join ".$_SESSION['tablename']['apa_container_types']." on ".$_SESSION['tablename']['apa_header'].".ctype_id = ".$_SESSION['tablename']['apa_container_types'].".ctype_id
            left join ".$_SESSION['tablename']['apa_natures']." on ".$_SESSION['tablename']['apa_header'].".arnature_id = ".$_SESSION['tablename']['apa_natures'].".arnature_id
            left join ".$_SESSION['tablename']['apa_sites']." on ".$_SESSION['tablename']['apa_header'].".site_id = ".$_SESSION['tablename']['apa_sites'].".site_id
            left join ".$_SESSION['tablename']['ent_entities']." on ".$_SESSION['tablename']['apa_header'].".entity_id = ".$_SESSION['tablename']['ent_entities'].".entity_id
            where
            header_id = '".$headerid."' and ".$_SESSION['tablename']['apa_header'].".entity_id in (".$entitylist.")");*/

$db->query("SELECT h.header_id, h.creation_date, h.ctype_id, h.year_1, h.year_2, h.site_id, h.destruction_date, h.allow_transmission_date, h.header_desc, h.entity_id, h.arnature_id, h.arbox_id, h.arcontainer_id, ct.ctype_desc, n.arnature_desc, e.entity_label, s.site_desc, c.entity_id AS consentityid
            FROM ".$_SESSION['tablename']['apa_header']." h
            LEFT JOIN ".$_SESSION['tablename']['apa_container_types']." ct ON h.ctype_id = ct.ctype_id
            LEFT JOIN ".$_SESSION['tablename']['apa_natures']." n ON h.arnature_id = n.arnature_id
            LEFT JOIN ".$_SESSION['tablename']['apa_containers']." c ON h.arcontainer_id = c.arcontainer_id
            LEFT JOIN ".$_SESSION['tablename']['apa_sites']." s ON h.site_id = s.site_id
            LEFT JOIN ".$_SESSION['tablename']['ent_entities']." e ON h.entity_id = e.entity_id
            WHERE h.header_id = '".$headerid."' AND h.entity_id IN (".$entitylist.")");
//$db->show();exit;

?>
<h1 class="titdetail">
    <img src="<?php echo $_SESSION['config']['businessappurl'].'static.php?filename=picto_detail_b.gif'; ?>" alt="" /><?php echo _DETAILS." : "._ARCHIVE." ".strtolower(_NUM); ?><?php echo $headerid; ?>
</h1>
<div id="inner_content" class="clearfix">
<?php
if(!empty($_SESSION['error']))
{
    ?>
    <div class="error">
        <br />
        <br />
        <br />
        <?php echo $_SESSION['error'];  $_SESSION['error'] = "";?>
        <br />
        <br />
        <br />
    </div>
    <?php
}
else
{
    if($db->nb_result() == 0)
    {
        ?>
        <div align="center">
            <br />
            <br />
            <?php echo _NO_ARCHIVE_CORRESPOND_TO_IDENTIFIER; ?>.
            <br />
            <br />
            <br />
        </div>
        <?php
    }
    else
    {
        $details = $db->fetch_object();

        $header_id = $details->header_id;
        $_SESSION['apa']['id_to_view'] = $header_id;
        $creation_date = $details->creation_date;
        $ctype_id = $details->ctype_id;
        $ctype_desc = $details->ctype_desc;
        $year_1 = $details->year_1;
        $year_2 = $details->year_2;
        $site_id = $details->site_id;
        $site_desc = $details->site_desc;
        $destruction_date = $details->destruction_date;
        $allow_transmission_date = $details->allow_transmission_date;
        $header_desc = $details->header_desc;
        $entity_id = $details->entity_id;
        $consEntity_id = $details->consentityid;
        $entity_label = $details->entity_label;
        $arnature_id = $details->arnature_id;
        $arnature_desc = $details->arnature_desc;
        $arbox_id = $details->arbox_id;
        $arcontainer_id = $details->arcontainer_id;

            /**/
            $dbcomment = new dbquery();
            $dbcomment->connect();
            $dbcomment-> query("SELECT r.custom_t15
                                FROM ".$_SESSION['tablename']['res_apa']." r
                                WHERE ".$header_id." = r.res_id");

            $detail_comment = $dbcomment->fetch_object();
            $comment = $detail_comment->custom_t15;
            /**/

        ?>
        <div class="block">
            <b>
                <p id="back_list">
                    <a href="#" onclick="window.close()" class="back"><?php echo _BACK; ?></a>
                </p>
            </b>&nbsp;
        </div>
        <br/>

        <dl id="tabricator1">
        <?php
            if(isset($_REQUEST['id_r']) && !empty($_REQUEST['id_r']))
            {

                $db2 = new dbquery();
                $db2->connect();
                $db2->query("SELECT firstname, lastname, phone, mail
                            FROM ".$_SESSION['tablename']['users']."
                            INNER JOIN ".$_SESSION['tablename']['res_apa']." ON ".$_SESSION['tablename']['users'].".user_id = ".$_SESSION['tablename']['res_apa'].".author AND ".$_SESSION['tablename']['res_apa'].".res_id = '".$_REQUEST['id_r']."'");

                if($db2->nb_result() != 0)
                {
                    $details_user = $db2->fetch_object();

                    $last_name = $details_user->lastname;
                    $first_name = $details_user->firstname;
                    $phone = $details_user->phone;
                    $mail = $details_user->mail;


        ?>
                    <dt><?php echo _MANAGE_APA_TIKET_APPLICANT;?></dt>
                    <dd>
                        <h2>
                            <span class="date">
                                <b><?php echo _ARCHIVE_PROPERTIES;?></b>
                            </span>
                        </h2>
                        <br>
                        <table cellpadding="2" cellspacing="2" border="0" class="block forms details" width="100%">
                            <tr>
                                <td valign="top">
                                    <table cellpadding="2" cellspacing="2" border="0">
                                        <tr>
                                            <th align="right"><?php echo _FIRSTNAME; ?> :</th>
                                            <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $first_name; ?>"/></td>
                                        </tr>
                                        <tr>
                                            <th align="right"><?php echo _LASTNAME; ?> :</th>
                                            <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $last_name; ?>"/></td>
                                        </tr>
                                        <tr>
                                            <th align="right"><?php echo _PHONE_NUMBER; ?> :</th>
                                            <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $phone; ?>"/></td>
                                        </tr>
                                        <tr>
                                            <th align="right"><?php echo _MAIL; ?> :</th>
                                            <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $mail; ?>"/></td>
                                        </tr>
                                        <tr><td>&nbsp;</td></tr>
                                        <tr>
                                            <th align="right"><?php echo _MANAGE_APA_TIKET_COMMENT; ?> :</th>
                                            <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $comment; ?>"/></td>
                                        </tr>
                                    </table>
                                </td>
                                <!--<td valign="top"><b><?php echo _GROUPS_LIST;?></b><br />goupe 1<br /></td>
                                <td valign="top"><b><?php echo _ENTITIES_LIST;?></b><br />entit 1<br /></td>-->
                            </tr>
                        </table>
                    </dd>
        <?php
                }
            }
        ?>
            <dt><?php echo _DETAILLED_PROPERTIES;?></dt>
            <dd>
                <h2>
                    <span class="date">
                        <b><?php echo _ARCHIVE_PROPERTIES;?></b>
                    </span>
                </h2>
                <br>
                <table cellpadding="2" cellspacing="2" border="0" class="block forms details" width="100%">
                    <tr>
                        <th align="right"><?php echo _MANAGE_APA_DEPOSIT_DATE; ?> :</th>
                        <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $func->format_date_db($creation_date, false); ?>"/></td>
                        <th align="right"><?php echo _ARCHIVE_STATUS; ?> :</th>
                        <td>
                        <?php
                        $status = $admin_apa->getarboxstatus($arbox_id);

                        if ($status == "APA")
                        {
                            echo _ARCHIVE_STATUS_AVAILABLE;
                        }
                        elseif($status == "RSV")
                        {
                            echo _ARCHIVE_STATUS_RESERVED;
                        }
                        elseif($status == "OUT")
                        {
                            echo _ARCHIVE_STATUS_OUT;
                        }
                        ?>
                        </td>
                    </tr>
                    <tr>
                        <th align="right"><?php echo _THE_CONTAINER_TYPES; ?> :</th>
                        <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $ctype_desc; ?>"/></td>
                        <th align="right">&nbsp;</th>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <th align="right"><?php echo _MANAGE_APA_CUSTOMER; ?> :</th>
                        <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $entity_label; ?>"/></td>
                        <th align="right"><?php echo _NATURE; ?> :</th>
                        <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $arnature_desc; ?>" /></td>
                    </tr>
                    <tr>
                        <th align="right"><?php echo _MANAGE_APA_YEAR1; ?> :</th>
                        <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $year_1; ?>"/></td>
                        <th align="right"><?php echo _MANAGE_APA_YEAR2; ?> :</th>
                        <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $year_2; ?>" /></td>
                    </tr>
                    <tr>
                        <th align="right"><?php echo _MANAGE_APA_NUM_UA; ?> :</th>
                        <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $arbox_id; ?>"/></td>
                        <th align="right"><?php echo _MANAGE_APA_NUM_UC; ?> :</th>
                        <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $arcontainer_id; ?>" /></td>
                    </tr>
                    <tr>
                        <th align="right"><?php echo _MANAGE_APA_DESTRUCTION_DATE; ?> :</th>
                        <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $func->format_date_db($destruction_date, false); ?>"/></td>
                        <th align="right"><?php echo _MANAGE_APA_ALLOW_DATE; ?> :</th>
                        <td><input type="text" class="readonly" readonly="readonly" value="<?php echo $func->format_date_db($allow_transmission_date, false); ?>" /></td>
                    </tr>
                    <tr>
                        <th align="right"><?php echo _MANAGE_APA_HEADER_DESC; ?> :</th>
                        <td  align="left" colspan="3"><textarea  cols="30" rows="2"  class="readonly" readonly="readonly"><?php echo $func->show_str($header_desc); ?></textarea></td>
                    </tr>
                </table>
                <br>
                <h2>
                    <span class="date">
                        <b><?php echo _MANAGE_APA_POSITION;?></b>
                    </span>
                </h2>
                    <br>
                <?php
                if (!empty($site_id))
                {
                    $apa_position = array();
                    $apa_position = $admin_apa->containerposition($arcontainer_id, $consEntity_id);

                    ?>
                    <table cellpadding="2" cellspacing="2" border="0" class="block forms details" width="100%">
                        <tr>
                            <th align="right"><?php echo _SITE; ?> :</th>
                            <td width="90%"><input type="text" class="readonly" readonly="readonly" value="<?php echo $site_desc; ?>"/></td>
                        </tr>
                        <tr>
                            <th align="right"><?php echo _POSITIONS_ROW; ?> :</th>
                            <td><input type="text" class="readonly small" readonly="readonly" value="<?php echo $apa_position['row']; ?>"/></td>
                        </tr>
                        <tr>
                            <th align="right"><?php echo _POSITIONS_COL; ?> :</th>
                            <td><input type="text" class="readonly small" readonly="readonly" value="<?php echo $apa_position['col']; ?>"/></td>
                        </tr>
                        <tr>
                            <th align="right"><?php echo _POSITIONS_LEVEL; ?> :</th>
                            <td><input type="text" class="readonly small" readonly="readonly" value="<?php echo $apa_position['level']; ?>"/></td>
                        </tr>
                    </table>
                    <?php
                }
                else
                {
                    ?>
                    <em><?php echo _ARCHIVE_NOT_POSITIONED; ?></em>
                    <?php
                }
                ?>
            </dd>
            <dt><?php echo _ARCHIVE_HISTORY;?></dt>
            <dd>
                <?php include("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."hist_apa.php");?>
            </dd>
        </dl>
        <?php
    }
}
?>
</div>
<script type="text/javascript">
  var tabricator1 = new Tabricator('tabricator1', 'DT');
</script>
