<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
*  Module Advanced Physical Archive :  Administration of the container types
*
* Contains all the functions to manage container types
*
* @file
* @author Yves Christian KPAKPO <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
* @brief   Module Advanced Physical Archive :  Administration of container types
*/

/**
*
* Contains all the functions to manage container types
*
* @ingroup apa
* @brief   Module Advanced Physical Archive :  Administration of container types
*/
class admin_container_types extends dbquery
{
    /**
    * Redefinition of the types object constructor : configure the sql argument order by
    */
    function __construct()
    {
        parent::__construct();

    }

    /**
    * form to add, update the container type
    *
    * @param $mode string mode of the operation
    * @param $id string container types identifier
    */
    public function formcontainertypes($mode,$id)
    {
        $func = new functions();
        $state = true;

        //Default dimensions
        if($mode == "add")
        {
            $_SESSION['m_admin']['ctype']['size_x'] = "0";
            $_SESSION['m_admin']['ctype']['size_y'] = "0";
            $_SESSION['m_admin']['ctype']['size_z'] = "0";
        }

        if($mode == "up")
        {
            $_SESSION['m_admin']['mode'] = "up";
            if(empty($_SESSION['error']))
            {
                //Get the container type infos
                $this->connect();
                $this->query("select * from ".$_SESSION['tablename']['apa_container_types']." where ctype_id = '".$id."'");
                if($this->nb_result() == 0)
                {
                    $_SESSION['error'] = _CONTAINER_TYPES_DOES_NOT_EXISTS;
                    $state = false;
                }
                else
                {
                    $_SESSION['m_admin']['ctype']['ctypeId'] = $id;
                    $line = $this->fetch_object();
                    $_SESSION['m_admin']['ctype']['desc'] = $func->show_string($line->ctype_desc);
                    $_SESSION['m_admin']['ctype']['ctype_id'] = $line->ctype_id;
                    $_SESSION['m_admin']['ctype']['size_x'] = $line->size_x;
                    $_SESSION['m_admin']['ctype']['size_y'] = $line->size_y;
                    $_SESSION['m_admin']['ctype']['size_z'] = $line->size_z;

                    //Test if the container type is used
                    $_SESSION['m_admin']['ctype']['usedcontainertypes'] = $this->usedcontainertypes($id);
                }
            }
        }
        if($mode == "add")
        {
            echo '<h1><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename=add_containertypes_b.gif" alt="" /> '._CONTAINER_TYPES_ADDITION.'</h1>';
        }
        elseif($mode == "up")
        {
            echo '<h1><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename=add_containertypes_b.gif" alt="" /> '._CONTAINER_TYPES_MODIFICATION.'</h1>';
        }
        ?>
        <div id="inner_content" class="clearfix">
            <?php
            if($state == false)
            {
                echo "<br /><br /><br /><br />"._CONTAINER_TYPES.' '._UNKNOWN."<br /><br /><br /><br />";
            }
            else
            {
                //Show form
                ?>

                <form name="formcontainertypes" id="formcontainertypes" method="post" action="<?php if($mode == "up") { echo $_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=containertypes_up_db";} elseif($mode == "add") { echo $_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=containertypes_add_db"; } ?>" class="forms addforms">
                    <input type="hidden" name="display"  value="true" />
                    <input type="hidden" name="module"  value="advanced_physical_archive" />
                    <?php if($mode == "up")
                    {?>
                        <input type="hidden" name="page"  value="containertypes_up_db" />
                    <?php }
                     elseif($mode == "add")
                     {?>
                        <input type="hidden" name="page"  value="containertypes_add_db" />
                     <?php } ?>
                    <input type="hidden" name="order" id="order" value="<?php echo $_REQUEST['order'];?>" />
                    <input type="hidden" name="order_field" id="order_field" value="<?php echo $_REQUEST['order_field'];?>" />
                    <input type="hidden" name="what" id="what" value="<?php echo $_REQUEST['what'];?>" />
                    <input type="hidden" name="start" id="start" value="<?php echo $_REQUEST['start'];?>" />
                <?php
                if($mode <> "add")
                {
                    ?>
                    <input type="hidden"  name="id" value="<?php echo $id; ?>" />
                    <?php
                }
                ?>

                <p>
                    <label><?php echo _ID;?> : </label>
                    <input name="ctypeid" id="ctypeid" type="text" value="<?php echo $func->show_str($_SESSION['m_admin']['ctype']['ctype_id']); ?>" <?php if($_SESSION['m_admin']['ctype']['usedcontainertypes'] == "true") { echo 'readonly="readonly" class="readonly"';} ?>/><span class="red_asterisk">*</span>
                </p>
                <p>
                    <label><?php echo _DESC;?> : </label>
                    <textarea  cols="30" rows="4"  name="ctypedesc"  id="ctypedesc" ><?php echo $func->show_str($_SESSION['m_admin']['ctype']['desc']); ?></textarea><span class="red_asterisk">*</span>
                </p>

                <p>
                    <label><?php echo _CONTAINER_TYPES_SIZEX;?> : </label>
                    <input name="sizex" id="sizex" type="text" value="<?php echo $func->show_str($_SESSION['m_admin']['ctype']['size_x']); ?>" />
                </p>

                <p>
                    <label><?php echo _CONTAINER_TYPES_SIZEY;?> : </label>
                    <input name="sizey" id="sizey" type="text" value="<?php echo $func->show_str($_SESSION['m_admin']['ctype']['size_y']); ?>" />
                </p>

                <p>
                    <label><?php echo _CONTAINER_TYPES_SIZEZ;?> : </label>
                    <input name="sizez" id="sizez" type="text" value="<?php echo $func->show_str($_SESSION['m_admin']['ctype']['size_z']); ?>" />
                </p>
                <?php
                if($_SESSION['m_admin']['ctype']['usedcontainertypes'] == 'true')
                {
                    ?>
                    <p>
                        <em><?php echo (_WARNING_USED_CONTAINER_TYPES); ?></em>
                    </p>
                    <?php
                 }
                 ?>
                <p class="buttons">
                    <?php
                    if($mode == "up")
                    {
                        ?>
                        <input id="containertypesbutton" type="submit"  name="Submit" value="<?php echo _MODIFY_CONTAINER_TYPES; ?>"  class="button"/>
                        <?php
                    }
                    elseif($mode == "add")
                    {
                        ?>
                        <input type="submit" name="Submit" value="<?php echo _ADD_CONTAINER_TYPES; ?>" class="button" />
                        <?php
                    }
                    ?>
                    <input type="button" name="cancel" value="<?php echo _CANCEL; ?>" class="button"  onclick="javascript:window.location.href='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=list_containertypes&amp;module=advanced_physical_archive';"/>
                </p>

                </form>
                <?php
            }
            ?>
        </div>
    <?php
    }

    /**
    * Treats the information returned by the form of formcontainertypes()
    *
    * @param $mode administrator string mode (modification, suspension, authorization, delete)
    */
    public function containertypesinfo($mode)
    {
        $func = new functions();

        if($mode == "up")
        {
            $_SESSION['m_admin']['ctype']['ctypeId']  = $func->wash($_POST['id'], "alphanum", _THE_ID);

            if(isset($_POST['ctypeid']) && !empty($_POST['ctypeid']))
            {
                $_SESSION['m_admin']['ctype']['ctype_id'] = $func->wash($_POST['ctypeid'], "alphanum", _THE_ID);
            }
        }

        if($mode == "add")
        {
            $_SESSION['m_admin']['ctype']['ctype_id']  = $func->wash($_POST['ctypeid'], "alphanum", _THE_ID);
        }


        if(isset($_POST['ctypedesc']) && !empty($_POST['ctypedesc']))
        {
            $_SESSION['m_admin']['ctype']['desc'] = $func->wash($_POST['ctypedesc'], "no", _CONTAINER_TYPES_DESC);
        }
        else
        {
            $_SESSION['error'] .= _CONTAINER_TYPES_DESC." "._MANDATORY."<br>";
        }


        if(isset($_POST['sizex']))
        {
            $_SESSION['m_admin']['ctype']['size_x'] = $func->wash($_POST['sizex'], "float", _CONTAINER_TYPES_SIZEX, "yes");
        }
        if(isset($_POST['sizey']))
        {
            $_SESSION['m_admin']['ctype']['size_y'] = $func->wash($_POST['sizey'], "float", _CONTAINER_TYPES_SIZEY, "yes");
        }
        if(isset($_POST['sizez']))
        {
            $_SESSION['m_admin']['ctype']['size_z'] = $func->wash($_POST['sizez'], "float", _CONTAINER_TYPES_SIZEZ, "yes");
        }
        $_SESSION['m_admin']['ctype']['order'] = $_REQUEST['order'];
        $_SESSION['m_admin']['ctype']['order_field'] = $_REQUEST['order_field'];
        $_SESSION['m_admin']['ctype']['what'] = $_REQUEST['what'];
        $_SESSION['m_admin']['ctype']['start'] = $_REQUEST['start'];
    }

    /**
    * Check if the container type is used
    *
    * @param $id string ontainer type identifier
    * @return string  true if the container type is used,  false if not
    */
    public function usedcontainertypes($id)
    {
        $used = "false";

        $this->connect();
        $this->query("select ctype_id from ".$_SESSION['tablename']['apa_header']." where ctype_id= '".$id."'");

        if($this->nb_result() > 0)
        {
            $used = "true";
        }
        return $used;

    }

    /**
    * Add ou modify container types in the database
    *
    * @param $mode string up or add
    */
    public function addupcontainertypes($mode)
    {
        // add ou modify container types in the database
        $this->containertypesinfo($mode);
        $order = $_SESSION['m_admin']['ctype']['order'];
        $order_field = $_SESSION['m_admin']['ctype']['order_field'];
        $what = $_SESSION['m_admin']['ctype']['what'];
        $start = $_SESSION['m_admin']['ctype']['start'];
        if(!empty($_SESSION['error']))
        {
            if($mode == "up")
            {
                if(!empty($_SESSION['m_admin']['ctype']['ctypeId']))
                {
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=containertypes_up&module=advanced_physical_archive&id=".$_SESSION['m_admin']['ctype']['ctypeId']);
                    exit;
                }
                else
                {
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_containertypes&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                    exit;
                }
            }
            elseif($mode == "add")
            {
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=containertypes_add&module=advanced_physical_archive");
                exit;
            }
        }
        else
        {
            $func = new functions();
            $this->connect();
            if($mode == "add")
            {
                $this->query("select ctype_id from ".$_SESSION['tablename']['apa_container_types']." where ctype_id= '".$_SESSION['m_admin']['ctype']['ctype_id']."'");

                if($this->nb_result() > 0)
                {
                    $_SESSION['error'] = $_SESSION['m_admin']['ctype']['ctype_id']." "._CONTAINER_TYPES_ALREADY_EXISTS."<br />";
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=containertypes_add&module=advanced_physical_archive");
                    exit;
                }
                else
                {
                    $this->query("insert into ".$_SESSION['tablename']['apa_container_types']." (ctype_id, ctype_desc, size_x, size_y, size_z) VALUES
                                ('".$_SESSION['m_admin']['ctype']['ctype_id']."', '".$func->protect_string_db($_SESSION['m_admin']['ctype']['desc'])."',
                                '".$_SESSION['m_admin']['ctype']['size_x']."', '".$_SESSION['m_admin']['ctype']['size_y']."',
                                '".$_SESSION['m_admin']['ctype']['size_z']."')");

                    $this->clearcontainertypesinfos();
                    $_SESSION['error'] = _CONTAINER_TYPES_ADDED;
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_containertypes&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                    exit();
                }
            }
            elseif($mode == "up")
            {
                $this->query("select ctype_id from ".$_SESSION['tablename']['apa_container_types']." where ctype_id= '".$_SESSION['m_admin']['ctype']['ctype_id']."'");

                if(($this->nb_result() > 0) && ($_SESSION['m_admin']['ctype']['ctype_id'] <> $_SESSION['m_admin']['ctype']['ctypeId']))
                {
                    $_SESSION['error'] = $_SESSION['m_admin']['ctype']['ctype_id']." "._CONTAINER_TYPES_ALREADY_EXISTS."<br />";
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=containertypes_add&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                    exit();
                }
                else
                {
                    $this->query("update ".$_SESSION['tablename']['apa_container_types']." set ctype_id = '".$_SESSION['m_admin']['ctype']['ctype_id']."',
                                ctype_desc = '".$func->protect_string_db($_SESSION['m_admin']['ctype']['desc'])."',
                                size_x = '".$_SESSION['m_admin']['ctype']['size_x']."' , size_y = '".$_SESSION['m_admin']['ctype']['size_y']."' ,
                                size_z = '".$_SESSION['m_admin']['ctype']['size_z']."' where ctype_id = '".$_SESSION['m_admin']['ctype']['ctypeId']."'");

                    $this->clearcontainertypesinfos();
                    $_SESSION['error'] = _CONTAINER_TYPES_UPDATED;
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_containertypes&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                    exit;
                }
            }
        }
    }

    /**
    * Clean the $_SESSION['m_admin']['ctype'] array
    */
    private function clearcontainertypesinfos()
    {
        unset($_SESSION['m_admin']);
    }

    /**
    * Delete container type in the database
    *
    * @param $id string container type identifier
    * @param $mode string  del
    */
    public function admincontainertypes($id,$mode)
    {
        $order = $_REQUEST['order'];
        $order_field = $_REQUEST['order_field'];
        $start = $_REQUEST['start'];
        $what = $_REQUEST['what'];
        if(!empty($_SESSION['error']))
        {
            header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_containertypes&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
            exit;
        }
        else
        {
            $this->connect();
            $this->query("select ctype_id from ".$_SESSION['tablename']['apa_container_types']." where ctype_id = '".$id."'");
            if($this->nb_result() == 0)
            {
                $_SESSION['error'] = _CONTAINER_TYPES_DOES_NOT_EXISTS;
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_containertypes&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                exit();
            }
            else
            {
                if($mode == "del" )
                {
                    $_SESSION['m_admin']['ctype']['usedcontainertypes'] = $this->usedcontainertypes($id);

                    if($_SESSION['m_admin']['ctype']['usedcontainertypes'] == 'false')
                    {
                        $this->query("delete from ".$_SESSION['tablename']['apa_container_types']."  where ctype_id = '".$id."'", "no");

                        $_SESSION['error'] = _CONTAINER_TYPES_DELETED;
                    }
                    else
                    {
                        $_SESSION['error'] = _WARNING_DELETE_USED_CONTAINER_TYPES;
                    }
                }
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_containertypes&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                exit();
            }
        }
    }
}
?>
