<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
*  Module Advanced Physical Archive :  Administration of the archive's nature for an entity
*
* Contains all the functions to manage natures
*
* @file
* @author Yves Christian KPAKPO <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
* @brief   Module Advanced Physical Archive :  Administration of natures
*/

/**
*
* Contains all the functions to manage natures
*
* @ingroup apa
* @brief   Module Advanced Physical Archive :  Administration of natures
*/
class admin_natures extends dbquery
{
    /**
    * Redefinition of the types object constructor : configure the sql argument order by
    */
    function __construct()
    {
        parent::__construct();
    }

    /**
    * form to add, update the nature
    *
    * @param $mode string mode of the operation
    * @param $id string nature identifier
    */
    public function formnature($mode,$id)
    {
        $func = new functions();
        require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_apa.php");

        $core_tools = new core_tools();

        $state = true;
        if($mode == "up")
        {
            $_SESSION['m_admin']['mode'] = "up";
            if(empty($_SESSION['error']))
            {
                $tab_entity = array();
                $where ="";

                //Filter for entity
                $apa_tools = new apa_tools();
                $entitylist = $apa_tools->getentitylist();
                $where .= " and entity_id in(".$entitylist.")";

                $this->connect();
                $this->query("select * from ".$_SESSION['tablename']['apa_natures']." where arnature_id = '".$id."' ".$where);

                if($this->nb_result() == 0)
                {
                    $_SESSION['error'] = _NATURE_DOES_NOT_EXISTS;
                    $state = false;
                }
                else
                {
                    $_SESSION['m_admin']['arnature']['arnatureId'] = $id;
                    $line = $this->fetch_object();
                    $_SESSION['m_admin']['arnature']['desc'] = $func->show_string($line->arnature_desc);
                    $_SESSION['m_admin']['arnature']['arnature_id'] = $line->arnature_id;
                    $_SESSION['m_admin']['arnature']['arnature_retention'] = $line->arnature_retention;
                    $_SESSION['m_admin']['entity']['entityId'] = $line->entity_id;

                    //Test if the nature is used
                    $_SESSION['m_admin']['arnature']['usednature'] = $this->usednature($id);
                }
            }
        }
        if($mode == "add")
        {
            echo '<h1><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename=add_nature_b.gif" alt="" /> '._NATURE_ADDITION.'</h1>';
        }
        elseif($mode == "up")
        {
            echo '<h1><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename=add_nature_b.gif" alt="" /> '._NATURE_MODIFICATION.'</h1>';
        }
        ?>
        <div id="inner_content" class="clearfix">
            <?php
            if($state === false)
            {
                echo "<br /><br /><br /><br />"._NATURE_DOES_NOT_EXISTS."<br /><br /><br /><br />";
                ?>
                <script  type="text/javascript">
                    url="window.location.href='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=list_natures&module=advanced_physical_archive';";
                    setTimeout(url, 2000);
                </script>
                <?php
            }
            else
            {
                ?>

                <form name="formnature" id="formnature" method="post" action="<?php if($mode == "up") { echo $_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=nature_up_db"; } elseif($mode == "add") { echo $_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=nature_add_db"; } ?>" class="forms addforms">
                <input type="hidden" name="display"  value="true" />
                    <input type="hidden" name="module"  value="advanced_physical_archive" />
                    <?php if($mode == "up")
                    {?>
                        <input type="hidden" name="page"  value="nature_up_db" />
                    <?php }
                     elseif($mode == "add")
                     {?>
                        <input type="hidden" name="page"  value="nature_add_db" />
                     <?php } ?>
                    <input type="hidden" name="order" id="order" value="<?php echo $_REQUEST['order'];?>" />
                    <input type="hidden" name="order_field" id="order_field" value="<?php echo $_REQUEST['order_field'];?>" />
                    <input type="hidden" name="what" id="what" value="<?php echo $_REQUEST['what'];?>" />
                    <input type="hidden" name="start" id="start" value="<?php echo $_REQUEST['start'];?>" />
                <?php
                if($mode <> "add")
                {
                    ?>
                    <input type="hidden"  name="id" value="<?php echo $id; ?>" /></td>
                    <?php
                }
                ?>

                <p>
                    <label><?php echo _ID;?> : </label>
                    <input name="arnatureId" id="arnatureId" type="text" value="<?php echo $func->show_str($_SESSION['m_admin']['arnature']['arnature_id']); ?>" <?php if($_SESSION['m_admin']['arnature']['usednature'] == "true") { echo 'readonly="readonly" class="readonly"';} ?>/><span class="red_asterisk">*</span>
                </p>
                <p>
                    <label><?php echo _DESC;?> : </label>
                    <textarea  cols="30" rows="4"  name="arnaturedesc"  id="arnaturedesc" ><?php echo $func->show_str($_SESSION['m_admin']['arnature']['desc']); ?></textarea><span class="red_asterisk">*</span>
                </p>

                <p>
                    <label><?php echo _NATURE_RETENTION_SHORT;?> : </label>
                    <input name="arnatureretention" id="arnatureretention" type="text" value="<?php echo $func->show_str($_SESSION['m_admin']['arnature']['arnature_retention']); ?>" /><span class="red_asterisk">*</span>
                </p>

                <?php
                //$core_tools->execute_modules_services($_SESSION['modules_services'], 'class_admin_natures.php', "frame", "choose_entity", "entities");
                ?>
                <p>
                    <label for="entity_id"><?php echo _ENTITY;?> : </label>
                    <select name="entityid">
                        <option value="" ><?php echo _CHOOSE_ENTITY;?></option>
                        <?php
                        for($i=0;$i<count($_SESSION['user']['entities']);$i++)
                        {
                            ?>
                            <option value="<?php echo $_SESSION['user']['entities'][$i]['ENTITY_ID'];?>" <?php if($_SESSION['user']['entities'][$i]['ENTITY_ID'] == $_SESSION['m_admin']['entity']['entityId']){ echo 'selected="selected"'; }?> ><?php echo $_SESSION['user']['entities'][$i]['ENTITY_LABEL'];?></option><?php
                        }
                        ?>
                    </select><span class="red_asterisk">*</span>
                </p>
                <?php
                if($_SESSION['m_admin']['arnature']['usednature'] == 'true')
                {
                    ?>
                    <p>
                        <em><?php echo (_WARNING_USED_NATURE); ?></em>
                    </p>
                    <?php
                 }
                 ?>
                <p class="buttons">
                    <?php
                    if($mode == "up")
                    {
                        ?>
                        <input id="naturebutton" type="submit"  name="Submit" value="<?php echo _MODIFY_NATURE; ?>"  class="button"/>
                        <?php
                    }
                    elseif($mode == "add")
                    {
                        ?>
                        <input type="submit" name="Submit" value="<?php echo _ADD_NATURE; ?>" class="button" />
                        <?php
                    }
                    ?>
                    <input type="button" name="cancel" value="<?php echo _CANCEL; ?>" class="button"  onclick="javascript:window.location.href='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=list_natures&amp;module=advanced_physical_archive';"/>
                </p>

                </form>
                <?php
            }
            ?>
        </div>
    <?php
    }

    /**
    * Treats the information returned by the form of formnature()
    *
    * @param $mode administrator string mode (modification, suspension, authorization, delete)
    */
    public function natureinfo($mode)
    {
        $func = new functions();
        //print_r($_REQUEST);exit;
        if($mode == "up")
        {
            $_SESSION['m_admin']['arnature']['arnatureId']  = $func->wash($_POST['id'], "alphanum", _THE_ID);

            if(isset($_POST['arnatureId']) && !empty($_POST['arnatureId']))
            {
                $_SESSION['m_admin']['arnature']['arnature_id'] = $func->wash($_POST['arnatureId'], "alphanum", _THE_ID);
            }
        }

        if($mode == "add")
        {
            $_SESSION['m_admin']['arnature']['arnature_id']  = $func->wash($_POST['arnatureId'], "alphanum", _THE_ID);
        }

        if(isset($_POST['arnaturedesc']) && !empty($_POST['arnaturedesc']))
        {
            $_SESSION['m_admin']['arnature']['desc'] = $func->wash($_POST['arnaturedesc'], "no", _NATURE_DESC);
        }
        else
        {
            $_SESSION['error'] .= _NATURE_DESC." "._MANDATORY."<br>";
        }


        if(isset($_POST['arnatureretention']) && !empty($_POST['arnatureretention']))
        {
            $_SESSION['m_admin']['arnature']['arnature_retention'] = $func->wash($_POST['arnatureretention'], "num", _NATURE_RETENTION_SHORT);
        }
        else
        {
            $_SESSION['error'] .= _NATURE_RETENTION_SHORT." "._MANDATORY."<br>";
        }

        if(isset($_REQUEST['entityid']) && !empty($_REQUEST['entityid']))
        {
            //$_SESSION['m_admin']['arnature']['entity_id'] = $func->wash($_SESSION['m_admin']['entity']['entityId'], "no", _ENTITY);
            $_SESSION['m_admin']['arnature']['entity_id'] = $func->wash($_REQUEST['entityid'], "no", _ENTITY);
        }
        else
        {
            $_SESSION['error'] .= _ENTITY." "._MANDATORY."<br>";
        }
        $_SESSION['m_admin']['arnature']['order'] = $_REQUEST['order'];
        $_SESSION['m_admin']['arnature']['order_field'] = $_REQUEST['order_field'];
        $_SESSION['m_admin']['arnature']['what'] = $_REQUEST['what'];
        $_SESSION['m_admin']['arnature']['start'] = $_REQUEST['start'];
    }

    /**
    * Check if the nature is used
    *
    * @param $id string ontainer type identifier
    * @return string  true if the nature is used,  false if not
    */
    public function usednature($id)
    {
        $used = "false";

        $this->connect();
        $this->query("select arnature_id from ".$_SESSION['tablename']['apa_header']." where arnature_id= '".$id."'");

        if($this->nb_result() > 0)
        {
            $used = "true";
        }
        return $used;

    }

    /**
    * Add ou modify nature in the database
    *
    * @param $mode string up or add
    */
    public function addupnature($mode)
    {
        // add ou modify nature in the database
        $this->natureinfo($mode);
        $order = $_SESSION['m_admin']['arnature']['order'];
        $order_field = $_SESSION['m_admin']['arnature']['order_field'];
        $what = $_SESSION['m_admin']['arnature']['what'];
        $start = $_SESSION['m_admin']['arnature']['start'];
        if(!empty($_SESSION['error']))
        {
            if($mode == "up")
            {
                if(!empty($_SESSION['m_admin']['arnature']['arnatureId']))
                {
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=nature_up&module=advanced_physical_archive&id=".$_SESSION['m_admin']['arnature']['arnatureId']);
                    exit;
                }
                else
                {
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_natures&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                    exit;
                }
            }
            elseif($mode == "add")
            {
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=nature_add&module=advanced_physical_archive");
                exit;
            }
        }
        else
        {
            $func = new functions();

            $this->connect();
            if($mode == "add")
            {
                $this->query("select arnature_id from ".$_SESSION['tablename']['apa_natures']." where arnature_id= '".$_SESSION['m_admin']['arnature']['arnature_id']."'");

                if($this->nb_result() > 0)
                {
                    $_SESSION['error'] = $_SESSION['m_admin']['arnature']['arnature_id']." "._NATURE_ALREADY_EXISTS."<br />";
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=nature_add&module=advanced_physical_archive");
                    exit;
                }
                else
                {
                    $this->query("insert into ".$_SESSION['tablename']['apa_natures']." (arnature_id, arnature_desc, arnature_retention, entity_id, enabled) VALUES
                                ('".$_SESSION['m_admin']['arnature']['arnature_id']."', '".$func->protect_string_db($_SESSION['m_admin']['arnature']['desc'])."',
                                '".$_SESSION['m_admin']['arnature']['arnature_retention']."', '".$_SESSION['m_admin']['arnature']['entity_id']."', 'Y')");

                    $this->clearnatureinfos();
                    $_SESSION['error'] = _NATURE_ADDED;
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_natures&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                    exit;
                }
            }
            elseif($mode == "up")
            {
                $this->query("select arnature_id from ".$_SESSION['tablename']['apa_natures']." where arnature_id= '".$_SESSION['m_admin']['arnature']['arnature_id']."'");

                if(($this->nb_result() > 0) && ($_SESSION['m_admin']['arnature']['arnature_id'] <> $_SESSION['m_admin']['arnature']['arnatureId']))
                {
                    $_SESSION['error'] = $_SESSION['m_admin']['arnature']['arnature_id']." "._NATURE_ALREADY_EXISTS."<br />";
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=nature_add&module=advanced_physical_archive");
                    exit;
                }
                else
                {
                    $this->query("update ".$_SESSION['tablename']['apa_natures']." set
                                arnature_id = '".$_SESSION['m_admin']['arnature']['arnature_id']."',
                                arnature_desc = '".$func->protect_string_db($_SESSION['m_admin']['arnature']['desc'])."',
                                arnature_retention = '".$_SESSION['m_admin']['arnature']['arnature_retention']."' ,
                                entity_id = '".$_SESSION['m_admin']['arnature']['entity_id']."'
                                where arnature_id = '".$_SESSION['m_admin']['arnature']['arnatureId']."'");

                    $this->clearnatureinfos();
                    $_SESSION['error'] = _NATURE_UPDATED;
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_natures&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                    exit();
                }
            }
        }
    }

    /**
    * Clean the $_SESSION['m_admin']['arnature'] array
    */
    private function clearnatureinfos()
    {
        unset($_SESSION['m_admin']);
    }

    /**
    * Delete nature in the database
    *
    * @param $id string nature identifier
    * @param $mode string  del
    */
    public function adminnature($id,$mode)
    {
        $order = $_REQUEST['order'];
        $order_field = $_REQUEST['order_field'];
        $start = $_REQUEST['start'];
        $what = $_REQUEST['what'];
        if(!empty($_SESSION['error']))
        {
            header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_natures&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
            exit;
        }
        else
        {
            $this->connect();
            $this->query("select arnature_id from ".$_SESSION['tablename']['apa_natures']." where arnature_id = '".$id."'");
            if($this->nb_result() == 0)
            {
                $_SESSION['error'] = _NATURE_DOES_NOT_EXISTS;
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_natures&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                exit;
            }
            else
            {
                if($mode == "allow")
                {
                    $this->query("update ".$_SESSION['tablename']['apa_natures']." set enabled = 'Y' where arnature_id = '".$id."'", "no");
                    $_SESSION['error'] = _AUTORIZED_NATURE;

                }
                elseif($mode == "ban")
                {
                    $this->query("update ".$_SESSION['tablename']['apa_natures']." set enabled = 'N' where arnature_id = '".$id."'", "no");
                    $_SESSION['error'] = _SUSPENDED_NATURE;
                }
                elseif($mode == "del" )
                {
                    $_SESSION['m_admin']['arnature']['usednature'] = $this->usednature($id);

                    if($_SESSION['m_admin']['arnature']['usednature'] == 'false')
                    {
                        $this->query("delete from ".$_SESSION['tablename']['apa_natures']."  where arnature_id = '".$id."'", "no");

                        $_SESSION['error'] = _NATURE_DELETED;
                    }
                    else
                    {
                        $_SESSION['error'] = _WARNING_DELETE_USED_NATURE;
                    }
                }
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_natures&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                exit();
            }
        }
    }
}
?>
