<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
*  Module Advanced Physical Archive :  Administration of the archive's positions
*
* Contains all the functions to manage positions
*
* @file
* @author Yves Christian KPAKPO <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
* @brief   Module Advanced Physical Archive :  Administration of positions
*/

/**
*
* Contains all the functions to manage positions
*
* @ingroup apa
* @brief   Module Advanced Physical Archive :  Administration of positions
*/
class admin_positions extends apa_tools
{
    /**
    * Redefinition of the types object constructor : configure the sql argument order by
    */
    function __construct()
    {
        parent::__construct();
    }

    /**
    * form to add, positions
    *
    * @param $mode string mode of the operation
    * @param $siteid string site identifier
    * @param $row string row identifier
    */
    public function formpositions($mode,$siteid, $row="")
    {
        $func = new functions();
        $state = true;

        if(empty($siteid))
        {
            header("location: ".$_SESSION['config']['businessappurl']."index.php?page=manage_positions&module=advanced_physical_archive");
            exit;
        }
        else
        {
            $this->connect();
            $this->query("select site_desc from ".$_SESSION['tablename']['apa_sites']." where site_id= '".$siteid."'");
            if($this->nb_result() == 0)
            {
                $_SESSION['error'] = _SITE_DOES_NOT_EXISTS;
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=manage_positions&module=advanced_physical_archive");
                exit;
            }
            else
            {
                $line = $this->fetch_object();
                $_SESSION['m_admin']['positions']['sitedesc'] = $line->site_desc;
            }

            if($mode == "up")
            {
                if(!empty($row))
                {
                    $_SESSION['m_admin']['positions']['row'] = $row;

                }
            }

            $classinfo = "";
            if($mode == "add")
            {
                echo '<h1><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename=add_positions_b.gif" alt="" /> '._POSITIONS_ADDITION.'</h1>';
            }
            elseif($mode == "up")
            {
                echo '<h1><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename=add_positions_b.gif" alt="" /> '._POSITIONS_MODIFICATION.'</h1>';
                $classinfo=" fieldinfo";

            }
            elseif($mode == "del")
            {
                echo '<h1><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename=del_positions_b.gif" alt="" /> '._POSITIONS_DELETION.'</h1>';
            }

            ?>
            <script type="text/javascript">
                function GetXmlHttpObject()
                {
                    var req = null;

                    if (window.XMLHttpRequest)
                    {
                        req = new XMLHttpRequest();
                    }
                    else if (window.ActiveXObject)
                    {
                        try {
                            req = new ActiveXObject("Msxml2.XMLHTTP");
                        } catch (e)
                        {
                            try {
                                req = new ActiveXObject("Microsoft.XMLHTTP");
                            } catch (e) {}
                        }
                    }
                    return req;
                }

                function updateListBox(ID, Param)
                {
                    if (Param!="")
                    {
                        //link to the PHP file your getting the data from
                        var loaderphp = "<?php echo $_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=position_dropdown_loader";?>";

                        xmlHttp = GetXmlHttpObject();

                        xmlHttp.onreadystatechange=function()
                        {
                            if (xmlHttp.readyState == 1)
                            {
                                document.getElementById(ID).innerHTML = "Loading...";
                            }

                            if(xmlHttp.readyState==4)
                            {
                                //Theses lines below reset the third list box and the total field incase row list is changed
                                if(ID =="colbox")
                                {
                                    var resetLevelBox = '<select name="level" id="level" class="small"></select>';
                                    //document.getElementById('levelbox').innerHTML = resetLevelBox ;
                                    //document.getElementById('capacity').innerHTML = "&nbsp;";
                                }

                                //This set the dat from the php to the html
                                document.getElementById(ID).innerHTML = xmlHttp.responseText;
                            }
                        }
                        //alert(loaderphp+"?id="+ID+"&value="+Param);
                        xmlHttp.open("GET", loaderphp+"&id="+ID+"&value="+Param,true);
                        xmlHttp.send(null);
                    }
                }
            </script>
            <div id="inner_content" class="clearfix">
                <form name="formpositions" id="formpositions" method="post" action="<?php if($mode == "up") { echo $_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=positions_up_db"; } elseif($mode == "add") { echo $_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=positions_add_db"; }elseif($mode == "del") { echo $_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=positions_del_db"; } ?>" class="forms addforms">
                    <input type="hidden"  name="siteid" value="<?php echo $siteid; ?>" />
                    <input type="hidden"  name="display" value="true" />
                    <input type="hidden"  name="module" value="advanced_physical_archive" />
                    <?php if($mode == "up")
                     {?>
                         <input type="hidden"  name="page" value="positions_up_db" />
    <?php           }
                    elseif($mode == "add")
                    { ?>
                        <input type="hidden"  name="page" value="positions_add_db" />
            <?php   }
                    elseif($mode == "del")
                    {?>
                        <input type="hidden"  name="page" value="positions_del_db" />
            <?php   }
                    if($mode == "del" || $mode =="up")
                    {
                    ?>
                        <input type="hidden"  name="rows" value="one" />
                    <?php
                    }
                    ?>
                    <p>
                        <label><?php echo _POSITIONS_SITE;?> : </label>
                        <input name="sitedesc" id="sitedesc" type="text" value="<?php echo $func->show_str($_SESSION['m_admin']['positions']['sitedesc']); ?>" <?php echo 'readonly="readonly" class="readonly"'; ?>/>
                    </p>
                        <?php
                        if($mode == "add")
                        {
                            ?>
                            <p>
                                <label><input type="radio" name="rows"  id="onerow" value="one"  checked="checked" /><?php echo _POSITIONS_ROW;?> :</label>
                                <input name="row" id="row" type="text" class="medium2<?php echo $classinfo; ?>" value="<?php echo $func->show_str($_SESSION['m_admin']['positions']['row']); ?>" onFocus="document.getElementById('onerow').checked=true;" /><span class="red_asterisk">*</span>
                            </p>
                            <?php
                            echo "<p>"._OR."</p>";
                            ?>
                            <p>
                                <label><input type="radio" name="rows"  id="manyrows" value="many" /><?php echo _POSITIONS_FROM_ROW;?> : </label>
                                <input name="fromrow" id="fromrow" type="text" class="medium2" value="<?php echo $func->show_str($_SESSION['m_admin']['positions']['fromrow']); ?>" onFocus="document.getElementById('manyrows').checked=true;" /><span class="red_asterisk">*</span>
                            </p>
                            <p>
                                <label><?php echo _POSITIONS_TO_ROW;?> : </label>
                                <input name="torow" id="torow" type="text" class="medium2" value="<?php echo $func->show_str($_SESSION['m_admin']['positions']['torow']); ?>" onFocus="document.getElementById('manyrows').checked=true;" />
                            </p>
                            <?php
                        }

                        if ($mode =="up" or $mode =="del")
                        {

                            $db = new dbquery();
                            $db->connect();
                            $db->query("select distinct(pos_row) as row from ".$_SESSION['tablename']['apa_positions']." where site_id= '".$siteid."' group by pos_row order by pos_row asc");
                        ?>
                            <p>
                                <label><?php echo _POSITIONS_ROW;?> : </label>
                                <span id="rowbox">
                                <select name="row" id="row" onchange="updateListBox('fromcolbox', this.value);" class="small">
                                    <option value=""><?php echo _POSITIONS_CHOOSE_ROW;?></option>
                                    <?php

                                    if($db->nb_result() > 0)
                                    {
                                        while($line = $db->fetch_object())
                                        {
                                            if($line->row == $row)
                                            {
                                                ?>
                                                <option value="<?php echo $line->row;?>" selected="selected"><?php echo $line->row;?></option>
                                                <?php
                                            }
                                            else
                                            {
                                                ?>
                                                <option value="<?php echo $line->row;?>"><?php echo $line->row;?></option>
                                                <?php
                                            }
                                        }
                                    }
                                    ?>
                                </select>
                                </span>
                            </p>
                        <?php
                        }
                        ?>
                            <p>
                                <label>
                                <?php
                                if($mode == "add" || $mode == "del")
                                {
                                    echo _POSITIONS_FROM_COL;
                                }
                                else
                                {
                                    echo _POSITIONS_COL;
                                }
                                ?> :
                                </label>

                                <?php
                                if($mode == "add")
                                {
                                ?>
                                    <input name="fromcol" id="fromcol" type="text" class="medium2<?php echo $classinfo; ?>" value="<?php echo $func->show_str($_SESSION['m_admin']['positions']['fromcol']); ?>" /><span class="red_asterisk">*</span>
                                <?php
                                }
                                else
                                {
                                    ?>
                                    <span id="fromcolbox">
                                        <select name="fromcol" id="fromcol" onchange="updateListBox('tocolbox', this.value);" class="small">
                                            <option value=""><?php echo _POSITIONS_CHOOSE_COL;?></option>
                                            <?php
                                            $db = new dbquery();
                                            $db->connect();
                                            $db->query("select distinct(pos_col) as col
                                                        from ".$_SESSION['tablename']['apa_positions']."
                                                        where site_id= '".$siteid."'
                                                        and pos_row = '".$row."'
                                                        group by pos_col order by pos_col asc");
                                            //$db->show();
                                            if($db->nb_result() > 0)
                                            {
                                                while($line = $db->fetch_object())
                                                {
                                                ?>
                                                <option value="<?php echo $line->col;?>"><?php echo $line->col;?></option>
                                                <?php
                                                }
                                            }
                                            ?>
                                        </select>
                                    </span>
                                    <?php
                                }
                                ?>
                            </p>
                            <p>
                                <label><?php echo _POSITIONS_TO_COL;?> : </label>
                        <?php
                        if($mode == "add")
                        {
                        ?>
                            <input name="tocol" id="tocol" type="text" class="medium2" value="<?php echo $func->show_str($_SESSION['m_admin']['positions']['tocol']); ?>" />
                        <?php
                        }
                        else
                        {
                        ?>
                                <span id="tocolbox">
                                        <select name="tocol" id="tocol" onchange="updateListBox('levelbox', this.value);" class="small">
                                            <option value=""><?php echo _POSITIONS_CHOOSE_COL;?></option>
                                        </select>
                                </span>
                            </p>
                        <?php
                        }
                        ?>
                    <p>
                        <label>
                            <?php
                            if($mode =="up")
                            {
                                echo _POSITIONS_LEVEL;
                            }
                            elseif($mode == "del")
                            {
                                echo _POSITIONS_FROM_LEVEL;
                            }
                            else
                            {
                                echo _POSITIONS_NUMBER_OF_LEVEL;
                            }
                            ?>
                            :
                        </label>
                        <?php
                        if ($mode == "add")
                        {
                        ?>
                            <input name="level" id="level" type="text" class="medium2<?php echo $classinfo; ?>" value="<?php echo $func->show_str($_SESSION['m_admin']['positions']['level']); ?>" /><span class="red_asterisk">*</span>
                        <?php
                        }
                        else
                        {
                        ?>
                            <span id="levelbox">
                            <select name="level" id="level" onchange="updateListBox('tolevelbox', this.value);" class="small">
                                <option value=""><?php echo _POSITIONS_CHOOSE_LEVEL;?></option>
                            </select>
                            </span>
                        <?php
                        }
                        ?>
                    </p>
                        <?php
                        if($mode == "del" || $mode =="up")
                        {
                            ?>
                            <p>
                                <label><?php echo _POSITIONS_TO_LEVEL;?> : </label>
                                <!-- <input name="tolevel" id="tolevel" type="text" class="medium2" value="<?php echo $func->show_str($_SESSION['m_admin']['positions']['tolevel']); ?>" /> -->
                                <span id="tolevelbox">
                                <select name="tolevel" id="tolevel" class="small" onchange="updateListBox('max_uc', this.value);" >
                                    <option value=""><?php echo _POSITIONS_CHOOSE_LEVEL;?></option>
                                </select>
                                </span>
                            </p>
                            <?php
                        }
                        if($mode =="up")
                        {
                        ?>
                            <p>
                                <label><?php echo _POSITIONS_MAX_UC;?> : </label>
                                <label name="max_uc" id="max_uc" class="readonly" style="width:55px;">&nbsp;</label>
                            </p><br/>
                        <?php
                        }
                        if($mode == "add" || $mode =="up")
                        {

                        ?>
                            <p>
                                <label><?php echo _POSITIONS_CAPACITY;?> : </label>
                                <input name="maxuc" id="maxuc" type="text" class="medium2" value="<?php echo $func->show_str($_SESSION['m_admin']['positions']['maxuc']); ?>" /><span class="red_asterisk">*</span>
                            </p>
                        <?php
                        }
                        ?>
                    <p class="buttons">
                        <?php
                        if($mode == "del")
                        {
                            ?>
                            <input id="positionsbutton" type="submit"  name="Submit" value="<?php echo _DELETE_POSITIONS; ?>"  class="button"/>
                            <?php
                        }
                        elseif($mode == "up")
                        {
                            ?>
                            <input id="positionsbutton" type="submit"  name="Submit" value="<?php echo _MODIFY_POSITIONS; ?>"  class="button"/>
                            <?php
                        }
                        elseif($mode == "add")
                        {
                            ?>
                            <input type="submit" name="Submit" value="<?php echo _ADD_POSITIONS; ?>" class="button" />
                            <?php
                        }
                        ?>
                        <input type="button" name="cancel" value="<?php echo _CANCEL; ?>" class="button"  onclick="javascript:window.location.href='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=manage_positions&amp;module=advanced_physical_archive';"/>
                    </p>
                    </form>
            </div>
            <?php
        }
    }

    /**
    * Treats the information returned by the form of formpositions()
    *
    * @param $mode administrator string mode (modification, suspension, authorization, delete)
    */
    private function positionsinfo($mode)
    {
        $func = new functions();
        //$func->show_array($_POST);

        if(isset($_POST['rows']) && !empty($_POST['rows']))
        {
            if ($_POST['rows'] =="one")
            {
                if(isset($_POST['row']))
                {
                    $_SESSION['m_admin']['positions']['row'] = $func->wash($_POST['row'], "no", _POSITIONS_ROW);

                    //Clear the rows
                    $_SESSION['m_admin']['positions']['fromrow'] = "";
                    $_SESSION['m_admin']['positions']['torow'] = "";
                }
                else
                {
                    $_SESSION['error'] .= _POSITIONS_ROW." "._MANDATORY."<br>";
                }
            }
            elseif($_POST['rows'] =="many")
            {
                if(isset($_POST['fromrow']))
                {
                    $_SESSION['m_admin']['positions']['fromrow'] = $func->wash($_POST['fromrow'], "no", _POSITIONS_ROW_BEGIN);

                    //Clear the row
                    $_SESSION['m_admin']['positions']['row'] = "";
                }
                else
                {
                    $_SESSION['error'] .= _POSITIONS_ROW_BEGIN." "._MANDATORY."<br>";
                }

                if(isset($_POST['torow']) && !empty($_POST['torow']))
                {
                    $_SESSION['m_admin']['positions']['torow'] = $func->wash($_POST['torow'], "no", _POSITIONS_ROW_END);
                }
                else
                {
                    $_SESSION['error'] .= _POSITIONS_ROW_END." "._MANDATORY."<br>";
                }
            }
        }
        else
        {
            $_SESSION['error'] .= _POSITIONS_ROWS." "._MANDATORY."<br>";
        }

        //
        if(isset($_POST['fromcol']) && !empty($_POST['fromcol']) && $_POST['fromcol']>0)
        {
            $_SESSION['m_admin']['positions']['fromcol'] = $func->wash($_POST['fromcol'], "num", _POSITIONS_COL);
        }
        else
        {
            $_SESSION['error'] .= _POSITIONS_COL." "._MANDATORY."<br>";
        }

        if(isset($_POST['tocol']) && !empty($_POST['tocol']) && $_POST['tocol']>0)
        {
            $_SESSION['m_admin']['positions']['tocol'] = $func->wash($_POST['tocol'], "num", _POSITIONS_COL_END);
        }
        else
        {
            $_SESSION['m_admin']['positions']['tocol'] = $_SESSION['m_admin']['positions']['fromcol'];
        }

        if(isset($_POST['level']) && !empty($_POST['level']) && $_POST['level']>0)
        {
            $_SESSION['m_admin']['positions']['level'] = $func->wash($_POST['level'], "num", _POSITIONS_LEVEL);
        }
        else
        {
            if($mode == "up" || $mode =="del")
            {
                $_SESSION['error'] .= _POSITIONS_LEVEL." "._MANDATORY."<br>";
            }
            elseif($mode == "add")
            {
                $_SESSION['error'] .= _POSITIONS_NUMBER_OF_LEVEL." "._MANDATORY."<br>";
            }
        }

        if(isset($_POST['tolevel']) && !empty($_POST['tolevel']) && $_POST['tolevel']>0)
        {
            $_SESSION['m_admin']['positions']['tolevel'] = $func->wash($_POST['tolevel'], "num", _POSITIONS_LEVEL_END);
        }
        else
        {
            $_SESSION['m_admin']['positions']['tolevel'] = $_SESSION['m_admin']['positions']['level'];
        }

        if($mode == "add" || $mode =="up")
        {
            if(isset($_POST['maxuc']) && !empty($_POST['maxuc']) && $_POST['maxuc']>0)
            {
                $_SESSION['m_admin']['positions']['maxuc'] = $func->wash($_POST['maxuc'], "num", _POSITIONS_CAPACITY);
            }
            else
            {
                $_SESSION['error'] .= _POSITIONS_CAPACITY." "._MANDATORY."<br>";
            }
        }
        //echo $_SESSION['error'];
        //$func->show_array($_SESSION['m_admin']['positions']);exit;
    }

    /**
    * Add ou modify positions in the database
    *
    * @param $site string site identifier
    * @param $mode string up or add
    */
    public function adduppositions($site, $mode)
    {
        // add ou modify positions in the database
        $this->positionsinfo($mode);

        $func = new functions();

        if(!empty($_SESSION['error']))
        {
            if($mode == "up")
            {
                if(!empty($site))
                {
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=positions_up&module=advanced_physical_archive");
                    exit;
                }
                else
                {
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=manage_positions&module=advanced_physical_archive");
                    exit;
                }
            }
            elseif($mode == "add")
            {
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=positions_add&module=advanced_physical_archive");
                exit;
            }
        }
        else
        {
            $count = 0;
            $exist = 0;
            $alert = false;
            $alert_row = false;
            $exist_row = "";

            $this->connect();

            if($mode == "add")
            {
                //Create only one row
                if (isset($_SESSION['m_admin']['positions']['row']) && !empty($_SESSION['m_admin']['positions']['row']))
                {
                    $row = strtoupper($_SESSION['m_admin']['positions']['row']);

                    //Check if the row already exist
                    if ($this->rowalreadyexist($site, $row))
                    {
                        $alert_row = true;
                        $exist_row .= $row.", ";
                    }
                    else
                    {
                        //Create positions
                        for ($i=$_SESSION['m_admin']['positions']['fromcol'];$i<=$_SESSION['m_admin']['positions']['tocol'];$i++)
                        {
                            for ($j=1;$j<=$_SESSION['m_admin']['positions']['level'];$j++)
                            {
                                if ($this->positionisavailable ($site,$row,$i,$j))
                                {
                                    $this->query("insert into ".$_SESSION['tablename']['apa_positions']." (site_id, pos_row, pos_col,pos_level,pos_max_uc, pos_available_uc )
                                            values('".$site."','".$row."', ".$i.", ".$j.", ".$_SESSION['m_admin']['positions']['maxuc'].", ".$_SESSION['m_admin']['positions']['maxuc'].")");
                                    $count += 1;
                                }
                                else
                                {
                                    $alert = true;
                                    $exist += 1;
                                }
                            }
                        }
                    }
                }
                elseif(isset($_SESSION['m_admin']['positions']['fromrow']) && !empty($_SESSION['m_admin']['positions']['fromrow']))
                {
                    // Create many rows
                    for ($a=$_SESSION['m_admin']['positions']['fromrow'];$a<=$_SESSION['m_admin']['positions']['torow'];$a++)
                    {
                        //Check if the row already exist
                        if ($this->rowalreadyexist($site, $a))
                        {
                            $alert_row = true;
                            $exist_row .= strtoupper($a).", ";
                        }
                        else
                        {
                            //Create position
                            for ($i=$_SESSION['m_admin']['positions']['fromcol'];$i<=$_SESSION['m_admin']['positions']['tocol'];$i++)
                            {
                                for ($j=1;$j<=$_SESSION['m_admin']['positions']['level'];$j++)
                                {
                                    if ($this->positionisavailable ($site,strtoupper($a),$i,$j))
                                    {
                                        //echo $a."/".$i."/".$j."<br/>";

                                        $this->query("insert into ".$_SESSION['tablename']['apa_positions']." (site_id, pos_row, pos_col,pos_level,pos_max_uc, pos_available_uc )
                                                values('".$site."','".strtoupper($a)."', ".$i.", ".$j.", ".$_SESSION['m_admin']['positions']['maxuc'].", ".$_SESSION['m_admin']['positions']['maxuc'].")");

                                        $count += 1;
                                    }
                                    else
                                    {
                                        $alert = true;
                                        $exist += 1;
                                    }
                                }
                            }
                        }
                    }
                }
                else
                {
                    $_SESSION['error'] = _POSITIONS_ROWS." "._MANDATORY;
                }

                if ($alert)
                {
                    $_SESSION['error'] = $exist." "._POSITIONS_ALWAYS_EXIST."<br/>";
                }

                if ($alert_row)
                {
                    $exist_row = preg_replace(", $", ": ", $exist_row);
                    $_SESSION['error'] = $exist_row." "._POSITIONS_ROWS_ALWAYS_EXIST."<br/>";
                }


                //History only if 1 at least position is created
                if ($count >0)
                {
                    if($_SESSION['history']['positionsadd'] == "true")
                    {
                        require("core/class/class_history.php");
                        $hist = new history();
                        $hist->add($_SESSION['tablename']['apa_positions'], $site ,"ADD", 'positionsadd', $count." "._POSITIONS_ADDED , $_SESSION['config']['databasetype'], 'advanced_physical_archive');
                    }
                }

                $this->clearpositionsinfos();
                $_SESSION['error'] .= $count." "._POSITIONS_ADDED;
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=manage_positions&module=advanced_physical_archive&site=".$site);
                exit;
            }
            elseif($mode == "up")
            {
                $row = strtoupper($_SESSION['m_admin']['positions']['row']);
                //$col = $_SESSION['m_admin']['positions']['fromcol'];
                //$tocol = $_SESSION['m_admin']['positions']['tocol'];
                //$level = $_SESSION['m_admin']['positions']['level'];
                //$tolevel = $_SESSION['m_admin']['positions']['tolevel'];
                $col="";
                $level="";
                $maxuc = $_SESSION['m_admin']['positions']['maxuc'];

                for ($col=$_SESSION['m_admin']['positions']['fromcol'];$col<=$_SESSION['m_admin']['positions']['tocol'];$col++)
                {
                        for ($level=$_SESSION['m_admin']['positions']['level'];$level<=$_SESSION['m_admin']['positions']['tolevel'];$level++)
                        {
                            //Is the position exist
                            if (!$this->positionisavailable ($site,$row,$col,$level))
                            {
                                //Get the id of position
                                $postionid = $this->getpositionid($site,$row,$col,$level);

                                //Get current  max capacity
                                $capacity = $this->getpositioncapacity($postionid);

                                //Get capacity available
                                $avacapacity = $this->getpositionavailablecapacity($postionid);

                                //Calcul the new available capacity
                                $avacapacity = ($maxuc - $capacity) + $avacapacity;

                                //Update the position
                                $this->query("update ".$_SESSION['tablename']['apa_positions']." set pos_max_uc = ".$maxuc.", pos_available_uc = ".$avacapacity." where position_id = ".$postionid);
                            }
                            else
                            {
                                $alert = true;
                            }
                        }
                }

                if ($alert)
                {
                    $_SESSION['error'] = _POSITIONS_DONT_EXIST;
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=positions_up&module=advanced_physical_archive");
                    exit;
                }
                else
                {

                    if($_SESSION['history']['positionsup'] == "true")
                    {
                        require("core/class/class_history.php");
                        $hist = new history();
                        $hist->add($_SESSION['tablename']['apa_positions'], $site ,"UP", 'positionsup', _POSITIONS_UPDATED.": ".$capacity." -> ".$maxuc , $_SESSION['config']['databasetype'], 'advanced_physical_archive');
                    }

                    $this->clearpositionsinfos();
                    $_SESSION['error'] = _POSITIONS_UPDATED;
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=manage_positions&module=advanced_physical_archive&site=".$site);
                    exit;
                }
            }
        }
    }

    /**
    * Clean the $_SESSION['m_admin']['positions'] array
    */
    private function clearpositionsinfos()
    {
        // clear the positions add or modification vars
        $_SESSION['m_admin']['positions'] = array();
        $_SESSION['m_admin']['positions']['sitedesc'] = "";
        $_SESSION['m_admin']['positions']['row'] = "";
        $_SESSION['m_admin']['positions']['fromrow'] = "";
        $_SESSION['m_admin']['positions']['torow'] = "";
        $_SESSION['m_admin']['positions']['fromcol'] = "";
        $_SESSION['m_admin']['positions']['tocol'] = "";
        $_SESSION['m_admin']['positions']['level'] = "";
        $_SESSION['m_admin']['positions']['tolevel'] = "";
        $_SESSION['m_admin']['positions']['maxuc'] = "";
        $_SESSION['m_admin']['positions']['usedposition'] = "";
    }

    /**
    * Delete positions in the database
    *
    * @param $site string site identifier
    * @param $mode string  del
    */
    public function delpositions($site, $mode)
    {
        $this->positionsinfo($mode);

        if(!empty($_SESSION['error']))
        {
            header("location: ".$_SESSION['config']['businessappurl']."index.php?page=positions_del&module=advanced_physical_archive");
            exit;
        }
        else
        {
            $func = new functions();
            $this->connect();
            $count = 0;

            $row = strtoupper($_SESSION['m_admin']['positions']['row']);

            for ($i=$_SESSION['m_admin']['positions']['fromcol'];$i<=$_SESSION['m_admin']['positions']['tocol'];$i++)
            {

                for ($j=$_SESSION['m_admin']['positions']['level'];$j<=$_SESSION['m_admin']['positions']['tolevel'];$j++)
                {
                    $postionid = $this->getpositionid($site,$row,$i,$j);

                    if (!empty($postionid) && $postionid !== false)
                    {
                        //Chek is the positions are empty
                        $this->query("select arcontainer_id from ".$_SESSION['tablename']['apa_containers']." where position_id = ".$postionid);

                        if($this->nb_result() ==0)
                        {
                            $count += $this->getpositionentry($site,$row,$i,$j);

                            $this->query("delete from ".$_SESSION['tablename']['apa_positions']." where
                                        site_id= '".$site."' and pos_row= '".$row."' and pos_col= '".$i."'
                                        and pos_level= '".$j."'");
                        }
                        else
                        {
                            echo"<script type=\"text/javascript\">
                            alert('La position All�e :".$row.", Colonne :".$i.", Niveau :".$j." du site ".$_SESSION['m_admin']['positions']['sitedesc']." n\'est pas vide!');
                            </script>";
                        }
                    }
                }
            }

            if($_SESSION['history']['positionsdel'] == "true")
            {
                require("core/class/class_history.php");
                $hist = new history();
                $hist->add($_SESSION['tablename']['apa_positions'], $site ,"DEL", 'positionsdel', $count." "._POSITIONS_DELETED, $_SESSION['config']['databasetype'], 'advanced_physical_archive');
            }

            $_SESSION['error'] = $count." "._POSITIONS_DELETED;
            header("location: ".$_SESSION['config']['businessappurl']."index.php?page=manage_positions&module=advanced_physical_archive&site=".$site);
            exit;

        }
    }
}
?>
