<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
*  Module Advanced Physical Archive :  Administration of the sites
*
* Contains all the functions to manage conservation sites
*
* @file
* @author Yves Christian KPAKPO <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
* @brief   Module Advanced Physical Archive :  Administration of the sites
*/

/**
*
* Contains all the functions to manage sites
*
* @ingroup apa
* @brief   Module Advanced Physical Archive :  Administration of the sites
*/
class admin_sites extends dbquery
{
    /**
    * Redefinition of the types object constructor : configure the sql argument order by
    */
    function __construct()
    {
        parent::__construct();
    }

    /**
    * form to add, update the site
    *
    * @param $mode string mode of the operation
    * @param $id string site identifier
    */
    public function formsite($mode,$id)
    {
        $func = new functions();
        require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_apa.php");

        $core_tools = new core_tools();

        $state = true;
        if($mode == "up")
        {
            $_SESSION['m_admin']['mode'] = "up";
            if(empty($_SESSION['error']))
            {
                $where ="";

                //Filter for entity
                $apa_tools = new apa_tools();
                $entitylist = $apa_tools->getentitylist();
                $where .= " and entity_id in(".$entitylist.")";

                $this->connect();
                $this->query("select * from ".$_SESSION['tablename']['apa_sites']." where site_id = '".$id."' ".$where);
                if($this->nb_result() == 0)
                {
                    $_SESSION['error'] = _SITE_DOES_NOT_EXISTS;
                    $state = false;
                }
                else
                {
                    $_SESSION['m_admin']['site']['siteId'] = $id;
                    $line = $this->fetch_object();
                    $_SESSION['m_admin']['site']['desc'] = $func->show_string($line->site_desc);
                    $_SESSION['m_admin']['site']['entity_id'] = $line->entity_id;
                    $_SESSION['m_admin']['site']['site_id'] = $line->site_id;

                    //Test if the site is used
                    $_SESSION['m_admin']['site']['usedsite'] = $this->usedsite($id);
                }
            }
        }
        if($mode == "add")
        {
            echo '<h1><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename=add_site_b.gif" alt="" /> '._SITE_ADDITION.'</h1>';
        }
        elseif($mode == "up")
        {
            echo '<h1><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename=add_site_b.gif" alt="" /> '._SITE_MODIFICATION.'</h1>';
        }
        ?>
        <div id="inner_content" class="clearfix">
            <?php
            if($state === false)
            {
                echo "<br /><br /><br /><br />"._SITE_DOES_NOT_EXISTS."<br /><br /><br /><br />";
                ?>
                <script type="text/javascript">
                    url="window.location.href='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=list_sites&module=advanced_physical_archive';";
                    setTimeout(url, 2000);
                </script>
                <?php
            }
            else
            {
                ?>

                <form name="formsite" id="formsite" method="post" action="<?php if($mode == "up") { echo $_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=site_up_db"; } elseif($mode == "add") { echo $_SESSION['config']['businessappurl']."index.php?display=true&module=advanced_physical_archive&page=site_add_db"; } ?>" class="forms addforms">
                    <input type="hidden" name="display"  value="true" />
                    <input type="hidden" name="module"  value="advanced_physical_archive" />
                    <?php if($mode == "up")
                    {?>
                        <input type="hidden" name="page"  value="site_up_db" />
                    <?php }
                     elseif($mode == "add")
                     {?>
                        <input type="hidden" name="page"  value="site_add_db" />
                     <?php } ?>
                    <input type="hidden" name="order" id="order" value="<?php echo $_REQUEST['order'];?>" />
                    <input type="hidden" name="order_field" id="order_field" value="<?php echo $_REQUEST['order_field'];?>" />
                    <input type="hidden" name="what" id="what" value="<?php echo $_REQUEST['what'];?>" />
                    <input type="hidden" name="start" id="start" value="<?php echo $_REQUEST['start'];?>" />
                <?php

                if($mode <> "add")
                {
                    ?>
                    <input type="hidden"  name="id" value="<?php echo $_SESSION['m_admin']['site']['siteId']; ?>" />
                    <?php
                }
                ?>
                <p>
                    <label><?php echo _ID;?> : </label>
                    <input name="siteid" id="siteid" type="text" value="<?php echo $func->show_str($_SESSION['m_admin']['site']['site_id']); ?>" <?php if($_SESSION['m_admin']['site']['usedsite'] == "true") { echo 'readonly="readonly" class="readonly"';} ?>/><span class="red_asterisk">*</span>
                </p>
                <p>
                    <label><?php echo _DESC;?> : </label>
                    <textarea  cols="30" rows="4"  name="sitedesc"  id="sitedesc" ><?php echo $func->show_str($_SESSION['m_admin']['site']['desc']); ?></textarea><span class="red_asterisk">*</span>
                </p>
                <p>
                    <label for="entity_id"><?php echo _ENTITY;?> : </label>
                    <select name="entityid">
                        <option value="" ><?php echo _CHOOSE_ENTITY;?></option>
                        <?php
                        for($i=0; $i<count($_SESSION['user']['entities']);$i++)
                        {
                            ?>
                            <option value="<?php echo $_SESSION['user']['entities'][$i]['ENTITY_ID'];?>" <?php if($_SESSION['user']['entities'][$i]['ENTITY_ID'] == $_SESSION['m_admin']['site']['entity_id']){ echo 'selected="selected"'; }?> ><?php echo $_SESSION['user']['entities'][$i]['ENTITY_LABEL'];?></option><?php
                        }
                        ?>
                    </select><span class="red_asterisk">*</span>
                </p>
                <?php

                if($_SESSION['m_admin']['site']['usedsite'] == 'true')
                {
                    ?>
                    <p>
                        <em><?php echo (_WARNING_USED_SITE); ?></em>
                    </p>
                    <?php
                 }
                 ?>

                <p class="buttons">
                    <?php
                    if($mode == "up")
                    {
                        ?>
                        <input id="sitebutton" type="submit"  name="Submit" value="<?php echo _MODIFY_SITE; ?>"  class="button"/>
                        <?php
                    }
                    elseif($mode == "add")
                    {
                        ?>
                        <input type="submit" name="Submit" value="<?php echo _ADD_SITE; ?>" class="button" />
                        <?php
                    }
                    ?>
                    <input type="button" name="cancel" value="<?php echo _CANCEL; ?>" class="button"  onclick="javascript:window.location.href='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=list_sites&amp;module=advanced_physical_archive';"/>
                </p>

                </form>
                <?php
            }
            ?>
        </div>
    <?php
    }

    /**
    * Treats the information returned by the form of formsite()
    *
    * @param $mode administrator string mode (modification, suspension, authorization, delete)
    */
    public function siteinfo($mode)
    {
        $func = new functions();
        //$func->show_array($_POST);

        if($mode == "up")
        {
            $_SESSION['m_admin']['site']['sitetId']  = $func->wash($_POST['id'], "alphanum", _THE_ID);

            if(isset($_POST['siteid']) && !empty($_POST['siteid']))
            {
                $_SESSION['m_admin']['site']['site_id'] = $func->wash($_POST['siteid'], "alphanum", _THE_ID);
            }
        }

        if($mode == "add")
        {
            $_SESSION['m_admin']['site']['site_id'] = $func->wash($_POST['siteid'], "alphanum", _THE_ID);
        }

        if(isset($_POST['sitedesc']) && !empty($_POST['sitedesc']))
        {
            $_SESSION['m_admin']['site']['desc'] = $func->wash($_POST['sitedesc'], "no", _SITE_DESC);
        }
        else
        {
            $_SESSION['error'] .= _SITE_DESC." "._MANDATORY."<br/>";
        }


        if(isset($_POST['entityid']) && !empty($_POST['entityid']))
        {
            $_SESSION['m_admin']['site']['entity_id'] = $func->wash($_POST['entityid'], "no", _ENTITY);
        }
        else
        {
            $_SESSION['error'] .= _ENTITY." "._MANDATORY."<br>";
        }
        $_SESSION['m_admin']['site']['order'] = $_REQUEST['order'];
        $_SESSION['m_admin']['site']['order_field'] = $_REQUEST['order_field'];
        $_SESSION['m_admin']['site']['what'] = $_REQUEST['what'];
        $_SESSION['m_admin']['site']['start'] = $_REQUEST['start']; }

    /**
    * Check if the site is used
    *
    * @param $id string site identifier
    * @return string  true if the site is used,  false if not
    */
    public function usedsite($id)
    {
        $used = "false";

        $this->connect();
        $this->query("select site_id from ".$_SESSION['tablename']['apa_header']." where site_id= '".$id."'");

        if($this->nb_result() > 0)
        {
            $used = "true";
        }
        return $used;

    }

    /**
    * Add ou modify site in the database
    *
    * @param $mode string up or add
    */
    public function addupsite($mode)
    {
        // add ou modify site in the database
        $this->siteinfo($mode);
        $order = $_SESSION['m_admin']['site']['order'];
        $order_field = $_SESSION['m_admin']['site']['order_field'];
        $what = $_SESSION['m_admin']['site']['what'];
        $start = $_SESSION['m_admin']['site']['start'];
        if(!empty($_SESSION['error']))
        {
            if($mode == "up")
            {
                if(!empty($_SESSION['m_admin']['site']['siteId']))
                {
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=site_up&module=advanced_physical_archive&id=".$_SESSION['m_admin']['site']['siteId']);
                    exit;
                }
                else
                {
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_sites&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                    exit;
                }
            }
            elseif($mode == "add")
            {
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=site_add&module=advanced_physical_archive");
                exit;
            }
        }
        else
        {
            $this->connect();
            $func = new functions();

            if($mode == "add")
            {
                $this->query("select site_id from ".$_SESSION['tablename']['apa_sites']." where site_id= '".$_SESSION['m_admin']['site']['site_id']."'");

                if($this->nb_result() > 0)
                {
                    $_SESSION['error'] = $_SESSION['m_admin']['site']['site_id']." "._SITE_ALREADY_EXISTS."<br />";
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=site_add&module=advanced_physical_archive");
                    exit;
                }
                else
                {
                    $this->query("insert into ".$_SESSION['tablename']['apa_sites']." (site_id, site_desc, entity_id) VALUES ('".$_SESSION['m_admin']['site']['site_id']."', '".$func->protect_string_db($_SESSION['m_admin']['site']['desc'])."', '".$_SESSION['m_admin']['site']['entity_id']."')");

                    if($_SESSION['history']['siteadd'] == "true")
                    {
                        require("core/class/class_history.php");
                        $hist = new history();
                        $hist->add($_SESSION['tablename']['apa_sites'], $_SESSION['m_admin']['site']['site_id'] ,"ADD",'siteadd', _SITE_ADDED." : ".$_SESSION['m_admin']['site']['site_id'] , $_SESSION['config']['databasetype'], 'advanced_physical_archive');
                    }

                    $this->clearsiteinfos();
                    $_SESSION['error'] = _SITE_ADDED;
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_sites&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                    exit;
                }
            }
            elseif($mode == "up")
            {
                //Test if the site already exist
                $this->query("select site_id from ".$_SESSION['tablename']['apa_sites']." where site_id= '".$_SESSION['m_admin']['site']['site_id']."'");

                if(($this->nb_result() > 0) && ($_SESSION['m_admin']['site']['site_id'] <> $_SESSION['m_admin']['site']['siteId']))
                {
                    $_SESSION['error'] = $_SESSION['m_admin']['site']['site_id']." "._SITE_ALREADY_EXISTS."<br />";
                    header("location: ".$_SESSION['config']['businessappurl']."index.php?page=site_up&module=advanced_physical_archive");
                    exit;
                }
                else
                {
                    //Test if the site is used by position
                    $this->query("select site_id from ".$_SESSION['tablename']['apa_positions']." where site_id= '".$_SESSION['m_admin']['site']['siteId']."'");

                    if(($this->nb_result() > 0) && ($_SESSION['m_admin']['site']['site_id'] <> $_SESSION['m_admin']['site']['siteId']))
                    {
                        $_SESSION['error'] = $_SESSION['m_admin']['site']['siteId']." "._WARNING_USED_SITE."<br />";
                        header("location: ".$_SESSION['config']['businessappurl']."index.php?page=site_up&module=advanced_physical_archive");
                        exit;
                    }
                    else
                    {
                        $this->query("update ".$_SESSION['tablename']['apa_sites']." set
                                        site_id = '".$_SESSION['m_admin']['site']['site_id']."',
                                        site_desc = '".$func->protect_string_db($_SESSION['m_admin']['site']['desc'])."',
                                        entity_id = '".$_SESSION['m_admin']['site']['entity_id']."' where site_id = '".$_SESSION['m_admin']['site']['siteId']."'");

                        if($_SESSION['history']['siteup'] == "true")
                        {
                            require("core/class/class_history.php");
                            $hist = new history();
                            $hist->add($_SESSION['tablename']['apa_sites'], $_SESSION['m_admin']['site']['siteId'] ,"UP",'siteup',_SITE_UPDATED." : ".$_SESSION['m_admin']['site']['siteId'] , $_SESSION['config']['databasetype'], 'advanced_physical_archive');
                        }
                        $this->clearsiteinfos();
                        $_SESSION['error'] = _SITE_UPDATED;
                        header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_sites&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                        exit;
                    }
                }
            }
        }
    }

    /**
    * Clean the $_SESSION['m_admin']['site'] array
    */
    private function clearsiteinfos()
    {
        unset($_SESSION['m_admin']);
    }


    /**
    * Delete site in the database
    *
    * @param $id string site identifier
    * @param $mode string  del
    */
    public function adminsite($id,$mode)
    {
        $order = $_REQUEST['order'];
        $order_field = $_REQUEST['order_field'];
        $start = $_REQUEST['start'];
        $what = $_REQUEST['what'];
        if(!empty($_SESSION['error']))
        {
            header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_sites&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
            exit;
        }
        else
        {
            $this->connect();
            $this->query("select site_id from ".$_SESSION['tablename']['apa_sites']." where site_id = '".$id."'");
            if($this->nb_result() == 0)
            {
                $_SESSION['error'] = _SITE_DOES_NOT_EXISTS;
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_sites&module=advanced_physical_archive");
                exit;
            }
            else
            {
                if($mode == "del" )
                {
                    $_SESSION['m_admin']['site']['usedsite'] = $this->usedsite($id);

                    if($_SESSION['m_admin']['site']['usedsite'] == 'false')
                    {
                        $this->query("delete from ".$_SESSION['tablename']['apa_sites']."  where site_id = '".$id."'", "no");
                        $this->query("delete from ".$_SESSION['tablename']['apa_positions']."  where site_id = '".$id."'", "no");
                        $this->query("delete from ".$_SESSION['tablename']['apa_header']."  where site_id = '".$id."'", "no");

                        if($_SESSION['history']['sitedel'] == "true")
                        {
                            require("core/class/class_history.php");
                            $hist = new history();
                            $hist->add($_SESSION['tablename']['apa_sites'], $id ,"DEL",'sitedel', _SITE_DELETED." : ".$id , $_SESSION['config']['databasetype'], 'advanced_physical_archive');
                        }

                        $_SESSION['error'] = _SITE_DELETED;
                    }
                    else
                    {
                        $_SESSION['error'] = _WARNING_DELETE_USED_SITE;
                    }
                }
                header("location: ".$_SESSION['config']['businessappurl']."index.php?page=list_sites&module=advanced_physical_archive&order=".$order."&order_field=".$order_field."&start=".$start."&what=".$what);
                exit();
            }
        }
    }
}
?>
