﻿<?php
class new_list_show extends functions
{
        /*
        * @param    array   $result result of a request
        * @param    string  $key the key used for id in the list
        * @param    array   $parameters parameters of the list
            (
            ['module'] => string $module name of the module where the page is
            ['page_name'] => string $page_name  the calling page
            ['page_title'] => string $page_title title of the pag to be displayed over the list
            ['bool_show_listletters'] => boolean  $bool_show_listletters  true : show list letters, search on the elements of the list by alphabetical filter
            ['bool_show_searchbox'] => boolean  $bool_show_searchbox  true : show search box, search on the elements of the list possible
            ['searchbox_autoCompletionArray'] => array $searchbox_autoCompletionArray array of autocompletion values in search box
            ['bool_view_document'] => boolean $bool_view_document boolean to view document or not
            ['bool_detail'] => boolean $bool_detail boolean to show the detail page link or not
            ['bool_sort'] => boolean $bool_sort boolean to show the order icons or not
            ['table_css'] => string $table_css css used in the list
            ['height'] => string $height height of the list
            ['bool_list_is_ajax'] => boolean $bool_list_is_ajax true if the list is generated using ajax
            ['div_list_ajax'] => string  $div_list_ajax the name of the Div where the list is showed with ajax
            ['bool_legend'] => boolean $legend show the legend icon and tips
            ['legend_title'] => string $legend_title the title of the legend (in box legend))
            ['legend']  => string $legend the legend
            ['what_search'] => string $what_search search expression
            ['nb_total'] => integer $nb_total total number of documents
            ['bool_check_form'] => boolean $bool_check_form true : add checkbox to select row (checkbox name : field[])
            ['bool_radio_form'] => boolean $bool_radio_form true : add radio button to select row
            ['method_form'] => string $method_form method of the select form
            ['action_form'] => string $action_form action of the select form
            ['disabled_form_field'] => string $disabled_form_field name of the database field used to disabled checkbox or radio input of the list
            ['disabled_form_rule'] => string rule to verify to disabled form element (must return boolean) Use generic @disabled_field parameter
            ['hidden_fields_form'] => string $hidden_fields_form  hidden fields in the form
            ['actions_json_form'] => string $actions_json_form json action array in string format
            ['id_action'] => string $id_action id of the action
            ['do_action'] => boolean $do_action if action on list .False by default
            ['link_on_line'] => boolean $link_on_line if the click on  the line open link. False by default
            ['link_on_line_destination'] => string $link_on_line_destination link to open, completed with the key of the current line($link_on_line_destination?id=key)
            ['actions_combo'] => array $actions_combo  list of the elements of the actions combo list
            )
        * @param    array   $actions Actions in the list
            (
            ['href]' => string $href link for action
            ['tooltip]' => string $tooltip tooltip for actiontooltip
            ['class'] => string $class css style for action link
            ['icon'] => string $icon icon for action link
            ['label'] => string $label label of the link
            ['alert'] => boolean $alert If alert before action
            ['alert_text'] => string $alert_text text displayed in the alert box. Can use generic @alert_field parameter
            ['alert_field'] => string $alert_field field used in alert box
            ['disabled_field'] => string $field used in disabled rule
            ['disabled_rule'] => string $rule to desabled action link (must return boolean). Use generic @disabled_field parameter
            )
        */

    public function list_extended($result, $key, $parameters = array(), $actions=array() )
    {
        //Default values
        if (!isset($parameters['bool_show_listletters'])){ $parameters['bool_show_listletters'] = false; }
        if (!isset($parameters['bool_check_form'])){ $parameters['bool_check_form']= false; }
        if (!isset($parameters['bool_radio_form'])){ $parameters['bool_radio_form']= false; }
        if (!isset($parameters['$do_action'])){ $parameters['$do_action'] = false; }
        if (!isset($parameters['link_on_line'])){ $parameters['link_on_line']= false; }
        if (!isset($parameters['show_searchbox'])){ $parameters['show_searchbox']= false; }
        if (!isset($parameters['bool_add_button'])){ $parameters['bool_add_button']= false; }
        if (!isset($parameters['bool_view_document'])){ $parameters['bool_view_document']= false; }
        if (!isset($parameters['bool_detail'])){ $parameters['bool_detail']= false; }
        if (!isset($parameters['bool_sort'])){ $parameters['bool_sort']= false; }
        if (!isset($parameters['bool_legend'])){ $parameters['bool_legend']= false; }
        if (!isset($parameters['bool_page_in_module'])){ $parameters['bool_page_in_module']= false; }
        if (!isset($parameters['bool_list_is_ajax'])){ $parameters['bool_list_is_ajax']= false; }
        if (!isset($parameters['table_css'])){ $parameters['table_css'] = 'listing spec'; }
        if (!isset($parameters['actions_json_form'])){ $parameters['actions_json_form'] = '{}'; }
        if (!isset($parameters['div_list_ajax'])){ $parameters['div_list_ajax'] = ''; }
        if (!isset($parameters['bool_show_searchbox'])){ $parameters['bool_show_searchbox'] = true; }
        if (!isset($parameters['searchbox_autoCompletionArray'])){ $parameters['searchbox_autoCompletionArray'] = array(); }

        //$this->show_array($parameters);

        //show the document list in result of the search
        $link="";
        $what = "";
        $count_td = 0;

        //$listvalue = array();
        $listcolumn = array();
        $listshow = array();
        $listformat = array();
        $ordercol = array();

        // put in tab the different label of the column
        for ($j=0;$j<count($result[0]);$j++)
        {
            array_push($listcolumn,$result[0][$j]["label"]);
            array_push($listshow,$result[0][$j]["show"]);
            array_push($ordercol,$result[0][$j]["order"]);
        }

        //$this->show_array($listcolumn);
        //$this->show_array($listshow);
        //$this->show_array($ordercol);
        //$this->show_array($result);
        $func = new functions();

        //Page page_name
        if (isset($parameters['page_name']))
        {
            //If page is called in a module by index page
            if ($parameters['bool_page_in_module'] && isset($parameters['module']))
            {
                $link = $_SESSION['config']['businessappurl'].'index.php?page='.$parameters['page_name']."&module=".$parameters['module'].$parameters['page_parameters'];
            }
            elseif(isset($parameters['module'])) //Else if page is called inside the module
            {
                //$link = $_SESSION['urltomodules'].$parameters['module']."/".$parameters['page_name'].".php?page=none".$parameters['page_parameters'];
                $link = $_SESSION['config']['businessappurl']."index.php?display=true&module=".$parameters['module']."&page=".$parameters['page_name'].$parameters['page_parameters'];
            }
            else //Default link (anchor) to prevent error in link if no page_name or module name
            {
                $link = "#";
            }
        }
        else
        {
            $link = "#";
        }


        //String searched in list
        if(isset($parameters['what_search']))
        {
            $link.= '&amp;search='.$parameters['what_search'];
        }

        //What to search in list
        if(isset($_REQUEST['what']))
        {
            $link .= "&amp;what=".strip_tags($_REQUEST['what']);

            $what = strip_tags($_REQUEST['what']);
        }

        //Start valu for list
        if(isset($_REQUEST['start']) && !empty($_REQUEST['start']))
        {
            $start = strip_tags($_REQUEST['start']);
        }
        else
        {
            $start = 0;
        }

        //Order direction value
        if(isset($_GET['order']))
        {
            $orderby = strip_tags($_GET['order']);
        }
        else
        {
            $orderby = 'asc';
        }

        //Order database field value
        if(isset($_GET['order_field']))
        {
            $orderfield = strip_tags($_GET['order_field']);
        }
        else
        {
            $orderfield = '';
        }

        //Number of line to show in the list (config value)
        $nb_show = $_SESSION['config']['nblinetoshow'];
        if(isset($parameters['nb_total']) && is_int($parameters['nb_total']))
        {
            $nb_total = $parameters['nb_total'];
        }
        else{ $nb_total = 0; }

        $nb_pages = ceil($nb_total/$nb_show);
        $end = $start + $nb_show;
        if($end > $nb_total)
        {
            $end = $nb_total;
        }

        // if they are more than 1 page we do pagination
        if($nb_pages > 1)
        {
            $next_start = 0;
            $page_dropdown_form = "<div class='list_show_page'><form name=\"newpage1\" method=\"get\" >";

            //If Ajax link, call javascript redirection function
            if($parameters['bool_list_is_ajax'] && !empty($parameters['div_list_ajax']))
            {
                $page_dropdown_form .= _GO_TO_PAGE." <select name=\"startpage\" onchange=\"goToLink('".$link."&amp;start='+document.newpage1.startpage.value,'".$parameters['div_list_ajax']."');\">";
            }
            else //Put normal href link
            {
                $page_dropdown_form .= _GO_TO_PAGE." <select name=\"startpage\" onchange=\"window.location.href='".$link."&amp;start='+document.newpage1.startpage.value;\">";
            }

            //Option content
            $lastpage = 0;
            for($i = 0;$i <> $nb_pages; $i++)
            {
                $the_line = $i + 1;
                if($start == $next_start)
                {
                    $page_dropdown_form .= "<option value=\"".$next_start."\" selected=\"selected\">".$the_line."</option>";

                }
                else
                {
                    $page_dropdown_form .= "<option value=\"".$next_start."\">".$the_line."</option>";
                }

                $next_start = $next_start + $nb_show;
                $lastpage = $next_start;
            }
            $page_dropdown_form .= "</select></form>" ;

            $lastpage = $lastpage - $nb_show;
            $previous = "&nbsp;";
            $next = "";
            if($start > 0)
            {
                $start_prev = $start - $nb_show;
                //If Ajax link, call javascript redirection function
                if($parameters['bool_list_is_ajax'] && !empty($parameters['div_list_ajax']))
                {
                    $previous = "&lt; <a href=\"#\" onclick=\"goToLink('".$link."&amp;start=".$start_prev."','".$parameters['div_list_ajax']."');\">"._PREVIOUS."</a> ";
                }
                else //Put normal href link
                {
                    $previous = "&lt; <a href=\"".$link."&amp;start=".$start_prev."\">"._PREVIOUS."</a> ";
                }
            }

            if($start <> $lastpage)
            {
                $start_next = $start + $nb_show;

                //If Ajax link, call javascript redirection function
                if($parameters['bool_list_is_ajax'] && !empty($parameters['div_list_ajax']))
                {
                    $next = " <div class='list_next' ><a href=\"#\" onclick=\"goToLink('".$link."&amp;start=".$start_next."','".$parameters['div_list_ajax']."');\">"._NEXT."</a> ></div>";
                }
                else //Put normal href link
                {
                    $next = " <div class='list_next' ><a href=\"".$link."&amp;start=".$start_next."\">"._NEXT."</a> ></div>";
                }
            }

            $navigation_link = '<div class="block" style="height:30px;" align="center" ><b><div class="list_previous">'.$previous."</div>".$page_dropdown_form."</div>".$next."</b></div>";
        }

        //Page title
        if(isset($parameters['page_title']))
        {
            echo '<b>'.$parameters['page_title'].'</b>';
        }

        //Listletter for alphabetical filter
        if($parameters['bool_show_listletters'])
        {
            //$this->listletters($link, $parameters['bool_show_searchbox']);
            $this->listletters($link, $parameters['bool_show_searchbox'],  $parameters['searchbox_autoCompletionArray']);
        }

        //Navigation  link
        echo $navigation_link;
        echo ' <div align="center">';

        //$func->show_array($actions);
        $withForm = false;
        //c'est ici qu'il faut faire le test sur l'ensemble des paramètres qui ont besoin du formulaire
        if((isset($parameters['bool_check_form']) && $parameters['bool_check_form']) ||
            (isset($parameters['bool_radio_form']) && $parameters['bool_radio_form']) ||
            (isset($parameters['id_action']) && $parameters['$do_action'])
        )
        {
            $withForm = true;
            $formAction = $parameters['action_form'];
            $formMethod = $parameters['method_form'];

            ?>
            <script type="text/javascript">
            var arr_actions = <?php echo $parameters['actions_json_form'];?>;
            var arr_msg_error = {'confirm_title' : '<?php echo addslashes(_ACTION_CONFIRM);?>',
                                        'validate' : '<?php echo addslashes(_VALIDATE);?>',
                                        'cancel' : '<?php echo addslashes(_CANCEL);?>',
                                        'choose_action' : '<?php echo addslashes(_CHOOSE_ACTION);?>',
                                        'choose_one_doc' : '<?php echo addslashes(_CHOOSE_ONE_DOC);?>',
                                        'choose_one_object' : '<?php echo addslashes(_CHOOSE_ONE_OBJECT);?>'
                        };
            function valid_form(mode, res_id, id_action)
            {

                var val = '';
                var action_id = '';
                var table = '';
                var coll_id = '';
                var module = '';
                var thisfrm = document.getElementById('form_select');
                if(thisfrm)
                {
                    //var val_frm = action_get_values(thisfrm.elements);
                    for(var i=0; i < thisfrm.elements.length; i++)
                    {
                        if(thisfrm.elements[i].name == 'field' && thisfrm.elements[i].checked == true)
                        {
                            val += thisfrm.elements[i].value+',';
                        }
                        else if(thisfrm.elements[i].name == 'field[]' && thisfrm.elements[i].checked == true)
                        {
                            val += thisfrm.elements[i].value+',';
                        }
                        else if(thisfrm.elements[i].id == 'action')
                        {
                            action_id = thisfrm.elements[i].options[thisfrm.elements[i].selectedIndex].value;
                        }
                    /*  else if(form_elem[i].id == 'mode')
                        {
                            mode = form_elem[i].value;
                        }*/
                        else if(thisfrm.elements[i].id == 'table')
                        {
                            table = thisfrm.elements[i].value;
                        }
                        else if(thisfrm.elements[i].id == 'coll_id')
                        {
                            coll_id = thisfrm.elements[i].value;
                        }
                        else if(thisfrm.elements[i].id == 'module')
                        {
                            module = thisfrm.elements[i].value;
                        }
                    }

                    val = val.substr(0, val.length -1);
                    var val_frm = {'values' : val,  'action_id' : action_id, 'table' : table, 'coll_id' : coll_id, 'module' : module}

                    if(res_id && res_id != '')
                    {
                        val_frm['values'] = res_id;
                    }
                    if(id_action && id_action != '')
                    {
                        val_frm['action_id'] = id_action;
                    }

                    //alert(action_id +"/" +val);
                    action_send_first_request('<?php echo $_SESSION['config']['businessappurl'];?>index.php?display=true&page=manage_action&module=core', mode,  val_frm['action_id'], val_frm['values'], val_frm['table'], val_frm['module'], val_frm['coll_id']);
                }
                else
                {
                    alert('Validation form error');
                }
            }

            //Function to check ifone checkbox is enabled
            function checkMyBox()
            {
                var thisfrm = document.getElementById('form_select');
                var count = 0;

                for(var i=0; i < thisfrm.elements.length; i++)
                {

                    if(thisfrm.elements[i].name == 'field' && thisfrm.elements[i].checked == true)
                    {
                        count++ ;
                    }
                    else if(thisfrm.elements[i].name == 'field[]' && thisfrm.elements[i].checked == true)
                    {
                        count++;
                    }

                }

                if(count==0)
                {
                    //alert(arr_msg_error['choose_one_object']);
                    window.top.document.getElementById('main_error').innerHTML = arr_msg_error['choose_one_object'];
                    return false;
                }
            }
            </script>
            <?php
        }
            ?>
            <script type="text/javascript">
            <?php
            //If link on line
            //if($parameters['link_on_line'] && isset($parameters['link_on_line_destination']))
            //{
            ?>
                var window2 = null;
                function openpopup(linkpage)
                {
                    if(window2 == null)
                    {
                        window2=window.open(linkpage);
                    }
                    else
                    {
                        window2.close();
                        window2 = 0;
                        window2 = window.open(linkpage);
                    }
                }
                <?php
            //}
            if($parameters['bool_list_is_ajax'] && !empty($parameters['div_list_ajax']))
            {
                ?>
                function getXhr(){
                    var xhr = null;
                    if(window.XMLHttpRequest) // Firefox et autres
                        xhr = new XMLHttpRequest();
                    else if(window.ActiveXObject){ // Internet Explorer
                        try {
                                xhr = new ActiveXObject("Msxml2.XMLHTTP");
                        } catch (e){
                            xhr = new ActiveXObject("Microsoft.XMLHTTP");
                        }
                    }
                    else { // XMLHttpRequest non supporté par le navigateur
                        alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest...");
                        xhr = false;
                    }
                    return xhr;
                }

                function goToLink(url,divId)
                {
                    var xmlHttp = getXhr();
                     // On ouvre la requete vers la page désirée
                     xmlHttp.open("GET", url, true);
                     xmlHttp.onreadystatechange = function(){
                     if ( xmlHttp.readyState == 4 )
                     {
                        // j'affiche dans la DIV spécifiées le contenu retourné par le fichier
                         document.getElementById(divId).innerHTML = xmlHttp.responseText;
                     }
                    }
                     // dans le cas du get
                   xmlHttp.send(null);
                }
                <?php
            }
                ?>
            </script>
            <?php
        //test d'affichage du formulaire
        if($withForm)
        {
            ?>
            <form name="form_select" id="form_select" action="<?php echo $formAction; ?>" method="<?php echo $formMethod; ?>" class="forms" >
            <?php
            echo $parameters['hidden_fields_form'];
        }

        $table_style= "";

        if(isset($parameters['height']))
        {
        ?>
            <div style="height:<?php echo $parameters['height'];?>;overflow:auto;">
             <div style="height:150%;"><!-- Do not set width! -->

        <?php
            $table_style= "style='width:100%;'";
        }
        ?>
        <table border="0" <?php echo $table_style; ?> cellspacing="0" <?php if(!empty($parameters['table_css'])){ echo 'class="'.$parameters['table_css'].'"'; } ?>>
            <thead>
                <tr>
                <?php
                //If the checkbox boolean
                //if($bool_check_form)
                if(isset($parameters['bool_check_form']) && $parameters['bool_check_form'] ||
                    (isset($parameters['bool_radio_form']) && $parameters['bool_radio_form'])
                    )
                {
                    ?>
                    <th width="3%">&nbsp;</th>
                    <?php
                    $count_td ++;
                }

                //If the view document boolean
                if(isset($parameters['bool_view_document']) && $parameters['bool_view_document'])
                {
                    ?>
                    <th width="3%">&nbsp;</th>
                    <?php
                    $count_td ++;
                }

                //Print column header
                for($count_column = 0;$count_column < count($listcolumn);$count_column++)
                {
                    if($listshow[$count_column]==true)
                    {
                        ?>
                        <th width="<?php echo $result[0][$count_column]['size'];?>%" valign="<?php echo $result[0][$count_column]['valign'];?>"  align="<?php echo $result[0][$count_column]['label_align'];?>" >
                        <span><?php echo $listcolumn[$count_column]?>
                        <?php
                        //Show sort icon
                        if(isset($parameters['bool_sort']) && $parameters['bool_sort'])
                        {
                            ?>
                            <br/><br/>
                            <a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=desc&amp;order_field=<?php echo $ordercol[$count_column];?>" title="<?php echo _DESC_SORT; ?>"><img src="<?php echo $_SESSION['config']['businessappurl'];?>static.php?filename=tri_down.gif" border="0" alt="<?php echo _DESC_SORT; ?>" /></a>
                            <a href="<?php echo $link; ?>&amp;start=<?php echo $start; ?>&amp;order=asc&amp;order_field=<?php echo $ordercol[$count_column];?>" title="<?php echo _ASC_SORT; ?>"> <img src="<?php echo $_SESSION['config']['businessappurl'];?>static.php?filename=tri_up.gif" border="0" alt="<?php echo _ASC_SORT; ?>" /></a>
                            <?php
                        }
                        ?>
                        </span>
                        </th>
                        <?php
                        $count_td ++;
                    }
                }

                //Reserve space for action button
                for($i = 0;$i < count($actions);$i++)
                {
                    ?>
                    <th width="4%" valign="bottom" >&nbsp; </th>
                    <?php
                    $count_td ++;
                }

                //Reserve space for details button
                if(isset($parameters['bool_detail']) && $parameters['bool_detail'])
                {
                    ?>
                    <th width="4%" valign="bottom" >&nbsp; </th>
                    <?php
                    $count_td ++;
                }
                ?>
                </tr>
            </thead>
            <?php
            //
            if(isset($parameters['bool_add_button']) && $parameters['bool_add_button'])
            {
                ?>
                <tfoot>
                    <tr>
                        <td colspan="<?php echo $count_td;?>" class="price"><span class="add clearfix">
                        <a href="<?php echo $parameters['add_button_link'];?>"  ><span><?php echo _ADD?></span></a></span></td>
                    </tr>
                </tfoot>
                <?php
            }
            ?>
            <tbody>
            <?php
            $color = "";
            for($theline = $start; $theline < $end ; $theline++)
            {
                $str_alert_del = '';

                if($color == ' class="col"')
                {
                    $color = '';
                }
                else
                {
                    $color = ' class="col"';
                }

                ?>
                <tr <?php echo $color; ?>>
                <?php
                //Disabled radio an checkbox
                if (isset($parameters['disabled_form_field']) && ((isset($parameters['bool_check_form']) && $parameters['bool_check_form'])
                || (isset($parameters['bool_radio_form']) && $parameters['bool_radio_form'])))
                {
                    $disabled_field = false;
                    $disabled_form_field = "";

                    foreach(array_keys($result[$theline]) as $value)
                    {
                        if($result[$theline][$value]['column'] == $parameters['disabled_form_field'])
                        {
                            $disabled_form_field = addslashes($result[$theline][$value]['value']);
                            break;
                        }
                    }

                    //Disabled fields
                    if (!empty($disabled_form_field))
                    {
                        $str_disabled_field = str_replace("@disabled_field", "'".$disabled_form_field."'", $parameters['disabled_form_rule']);
                        $rule = "return($str_disabled_field);";
                        //echo $str_disabled_field;

                        if(eval($rule))
                        {
                            $disabled_field = true;
                        }
                    }
                }
                //Show checkBox
                if(isset($parameters['bool_check_form']) && $parameters['bool_check_form'])
                {
                    ?>
                    <td width="3%"><div align="center"><input type="checkbox" name="field[]" class="check" <?php if($disabled_field ) { echo 'disabled="true"'; } ?> value="<?php echo $result[$theline][0][$key]; ?>" /></div></td>

                    <?php
                }   //OR Show radio button
                elseif(isset($parameters['bool_radio_form']) && $parameters['bool_radio_form'])
                {
                    ?>
                    <td width="3%"><div align="center"><input type="radio" name="field" class="check" <?php if($disabled_field ) { echo 'disabled="true"';} ?> value="<?php echo $result[$theline][0][$key]; ?>" /></div></td>
                    <?php
                }

                //Show document icon
                if(isset($parameters['bool_view_document']) && $parameters['bool_view_document'])
                {
                    ?>
                    <td width="3%">
                        <div align="center">
                            <a href="<?php echo $_SESSION['config']['businessappurl']."display=true&dir=indexing_searching&page=view_resource_controler&id=".$result[$theline][0][$key]; ?>" target="_blank" title="<?php echo _VIEW_DOC; ?>">
                            <img src="<?php echo $_SESSION['config']['businessappurl']; ?>static.php?filename=picto_dld.gif" alt="<?php echo _VIEW_DOC; ?>" border="0"/></a>
                        </div>
                    </td>
                    <?php
                }
                //Show the rows
                for($count_column = 0;$count_column < count($listcolumn);$count_column++)
                {
                    if($result[$theline][$count_column]['show']==true)
                    {
                        //If action
                        if(isset($parameters['id_action']) && !empty($parameters['id_action']) && $parameters['$do_action'] && $disabled_field === false)
                        {
                        ?>
                            <td width="<?php echo $result[$theline][$count_column]['size'];?>%" align="<?php echo $result[$theline][$count_column]['align'];?>" onclick="valid_form( 'page', '<?php echo $result[$theline][0]['value'];?>', '<?php echo $parameters['id_action'];?>');" <?php if (isset($result[$theline][$count_column]['class']) && !empty($result[$theline][$count_column]['class'])){ echo 'class="'.$result[$theline][$count_column]['class'].'"';}?>><?php echo $func->show_str($this->thisword($result[$theline][$count_column]['value'], $what)); ?></td>
                        <?php
                        }
                        elseif($parameters['link_on_line'] && $disabled_field === false)//If link on line
                        {
                        ?>
                            <td width="<?php echo $result[$theline][$count_column]['size'];?>%" align="<?php echo $result[$theline][$count_column]['align'];?>" onclick="openpopup('<?php echo $parameters['link_on_line_destination'];?>?id=<?php echo $result[$theline][0]['value'];?>');" <?php if (isset($result[$theline][$count_column]['class']) && !empty($result[$theline][$count_column]['class'])){ echo 'class="'.$result[$theline][$count_column]['class'].'"';}?>><?php echo $func->show_str($this->thisword($result[$theline][$count_column]['value'], $what)); ?></td>
                        <?php
                        }
                        else //Default
                        {
                        ?>
                            <td width="<?php echo $result[$theline][$count_column]['size'];?>%" align="<?php echo $result[$theline][$count_column]['align'];?>" <?php if (isset($result[$theline][$count_column]['class']) && !empty($result[$theline][$count_column]['class'])){ echo 'class="'.$result[$theline][$count_column]['class'].'"';}?>><?php echo $func->show_str($this->thisword($result[$theline][$count_column]['value'], $what)); ?></td>
                        <?php
                        }
                    }
                }
                //Show action buttons
                for($i = 0;$i < count($actions);$i++)
                {
                    $disabled_action = false;
                    $disabled_field_value = "";

                    ?>
                    <td class="action">
                        <?php
                        if (isset($actions[$i]['disabled_field']))
                        {
                            foreach(array_keys($result[$theline]) as $value)
                            {
                                if($result[$theline][$value]['column'] == $actions[$i]['disabled_field'])
                                {
                                    $disabled_field_value = addslashes($result[$theline][$value]['value']);
                                    break;
                                }
                            }

                            //Disabled fields
                            if (!empty($disabled_field_value))
                            {
                                $str_disabled_field = str_replace("@disabled_field", "'".$disabled_field_value."'", $actions[$i]['disabled_rule']);
                                $rule = "return($str_disabled_field);";
                                //echo $str_disabled_field;

                                if(eval($rule))
                                {
                                    $disabled_action = true;
                                }
                            }
                        }

                        if (!$disabled_action)
                        {
                            //If you want to use different key for action link
                            if (strpos($actions[$i]['href'], "@key") !== false)
                            {
                                $tab_key = array();
                                //Position of the @key string

                                $key_pos = strpos($actions[$i]['href'], "@key");

                                //Extract part of the url after @key= to the end
                                $key_str = substr($actions[$i]['href'], $key_pos + 5);

                                //Length of the key
                                $key_len = $key_pos + strpos($key_str, "#");

                                //The exact string key
                                $the_key = substr($key_str, 0, strpos($key_str, "#"));
                                $tab_key = explode(";", $the_key);
                                $tab_subkey = array();
                                foreach ($tab_key as $value)
                                {
                                    $tab_subkey = explode("|", $value);
                                    $label = $tab_subkey[0];
                                    $val_key = $tab_subkey[1];

                                    //Get the value
                                    foreach(array_keys($result[$theline]) as $value2)
                                    {
                                        if($result[$theline][$value2]['column'] == $val_key)
                                        {
                                            if($new_href == ''){
                                                $new_href.= $label.'='.$result[$theline][$value2]['value'];
                                            }
                                            else{
                                                $new_href.= '&'.$label.'='.$result[$theline][$value2]['value'];
                                            }

                                        }
                                    }
                                }

                                $href = substr_replace($actions[$i]['href'], $new_href, $key_pos, $key_len);
                                //echo $href; exit;

                            }
                            else
                            {
                                $href = $actions[$i]['href']."&amp;id=".$result[$theline][0][$key];
                            }

                            //If open link in popup widow
                            if(isset($actions[$i]['popup']) && $actions[$i]['popup'] ===true)
                            {
                            ?>
                                <a href="#" onclick="openpopup('<?php echo $href;?>');" title="<?php echo $actions[$i]['tooltip']; ?>"
                            <?php
                            }
                            else
                            {
                            ?>
                                <a href="<?php echo $href; ?>" title="<?php echo $actions[$i]['tooltip']; ?>"
                            <?php
                            }

                            //If javascript alert box
                            if(isset($actions[$i]['alert']) && $actions[$i]['alert'] ===true)
                            {
                                foreach(array_keys($result[$theline]) as $value)
                                {
                                    if($result[$theline][$value]['column'] == $actions[$i]['alert_field'])
                                    {
                                        $str_alert = addslashes($result[$theline][$value]['value']);
                                        break;
                                    }
                                }

                                $str_alert_del = str_replace("@alert_field", $str_alert, $actions[$i]['alert_text']);
                                ?>
                                 onclick="return(confirm('<?php echo $str_alert_del;?>'));"
                                <?php
                            }

                            if(isset($actions[$i]['class']))
                            {
                                echo " class=\"".$actions[$i]['class']."\"> ";
                            }

                            if(isset($actions[$i]['label']))
                            {
                                echo $actions[$i]['label'];
                            }

                            if(isset($actions[$i]['icon']))
                            {
                                echo $actions[$i]['icon'];
                            }
                            ?>
                            &nbsp;</a>
                            <?php
                        }
                        else
                        {
                            echo "&nbsp;";
                        }
                        ?>
                    </td>
                    <?php
                }

                //Show detais icon
                if(isset($parameters['bool_detail']) && $parameters['bool_detail'])
                {
                    ?>
                    <td width="4%"  align="center">
                        <div align="right">
                            <a href="<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=<?php echo $detail_destination;?>&amp;id=<?php echo $result[$theline][0][$key];?>" title=" <?php echo _DETAILS; ?>">
                            <img src="<?php echo $_SESSION['config']['businessappurl'];?>static.php?filename=picto_infos.gif"  alt=" <?php echo _DETAILS; ?>"  width="25" height="25" border="0" /></a>
                        </div>
                    </td>
                    <?php
                }
                ?>
                </tr>
                <?php
            }
            ?>
            </tbody>
        </table>
        <?php
        if(isset($parameters['height']))
        {
        ?>
                </div>
            </div>
        <?php
        }
        ?>
        </br>

        <?php
        //test d'affichage du formulaire
        if($withForm)
        {
            ?>
            <p align="center"></br>
            <?php
            //If action
            if( isset($parameters['actions_combo']) && count($parameters['actions_combo'])>0)
            {
                ?>
                <b><?php echo _ACTIONS; ?> :</b>
                <select name="action" id="action">
                    <option value=''><?php echo _CHOOSE_ACTION;?></option>
                    <?php
                    for($ind_act = 0; $ind_act < count($parameters['actions_combo']);$ind_act++)
                    {
                        ?><option value="<?php echo $parameters['actions_combo'][$ind_act]['VALUE'];?>"><?php echo $parameters['actions_combo'][$ind_act]['LABEL'];?></option><?php
                    }
                    ?>
                </select>
                <input class="button" type="button" name="send" id="send" value="<?php echo _VALIDATE; ?>" onclick="valid_form('mass');" />
                <?php
            }
            //Show action buttons
            for($i = 0;$i < count($parameters['buttons_form']);$i++)
            {
            ?>
                <input class="button" type="<?php echo $parameters['buttons_form'][$i]['type']; ?>" name="<?php echo $parameters['buttons_form'][$i]['name']; ?>" value="<?php echo $parameters['buttons_form'][$i]['label']; ?>" <?php if( isset($parameters['buttons_form'][$i]['action']) && !empty($parameters['buttons_form'][$i]['action'])){ ?> onclick="javascript: <?php echo $parameters['buttons_form'][$i]['action']; ?>" <?php } ?> />

            <?php
            }
            ?>
            </p>
            </form>
            <?php
        }
        ?>
        </div>
        <?php
        if($parameters['bool_legend'] && isset($parameters['legend']) && !empty($parameters['legend']))
        {
        ?>
            <em>
            <a href="#" class="legend"><img src="<?php echo $_SESSION['config']['businessappurl'];?>static.php?filename=picto_legend.gif&module=advanced_physical_archive"  alt=" <?php echo _LEGEND; ?>" border="0" align="absmiddle" /><?php echo _LEGEND; ?>
            <br/><span><?php echo $parameters['legend_title']; ?><hr/><?php echo $parameters['legend']; ?></span>
            <a>
            </em>

        <?php
        }
    }

    /**
    * Mark with a color background the word you're searching in the detail of the row
    *
    * @param string $words  haystack word
    * @param string $need  needle string
    * @param string $maxlen max length of the searched string
    * @return string $words with the needle highlighted
    */
    private function thisword($words,$need, $maxlen = 70)
    {
        // mark with a color background the word you're searching in the detail of the row
        if(strlen($words) < $maxlen)
        {
            if (strlen($need) > 3)
            {
                $ar_need = explode(" ", $need);

                for($i = 0; $i < count($ar_need); $i++)
                {
                    $save_ar_need = "";
                    $pos = stripos($words, $ar_need[$i]);

                    if($pos !== false)
                    {
                        $save_ar_need = substr($words, $pos, strlen($ar_need[$i]));
                    }
                    //$words = str_ireplace($ar_need[$i],"<span class=\"thisword\">".$ar_need[$i]."</span>",$words);
                    $words = preg_replace("/(".$ar_need[$i].")/i","<span class=\"thisword\">".$save_ar_need."</span>",$words);
                }
            }
        }

        return $words;
    }

    /* *
    * show the alphabetical filter in list
    *
    * @param string $link url of the page where the function is used
    * @param boolean $show_searchbox to show the search input box
    * @param array $autoCompletionArray array of autocompletion values
    */
    public function listletters($link, $show_searchbox = true, $autoCompletionArray = array())
    {
        //$link = preg_replace("&amp;what=[A-Z]", "", $link);
        ?>
        <div id="list_letter">
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="forms">
          <tr>
            <td width="65%" height="30">
                <strong><?php echo _ALPHABETICAL_LIST; ?></strong> :
                <?php for($i=ord('A'); $i <= ord('Z');$i++)
                {
                    ?>
                    <a  href="<?php echo $link;?>&amp;what=<?php echo chr($i);?>"><?php echo chr($i);?></a>
                    <?php
                }
                ?>
                - <a href="<?php echo $link;?>&amp;what="><?php echo _ALL; ?></a>
            </td>
            <td width="35%" align="right">
            <?php
            if($show_searchbox)
            {
                ?>
                <form action="<?php echo $link;?>" method="post" name="frmletters">
                    <input name="what" id="what" type="text" size="15"/>
                    <?php
                    if(count($autoCompletionArray > 0))
                    {
                        ?>
                        <div id="whatList" class="autocomplete"></div>
                        <script type="text/javascript">
                            initList('what', 'whatList', '<?php echo $autoCompletionArray['list_script_url'];?>', 'what', '<?php echo $autoCompletionArray['number_to_begin'];?>');
                        </script>
                        <?php
                    }
                    ?>
                    <input name="Submit" class="button" type="submit" value="<?php echo _SEARCH;?>"/>
                </form>
                <?php
            }
            else
            {
                echo "&nbsp;&nbsp;";
            }
            ?>
            </td>
          </tr>
        </table>
        </div>
        <?php
    }

    /**
    * Builds the basket results list (using class_list_show.php method)
    *
    * @param array $values result of a request
    * @param string $key the key used for id in the list
    * @param array $param_list parameters array used to display the result list
    * @param array $actions actions to be displayed in the action list
    * @param array $action_buttons action buttons in the list
    * @param string $line_txt text to be displayed at the bottom of the list to describe the default action
    */
    public function basket_list($values, $key, $param_list, $actions, $action_buttons, $line_txt=_CLICK_LINE_TO_MAKE_ACTION)
    {
        $param_list['actions_combo'] = array();
        //$this->show_array($actions);

        // Browses the actions array to build the jason string that will be used to display the actions in the list
        $param_list['actions_json_form'] = '{';

        if(count($actions) > 0)
        {
            for($i=0; $i<count($actions);$i++)
            {
                $param_list['actions_json_form'] .= "'".$actions[$i]['ID']."' : { 'where' : '".addslashes($actions[$i]['WHERE'])."',";
                $param_list['actions_json_form'] .= "'id_status' : '".$actions[$i]['ID_STATUS']."', 'confirm' : '".$actions[$i]['CONFIRM']."', ";
                $param_list['actions_json_form'] .= "'id_action_page' : '".$actions[$i]['ACTION_PAGE']."'}, ";

                if($actions[$i]['MASS_USE'] == 'Y')
                {
                    array_push($param_list['actions_combo'], array('VALUE' => $actions[$i]['ID'], 'LABEL' => addslashes($actions[$i]['LABEL'])));
                }
            }
            $param_list['actions_json_form'] = preg_replace('/, $/', '}', $param_list['actions_json_form']);
        }

        if(count($param_list['actions_combo']) > 0)
        {
            $param_list['action_form'] = $_SESSION['config']['businessappurl']."index.php?display=true&page=manage_action&module=core";
            $param_list['bool_check_form'] = true;
            $param_list['method_form'] = 'get';
        }

        if(!empty($_SESSION['current_basket']['default_action']))
        {
            $param_list['do_action'] = true;
        }

        $list = new new_list_show();

        if(!isset( $param_list['link_in_line']))
        {
             $param_list['link_in_line'] = false;
        }

        // Displays the list using list_doc method from class_list_shows*
        $this->list_extended($values, $key, $param_list, $action_buttons);

        // Displays the text line if needed
        if(count($values) > 0 && ($param_list['link_in_line'] || $param_list['do_action'] ) )
        {
            echo "<em>".$line_txt."</em>";
        }
    }

    public function define_order($order, $field)
    {
        // configure the sql argument order by
        $orderby = "";

        if(isset($field)  && !empty($field) && (empty($order) || $order == 'asc' || $order == 'desc'))
        {
            $orderby = "order by ".$field." ".$order;
        }
        return $orderby;
    }
}
?>
