<?php
/**
* modules tools Class for Advanced Physical Archive
*
*  Contains all the functions to load modules tables for Advanced Physical Archive
*
* @package  maarch
* @version 3.0
* @since 10/2005
* @license GPL v3
* @author  Yves Christian KPAKPO  <dev@maarch.org>
*
*/

class advanced_physical_archive  extends dbquery
{

	/**
	* Build Maarch module tables into sessions vars with a xml configuration file
	*/
	public function build_modules_tables()
	{
		if(file_exists($_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml"))
		{
			$path = $_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml";
		}
		else
		{
			$path = "modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml";
		}
		$xmlconfig = simplexml_load_file($path);
		foreach($xmlconfig->TABLENAME as $TABLENAME)
		{
			$_SESSION['tablename']['apa_sites'] = (string) $TABLENAME->apa_sites;
			$_SESSION['tablename']['apa_positions'] = (string) $TABLENAME->apa_positions;
			$_SESSION['tablename']['apa_header'] = (string) $TABLENAME->apa_header;
			$_SESSION['tablename']['apa_container_types'] = (string) $TABLENAME->apa_container_types;
			$_SESSION['tablename']['apa_containers'] = (string) $TABLENAME->apa_containers;
			$_SESSION['tablename']['apa_natures'] = (string) $TABLENAME->apa_natures;
			$_SESSION['tablename']['apa_deposits'] = (string) $TABLENAME->apa_deposits;
			$_SESSION['tablename']['apa_boxes'] = (string) $TABLENAME->apa_boxes;

		}
		$HISTORY = $xmlconfig->HISTORY;
		$_SESSION['history']['siteadd'] = (string) $HISTORY->siteadd;
		$_SESSION['history']['siteup'] = (string) $HISTORY->siteup;
		$_SESSION['history']['sitedel'] = (string) $HISTORY->sitedel;
		$_SESSION['history']['positionsadd'] = (string) $HISTORY->positionsadd;
		$_SESSION['history']['positionsup'] = (string) $HISTORY->positionsup;
		$_SESSION['history']['positionsdel'] = (string) $HISTORY->positionsdel;
		$_SESSION['history']['archiveadd'] = (string) $HISTORY->archiveadd;
		$_SESSION['history']['archiveup'] = (string) $HISTORY->archiveup;
		$_SESSION['history']['archivedel'] = (string) $HISTORY->archivedel;
		$_SESSION['history']['archiveloc'] = (string) $HISTORY->archiveloc;
		$_SESSION['history']['archiveres'] = (string) $HISTORY->archiveres;
		$_SESSION['history']['archiveout'] = (string) $HISTORY->archiveout;
		$_SESSION['history']['archiveret'] = (string) $HISTORY->archiveret;
		$_SESSION['history']['archiveview'] = (string) $HISTORY->archiveview;
	}

	public function load_module_var_session($userData)
	{
		$path_lang = "modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR.'lang'.DIRECTORY_SEPARATOR.$_SESSION['config']['lang'].'.php';
		$_SESSION['apa'] = array();

		if(file_exists($_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml"))
		{
			$path_conf = $_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml";
		}
		else
		{
			$path_conf = "modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml";
		}
		$xmlconfig = simplexml_load_file($path_conf);

		$_SESSION['apa']['coll_id'] = (string) $xmlconfig->COLLECTION_ID;
		for($i=0; $i<count($_SESSION['collections']); $i++)
		{
			if($_SESSION['collections'][$i]['id'] == $_SESSION['apa']['coll_id'])
			{
				$_SESSION['tablename']['res_apa'] = $_SESSION['collections'][$i]['table'];
				break;
			}
		}

		if(file_exists($_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."positions_view.xml"))
		{
			$path_pos = $_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."positions_view.xml";
		}
		else
		{
			$path_pos = "modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."positions_view.xml";
		}
		$xmlfile = simplexml_load_file($path_pos);

		$VIEW = $xmlfile->VIEW;

		$_SESSION['apa']['view']['nbrowsperline'] = (string) $VIEW->nbrowsperline;
		$i = 0;
		foreach($VIEW->STATUS as $status)
		{
			$id = (string)$status->ID;
			$label = (string)$status->LABEL;
            if (!empty($label) && defined($label) && constant($label) <> NULL) {
                 $label = constant($label);
            }

			$color = (string)$status->COLOR;
			$rule = (string)$status->RULE;

			$_SESSION['apa']['view']['status'][$i] = array();
			$_SESSION['apa']['view']['status'][$i]['id'] = $id;
			$_SESSION['apa']['view']['status'][$i]['label'] = $label;
			$_SESSION['apa']['view']['status'][$i]['color'] = $color;
			$_SESSION['apa']['view']['status'][$i]['rule'] = $rule;
			$i++;
		}

		if(file_exists($_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."status.xml"))
		{
			$path_status = $_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."status.xml";
		}
		else
		{
			$path_status = "modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."status.xml";
		}
		$xmlstatusfile = simplexml_load_file($path_status);

		//Status Array
		foreach($xmlstatusfile->STATUS as $apastatus)
		{
			$statusid = (string)$apastatus->ID;
			$statuslabel = (string)$apastatus->LABEL;
            if (!empty($statuslabel) && defined($statuslabel) && constant($statuslabel) <> NULL) {
                 $statuslabel = constant($statuslabel);
            }
			$img_filename = (string)$apastatus->IMAGE;

			$_SESSION['apa']['status'][$statusid] = array();
			$_SESSION['apa']['status'][$statusid]['label'] = $statuslabel;
			$_SESSION['apa']['status'][$statusid]['image_filename'] = $img_filename;
		}

		//Load index
		if(file_exists($_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."index.xml"))
		{
			$path_ind = $_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."index.xml";
		}
		else
		{
			$path_ind = "modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."index.xml";
		}
		$xmlfileindex = simplexml_load_file($path_ind );

		$_SESSION['apa']['index'] = array();

		foreach($xmlfileindex->INDEX as $INDEX)
		{
			$indexid =(string) $INDEX->COLUMN;
			$indexlabel = (string) $INDEX->LABEL;
            if (!empty($indexlabel) && defined($indexlabel) && constant($indexlabel) <> NULL) {
                 $indexlabel = constant($indexlabel);
            }

			$_SESSION['apa']['index'][$indexid] = array();
			$_SESSION['apa']['index'][$indexid]['label'] = $indexlabel;
			$_SESSION['apa']['index'][$indexid]['display'] = (string) $INDEX->DISPLAY;;
			$_SESSION['apa']['index'][$indexid]['mandatory'] = (string) $INDEX->MANDATORY;;
		}
	}
}

