<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief   Action :  
*
* Open a modal box to confirm a status modification. Used by the core (manage_action.php page).
*
* @file
* @author Claire Figueras <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apps
*/

/**
* $confirm  bool true
*/
 $confirm = true;

/**
* $etapes  array Contains only one etap, the status modification
*/
 $etapes = array('out_in');
 
function manage_out_in($arr_id, $history, $id_action, $label_action, $status, $coll_id)
{
	require_once('core'.DIRECTORY_SEPARATOR.'class'.DIRECTORY_SEPARATOR.'class_security.php');
	require_once('core'.DIRECTORY_SEPARATOR.'class'.DIRECTORY_SEPARATOR.'class_request.php');
    
    $db = new dbquery();
	$db->connect();
    $sec = new security();
	$req = new request();
    
    $_SESSION['action_error'] = '';
	$result = '';
    $arboxId = '';
    $table = $sec->retrieve_table_from_coll($coll_id);
    $current_date = $req->current_datetime();
    
    //get the label of the action (for history)
    $db->query("select label_action from ".$_SESSION['tablename']['actions']." where id = ".$id_action);
    $line = $db->fetch_object();
    $label_action = $line->label_action;
     
    //Begin    
	for($i=0; $i<count($arr_id );$i++)
	{
		$result .= $arr_id[$i].'#';
        
        //Get the arbox Id
        $db->query("select arbox_id from ".$table." where res_id = ".$arr_id[$i]);
        $line = $db->fetch_object();
        $arboxId = $line->arbox_id;
        
        //Get the header id
        $db->query("select res_id, arbox_id, custom_n1, custom_t2, custom_n2, origin from ".$_SESSION['tablename']['res_apa']. " where res_id = ".$arr_id[$i], true);
        //$db->show();exit;
        $line = $db->fetch_object();
        $headerId = $line->custom_n1;
        
        //Update the arbox status
        if (!empty($arboxId)){        
            $req = $db->query("update ".$_SESSION['tablename']['apa_boxes']." set status = '".$status."' where arbox_id = '".$arboxId."'", true);
            if(!$req)
            {
                $_SESSION['action_error'] = _SQL_ERROR;
                return false;
            }
            else
            {
                if ($status == 'POS')
                {
                    //Reset reservation batch in header
                    $req = $db->query('UPDATE '.$_SESSION['tablename']['apa_header']." SET reservation_id = NULL WHERE header_id = '".$headerId."'");
                    if(!$req)
                    {
                        $_SESSION['action_error'] = _SQL_ERROR;
                        return false;
                    }
                    else
                    {
                        //Update reservation table (return date)
                        $req = $db->query("update ".$_SESSION['tablename']['res_apa']. " set custom_d2 = ".$current_date." where res_id = ".$arr_id[$i], true);
                    }
                }
                elseif ($status == 'OUT')
                {
                    //Update reservation table (outside date)
                    $req = $db->query("update ".$_SESSION['tablename']['res_apa']. " set custom_d1 = ".$current_date." where res_id = ".$arr_id[$i], true);
                }
                
                if(!$req)
                {
                    $_SESSION['action_error'] = _SQL_ERROR;
                    return false;
                }
                else
                {
                    //History
                    if($_SESSION['history']['archiveout'] == "true" || $_SESSION['history']['archiveret'])
                    {
                        require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_history.php");
                        $hist = new history();
                        //Arbox
                        $hist->add($_SESSION['tablename']['apa_boxes'], $arboxId, 'ACTION#'.$id_action, $id_action, $label_action, $_SESSION['config']['databasetype'], 'advanced_physical_archive');
                        //Header
                        $hist->add($_SESSION['tablename']['apa_header'], $headerId, 'ACTION#'.$id_action, $id_action, $label_action, $_SESSION['config']['databasetype'], 'advanced_physical_archive');
                    }
                }
            }
        }
	}
    
	return array('result' => $result, 'history_msg' => '');
 }
?>
