<?php
/*
*    Copyright 2008,2009 Maarch    
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief   Action : simple confirm
*
* Open a modal box to confirm a status modification and . Used by the core (manage_action.php page).
*
* @file
* @author Yves Christian Kpakpo <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
*/

/**
* $confirm  bool true
*/
 $confirm = true;
 
/**
* $etapes  array Contains only one etap, the status modification
*/
 $etapes = array('status');

/** 
* Manages a status (All params must be declared, even if not used, to corresponds to the action management of the core)
*
* @param  $arr_id  array Contains the res_id to be modified
* @param  $history  string Not Used here
* @param  $id_action string Action identifier 
* @param  $label_action string Action label
* @param  $status string New status
* @return bool false in sql error case, true otherwise
*/
function manage_status($arr_id, $history, $id_action, $label_action, $status)
{
	$db = new dbquery();
	$db->connect();
	
	for($i=0; $i<count($arr_id );$i++)
	{
		$alert = false;
		
		//Current datetime
		$thisDate = date('Y-m-d H:i:s');
		
		$libaction = "";
		
		//Get info from table
		$req = $db->query("select arbox_id, custom_n1, custom_t2, custom_n2, origin from ".$_POST['table']. " where res_id = ".$arr_id[$i], true);
		$res = $db->fetch_object();
		
        if($db->nb_result() > 0)
		{
			$boxid = $res->arbox_id;
	        $headerid = $res->custom_n1;
	        $siteid = $res->custom_t2;
	        $container = $res->custom_n2;
	        $entityid = $res->origin;
			
			if($status == 'OUT')
			{
				$eventDate = "custom_d1 = '".$thisDate."'";
			}
			elseif($status == 'POS')
			{
				$eventDate = "custom_d2 = '".$thisDate."'";
			}
			
			//Update table
			$req = $db->query("update ".$_POST['table']. " set status = '".$status."', ".$eventDate." where res_id = ".$arr_id[$i], true);
			
			if(!$req)
			{
				$_SESSION['error'] = _SQL_ERROR;
				$alert = true;
			}
			
			//Update arbox status
			$req = $db->query('UPDATE '.$_SESSION['tablename']['apa_boxes']." SET status = '".$status."' WHERE arbox_id = '".$boxid."'");
			
			if(!$req)
			{
				$alert = true;
				$_SESSION['error'] = _SQL_ERROR;
			}
			
			//Update header reservation Id only  in case of return
			if($status == 'POS')
			{
				$req = $db->query('UPDATE '.$_SESSION['tablename']['apa_header']." SET reservation_id = '' WHERE header_id = '".$headerid."'");
				
				if(!$req)
				{
					$alert = true;
					$_SESSION['error'] = _SQL_ERROR;
				}
			}
			
			//History
			if($_SESSION['history']['archiveout'] == "true")
			{
				require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_history.php");
				$hist = new history();
				
				if($status == 'OUT')
				{
					$libaction = _ARCHIVE_DEDUCTED;
					$action = 'OUT';
					$eventId = 'archiveout';
				}
				elseif($status == 'POS')
				{
					$libaction = _ARCHIVE_RETURNED;
					$action = 'RET';
					$eventId = 'archiveret';
				}
				
				//Res_apa
				$hist->add($_SESSION['tablename']['res_apa'], $headerid, $action, $eventId, $libaction, $_SESSION['config']['databasetype'], 'advanced_physical_archive');
				//Arbox
				$hist->add($_SESSION['tablename']['apa_boxes'], $boxid, $action, $eventId, $libaction, $_SESSION['config']['databasetype'], 'advanced_physical_archive');
				//Header
				$hist->add($_SESSION['tablename']['apa_header'], $headerid, $action, $eventId, $libaction, $_SESSION['config']['databasetype'], 'advanced_physical_archive');
			}
		}
		else
		{
			$alert = true;
			$_SESSION['error'] = _NO_ARCHIVE_CORRESPOND_TO_IDENTIFIER;
		}
		
		//If error
		if($alert)
		{
			return false;
		}
	}
	return true;
 }
?>
