<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief list of archive after search
*
* @file
* @author Yves Christian KPAKPO <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
*/

require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_list_show.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_apa.php");

$core_tools = new core_tools();
$core_tools->test_user();
$core_tools->load_lang();
$func = new functions();
$apa_tools = new apa_tools();

/****************Management of the location bar  ************/
$init = false;
if($_REQUEST['reinit'] == "true")
{
	$init = true;
}
$level = "";
if($_REQUEST['level'] == 2 || $_REQUEST['level'] == 3 || $_REQUEST['level'] == 4 || $_REQUEST['level'] == 1)
{
	$level = $_REQUEST['level'];
}
$page_path = $_SESSION['config']['businessappurl'].'index.php?page=list_apa&module=advanced_physical_archive';
$page_label = _RESULTS;
$page_id = "list_apa";
$core_tools->manage_location_bar($page_path, $page_label, $page_id, $init, $level);
/***********************************************************/

$sql = array();
//Tables
$sql['tables'] = array($_SESSION['tablename']['apa_header'], $_SESSION['tablename']['apa_boxes'], $_SESSION['tablename']['apa_natures']);

//Fiellds
$sql['fields'] = array();
array_push($sql['fields'],
			$_SESSION['tablename']['apa_header'].".header_id",
			$_SESSION['tablename']['apa_header'].".creation_date",
			$_SESSION['tablename']['apa_header'].".entity_id",
			$_SESSION['tablename']['apa_header'].".arnature_id",
			$_SESSION['tablename']['apa_header'].".arbox_id",
			$_SESSION['tablename']['apa_header'].".arcontainer_id",
			$_SESSION['tablename']['apa_sites'].".site_desc",
			$_SESSION['tablename']['apa_header'].".arcontainer_id as container_id",
			$_SESSION['tablename']['apa_header'].".header_desc"
			);
array_push($sql['fields'], $_SESSION['tablename']['apa_natures'].".arnature_desc");
array_push($sql['fields'], $_SESSION['tablename']['apa_boxes'].".status", $_SESSION['tablename']['apa_boxes'].".status as statusid");

//Conditions
$sql['conditions'] = $_SESSION['apa']['searching']['where_request'];
$sql['conditions'].= " 1=1 ";

$cond = new request_conditions();

if(isset($_REQUEST['what']) && !empty($_REQUEST['what']))
{
	$what = $func->protect_string_db($_REQUEST['what']);

	if(isset($_REQUEST['search']) && !empty($_REQUEST['search']))
	{
		$search = $_REQUEST['search'];
		$where_request .= "and(lower(".$search.") like lower('".$what."%')) ";
	}
}



//If there is position searching add condition to existing con ditions
if (isset($_SESSION['apa']['searching']['where_positions_request']) && !empty($_SESSION['apa']['searching']['where_positions_request']))
{
	$request2 = new new_request();
	$sql2 = array();
	$sql2['tables'] = array($_SESSION['tablename']['apa_containers']);
	$sql2['fields'] = array();
	array_push($sql2['fields'], $_SESSION['tablename']['apa_containers'].".arcontainer_id");

	$sql2['joint'] = array (
						array(
							'type' => 'left join',
							'table' => $_SESSION['tablename']['apa_positions'],
							'field1' => $_SESSION['tablename']['apa_containers'].'.position_id',
							'field2' => $_SESSION['tablename']['apa_positions'].'.position_id'
						)
					);
	$sql2['conditions'] = $_SESSION['apa']['searching']['where_positions_request'];

	$sub_sql = $request2->select($sql2, $_SESSION['config']['databasetype'], true);
	$cond->add_operator('AND');
	$cond->add_condition($_SESSION['tablename']['apa_header'].".arcontainer_id", 'in', $sub_sql, 'subquery');

	/*
	$sql['conditions'].= "and ".$_SESSION['tablename']['apa_header'].".arcontainer_id in (
							select ".$_SESSION['tablename']['apa_containers'].".arcontainer_id
							from ".$_SESSION['tablename']['apa_containers']."
							left join ".$_SESSION['tablename']['apa_positions']."
							on ".$_SESSION['tablename']['apa_containers'].".position_id = ".$_SESSION['tablename']['apa_positions'].".position_id
							where ".$_SESSION['apa']['searching']['where_positions_request'].")";
	*/
}

//Build condition
$sql['conditions'] .= $cond->build();

//Order
$order = '';
if(isset($_REQUEST['order']) && !empty($_REQUEST['order']))
{
	$order = trim($_REQUEST['order']);
}
//Field order
$field = '';
if(isset($_REQUEST['order_field']) && !empty($_REQUEST['order_field']))
{
	$field = trim($_REQUEST['order_field']);
}
//Get  order
if( !empty($order) &&  !empty($field))
{
	$sql['orders'] = array($field=>$order);
}

//Joint
$sql['joint'] = array (
						array(
							'type' => 'left join',
							'table' => $_SESSION['tablename']['apa_natures'],
							'field1' => $_SESSION['tablename']['apa_header'].'.arnature_id',
							'field2' => $_SESSION['tablename']['apa_natures'].'.arnature_id'
						),
						array(
							'type' => 'inner join',
							'table' => $_SESSION['tablename']['apa_boxes'],
							'field1' => $_SESSION['tablename']['apa_header'].'.arbox_id',
							'field2' => $_SESSION['tablename']['apa_boxes'].'.arbox_id'
						),
						array(
							'type' => 'left join',
							'table' => $_SESSION['tablename']['apa_sites'],
							'field1' => $_SESSION['tablename']['apa_header'].'.site_id',
							'field2' => $_SESSION['tablename']['apa_sites'].'.site_id'
						),

					);
//Lentgth
$sql['length'] = "500";

$request = new new_request();
$tab = $request->select($sql, $_SESSION['config']['databasetype']);

//$request->show();

if (count($tab) > 0)
{
	for ($i=0;$i<count($tab);$i++)
	{
		$thePosition = array();

		for ($j=0;$j<count($tab[$i]);$j++)
		{
			foreach(array_keys($tab[$i][$j]) as $value)
			{
				if($tab[$i][$j][$value]=='header_id')
				{
					$tab[$i][$j]['header_id']=$tab[$i][$j]['value'];
					$tab[$i][$j]["label"]=_NUM;
					$tab[$i][$j]["size"]="6";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["css_style"]='class="picto"';
					$tab[$i][$j]["align"]="center";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=false;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]='header_id';
				}
				if($tab[$i][$j][$value]=="creation_date")
				{
					$tab[$i][$j]["label"]=_DATE;
					$tab[$i][$j]["value"]=$func->dateformat($tab[$i][$j]["value"]);
					$tab[$i][$j]["size"]="1";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["css_style"]='class="date"';
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="creation_date";
				}
				if($tab[$i][$j][$value]=="arnature_desc")
				{
					$tab[$i][$j]["label"]=_NATURE;
					$tab[$i][$j]["value"]=$request->show_string($tab[$i][$j]['value']);
					$tab[$i][$j]["size"]="50";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="arnature_desc";
				}
				if($tab[$i][$j][$value]=="entity_id")
				{
					$tab[$i][$j]["label"]=_CUSTOMER;
					$tab[$i][$j]["size"]="17";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="entity_id";
				}
				if($tab[$i][$j][$value]=="arbox_id")
				{
					$tab[$i][$j]["label"]=_MANAGE_APA_NUM_UA_SHORT;
					$tab[$i][$j]["size"]="5";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="arbox_id";
				}
				if($tab[$i][$j][$value]=="arcontainer_id")
				{
					$thePosition = $apa_tools->containerposition($tab[$i][$j]["value"], $_SESSION['user']['primaryentity']['id']);
					$tab[$i][$j]["label"]=_MANAGE_APA_NUM_UC_SHORT;
					$tab[$i][$j]["size"]="5";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="arcontainer_id";
				}
				if($tab[$i][$j][$value]=="statusid")
				{
					$tab[$i][$j]["label"]=_STATUS;
					$tab[$i][$j]["size"]="5";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=false;
				}
				if($tab[$i][$j][$value]=="status")
				{
					$tab[$i][$j]["label"]=_STATUS;
					$tab[$i][$j]["size"]="5";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value"] =  '<img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename='.$_SESSION['apa']['status'][$tab[$i][$j]['value']]['image_filename'].'" alt="'.$_SESSION['apa']['status'][$tab[$i][$j]['value']]['label'].'" border="0" align="absmiddle"/>';
					$tab[$i][$j]["class"] = "";
					$tab[$i][$j]["order"]="status";
				}
				if($tab[$i][$j][$value]=="header_desc")
				{
					$tab[$i][$j]["label"]=_MANAGE_APA_HEADER_DESC;
					$tab[$i][$j]["size"]="17";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="header_desc";
				}
				if($tab[$i][$j][$value]=="site_desc")
				{
					$tab[$i][$j]["label"]=_SITE;
					$tab[$i][$j]["value"]=$request->show_string($tab[$i][$j]['value']);
					$tab[$i][$j]["size"]="7";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="site_desc";
				}
				if($tab[$i][$j][$value]=="container_id")
				{
					$tab[$i][$j]["label"]=_MANAGE_APA_POSITION_SHORT;
					if(count($thePosition) >0 )
					{
						$tab[$i][$j]["value"]= $thePosition['row']."/".$thePosition['col']."/".$thePosition['level'];
					}
					else
					{
						$tab[$i][$j]["value"]= "&nbsp;";
					}

					$tab[$i][$j]["size"]="5";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $thePosition['row']."/".$thePosition['col']."/".$thePosition['level'];
					$tab[$i][$j]["order"]="header_desc";
				}
			}
		}
	}

	?>
	<h1><img src="<?php echo $_SESSION['config']['businessappurl']."static.php?module=advanced_physical_archive&filename=picto_search_b.gif";?>" alt="" /> <?php echo _SEARCH_RESULTS." - ".count($tab)." "._FOUND_ARCHIVES;?></h1>
	<div id="inner_content">
	<?php

	//Parameters array
	$parameters = array();
	$parameters['page_name'] = "list_apa";
	$parameters['module'] = "advanced_physical_archive";
	$parameters['bool_page_in_module'] = true;
	$parameters['bool_view_document'] = false;
	$parameters['bool_detail'] = false;
	$parameters['bool_sort'] = true;
	$parameters['table_css'] = 'listing spec';
	$parameters['what_search'] = 'header_desc';
	$parameters['nb_total'] = $i;
	$parameters['bool_legend'] = true;
	$parameters['legend_title'] = _STATUS;
	$parameters['legend'] = "";
	foreach($_SESSION['apa']['status'] as $key => $value)
	{
		$parameters['legend'] .= '<img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename='.$_SESSION['apa']['status'][$key]['image_filename'].'" alt="'.$_SESSION['apa']['status'][$key]['label'].'" border="0" align="absmiddle"/> '.$_SESSION['apa']['status'][$key]['label'].'<br/>';
	}

	//Actions array
	$actions = array();

	$page_name_up = $_SESSION['config']['businessappurl']."index.php?page=apa_up&module=advanced_physical_archive";
	//$page_name_del = $_SESSION['urltomodules']."advanced_physical_archive/apa_del_db.php?module=advanced_physical_archive";
	$page_name_del = $_SESSION['config']['businessappurl']."index.php?display=true&page=apa_del_db&module=advanced_physical_archive";
	$page_name_view = $_SESSION['config']['businessappurl']."index.php?page=apa_view&module=advanced_physical_archive";

	$up = array("href"=>$page_name_up, "class"=>"change", "disabled_field"=>'statusid', "disabled_rule"=>"@disabled_field == 'RSV' || @disabled_field == 'OUT'");
	$del = array("href"=>$page_name_del, "class"=>"delete", "alert"=>true, "alert_text"=>_REALLY_DELETE.": [@alert_field] ?\\n\\r\\n\\r"._DEFINITIVE_ACTION." !", "alert_field"=>'arnature_desc', "disabled_field"=>'statusid', "disabled_rule"=>"@disabled_field != 'NEW'" );
	$view = array("href"=>$page_name_view, "class"=>"view");


	array_push($actions, $up);
	array_push($actions, $del);
	array_push($actions, $view);


	$new_list = new new_list_show();
	$new_list->list_extended($tab, 'header_id', $parameters, $actions);

	?>
	</div>
<?php
}
else
{
	$_SESSION['apa']['error_search'] = "<p class=\"error\"><img src=\"".$_SESSION['config']['businessappurl']."static.php?filename=noresult.gif\" /><br />"._NO_RESULTS."</p>";
	?>
	<script  type="text/javascript">window.top.location.href='<?php echo $_SESSION['config']['businessappurl'].'index.php?page=apa_search_error&module=advanced_physical_archive';?>';</script>
	<?php
}
?>



