<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief list of archive after search
*
* @file
* @author Cdric NDOUMBA <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
*/

require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_list_show.php");
require_once("modules".DIRECTORY_SEPARATOR."advanced_physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_apa.php");

$core_tools = new core_tools();
$core_tools->test_user();
$core_tools->load_lang();
$func = new functions();
$apa_tools = new apa_tools();

$select = array();
$select[$_SESSION['tablename']['apa_header']] = array();
$select[$_SESSION['tablename']['apa_natures']] = array();
$select[$_SESSION['tablename']['apa_boxes']] = array();
$tabWhere_request = array();
$where_request = '';
$status_where = '';
$action_label = '';
$action_href = '';
$form_action = '';
$_SESSION['apa']['error_search'] = '';

define('MIN_STRING_LEN', 4);

array_push($select[$_SESSION['tablename']['apa_header']], 'header_id', 'creation_date', 'entity_id', 'arbox_id', 'arcontainer_id', 'arnature_id', 'header_desc');
array_push($select[$_SESSION['tablename']['apa_natures']], 'arnature_desc');
array_push($select[$_SESSION['tablename']['apa_boxes']], 'arbox_id', 'title', 'status', 'status as statusid');

$parameters = '';
//Entity
if(isset($_REQUEST['entityid']) && !empty($_REQUEST['entityid']))
{
	$parameters .= '&entityid='.$_REQUEST['entityid'];
	$tabWhere_request[] = $_SESSION['tablename']['apa_header'].".entity_id = '".$_REQUEST['entityid']."'";
	//Nature
	if(isset($_REQUEST['arnatureid']) && !empty($_REQUEST['arnatureid']))
	{
		$parameters .= '&arnatureid='.$_REQUEST['arnatureid'];
		$tabWhere_request[] = $_SESSION['tablename']['apa_header'].".arnature_id = '".$_REQUEST['arnatureid']."'";
	}
}

//Year 1
if(isset($_REQUEST['year1']) && !empty($_REQUEST['year1']))
{
	$parameters .= '&year1='.trim($_REQUEST['year1']);
	$tabWhere_request[] = $_SESSION['tablename']['apa_header'].".year_1 = '".trim($_REQUEST['year1'])."'";
}

//Year 2
if(isset($_REQUEST['year2']) && !empty($_REQUEST['year2']))
{
	$parameters .= '&year2='.trim($_REQUEST['year2']);
	$tabWhere_request[] = $_SESSION['tablename']['apa_header'].".year_2 = '".trim($_REQUEST['year2'])."'";
}

//DESC
if(isset($_REQUEST['desc']) && strlen(trim($_REQUEST['desc'])) > MIN_STRING_LEN) {
	$tabWhere_request[] = "lower(".$_SESSION['tablename']['apa_header'].".header_desc) like lower('%".trim($_REQUEST['desc'])."%')";
}

//Description in advanced search
if(isset($_REQUEST['desc_q']) && !empty($_REQUEST['desc_q']))
{
	$parameters .= '&desc_q='.$_REQUEST['desc_q'];
	$tab_str = $tmp_req = array();
	$tab_str = explode(' ', trim($_REQUEST['desc_q']));
	for ($i=0; $i<count($tab_str); $i++)
	{
		if(strlen(trim($tab_str[$i])) >= MIN_STRING_LEN)
		{
			$tmp_req[] = "lower(".$_SESSION['tablename']['apa_header'].".header_desc) like lower('%".$tab_str[$i]."%')";
		}
		else{
			//error
			$_SESSION['apa']['error_search'] .= _MANAGE_APA_ADVANCED_SEARCH_WORD.' "'.$tab_str[$i].'" '._MANAGE_APA_ADVANCED_SEARCH_IS_IGNORED.'<br>';
		}
	}

	if(count($tmp_req) > 0){
		/*$desc_q_request = '(';
		$desc_q_request .= implode(' and ', $tmp_req);
		$desc_q_request .= ')';
		$tabWhere_request[] = $desc_q_request;*/
		$tabWhere_request[] = '('.implode(' and ', $tmp_req).')';
	}
}

//
if(isset($_REQUEST['desc_epq']) && !empty($_REQUEST['desc_epq']))
{
	if(strlen(trim($_REQUEST['desc_epq'])) >= MIN_STRING_LEN){
		$parameters .= '&desc_epq='.$_REQUEST['desc_epq'];
		$tabWhere_request[] = "lower(".$_SESSION['tablename']['apa_header'].".header_desc) like lower('%".trim($_REQUEST['desc_epq'])."%') ";
	}
	else{
		//error
		$_SESSION['apa']['error_search'] .= _MANAGE_APA_ADVANCED_SEARCH_WORD.' <'.$_REQUEST['desc_epq'].'> '._MANAGE_APA_ADVANCED_SEARCH_IS_IGNORED.'<br>';
	}
}

//
if(isset($_REQUEST['desc_oq']) && !empty($_REQUEST['desc_oq']))
{
	$parameters .= '&desc_oq='.$_REQUEST['desc_oq'];
	$tab_str = $tmp_req = array();
	$tab_str = explode(" ", trim($_REQUEST['desc_oq']));
	for ($i=0; $i<count($tab_str); $i++)
	{
		if(strlen(trim($tab_str[$i])) >= MIN_STRING_LEN){
			$tmp_req[] = "lower(".$_SESSION['tablename']['apa_header'].".header_desc) like lower('%".$tab_str[$i]."%')";
		}
		else{
			//error
			$_SESSION['apa']['error_search'] .= _MANAGE_APA_ADVANCED_SEARCH_WORD.' <'.$tab_str[$i].'> '._MANAGE_APA_ADVANCED_SEARCH_IS_IGNORED.'<br>';
		}
	}

	if(count($tmp_req) > 0){
		/*$desc_oq_request = '(';
		$desc_oq_request .= implode(' or ', $tmp_req);
		$desc_oq_request .= ')';
		$tabWhere_request[] = $desc_oq_request;*/
		$tabWhere_request[] = '('.implode(' or ', $tmp_req).')';
	}
}

//
if(isset($_REQUEST['desc_eq']) && !empty($_REQUEST['desc_eq']))
{
	$parameters .= '&desc_eq='.$_REQUEST['desc_eq'];
	$tab_str = $tmp_req = array();
	$tab_str = explode(" ", trim($_REQUEST['desc_eq']));
	for ($i=0; $i<count($tab_str); $i++)
	{
		if(strlen(trim($tab_str[$i])) >= MIN_STRING_LEN)
		{
			$tmp_req[] = "lower(".$_SESSION['tablename']['apa_header'].".header_desc) not like lower('%".$tab_str[$i]."%')";
		}
		else{
			//error
			$_SESSION['apa']['error_search'] .= _MANAGE_APA_ADVANCED_SEARCH_WORD.' <'.$tab_str[$i].'> '._MANAGE_APA_ADVANCED_SEARCH_IS_IGNORED.'<br>';
		}
	}

	if(count($tmp_req) > 0){
		/*$desc_oq_request = '(';
		$desc_oq_request .= implode(' and ', $tmp_req);
		$desc_oq_request .= ')';
		$tabWhere_request[] = $desc_oq_request;*/
		$tabWhere_request[] = '('.implode(' and ', $tmp_req).')';
	}
}


$form_action = $_SESSION['config']['businessappurl'].'index.php?display=true&module=advanced_physical_archive&page=apa_reserve';

//builds the users entities filter of the current user
$entitylist = $apa_tools->getentitylist();
$where_request = $_SESSION['tablename']['apa_header'].'.arnature_id = '.$_SESSION['tablename']['apa_natures'].'.arnature_id and '.$_SESSION['tablename']['apa_header'].'.arbox_id = '.$_SESSION['tablename']['apa_boxes'].'.arbox_id and ('.$_SESSION['tablename']['apa_boxes'].'.entity_id in ('.$entitylist.') or '.$_SESSION['tablename']['apa_boxes'].'.entity_id is NULL)';

reset($tabWhere_request); //remet le pointeur interne de tableau au dbut
foreach ($tabWhere_request as $value){
	$where_request.= ' and '.$value;
}

$where_request.= $status_where;

$order = '';
$field = '';

$limit = '500';
$orderstr = '';
$first_join_table = '';
$second_join_table = '';
$join_key = '';

$request = new request();
$tab = $request->select($select, $where_request, $orderstr, $_SESSION['config']['databasetype'], $limit, false, $first_join_table, $second_join_table, $join_key);
//$request->show();

if (count($tab) > 0)
{
	for ($i=0;$i<count($tab);$i++)
	{
		for ($j=0;$j<count($tab[$i]);$j++)
		{
			foreach(array_keys($tab[$i][$j]) as $value)
			{
			if($tab[$i][$j][$value]=='header_id')
				{
					$tab[$i][$j]['header_id']=$tab[$i][$j]['value'];
					$tab[$i][$j]["label"]=_NUM;
					$tab[$i][$j]["size"]="5";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["css_style"]='class="picto"';
					$tab[$i][$j]["align"]="center";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=false;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]='header_id';
				}
				if($tab[$i][$j][$value]=="creation_date")
				{
					$tab[$i][$j]["label"]=_MANAGE_APA_DEPOSIT_DATE;
					$tab[$i][$j]["value"]=$func->dateformat($tab[$i][$j]["value"]);
					$tab[$i][$j]["size"]="1";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["css_style"]='class="date"';
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="creation_date";
				}
				if($tab[$i][$j][$value]=="arnature_desc")
				{
					$tab[$i][$j]["label"]=_NATURE;
					$tab[$i][$j]["value"]=$request->show_string($tab[$i][$j]['value']);
					$tab[$i][$j]["size"]="20";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="arnature_desc";
				}
				if($tab[$i][$j][$value]=="entity_id")
				{
					$tab[$i][$j]["label"]=_CUSTOMER;
					$tab[$i][$j]["size"]="10";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="entity_id";
				}
				if($tab[$i][$j][$value]=="arbox_id")
				{
					$tab[$i][$j]["label"]=_ARBOX;
					$tab[$i][$j]["size"]="10";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="right";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="arbox_id";
				}
				if($tab[$i][$j][$value]=="title")
				{
					$tab[$i][$j]["label"]=_TITLE;
					$tab[$i][$j]["size"]="20";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="title";
				}
				if($tab[$i][$j][$value]=="header_desc")
				{
					$tab[$i][$j]["label"]=_MANAGE_APA_HEADER_DESC;
					$tab[$i][$j]["size"]="25";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
					$tab[$i][$j]["order"]="header_desc";
				}
				if($tab[$i][$j][$value]=="statusid")
				{
					$tab[$i][$j]["label"]=_STATUS;
					$tab[$i][$j]["size"]="5";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=false;
				}
				if($tab[$i][$j][$value]=="status")
				{
					$tab[$i][$j]["label"]=_STATUS;
					$tab[$i][$j]["size"]="5";
					$tab[$i][$j]["label_align"]="left";
					$tab[$i][$j]["align"]="left";
					$tab[$i][$j]["valign"]="bottom";
					$tab[$i][$j]["show"]=true;
					$tab[$i][$j]["value"] =  '<img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename='.$_SESSION['apa']['status'][$tab[$i][$j]['value']]['image_filename'].'" alt="'.$_SESSION['apa']['status'][$tab[$i][$j]['value']]['label'].'" border="0" align="absmiddle" />';
					$tab[$i][$j]["class"] = "";
					$tab[$i][$j]["order"]="status";
				}
			}
		}
	}

	$paramsTab = array();

	$paramsTab['table_css'] = 'listing spec';
	$paramsTab['nb_total'] = $i;
	$paramsTab['bool_check_form'] = true;
	$paramsTab['disabled_form_field'] = "statusid";
	$paramsTab['disabled_form_rule'] ="@disabled_field != 'POS'";
	$paramsTab['page_name'] = 'list_apa_flux';
	//$paramsTab['page_parameters'] = '&entityid='.$_REQUEST['entityid'].'&numua='.$_REQUEST['numua'];
	$paramsTab['page_parameters'] = $parameters;
	//$paramsTab['bool_page_in_module'] = true;
	$paramsTab['module'] = 'advanced_physical_archive';
	$paramsTab['what_search'] = 'header_id';
	$paramsTab['bool_list_is_ajax'] = true;
	$paramsTab['div_list_ajax'] = "searchResult";
	$paramsTab['height'] = '270px';
	$paramsTab['bool_legend'] = true;
	$paramsTab['legend_title'] = _STATUS;
	$paramsTab['legend'] = "";
	foreach($_SESSION['apa']['status'] as $key => $value)
	{
		$paramsTab['legend'] .= '<img src="'.$_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename='.$_SESSION['apa']['status'][$key]['image_filename'].'" alt="'.$_SESSION['apa']['status'][$key]['label'].'" border="0" align="absmiddle" /> '.$_SESSION['apa']['status'][$key]['label'].'<br/>';
	}

	//Actions array
	$actions = array();
	$page_name_view = $_SESSION['config']['businessappurl']."index.php?page=apa_view&module=advanced_physical_archive";
	$view = array("href"=>$page_name_view, "class"=>"view");
	$reserve_page = $_SESSION['config']['businessappurl'].'index.php?page=apa_reserve&module=advanced_physical_archive';
	$resv = array('href'=>$reserve_page, 'class'=>'reserve', 'alert'=>true, "alert_text"=>_ARCHIVE_RESERVE.": [@alert_field] ?", "alert_field"=>'arnature_desc', "disabled_field" => 'statusid', "disabled_rule" => "@disabled_field != 'POS'");
	array_push($actions, $resv);
	//array_push($actions, $view);

	// Button of the form
	$paramsTab['buttons_form'] = array();
	$submit = array("type"=>"submit", "name"=>"valid", "label"=>_VALIDATE, "action"=>"return checkMyBox()");
	array_push($paramsTab['buttons_form'], $submit);
	$paramsTab['method_form'] = "post";
	$paramsTab['action_form'] = $form_action;

	?>
	<div class="error">
		<?php
			echo $_SESSION['apa']['error_search'];
			$_SESSION['apa']['error_search'] = '';
		?>
	</div>
	<h2><img src="<?php echo $_SESSION['config']['businessappurl'].'static.php?module=advanced_physical_archive&filename=picto_search_b.gif';?>" alt="" /> <?php echo _SEARCH_RESULTS.' - '.count($tab).' '._FOUND_ARCHIVES;?></h2>
	<div id="inner_content">
	<?php
	//$func->show_array($tab);
	$list = new new_list_show();
	$list->list_extended($tab, 'header_id', $paramsTab, $actions);
	?>
	</div>
	<?php
}

?>
