<?php
/*
*    Copyright 2008,2009 Maarch    
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief  Advanced Physical Archive Administration summary Page
*
* @file
* @author Yves Christian KPAKPO <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apa
*/

require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
$core_tools = new core_tools();
$core_tools->test_user();
$core_tools->load_lang();

unset($_SESSION['m_admin']);

//Test if the user have the right to manage
if($core_tools->test_service('manage_apa', "advanced_physical_archive"))
{
	//Some cleaning
	unset($_SESSION['apa']['site']);
	unset($_SESSION['apa']['positions']);
	unset($_SESSION['apa']['sitelist']);
	unset($_SESSION['apa']['header']);
	unset($_SESSION['apa']['search']);
	unset($_SESSION['apa']['searching']);
	unset($_SESSION['apa']['return']);
	

	/****************Management of the location bar  ************/
	$init = false;
	if($_REQUEST['reinit'] == "true")
	{
		$init = true;
	}
	$level = "";
	if($_REQUEST['level'] == 2 || $_REQUEST['level'] == 3 || $_REQUEST['level'] == 4 || $_REQUEST['level'] == 1)
	{
		$level = $_REQUEST['level'];
	}  
	$page_path = $_SESSION['config']['businessappurl'].'index.php?page=manage_apa&module=advanced_physical_archive';
	$page_label = _MANAGE_APA;
	$page_id = "manage_apa";
	$core_tools->manage_location_bar($page_path, $page_label, $page_id, $init, $level);
	/***********************************************************/

	?>
	<h1><img src="<?php echo $_SESSION['config']['businessappurl'];?>static.php?module=advanced_physical_archive&filename=manage_apa_b.gif" alt="" /> <?php echo _APA;?></h1>

	<div id="inner_content" class="clearfix">
	<?php
	if(count($_SESSION['user']['entities'])> 0)
	{
	?>
	<h2 class="admin_subtitle block" ><?php echo _MANAGE_APA;?></h2>
	    <div class="admin_item" id="manage_apa_add_sub" title="<?php echo _MANAGE_APA_ADD;?>" onclick="window.top.location='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=apa_add&amp;module=advanced_physical_archive';">
	        <div class="sum_margin">
					<strong><?php echo _MANAGE_APA_ADD;?></strong><!--<br/>
					<em><?php echo _MANAGE_APA_ADD;?></em>-->
	         </div>         
	    </div>
		<div class="admin_item" id="manage_apa_pos_sub" title="<?php echo _MANAGE_APA_POSITION;?>" onclick="window.top.location='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=uc_add&amp;module=advanced_physical_archive';">
	        <div class="sum_margin">
					<strong><?php echo _MANAGE_APA_POSITION;?></strong><!--<br/>
					<em><?php echo _MANAGE_APA_POSITION;?></em>-->
	         </div>         
	    </div>		
	    <div class="admin_item" id="manage_apa_search_sub" title="<?php echo _MANAGE_APA_SEARCH;?>" onclick="window.top.location='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=apa_search&amp;module=advanced_physical_archive';">	
	        <div class="sum_margin" >
					<strong><?php echo _MANAGE_APA_SEARCH;?></strong><!--<br/>
					<em><?php echo _MANAGE_APA_SEARCH;?></em>-->
			</div>
	    </div> 
		<!--<div class="admin_item" id="manage_apa_print_sub" title="<?php echo _MANAGE_APA_PRINT;?>" onclick="window.top.location='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=apa_print&amp;module=advanced_physical_archive';">
			<div class="sum_margin">
				<strong><?php echo _MANAGE_APA_PRINT;?></strong>
			</div>
	    </div>-->
		<div class="admin_item" id="manage_apa_import_sub" title="<?php echo _MANAGE_APA_IMPORT;?>" onclick="window.top.location='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=apa_import&amp;module=advanced_physical_archive';">
	        <div class="sum_margin">
					<strong><?php echo _MANAGE_APA_IMPORT;?></strong><!--<br/>
					<em><?php echo _MANAGE_APA_IMPORT;?></em>-->
			</div>         
	    </div>
		<div class="admin_item" id="manage_apa_return_sub" title="<?php echo _MANAGE_APA_AUTO_RETURN;?>" onclick="window.top.location='<?php echo $_SESSION['config']['businessappurl'];?>index.php?page=apa_return&amp;module=advanced_physical_archive';">
	        <div class="sum_margin">
					<strong><?php echo _MANAGE_APA_AUTO_RETURN;?></strong><!--<br/>
					<em><?php echo _MANAGE_APA_AUTO_RETURN;?></em>-->
			</div>         
	    </div>
	<?php
	}
	else
	{
		echo _NO_ENTITIES_DEFINED_FOR_YOU;
	}
}
?>
</div>
