CREATE TABLE IF NOT EXISTS ar_boxes (
  arbox_id int(8) NOT NULL auto_increment,
  title varchar(255) collate utf8_unicode_ci default NULL,
  subject varchar(255) collate utf8_unicode_ci default NULL,
  description text collate utf8_unicode_ci,
  entity_id varchar(32) collate utf8_unicode_ci default NULL,
  arcontainer_id int(8) NOT NULL,
  status varchar(3) collate utf8_unicode_ci default NULL,
  creation_date datetime default NULL,
  retention_time datetime default NULL,
  custom_t1 varchar(3) collate utf8_unicode_ci default NULL,
  custom_n1 int(11) default NULL,
  custom_f1 decimal(10,0) default NULL,
  custom_d1 datetime default NULL,
  custom_t2 varchar(3) collate utf8_unicode_ci default NULL,
  custom_n2 int(11) default NULL,
  custom_f2 decimal(10,0) default NULL,
  custom_d2 datetime default NULL,
  custom_t3 varchar(50) collate utf8_unicode_ci default NULL,
  custom_n3 int(11) default NULL,
  custom_f3 decimal(10,0) default NULL,
  custom_d3 datetime default NULL,
  custom_t4 varchar(50) collate utf8_unicode_ci default NULL,
  custom_n4 int(11) default NULL,
  custom_f4 decimal(10,0) default NULL,
  custom_d4 datetime default NULL,
  custom_t5 varchar(255) collate utf8_unicode_ci default NULL,
  custom_n5 int(11) default NULL,
  custom_f5 decimal(10,0) default NULL,
  custom_d5 datetime default NULL,
  custom_t6 varchar(255) collate utf8_unicode_ci default NULL,
  custom_t7 varchar(255) collate utf8_unicode_ci default NULL,
  custom_t8 varchar(255) collate utf8_unicode_ci default NULL,
  custom_t9 varchar(255) collate utf8_unicode_ci default NULL,
  custom_t10 varchar(255) collate utf8_unicode_ci default NULL,
  custom_t11 varchar(255) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (arbox_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS ar_containers (
  arcontainer_id int(8) NOT NULL,
  arcontainer_desc varchar(255) collate utf8_unicode_ci default NULL,
  status varchar(3) collate utf8_unicode_ci default NULL,
  ctype_id varchar(32) collate utf8_unicode_ci default NULL,
  position_id bigint(20) default NULL,
  creation_date datetime default NULL,
  entity_id varchar(32) collate utf8_unicode_ci NOT NULL,
  retention_time datetime default NULL,
  custom_t1 varchar(50) collate utf8_unicode_ci default NULL,
  custom_n1 int(11) default NULL,
  custom_f1 decimal(10,0) default NULL,
  custom_d1 datetime default NULL,
  custom_t2 varchar(3) collate utf8_unicode_ci default NULL,
  custom_n2 int(11) default NULL,
  custom_f2 decimal(10,0) default NULL,
  custom_d2 datetime default NULL,
  PRIMARY KEY  (arcontainer_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS ar_container_types (
  ctype_id varchar(32) collate utf8_unicode_ci  NOT NULL,
  ctype_desc varchar(255) collate utf8_unicode_ci  NOT NULL,
  size_x float NOT NULL default '0',
  size_y float NOT NULL default '0',
  size_z float NOT NULL default '0',
  PRIMARY KEY  (ctype_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS ar_deposits (
  deposit_id bigint(20) NOT NULL,
  deposit_label varchar(255) collate utf8_unicode_ci NOT NULL,
  deposit_desc text collate utf8_unicode_ci NOT NULL,
  flg_closed tinyint(1) NOT NULL,
  closing_date datetime NOT NULL,
  creation_date datetime NOT NULL,
  user_id varchar(32) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (deposit_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS ar_header (
  header_id bigint(20) NOT NULL auto_increment,
  creation_date datetime NOT NULL default '0000-00-00 00:00:00',
  ctype_id varchar(32) collate utf8_unicode_ci  NOT NULL default '0',
  year_1 int(11) NOT NULL default '0',
  year_2 int(11) NOT NULL default '0',
  site_id varchar(32) collate utf8_unicode_ci  NOT NULL default '0',
  destruction_date datetime default NULL,
  allow_transmission_date datetime default NULL,
  weight int(11) default NULL,
  reservation_id bigint(20) default NULL,
  deposit_id bigint(20) default NULL,
  header_desc text collate utf8_unicode_ci ,
  entity_id varchar(32) collate utf8_unicode_ci  default NULL,
  arnature_id varchar(32) collate utf8_unicode_ci  default NULL,
  arbox_id int(8) default NULL,
  arcontainer_id int(8) default NULL,
  PRIMARY KEY  (header_id)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS ar_natures (
  arnature_id varchar(32) collate utf8_unicode_ci NOT NULL,
  arnature_desc varchar(255) collate utf8_unicode_ci default NULL,
  arnature_retention int(11) NOT NULL,
  entity_id varchar(32) collate utf8_unicode_ci default NULL,
  enabled char(1) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (arnature_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS ar_positions (
  position_id bigint(20) NOT NULL auto_increment,
  site_id varchar(32) collate utf8_unicode_ci NOT NULL,
  pos_row varchar(32) collate utf8_unicode_ci NOT NULL,
  pos_col int(11) NOT NULL,
  pos_level int(11) NOT NULL,
  pos_max_uc int(11) NOT NULL,
  pos_available_uc int(11) NOT NULL,
  PRIMARY KEY  (position_id)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS ar_sites (
  site_id varchar(32) collate utf8_unicode_ci NOT NULL default '0',
  site_desc varchar(255) collate utf8_unicode_ci NOT NULL,
  entity_id varchar(32) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (site_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

 CREATE  TABLE  res_apa (
 res_id int( 8  )  NOT  NULL  auto_increment ,
 title varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 subject text collate utf8_unicode_ci,
 description text collate utf8_unicode_ci,
 publisher varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 contributor varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 type_id int( 8  )  NOT  NULL ,
 format varchar( 50  )  collate utf8_unicode_ci NOT  NULL ,
 typist varchar( 50  )  collate utf8_unicode_ci NOT  NULL ,
 creation_date datetime NOT  NULL ,
 author varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 author_name text collate utf8_unicode_ci,
 identifier varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 source varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 doc_language varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 relation int( 8  )  default NULL ,
 coverage varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 doc_date datetime  default NULL ,
 docserver_id varchar( 32  )  collate utf8_unicode_ci NOT  NULL ,
 folders_system_id int( 8  )  default NULL ,
 arbox_id varchar( 32  )  collate utf8_unicode_ci  default NULL ,
 path varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 filename varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 offset_doc varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 logical_adr varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 fingerprint varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 filesize int( 8  )  default NULL ,
 is_paper char( 1  )  collate utf8_unicode_ci  default NULL ,
 page_count int( 8  )  default NULL ,
 scan_date datetime  default NULL ,
 scan_user varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 scan_location varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 scan_wkstation varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 scan_batch varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 burn_batch varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 scan_postmark varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 envelop_id int( 8  )  default NULL ,
 status varchar( 3  )  collate utf8_unicode_ci  default NULL ,
 destination varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 approver varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 validation_date datetime  default NULL ,
 work_batch int( 8  )  default NULL ,
 origin varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 is_ingoing char( 1  )  collate utf8_unicode_ci  default NULL ,
 priority smallint( 6  )  default NULL ,
 arbatch_id varchar( 32  )  collate utf8_unicode_ci  default NULL ,
 fulltext_result varchar(10) collate utf8_unicode_ci DEFAULT NULL,
 ocr_result varchar(10) collate utf8_unicode_ci DEFAULT NULL,
 converter_result  varchar(10) collate utf8_unicode_ci DEFAULT NULL,
 custom_t1  text default NULL,
 custom_n1 int( 8  )  default NULL ,
 custom_f1 decimal( 10, 0  )  default NULL ,
 custom_d1 datetime  default NULL ,
 custom_t2 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_n2 int( 8  )  default NULL ,
 custom_f2 decimal( 10, 0  )  default NULL ,
 custom_d2 datetime  default NULL ,
 custom_t3 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_n3 int( 8  )  default NULL ,
 custom_f3 decimal( 10, 0  )  default NULL ,
 custom_d3 datetime  default NULL ,
 custom_t4 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_n4 int( 8  )  default NULL ,
 custom_f4 decimal( 10, 0  )  default NULL ,
 custom_d4 datetime  default NULL ,
 custom_t5 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_n5 int( 8  )  default NULL ,
 custom_f5 decimal( 10, 0  )  default NULL ,
 custom_d5 datetime  default NULL ,
 custom_t6 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_d6 datetime  default NULL ,
 custom_t7 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_d7 datetime  default NULL ,
 custom_t8 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_d8 datetime  default NULL ,
 custom_t9 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_d9 datetime  default NULL ,
 custom_t10 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_d10 datetime  default NULL ,
 custom_t11 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_t12 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_t13 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_t14 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 custom_t15 varchar( 255  )  collate utf8_unicode_ci  default NULL ,
 tablename varchar( 32  )  collate utf8_unicode_ci default  'res_invoices',
 initiator varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 dest_user varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 video_batch int( 8  )  default NULL ,
 video_time timestamp NULL  default NULL ,
 video_user varchar( 50  )  collate utf8_unicode_ci  default NULL ,
 video_date datetime default NULL,
 PRIMARY  KEY (  res_id  )
 ) ENGINE  =  MyISAM  DEFAULT CHARSET  = utf8 COLLATE  = utf8_unicode_ci;

