CREATE SEQUENCE S_RES_APA
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE SEQUENCE ARBOX_ID_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;
  
 CREATE SEQUENCE POSITION_ID_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

 CREATE SEQUENCE HEADER_ID_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE TABLE AR_BOXES
(
  ARBOX_ID        NUMBER                        NOT NULL,
  TITLE           VARCHAR2(255 BYTE)            DEFAULT NULL,
  SUBJECT         VARCHAR2(255 BYTE)            DEFAULT NULL,
  DESCRIPTION     VARCHAR2(2048 BYTE)           DEFAULT NULL,
  ENTITY_ID       VARCHAR2(32 BYTE)             DEFAULT NULL,
  ARCONTAINER_ID  INTEGER                       ,
  STATUS          VARCHAR2(3 BYTE)              DEFAULT NULL,
  CREATION_DATE   DATE,
  RETENTION_TIME  DATE,
  CUSTOM_T1       VARCHAR2(3 BYTE)              DEFAULT NULL,
  CUSTOM_N1       INTEGER                       DEFAULT NULL,
  CUSTOM_F1       NUMBER                        DEFAULT NULL,
  CUSTOM_D1       DATE,
  CUSTOM_T2       VARCHAR2(3 BYTE)              DEFAULT NULL,
  CUSTOM_N2       INTEGER                       DEFAULT NULL,
  CUSTOM_F2       NUMBER                        DEFAULT NULL,
  CUSTOM_D2       DATE,
  CUSTOM_T3       VARCHAR2(50 BYTE)             DEFAULT NULL,
  CUSTOM_N3       INTEGER                       DEFAULT NULL,
  CUSTOM_F3       NUMBER                        DEFAULT NULL,
  CUSTOM_D3       DATE,
  CUSTOM_T4       VARCHAR2(50 BYTE)             DEFAULT NULL,
  CUSTOM_N4       INTEGER                       DEFAULT NULL,
  CUSTOM_F4       NUMBER                        DEFAULT NULL,
  CUSTOM_D4       DATE,
  CUSTOM_T5       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_N5       INTEGER                       DEFAULT NULL,
  CUSTOM_F5       NUMBER                        DEFAULT NULL,
  CUSTOM_D5       DATE,
  CUSTOM_T6       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T7       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T8       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T9       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T10      VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T11      VARCHAR2(255 BYTE)            DEFAULT NULL
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE AR_CONTAINERS
(
  ARCONTAINER_ID    INTEGER                     NOT NULL,
  ARCONTAINER_DESC  VARCHAR2(255 BYTE)          DEFAULT NULL,
  STATUS            VARCHAR2(3 BYTE)            DEFAULT NULL,
  CTYPE_ID          VARCHAR2(32 BYTE)           DEFAULT NULL,
  POSITION_ID       NUMBER                      DEFAULT NULL,
  CREATION_DATE     DATE                DEFAULT sysdate,
  ENTITY_ID         VARCHAR2(32 BYTE)           ,
  RETENTION_TIME    DATE,
  CUSTOM_T1         VARCHAR2(50 BYTE)           DEFAULT NULL,
  CUSTOM_N1         INTEGER                     DEFAULT NULL,
  CUSTOM_F1         NUMBER                      DEFAULT NULL,
  CUSTOM_D1         DATE,
  CUSTOM_T2         VARCHAR2(3 BYTE)            DEFAULT NULL,
  CUSTOM_N2         INTEGER                     DEFAULT NULL,
  CUSTOM_F2         NUMBER                      DEFAULT NULL,
  CUSTOM_D2         DATE
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE AR_CONTAINER_TYPES
(
  CTYPE_ID    VARCHAR2(32 BYTE)                 NOT NULL,
  CTYPE_DESC  VARCHAR2(255 BYTE)                NOT NULL,
  SIZE_X      FLOAT(126)                        DEFAULT 0                     ,
  SIZE_Y      FLOAT(126)                        DEFAULT 0                     ,
  SIZE_Z      FLOAT(126)                        DEFAULT 0                     
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE AR_DEPOSITS
(
  DEPOSIT_ID     NUMBER                         NOT NULL,
  DEPOSIT_LABEL  VARCHAR2(255 BYTE)             NOT NULL,
  DEPOSIT_DESC   VARCHAR2(2048 BYTE)            DEFAULT NULL,
  FLG_CLOSED     INTEGER                        ,
  CLOSING_DATE   DATE,
  CREATION_DATE  DATE                   DEFAULT sysdate,
  USER_ID        VARCHAR2(32 BYTE)              
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AR_HEADER
(
  HEADER_ID                NUMBER               NOT NULL,
  CREATION_DATE            DATE         DEFAULT sysdate,
  CTYPE_ID                 VARCHAR2(32 BYTE)    DEFAULT '0'                   NOT NULL,
  YEAR_1                   INTEGER              DEFAULT 0                     NOT NULL,
  YEAR_2                   INTEGER              DEFAULT 0                     NOT NULL,
  SITE_ID                  VARCHAR2(32 BYTE)    DEFAULT '0'                   NOT NULL,
  DESTRUCTION_DATE         DATE,
  ALLOW_TRANSMISSION_DATE  DATE,
  WEIGHT                   INTEGER              DEFAULT NULL,
  RESERVATION_ID           NUMBER               DEFAULT NULL,
  DEPOSIT_ID               NUMBER               DEFAULT NULL,
  HEADER_DESC              VARCHAR2(2048 BYTE)    DEFAULT NULL,
  ENTITY_ID                VARCHAR2(32 BYTE)    DEFAULT NULL,
  ARNATURE_ID              VARCHAR2(32 BYTE)    DEFAULT NULL,
  ARBOX_ID                 INTEGER              DEFAULT NULL,
  ARCONTAINER_ID           INTEGER              DEFAULT NULL
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AR_NATURES
(
  ARNATURE_ID         VARCHAR2(32 BYTE)         NOT NULL,
  ARNATURE_DESC       VARCHAR2(255 BYTE)        DEFAULT NULL,
  ARNATURE_RETENTION  INTEGER                   NOT NULL,
  ENTITY_ID           VARCHAR2(32 BYTE)         DEFAULT NULL,
  ENABLED             VARCHAR2(1 BYTE)          DEFAULT NULL
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AR_POSITIONS
(
  POSITION_ID       NUMBER                      NOT NULL,
  SITE_ID           VARCHAR2(32 BYTE)           NOT NULL,
  POS_ROW           VARCHAR2(32 BYTE)           NOT NULL,
  POS_COL           INTEGER                     NOT NULL,
  POS_LEVEL         INTEGER                     NOT NULL,
  POS_MAX_UC        INTEGER                     NOT NULL,
  POS_AVAILABLE_UC  INTEGER                     NOT NULL
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE AR_SITES
(
  SITE_ID    VARCHAR2(32 BYTE)                  DEFAULT '0'                   NOT NULL,
  SITE_DESC  VARCHAR2(255 BYTE)                 NOT NULL,
  ENTITY_ID  VARCHAR2(32 BYTE)                  DEFAULT NULL
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE RES_APA
(
  RES_ID             NUMBER                     NOT NULL,
  TITLE              VARCHAR2(255 BYTE)         DEFAULT NULL,
  SUBJECT            VARCHAR2(2048 BYTE)         DEFAULT NULL,
  DESCRIPTION        VARCHAR2(2048 BYTE)         DEFAULT NULL,
  PUBLISHER          VARCHAR2(255 BYTE)         DEFAULT NULL,
  CONTRIBUTOR        VARCHAR2(255 BYTE)         DEFAULT NULL,
  TYPE_ID            NUMBER                     NOT NULL,
  FORMAT             VARCHAR2(50 BYTE)          NOT NULL,
  TYPIST             VARCHAR2(50 BYTE)          NOT NULL,
  CREATION_DATE      DATE               DEFAULT sysdate,
  FULLTEXT_RESULT    VARCHAR2(10 BYTE)          DEFAULT NULL,
  OCR_RESULT         VARCHAR2(10 BYTE)          DEFAULT NULL,
  CONVERTER_RESULT   VARCHAR2(10 BYTE)          DEFAULT NULL,
  AUTHOR             VARCHAR2(255 BYTE)         DEFAULT NULL,
  AUTHOR_NAME        VARCHAR2(2048 BYTE)         DEFAULT NULL,
  IDENTIFIER         VARCHAR2(255 BYTE)         DEFAULT NULL,
  SOURCE             VARCHAR2(255 BYTE)         DEFAULT NULL,
  DOC_LANGUAGE       VARCHAR2(50 BYTE)          DEFAULT NULL,
  RELATION           NUMBER,
  COVERAGE           VARCHAR2(255 BYTE)         DEFAULT NULL,
  DOC_DATE           DATE,
  DOCSERVER_ID       VARCHAR2(32 BYTE)          NOT NULL,
  FOLDERS_SYSTEM_ID  NUMBER,
  ARBOX_ID           VARCHAR2(32 BYTE)          DEFAULT NULL,
  PATH               VARCHAR2(255 BYTE)         DEFAULT NULL,
  FILENAME           VARCHAR2(255 BYTE)         DEFAULT NULL,
  OFFSET_DOC         VARCHAR2(255 BYTE)         DEFAULT NULL,
  LOGICAL_ADR        VARCHAR2(255 BYTE)         DEFAULT NULL,
  FINGERPRINT        VARCHAR2(255 BYTE)         DEFAULT NULL,
  FILESIZE           NUMBER,
  IS_PAPER           CHAR(1 BYTE)               DEFAULT NULL,
  PAGE_COUNT         INTEGER,
  SCAN_DATE          DATE,
  SCAN_USER          VARCHAR2(50 BYTE)          DEFAULT NULL,
  SCAN_LOCATION      VARCHAR2(255 BYTE)         DEFAULT NULL,
  SCAN_WKSTATION     VARCHAR2(255 BYTE)         DEFAULT NULL,
  SCAN_BATCH         VARCHAR2(50 BYTE)          DEFAULT NULL,
  BURN_BATCH         VARCHAR2(50 BYTE)          DEFAULT NULL,
  SCAN_POSTMARK      VARCHAR2(50 BYTE)          DEFAULT NULL,
  ENVELOP_ID         NUMBER,
  STATUS             VARCHAR2(10 BYTE)           DEFAULT NULL,
  DESTINATION        VARCHAR2(50 BYTE)          DEFAULT NULL,
  APPROVER           VARCHAR2(50 BYTE)          DEFAULT NULL,
  VALIDATION_DATE    DATE,
  WORK_BATCH         NUMBER,
  ORIGIN             VARCHAR2(50 BYTE)          DEFAULT NULL,
  IS_INGOING         CHAR(1 BYTE)               DEFAULT NULL,
  PRIORITY           INTEGER,
  ARBATCH_ID         NUMBER                     DEFAULT NULL,
  CUSTOM_T1          VARCHAR2(2048 BYTE)         DEFAULT NULL,
  CUSTOM_N1          NUMBER,
  CUSTOM_F1          NUMBER,
  CUSTOM_D1          DATE,
  CUSTOM_T2          VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_N2          NUMBER,
  CUSTOM_F2          NUMBER,
  CUSTOM_D2          DATE,
  CUSTOM_T3          VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_N3          NUMBER,
  CUSTOM_F3          NUMBER,
  CUSTOM_D3          DATE,
  CUSTOM_T4          VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_N4          NUMBER,
  CUSTOM_F4          NUMBER,
  CUSTOM_D4          DATE,
  CUSTOM_T5          VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_N5          NUMBER,
  CUSTOM_F5          NUMBER,
  CUSTOM_D5          DATE,
  CUSTOM_T6          VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_D6          DATE,
  CUSTOM_T7          VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_D7          DATE,
  CUSTOM_T8          VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_D8          DATE,
  CUSTOM_T9          VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_D9          DATE,
  CUSTOM_T10         VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_D10         DATE,
  CUSTOM_T11         VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_T12         VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_T13         VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_T14         VARCHAR2(255 BYTE)         DEFAULT NULL,
  CUSTOM_T15         VARCHAR2(255 BYTE)         DEFAULT NULL,
  TABLENAME          VARCHAR2(32 BYTE)          DEFAULT 'RES_X',
  INITIATOR          VARCHAR2(50 BYTE)          DEFAULT NULL,
  DEST_USER          VARCHAR2(50 BYTE)          DEFAULT NULL,
  VIDEO_BATCH        INTEGER                    DEFAULT NULL,
  VIDEO_TIME         INTEGER                    DEFAULT NULL,
  VIDEO_USER         VARCHAR2(50 BYTE)          DEFAULT NULL,
  VIDEO_DATE         DATE
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE OR REPLACE TRIGGER t_ar_boxes_ins
   BEFORE INSERT
   ON ar_boxes
   REFERENCING NEW AS NEW OLD AS OLD
   FOR EACH ROW
BEGIN
   SELECT arbox_id_seq.NEXTVAL
     INTO :NEW.arbox_id
     FROM DUAL;
EXCEPTION
   WHEN OTHERS
   THEN
      RAISE;
END t_ar_boxes_ins;
/
SHOW ERRORS;


CREATE OR REPLACE TRIGGER t_ar_positions_ins
   BEFORE INSERT
   ON ar_positions
   REFERENCING NEW AS NEW OLD AS OLD
   FOR EACH ROW
BEGIN
   SELECT position_id_seq.NEXTVAL
     INTO :NEW.position_id
     FROM DUAL;
EXCEPTION
   WHEN OTHERS
   THEN
      RAISE;
END  t_ar_positions_ins;
/
SHOW ERRORS;

CREATE OR REPLACE TRIGGER t_ar_headers_ins
   BEFORE INSERT
   ON ar_headers
   REFERENCING NEW AS NEW OLD AS OLD
   FOR EACH ROW
BEGIN
   SELECT HEADER_ID_SEQ.NEXTVAL
     INTO :NEW.header_id
     FROM DUAL;
EXCEPTION
   WHEN OTHERS
   THEN
      RAISE;
END  t_ar_headers_ins;
/
SHOW ERRORS;

CREATE OR REPLACE TRIGGER t_res_apa_id_ins
   BEFORE INSERT
   ON res_apa
   REFERENCING NEW AS NEW OLD AS OLD
   FOR EACH ROW
BEGIN
   SELECT S_RES_APA.NEXTVAL
     INTO :NEW.res_id
     FROM DUAL;
EXCEPTION
   WHEN OTHERS
   THEN
      RAISE;
END  t_res_apa_id_ins;
/
SHOW ERRORS;

ALTER TABLE AR_CONTAINER_TYPES ADD (
  CONSTRAINT AR_CONTAINER_TYPES_PKEY
 PRIMARY KEY
 (CTYPE_ID));

ALTER TABLE AR_BOXES ADD (
  CONSTRAINT AR_BOXES_PKEY
 PRIMARY KEY
 (ARBOX_ID));
 
 
ALTER TABLE RES_APA ADD (
  CONSTRAINT RES_APA_PKEY
 PRIMARY KEY
 (RES_ID));

ALTER TABLE AR_CONTAINERS ADD (
  CONSTRAINT AR_CONTAINERS_PKEY
 PRIMARY KEY
 (ARCONTAINER_ID));

ALTER TABLE AR_DEPOSITS ADD (
  CONSTRAINT AR_DEPOSITS_PKEY
 PRIMARY KEY
 (DEPOSIT_ID));

ALTER TABLE AR_HEADER ADD (
  CONSTRAINT AR_HEADER_PKEY
 PRIMARY KEY
 (HEADER_ID));

ALTER TABLE AR_NATURES ADD (
  CONSTRAINT AR_NATURES_PKEY
 PRIMARY KEY
 (ARNATURE_ID));

ALTER TABLE AR_POSITIONS ADD (
  CONSTRAINT AR_POSITIONS_PKEY
 PRIMARY KEY
 (POSITION_ID));

ALTER TABLE AR_SITES ADD (
  CONSTRAINT AR_SITES_PKEY
 PRIMARY KEY
 (SITE_ID));
