<?php
/*
*    Copyright 2008,2009, 2010 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief Form to add a new group to an autofoldering tree (Ajax)
*
*
* @file
* @author  Claire Figueras  <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup autofoldering
*/
$core = new core_tools();
$func = new functions();
$core->load_lang();
$core->test_admin('admin_tree_autofoldering', "autofoldering");

$clause = '';
$comment = '';
$groupId = '';
$groupLabel = '';
$diffArr = array();
$mode = 'add';
$db = new dbquery();
$db->connect();
$error = '';

$mode = $_GET['mode'];
if (isset($_GET['id']) && ! empty($_GET['id'])) {
    $mode = 'up';
    for ($i = 0; $i < count($_SESSION['m_admin']['af']['groups']); $i ++) {
        if ($_SESSION['m_admin']['af']['groups'][$i]['group_id'] == trim(
            $_GET['id']
        )
        ) {
            $groupId = trim($_GET['id']);
            $groupLabel = $func->show_string(
                $_SESSION['m_admin']['af']['groups'][$i]['group_label']
            );
            $comment = $func->show_string(
                $_SESSION['m_admin']['af']['groups'][$i]['comment']
            );
            $clause = $func->show_string(
                $_SESSION['m_admin']['af']['groups'][$i]['where']
            );
            break;
        }
    }
} else {
    $allGroups = array();
    for ($i = 0; $i < count($_SESSION['m_admin']['all_groups']); $i ++) {
        array_push(
            $allGroups, $_SESSION['m_admin']['all_groups'][$i]['group_id']
        );
    }

    $loadedGroups = array();
    if (isset($_SESSION['m_admin']['af']['groups'])) {
        for ($i = 0; $i < count($_SESSION['m_admin']['af']['groups']); $i ++) {
            array_push(
                $loadedGroups,
                $_SESSION['m_admin']['af']['groups'][$i]['group_id']
            );
        }
    }
    for ($i = 0; $i < count($allGroups); $i ++) {
        if (! in_array($allGroups[$i], $loadedGroups)) {
            array_push($diffArr, $allGroups[$i]);
        }
    }

    $tmp = array();
    for ($i = 0; $i < count($diffArr); $i ++) {
        for ($j = 0; $j < count($_SESSION['m_admin']['all_groups']); $j ++) {
            if ($diffArr[$i] == $_SESSION['m_admin']['all_groups'][$j]['group_id']) {
                array_push(
                    $tmp,
                    array(
                    	'id' => $diffArr[$i],
                    	'label' => $_SESSION['m_admin']['all_groups'][$j]['group_desc']
                    )
                );
                break;
            }
        }
    }
    $diffArr = $tmp;
}
?>
<br/>

<h2 class="tit"><?php  echo _ADD_GROUP;?></h2>
<div id="frm_error" class="error"></div>
<form id="addGroupForm" method="get" action="<?php
echo $_SESSION['config']['businessappurl']
    . "index.php?display=true&module=autofoldering&page=add_group";
?>" class="forms">
    <div>
    <input type="hidden" id="mode" name="mode" value="<?php  echo $mode;?>" />
    <input type="hidden" id="display" name="display" value="true" />
    <input type="hidden" id="module" name="module" value="autofoldering" />
    <input type="hidden" id="page" name="page" value="add_group" />
    <input type="hidden" id="mode" name="mode" value="<?php echo $mode;?>" />

    <?php
if (isset($_GET['id']) && ! empty($_GET['id'])) {
    ?>
    <p>
    <label for="group_label"><?php  echo _GROUP;?> : </label>
    <input type="text" name="group_label" id="group_label" value="<?php
    echo $groupLabel;
    ?>" class="readonly" readonly="readonly" /><span class="red_asterisk" >*</span>
    <input type="hidden" name="group_id" id="group_id" value="<?php
    echo trim($_GET['id']);
    ?>" class="readonly" readonly="readonly"/>
        </p>
        <?php
} else {
    ?>
    <p>
    <label for="group_id"><?php  echo _GROUP;?> :</label>
    <select name="group_id" id="group_id" >
        <option value=""><?php  echo _CHOOSE_GROUP;?></option>
    <?php
    for ($i = 0; $i < count($diffArr); $i ++) {
        ?>
        <option value="<?php
        echo $diffArr[$i]['id'];
        ?>" <?php
        if ($i == 0) {
            echo 'selected="selected"';
        }
        ?>><?php
        echo $diffArr[$i]['label'];
        ?></option>
        <?php
    }
    ?>
    </select><span class="red_asterisk" >*</span>
    </p>
    <?php
}
?>
        <br/>
    <p>
        <label for="comment"><?php  echo _COMMENTS;?> : </label>
        <input type="text" name="comment" id="comment" value="<?php
echo $comment;
?>" /><span class="red_asterisk" >*</span>
    </p>
        <br/>
    <p>
        <label for="where"><?php  echo _WHERE_CLAUSE;?> : </label>
        <textarea  name="where" id="where"><?php  echo $clause;?></textarea>
    </p>
    <br/>
    <p class="buttons">
        <input type="button" name="Submit" value="<?php
echo _VALIDATE;
?>" class="button" onclick="checkGroup('addGroupForm', '<?php
echo $_SESSION['config']['businessappurl']
. 'index.php?display=true&module=autofoldering&page=check_group';
?>', '<?php
echo $_SESSION['config']['businessappurl']
. 'index.php?display=true&module=autofoldering&page=manage_group';
?>', '<?php
echo $_SESSION['config']['businessappurl']
. 'index.php?display=true&module=autofoldering&page=rights_groups';
?>');"  />
        <input type="button" name="cancel" value="<?php
echo _CANCEL;
?>" class="button"  onclick="destroyModal('add_group');"/>

    </p>
</div>
</form>