<?php
/*
*    Copyright 2008,2009, 2010 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief Script to check the group add in autofoldering administration (Ajax)
*
*
* @file
* @author  Claire Figueras  <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup autofoldering
*/
$error = '';
$core = new core_tools();
$core->load_lang();
function get_values_in_array($val)
{
    $tab = explode('$$', $val);
    $values = array();
    for ($i = 0; $i < count($tab); $i++) {
        $tmp = explode('#', $tab[$i]);
        if (isset($tmp[1])) {
            array_push(
                $values,
                array(
                	'ID' => $tmp[0],
                	'VALUE' => trim($tmp[1]),
                )
            );
        }
    }
    return $values;
}

function get_value_fields($values, $field)
{
    for ($i = 0; $i < count($values); $i++) {
        if ($values[$i]['ID'] == $field) {
            return  $values[$i]['VALUE'];
        }
    }
    return false;
}

if (!isset($_REQUEST['form_values']) || empty($_REQUEST['form_values'])) {
    $error = _ERROR_FORM_VALUES . " check<br/>";
    echo "{status : 2, error_txt : '" . $error . "'}";
    exit();
}

$values = get_values_in_array($_REQUEST['form_values']);
$groupId = get_value_fields($values, 'group_id');
$comment = get_value_fields($values, 'comment');
$where = get_value_fields($values, 'where');
$mode = get_value_fields($values, 'mode');

if (! isset($mode ) || $mode == '') {
    $error = _MODE_ERROR . "<br/>";
    echo "{status : 3, error_txt : '" . $error . "'}";
    exit();
}

if (! isset($groupId ) || $groupId == '') {
    $error = _GROUP . ' ' . _MANDATORY . "<br/>";
}

if (! isset($comment) || $comment == '') {
    $error = _COMMENTS . ' ' . _MANDATORY . "<br/>";
}

if (! empty($error)) {
    echo "{status : 1, error_txt : '" . $error . "'}";
} else {
    echo "{status : 0, error_txt : '" . $error . "'}";
}
 exit();
