<?php
/*
*    Copyright 2008,2009, 2010 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief Returns in a json structure all branches of a given level in the
* current tree for the current user (Ajax)
*
* @file
* @author  Claire Figueras  <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup autofoldering
*/

// HTML : ID and NAME attributes must begin with a letter ([A-Za-z])
// and may be followed by any number of letters, digits ([0-9]),
// hyphens ("-"), underscores ("_"), colons (":"), and periods (".").


try {
    require_once 'modules/autofoldering/autofoldering_tables.php';
    require_once 'modules/autofoldering/class/autofoldering_tree_controler.php';
} catch (Exception $e){
    echo $e->getMessage() . ' // ';
}
$func = new functions();
// Level of the branch to open
$level = $_REQUEST['level'];
// Value of the branch to open
$branchValue = $_REQUEST['value'];
// Current Tree identifier
$treeId = $_SESSION['autofoldering']['current_tree'] ;
//$treeId = $_REQUEST['tree_id'];
//echo $treeId;
//print_r($_SESSION['af_trees']);
// View or table to query (can be specific for each tree
$targetView = $_SESSION['af_trees'][$treeId]['target_view'];
//echo $targetView ;
// Security where clause on the current tree
$where = $_SESSION['autofoldering']['current_security'];
// Number of level for the current tree
$maxLevel = count($_SESSION['af_trees'][$treeId]['nodes']);
$where2 = '';
$whereParts = array();
if ($level == 1) {
    $where2 = " level1_id = '" . $func->protect_string_db($branchValue) . "' ";
} else {
    $tmp = explode('::', $branchValue);
    $val = array_pop($tmp);
    $where2 .= " and level" . $level . "_id = '"
            . $func->protect_string_db($val) . "'";
    for ($i = 0;$i < count($tmp); $i ++) {
        $tmpLevel = $i + 1;
        $whereParts[] = " level" . $tmpLevel . "_id = '"
                      . $func->protect_string_db($tmp[$i]). "' ";
    }
    
    $where2 = implode(' and ', $whereParts)  . $where2;
}

/****************************************/
if (empty($where)) {
    $where = " where " . $where2;
} else {
    $where .= " and (" . $where2 . ")";
}
// Query must bring back the next level values
$searchLevel = $level + 1;

$resStr = '[';
// Launch query only if the search level is not greater than the max level
if ($searchLevel <= $maxLevel) {
    $sql = 'select distinct level' . $searchLevel . '_id as id, level'
         . $searchLevel . '_label as label from ' . $targetView . ' ' . $where
         . ' order by level' . $searchLevel . '_label '
         . $_SESSION['af_trees'][$treeId]['nodes'][$searchLevel - 1]['order'];
    try {
        $db = new dbquery();
        $db->connect();
        $db->query($sql);
        // $db->show();
        while ($queryLine = $db->fetch_object()) {
            $keyValue = $queryLine->id;
            $labelValue = $queryLine->label;
            $resStr .= "{'id' : '" . addslashes($branchValue . '::' . $keyValue)
                    . "', 'label' :'" . addslashes($labelValue)
                    . "', 'toolTip' : 'Id : "
                    . addslashes($branchValue . '::' . $keyValue)
                    . " - Label : " . addslashes($labelValue) . "'";
            $resStr .= " , 'classes' : ['level" . $searchLevel . "']},";

        }
        $resStr  = preg_replace("/,$/", '', $resStr);
        $db->disconnect();
    } catch (Exception $e) {
        echo "Impossible to get object id=$id // ";
    }
}
$resStr  .= ']';
header('Content-type: application/json');
echo $resStr;

