<?php
/*
*    Copyright 2008,2009, 2010 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief Returns in a json structure all allowed first branches of a tree for
* the current user (Ajax)
*
* @file
* @author  Claire Figueras  <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup autofoldering
*/

try {
    require_once 'modules/autofoldering/autofoldering_tables.php';
    require_once 'modules/autofoldering/class/af_security_controler.php';
    require_once 'modules/autofoldering/class/autofoldering_tree_controler.php';
    require_once 'modules/entities/entities_tables.php';
} catch (Exception $e) {
    echo $e->getMessage() . ' // ';
}
$core = new core_tools();
$core->load_lang();
$afTreeCtrl = new autofoldering_tree_controler();
$afSecurityCtrl = new af_security_controler();
$_SESSION['autofoldering']['current_tree'] = $id = $_REQUEST["tree_id"];

$tree = $afTreeCtrl->get(
    $id, $_SESSION['af_mapping_path'], $_SESSION['config']['lang']
);
//var_dump($tree);
$treeData = $tree->getArray();
$_SESSION['af_trees'][$id] = $treeData;

$where = $afSecurityCtrl->getWhereClauseForTree($_SESSION['user']['UserId'], $id);

if (! isset($where)) {
    $where = '';
    if (isset($whereFilters) && ! empty($whereFilters)) {
        $where = ' where ' . $where;
    }
} else {
  $where = ' where ' . $where;
}

$_SESSION['autofoldering']['current_security'] = $where;
$_SESSION['af_trees'][$id]['security'] = $where;

$targetView = $_SESSION['af_trees'][$id]['target_view'];
$db = new dbquery();
$db->connect();
$entities = '';

$sql = 'select distinct level1_id as id, level1_label as label from ' . $targetView
     . ' ' . $where . ' order by level1_label '
     . $_SESSION['af_trees'][$id]['nodes'][0]['order'];

try {
    $resStr = "{'treeId' : '" . $id . "', 'treeLabel' : '"
         . $treeData['tree_label'] . "', 'img.path':'"
         . $_SESSION['config']['businessappurl'] . "tools/MaarchJS/src/img/', "
         . "'initial_structure' : [";
    $db2 = new dbquery();
    $db2->connect();
    $db->query($sql);
    // $db->show();
    $open = false;
    $level = 1;

    //  $db->show();
    while ($queryLine = $db->fetch_object()) {
        $resStr .= "{'id' : '" . $queryLine->id . "', 'label' :'"
                 . $queryLine->label . "', 'toolTip' : ' Node Id: "
                 . addslashes($queryLine->id) . " - Key : "
                 . addslashes($queryLine->label) . "', 'classes' : ['level"
                 . $level . "']";

        if ($open) {
            $resStr .= ", 'open' : true";
        }

        $resStr .= "},";

    }
     $resStr  = preg_replace("/,$/", '', $resStr);

    $db->disconnect();
} catch (Exception $e) {
    echo "Impossible to get object id=$id // ";
}

$resStr  .= ']}';
header('Content-type: application/json');
echo $resStr;
