<?php
/*
*    Copyright 2008,2009, 2010 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief Tree controler used in tree display, returns all allowed trees for a
* given user in a json structure (Ajax)
*
*
* @file
* @author  Claire Figueras  <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup autofoldering
*/
$core = new core_tools();
$core->load_lang();

try {
    require_once 'modules/autofoldering/class/af_security_controler.php';
} catch (Exception $e){
    echo $e->getMessage().' // ';
}

$afSecCtrl = new af_security_controler();
$trees = $afSecCtrl->get_trees_for_user(
    $_SESSION['user']['UserId'], $_SESSION['af_mapping_path'],
    $_SESSION['config']['lang']
);

if (isset($trees) && count($trees) > 0 ) {
    $result = array();
    for ($i = 0; $i < count($trees); $i ++) {
        $result[] = "{'id':'" . $trees[$i]->__get('tree_id') . "','txt':'"
                  . $trees[$i]->__get('tree_label') . "','tooltip':'"
                  . $trees[$i]->__get('tree_label') . "'}";
    }
    if (count($result) > 0) {
        $result = "[" . implode(",", $result) . "]";
    } else {
        $result = '[]';
    }
} else {
    $result = '[]';
}
header('Content-type: application/json');
echo $result;
