<?php
/*
*    Copyright 2008,2009, 2010 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief Script to load the security for a tree in autofoldering administration
* (Ajax)
*
*
* @file
* @author  Claire Figueras  <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup autofoldering
*/
require_once 'core/class/usergroups_controler.php';
$ugc = new usergroups_controler();
$error = '';
function get_values_in_array($val)
{
    $tab = explode('$$', $val);
    $values = array();
    for ($i = 0; $i < count($tab); $i ++) {
        $tmp = explode('#', $tab[$i]);
        if (isset($tmp[1])) {
            array_push(
                $values,
                array(
                	'ID' => $tmp[0],
                	'VALUE' => trim($tmp[1]),
                )
            );
        }
    }
    return $values;
}

function get_value_fields($values, $field)
{
    for ($i = 0; $i < count($values); $i ++) {
        if ($values[$i]['ID'] == $field) {
            return  $values[$i]['VALUE'];
        }
    }
    return false;
}

if (! isset($_REQUEST['form_values']) || empty($_REQUEST['form_values'])) {
    $error = _ERROR_FORM_VALUES . "<br/>";
    echo "{status : 1, error_txt : '" . $error . "'}";
    exit();
}

$values = get_values_in_array($_REQUEST['form_values']);

$groupId = get_value_fields($values, 'group_id');
$comment = get_value_fields($values, 'comment');
$where = get_value_fields($values, 'where');
$mode = get_value_fields($values, 'mode');
$group = $ugc->get($groupId);
$groupLabel = $group->__get('group_desc');
//$start_date = get_value_fields($values, 'start_date');
//$stop_date = get_value_fields($values, 'stop_date');

if ($mode == "up") {
    for ($i = 0; $i < count($_SESSION['m_admin']['af']['groups']); $i ++) {
        if ($_SESSION['m_admin']['af']['groups'][$i]['group_id'] == $groupId) {
            $_SESSION['m_admin']['af']['groups'][$i]['group_label'] = $groupLabel;
            $_SESSION['m_admin']['af']['groups'][$i]['comment'] = $comment;
            $_SESSION['m_admin']['af']['groups'][$i]['where'] = $where;
            // $_SESSION['m_admin']['af']['groups'][$i]['start_date'] = $start_date;
            // $_SESSION['m_admin']['af']['groups'][$i]['stop_date'] = $stop_date;
            break;
        }
    }
} else {
    array_push(
        $_SESSION['m_admin']['af']['groups'],
        array(
        	'group_id' => $groupId,
        	'group_label' => $groupLabel,
        	'where' => $where,
        	'comment' => $comment,
        )
    ); //, 'START_DATE' => $start_date, 'STOP_DATE' => $stop_date
    $_SESSION['m_admin']['af']['load_groups'] = false;
}

echo "{status : 0, error_txt : '".$error."'}";
exit();
