<?php
/*
*    Copyright 2008,2009, 2010 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief Displays all allowed documents in a branch of a tree for the current
* user
*
* @file
* @author  Claire Figueras  <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup autofoldering
*/

require 'core/class/class_request.php';
require 'modules/autofoldering/class/autofoldering_tree_controler.php';
require 'apps/' . $_SESSION['config']['app_id'] . '/class/class_list_show.php';
require_once 'core/class/class_security.php';
/*
echo '<pre>';
print_r($_REQUEST);
echo '</pre>';
*/
$core = new core_tools();
$core->load_lang();
$sec = new security();
$afTreeCtrl = new autofoldering_tree_controler();
$treeId = '';
if (isset($_REQUEST['tree_id']) && ! empty($_REQUEST['tree_id'])) {
    $treeId = $_REQUEST['tree_id'];
}
$level = $foundLevel = 1;
if (isset($_REQUEST['level']) && ! empty($_REQUEST['level'])) {
    $level = $foundLevel = $_REQUEST['level'];
}

$value = '';
if (isset($_REQUEST['value']) && ! empty($_REQUEST['value'])) {
    $value = $_REQUEST['value'];
    $tmp = explode('::', $value);
    $value = $tmp[count($tmp) - 1];
}

if ($level >= 2) {
    $val = array_pop($tmp);
    for ($i = 0; $i < count($tmp); $i ++) {
        $parents[$i + 1] = $tmp[$i];
    }
}

$_SESSION['collection_id_choice'] = $collId = $_SESSION['af_trees'][$treeId]['coll_id'];
$view = $sec->retrieve_view_from_coll_id($collId);
$_SESSION['collection_view_choice'] = $view;

$where = $afTreeCtrl->create_where_clause(
    $_SESSION['af_trees'][$treeId], $level, $value, $parents
);

$list = new list_show();
$order = '';
if (isset($_REQUEST['order']) && ! empty($_REQUEST['order'])) {
    $order = trim($_REQUEST['order']);
}
$field = '';
if (isset($_REQUEST['order_field']) && ! empty($_REQUEST['order_field'])) {
    $field = trim($_REQUEST['order_field']);
} else {
	$field = 'res_id';
	$_REQUEST['order_field'] = 'res_id';
}

$orderstr = $list->define_order($order, $field);

$select = array();
$select[$view] = array();
array_push(
    $select[$view], 'res_id', 'title', 'doc_date', 'doc_custom_t4',
    'doc_custom_t1'
);

$request = new request();

$tab = $request->select(
    $select, $where, $orderstr, $_SESSION['config']['databasetype']
);

/*
$tab = $request->select(
    $select, $where, 'order by ' . $field,  $_SESSION['config']['databasetype']
);
*/

$i=0;
if (count($tab) > 0) {
    for ($i = 0; $i < count($tab); $i ++) {
        for ($j = 0; $j < count($tab[$i]); $j ++) {
            foreach (array_keys($tab[$i][$j]) as $value) {
                if ($tab[$i][$j][$value] == 'res_id') {
                    $tab[$i][$j]['res_id'] = $tab[$i][$j]['value'];
                    $tab[$i][$j]['label'] = _GED_NUM;
                    $tab[$i][$j]['size'] = '4';
                    $tab[$i][$j]['label_align'] = 'left';
                    $tab[$i][$j]['align'] = 'center';
                    $tab[$i][$j]['valign'] = 'bottom';
                    $tab[$i][$j]['show'] = true;
                    $tab[$i][$j]['value_export'] = $tab[$i][$j]['value'];
                    $tab[$i][$j]['order'] = 'res_id';
                }
                if ($tab[$i][$j][$value] == 'title') {
                    $tab[$i][$j]['value'] = $tab[$i][$j]['value'];
                    $tab[$i][$j]['label'] = _ID;
                    $tab[$i][$j]['size'] = '30';
                    $tab[$i][$j]['label_align'] = 'left';
                    $tab[$i][$j]['align'] = 'center';
                    $tab[$i][$j]['valign'] = 'bottom';
                    $tab[$i][$j]['show'] = true;
                    $tab[$i][$j]['value_export'] = $tab[$i][$j]['value'];
                    $tab[$i][$j]['order'] = 'title';
                }
                if ($tab[$i][$j][$value] == 'doc_date') {
                    $tab[$i][$j]['value'] = date(
                    	'd/m/y', strtotime($tab[$i][$j]['value'])
                    );
                    $tab[$i][$j]['label'] = _DATE;
                    $tab[$i][$j]['size'] = '30';
                    $tab[$i][$j]['label_align'] = 'left';
                    $tab[$i][$j]['align'] = 'center';
                    $tab[$i][$j]['valign'] = 'bottom';
                    $tab[$i][$j]['show'] = true;
                    $tab[$i][$j]['value_export'] = $tab[$i][$j]['value'];
                    $tab[$i][$j]['order'] = 'doc_date';
                }
                if ($tab[$i][$j][$value] == 'doc_custom_t4') {
                    $tab[$i][$j]['value'] = $tab[$i][$j]['value'];
                    $tab[$i][$j]['label'] = _CUSTOMER;
                    $tab[$i][$j]['size'] = '30';
                    $tab[$i][$j]['label_align'] = 'left';
                    $tab[$i][$j]['align'] = 'center';
                    $tab[$i][$j]['valign'] = 'bottom';
                    $tab[$i][$j]['show'] = true;
                    $tab[$i][$j]['value_export'] = $tab[$i][$j]['value'];
                    $tab[$i][$j]['order'] = 'doc_custom_t4';
                }
                if ($tab[$i][$j][$value] == 'doc_custom_t1') {
                    $tab[$i][$j]['value'] = $tab[$i][$j]['value'];
                    $tab[$i][$j]['label'] = _PO;
                    $tab[$i][$j]['size'] = '40';
                    $tab[$i][$j]['label_align'] = 'left';
                    $tab[$i][$j]['align'] = 'center';
                    $tab[$i][$j]['valign'] = 'bottom';
                    $tab[$i][$j]['show'] = true;
                    $tab[$i][$j]['value_export'] = $tab[$i][$j]['value'];
                    $tab[$i][$j]['order'] = 'doc_custom_t1';
                }
            }
        }
    }
}
$comp = '';
$comp .= '&level=' . $foundLevel . '&tree_id=' . $treeId
	  . '&script=show_doc_folders&value=' . $_REQUEST['value'];
if (isset($_REQUEST['parent_values'])) {
    $comp .= "&parent_values=" . $_REQUEST['parent_values'];
}

$list->list_doc(
    $tab, $i, $i . ' ' . _FOUND_DOC, 'res_id', 'view_trees', 'res_id',
    'details_invoices&dir=indexing_searching', true, false, '', '', '', true, true,
    false, false, false, false, true, false, '', 'autofoldering', false, '', '',
    'listingsmall', $comp
);
