-- Resource view used to fill af_target
CREATE OR REPLACE VIEW af_view_year_view AS
 SELECT r.custom_t3 AS level1, date_format(r.doc_date, '%Y') AS level2, r.custom_t4 AS level3
        r.res_id, r.creation_date, r.status -- for where clause
   FROM  res_x r
   WHERE NOT (EXISTS ( SELECT t.level1, t.level2, t.level3
           FROM af_target t
          WHERE r.custom_t3 = t.level1 AND date_part( 'year', r.doc_date) = t.level2 AND r.custom_t4 = t.level3));
   
CREATE OR REPLACE VIEW af_view_customer_view AS
 SELECT substring(r.custom_t4, 1, 1) AS level1,  r.custom_t4 AS level2, date_format(r.doc_date, '%Y') AS level3
        r.res_id, r.creation_date, r.status -- for where clause
   FROM  res_x r
   WHERE status <> 'DEL' and date_part( 'year', doc_date) is not null ;
    AND NOT (EXISTS ( SELECT t.level1, t.level2, t.level3
           FROM af_target t
          WHERE substring(r.custom_t4, 1, 1) = t.level1 AND r.custom_t4 = t.level2 AND date_part( 'year', r.doc_date) = t.level3));

-- View used to display trees
CREATE OR REPLACE VIEW af_view_year_target_view AS
 SELECT af.level1, af.level1_id, af.level1 as level1_label, af.level2, af.level2_id, af.level2 as level2_label, af.level3, af.level3_id, af.level3 as level3_label
   FROM af_view_year_target af;

CREATE OR REPLACE VIEW af_view_customer_target_view AS
 SELECT af.level1, af.level1_id, af.level1 as level1_label, af.level2, af.level2_id, af.level2 as level2_label, af.level3, af.level3_id, af.level3 as level3_label
   FROM af_view_customer_target af ;
