<?php

/*
*   Copyright 2012 Maarch
*
*   This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @defgroup esign electronic signature Module
*/

/**
* @brief   Module esign :  Module Tools Class
*
* <ul>
* <li>Set the session variables needed to run the esign module</li>
*</ul>
*
* @file
* @author Laurent Giovannoni <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup esign
*/

/**
* @brief   Module esign : Module Tools Class
*
* <ul>
* <li>Loads the tables used by the esign</li>
* <li>Set the session variables needed to run the esign module</li>
*</ul>
*
* @ingroup esign
*/
class esign extends dbquery
{
    function __construct()
    {
        parent::__construct();
        $this->index = array();
    }

    /**
    * Loads esign  tables into sessions vars from the
    * esign/xml/config.xml
    * Loads esign log setting into sessions vars from the
    * esign/xml/config.xml
    */
    public function build_modules_tables()
    {
        if (file_exists($_SESSION['config']['corepath'].'custom'
                        .DIRECTORY_SEPARATOR.$_SESSION['custom_override_id']
                        .DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR
                        ."esign".DIRECTORY_SEPARATOR
                        ."xml".DIRECTORY_SEPARATOR."config.xml")
        ) {
            $path = $_SESSION['config']['corepath'].'custom'
                .DIRECTORY_SEPARATOR.$_SESSION['custom_override_id']
                .DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."esign"
                .DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml";
        } else {
            $path = "modules".DIRECTORY_SEPARATOR."esign"
                .DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml";
        }
        $xmlconfig = simplexml_load_file($path);
        // into session ($_SESSION['history'] array)
        $HISTORY = $xmlconfig->HISTORY;
        $_SESSION['history']['esigncheck'] = (string) $HISTORY->esigncheck;
    }

    /**
    * Load into session vars all the esign specific vars :
    * calls private methods
    */
    public function load_module_var_session($userData)
    {

    }
}
