<?php
class HelloWorld
{
    public $theString; // string
}

class HelloWorldResponse
{
    public $HelloWorldResult; // string
}

class signatureEx
{
    public $requestId; // string
    public $transactionId; // string
    public $tag; // string
    public $dataToSign; // dataType
    public $detachedSignature; // dataType
    public $signatureFormat; // string
    public $signatureType; // string
    public $signatureParameter; // string
    public $signatureContext; // contextType
    public $pluginParameter; // ArrayOfPluginParameterStruct
}

class dataType
{
    public $value; // dataString
    public $binaryValue; // dataBinary
}

class dataString
{
    public $_; // string
    public $dataFormat; // dataEncoding
}

class dataEncoding
{
}

class dataBinary
{
    public $_; // base64Binary
    public $dataFormat; // dataEncoding
}

class contextType
{
    public $contextId; // string
    public $certificate; // dataType
    public $certificateRequest; // dataType
    public $wrappedPrivateKey; // dataType
}

class PluginParameterStruct
{
    public $Label; // string
    public $Data; // string
}

class signatureExResponse
{
    public $signatureExResult; // D2SResponseEx
}

class D2SResponseEx
{
    public $opStatus; // int
    public $D2SStatus; // int
    public $requestId; // string
    public $D2SArchiveId; // string
    public $D2SSignature; // dataType
    public $SignatureContext; // contextType
    public $pluginResponse; // ArrayOfPluginResponseStruct
}

class PluginResponseStruct
{
    public $Label; // string
    public $Response; // string
}

class getArchiveEx
{
    public $requestId; // string
    public $archiveId; // string
    public $pluginParameter; // ArrayOfPluginParameterStruct
}

class getArchiveExResponse
{
    public $getArchiveExResult; // D2SArchiveResponseEx
}

class D2SArchiveResponseEx {
    public $opStatus; // int
    public $requestId; // string
    public $D2SProof; // string
    public $pluginResponse; // ArrayOfPluginResponseStruct
}

class prepareSignatureEx
{
    public $requestId; // string
    public $transactionId; // string
    public $tag; // string
    public $keyContainerFormat; // string
    public $keyContainerType; // string
    public $keyContainerParameter; // string
    public $properties; // dataType
    public $pluginParameter; // ArrayOfPluginParameterStruct
}

class prepareSignatureExResponse
{
    public $prepareSignatureExResult; // D2SResponseEx
}

/**
 * D2S class
 *
 *
 *
 * @author        {author}
 * @copyright     {copyright}
 * @package       {package}
 */
class D2S extends SoapClient
{
    private static $classmap = array(
        'HelloWorld' => 'HelloWorld',
        'HelloWorldResponse' => 'HelloWorldResponse',
        'signatureEx' => 'signatureEx',
        'dataType' => 'dataType',
        'dataString' => 'dataString',
        'dataEncoding' => 'dataEncoding',
        'dataBinary' => 'dataBinary',
        'contextType' => 'contextType',
        'PluginParameterStruct' => 'PluginParameterStruct',
        'signatureExResponse' => 'signatureExResponse',
        'D2SResponseEx' => 'D2SResponseEx',
        'PluginResponseStruct' => 'PluginResponseStruct',
        'getArchiveEx' => 'getArchiveEx',
        'getArchiveExResponse' => 'getArchiveExResponse',
        'D2SArchiveResponseEx' => 'D2SArchiveResponseEx',
        'prepareSignatureEx' => 'prepareSignatureEx',
        'prepareSignatureExResponse' => 'prepareSignatureExResponse',
    );

    public function D2S($url, $wsdl = '')
    {
        foreach (self::$classmap as $key => $value) {
            if (!isset($GLOBALS['esignDefaultOptions']['classmap'][$key])) {
                $GLOBALS['esignDefaultOptions']['classmap'][$key] = $value;
            }
        }
        if ($wsdl <> '') {
            parent::__construct($wsdl, 
                array(
                    'location' => $url,
                    'local_cert' => $GLOBALS['esignDefaultOptions']['local_cert'],
                    'passphrase' => $GLOBALS['esignDefaultOptions']['passphrase'],
                    'trace' => 0
                )
            );
        } else {
            parent::__construct($url, $GLOBALS['esignDefaultOptions']);
        }
    }

    /**
     *
     *
     * @param HelloWorld $parameters
     * @return HelloWorldResponse
     */
    public function HelloWorld(HelloWorld $parameters)
    {
        return $this->__soapCall('HelloWorld', array($parameters), array(
                        'uri' => 'http://tempuri.org/',
                        'soapaction' => ''
                     )
            );
    }

    /**
     *
     *
     * @param signatureEx $parameters
     * @return signatureExResponse
     */
    public function signatureEx(signatureEx $parameters)
    {
        return $this->__soapCall('signatureEx', array($parameters), array(
                        'uri' => 'http://tempuri.org/',
                        'soapaction' => ''
                     )
            );
    }

    /**
     *
     *
     * @param getArchiveEx $parameters
     * @return getArchiveExResponse
     */
    public function getArchiveEx(getArchiveEx $parameters)
    {
        return $this->__soapCall('getArchiveEx', array($parameters), array(
                        'uri' => 'http://tempuri.org/',
                        'soapaction' => ''
                     )
            );
    }

    /**
     *
     *
     * @param prepareSignatureEx $parameters
     * @return prepareSignatureExResponse
     */
    public function prepareSignatureEx(prepareSignatureEx $parameters)
    {
        return $this->__soapCall('prepareSignatureEx', array($parameters), array(
                        'uri' => 'http://tempuri.org/',
                        'soapaction' => ''
                     )
            );
    }
}
