<?php

class verifySignatureEx
{
    public $requestId; // string
    public $transactionId; // string
    public $refreshCRLs; // int
    public $tag; // string
    public $signature; // dataType
    public $signedData; // dataType
    public $signedDataHash; // string
    public $certificate; // string
    public $properties; // string
    public $pluginParameter; // ArrayOfPluginParameterStruct
}

class verifySignatureExResponse
{
    public $verifySignatureExResult; // DVSResponseEx
}

class DVSResponseEx
{
    public $opStatus; // int
    public $DVSGlobalStatus; // int
    public $requestId; // string
    public $sessionId; // string
    public $challenge; // string
    public $pattern; // string
    public $keyContainerXmlB64; // string
    public $keyContainerBinB64; // string
    public $DVSArchiveId; // string
    public $DVSDetailedStatus; // ArrayOfDVSDetailedStatusStruct
    public $DVSProof; // string
    public $ExtendedSignature; // dataType
    public $pluginResponse; // ArrayOfPluginResponseStruct
}

class DVSDetailedStatusStruct
{
    public $Type; // string
    public $SubjectName; // string
    public $DVSStatus; // unsignedLong
    public $ExtendedStatus; // string
    public $Certificate; // string
    public $SignedData; // string
    public $ClientRef; // string
}

class decryptEx
{
    public $requestId; // string
    public $transactionId; // string
    public $tag; // string
    public $dataToDecrypt; // dataType
    public $certificate; // string
    public $decryptionFormat; // string
    public $decryptionType; // string
    public $decryptionParameter; // string
    public $pluginParameter; // ArrayOfPluginParameterStruct
}

class decryptExResponse
{
    public $decryptExResult; // DVSDecryptResponseEx
}

class DVSDecryptResponseEx
{
    public $opStatus; // int
    public $DVSStatus; // int
    public $requestId; // string
    public $DVSArchiveId; // string
    public $DVSData; // dataType
    public $DVSProof; // string
    public $pluginResponse; // ArrayOfPluginResponseStruct
}

class verifyCertificateEx
{
    public $requestId; // string
    public $transactionId; // string
    public $refreshCRLs; // int
    public $tag; // string
    public $certificate; // string
    public $pluginParameter; // ArrayOfPluginParameterStruct
}

class verifyCertificateExResponse
{
    public $verifyCertificateExResult; // DVSResponseEx
}

class verifyAuthenticationEx
{
    public $requestId; // string
    public $transactionId; // string
    public $refreshCRLs; // int
    public $tag; // string
    public $authenticationFormat; // string
    public $authenticationType; // string
    public $sessionId; // string
    public $userIdentifier; // string
    public $scope; // string
    public $token; // dataType
    public $userPassword; // string
    public $properties; // dataType
    public $pluginParameter; // ArrayOfPluginParameterStruct
}

class verifyAuthenticationExResponse
{
    public $verifyAuthenticationExResult; // DVSResponseEx
}

class getAuthenticationChallengeEx
{
    public $requestId; // string
    public $transactionId; // string
    public $tag; // string
    public $authenticationFormat; // string
    public $authenticationType; // string
    public $userIdentifier; // string
    public $properties; // dataType
    public $pluginParameter; // ArrayOfPluginParameterStruct
}

class getAuthenticationChallengeExResponse
{
    public $getAuthenticationChallengeExResult; // DVSResponseEx
}

class DVSArchiveResponseEx
{
    public $opStatus; // int
    public $requestId; // string
    public $DVSProof; // string
    public $pluginResponse; // ArrayOfPluginResponseStruct
}

class prepareAuthenticationRequestEx
{
    public $requestId; // string
    public $transactionId; // string
    public $tag; // string
    public $authenticationFormat; // string
    public $authenticationType; // string
    public $userIdentifier; // string
    public $scope; // string
    public $properties; // dataType
    public $pluginParameter; // ArrayOfPluginParameterStruct
}

class prepareAuthenticationRequestExResponse
{
    public $prepareAuthenticationRequestExResult; // DVSResponseEx
}


/**
 * DVS class
 * 
 *    
 * 
 * @author        {author}
 * @copyright {copyright}
 * @package     {package}
 */
class DVS extends SoapClient
{
    private static $classmap = array(
        'HelloWorld' => 'HelloWorld',
        'HelloWorldResponse' => 'HelloWorldResponse',
        'verifySignatureEx' => 'verifySignatureEx',
        'dataType' => 'dataType',
        'dataString' => 'dataString',
        'dataEncoding' => 'dataEncoding',
        'dataBinary' => 'dataBinary',
        'PluginParameterStruct' => 'PluginParameterStruct',
        'verifySignatureExResponse' => 'verifySignatureExResponse',
        'DVSResponseEx' => 'DVSResponseEx',
        'DVSDetailedStatusStruct' => 'DVSDetailedStatusStruct',
        'PluginResponseStruct' => 'PluginResponseStruct',
        'decryptEx' => 'decryptEx',
        'decryptExResponse' => 'decryptExResponse',
        'DVSDecryptResponseEx' => 'DVSDecryptResponseEx',
        'verifyCertificateEx' => 'verifyCertificateEx',
        'verifyCertificateExResponse' => 'verifyCertificateExResponse',
        'verifyAuthenticationEx' => 'verifyAuthenticationEx',
        'verifyAuthenticationExResponse' => 'verifyAuthenticationExResponse',
        'getAuthenticationChallengeEx' => 'getAuthenticationChallengeEx',
        'getAuthenticationChallengeExResponse' => 'getAuthenticationChallengeExResponse',
        'getArchiveEx' => 'getArchiveEx',
        'getArchiveExResponse' => 'getArchiveExResponse',
        'DVSArchiveResponseEx' => 'DVSArchiveResponseEx',
        'prepareAuthenticationRequestEx' => 'prepareAuthenticationRequestEx',
        'prepareAuthenticationRequestExResponse' => 'prepareAuthenticationRequestExResponse',
    );

    public function DVS($url, $wsdl = '')
    {
        foreach (self::$classmap as $key => $value) {
            if (!isset($GLOBALS['esignDefaultOptions']['classmap'][$key])) {
                $GLOBALS['esignDefaultOptions']['classmap'][$key] = $value;
            }
        }
        if ($wsdl <> '') {
            parent::__construct($wsdl, 
                array(
                    'location' => $url,
                    'local_cert' => $GLOBALS['esignDefaultOptions']['local_cert'],
                    'passphrase' => $GLOBALS['esignDefaultOptions']['passphrase'],
                    'trace' => 0
                )
            );
        } else {
            parent::__construct($url, $GLOBALS['esignDefaultOptions']);
        }
    }

    /**
     *    
     *
     * @param HelloWorld $parameters
     * @return HelloWorldResponse
     */
    public function HelloWorld(HelloWorld $parameters)
    {
        return $this->__soapCall('HelloWorld', array($parameters), array(
                'uri' => 'http://tempuri.org/',
                'soapaction' => ''
            )
        );
    }

    /**
     *    
     *
     * @param verifySignatureEx $parameters
     * @return verifySignatureExResponse
     */
    public function verifySignatureEx(verifySignatureEx $parameters)
    {
        return $this->__soapCall('verifySignatureEx', array($parameters), array(
                'uri' => 'http://tempuri.org/',
                'soapaction' => ''
            )
        );
    }

    /**
     *    
     *
     * @param decryptEx $parameters
     * @return decryptExResponse
     */
    public function decryptEx(decryptEx $parameters)
    {
        return $this->__soapCall('decryptEx', array($parameters), array(
                'uri' => 'http://tempuri.org/',
                'soapaction' => ''
            )
        );
    }

    /**
     *    
     *
     * @param verifyCertificateEx $parameters
     * @return verifyCertificateExResponse
     */
    public function verifyCertificateEx(verifyCertificateEx $parameters)
    {
        return $this->__soapCall('verifyCertificateEx', array($parameters), array(
                'uri' => 'http://tempuri.org/',
                'soapaction' => ''
            )
        );
    }

    /**
     *    
     *
     * @param verifyAuthenticationEx $parameters
     * @return verifyAuthenticationExResponse
     */
    public function verifyAuthenticationEx(verifyAuthenticationEx $parameters)
    {
        return $this->__soapCall('verifyAuthenticationEx', array($parameters), array(
                'uri' => 'http://tempuri.org/',
                'soapaction' => ''
            )
        );
    }

    /**
     *    
     *
     * @param getAuthenticationChallengeEx $parameters
     * @return getAuthenticationChallengeExResponse
     */
    public function getAuthenticationChallengeEx(getAuthenticationChallengeEx $parameters)
    {
        return $this->__soapCall('getAuthenticationChallengeEx', array($parameters), array(
            'uri' => 'http://tempuri.org/',
            'soapaction' => ''
           )
        );
    }

    /**
    *  
    *
    * @param getArchiveEx $parameters
    * @return getArchiveExResponse
    */
    public function getArchiveEx(getArchiveEx $parameters)
    {
        return $this->__soapCall('getArchiveEx', array($parameters), array(
            'uri' => 'http://tempuri.org/',
            'soapaction' => ''
           )
        );
    }

    /**
    *  
    *
    * @param prepareAuthenticationRequestEx $parameters
    * @return prepareAuthenticationRequestExResponse
    */
    public function prepareAuthenticationRequestEx(prepareAuthenticationRequestEx $parameters)
    {
        return $this->__soapCall('prepareAuthenticationRequestEx', array($parameters), array(
                'uri' => 'http://tempuri.org/',
                'soapaction' => ''
            )
        );
    }
}
