<?php
require('../../../core/class/class_functions.php');
require('../class/class_manage_esign.php');

$manageEsign = new manage_esign('../xml/config_esign.xml');

/*
echo '<pre>';
print_r($manageEsign);
echo '</pre>';
exit;
*/

if (empty($manageEsign->error)) {
    if ($manageEsign->esignConfig['batch_mode']['enabled'] == 'true') {
        //batch mode database connection
        $_ENV['databaseserver'] = '127.0.0.1';
        $_ENV['databaseport'] = '5432';
        $_ENV['database'] = 'maarch_entreprise';
        $_ENV['databasetype'] = 'POSTGRESQL';
        $_ENV['databaseuser'] = 'postgres';
        $_ENV['databasepwd'] = 'maarch';
    }
    $resultDataSignatureEx = array();
    $resultDataGetArchiveEx = array();
    $manageEsign->connectToDB();
    $D2S = new D2S(
        $manageEsign->esignConfig['service']['D2S']['url'],
        $manageEsign->esignConfig['service']['D2S']['wsdl']
    );
    $fingerprint = $manageEsign->getFingerprintTosign(100, 'res_letterbox');
    $fingerprintMode = $manageEsign->getFingerprintMode(100, 'res_letterbox');

    echo "########################signatureEx########################<br>";
    echo "--------------pr&eacute;paration de l'appel<br>";
    $signatureEx = new signatureEx();
    $signatureExResponse = new signatureExResponse();
    $signatureEx->requestId = '100';
    $signatureEx->transactionId = $manageEsign->esignConfig['service']['D2S']['transaction_id'];
    $signatureEx->tag = 'my funny tag';
    $signatureEx->dataToSign = new dataType();
    $dataStr = new dataString();
    $dataStr->_ = '<Manifest/>';
    $signatureEx->dataToSign->value = $dataStr;
    $signatureEx->dataToSign->binaryValue = 0;
    $signatureEx->signatureFormat = 'XADES';
    $signatureEx->signatureType = 'DETACHED';
    $HASH_B64 = base64_encode($fingerprint) ; //$HASH_FILE  = le hash du fichier
    $HASH_ALGO = $fingerprintMode; // SHA1, SHA256, SHA384, SHA512, etc…

    $signatureEx->signatureParameter = '<Parameters><Manifest><Reference><DigestValue>'
        . $HASH_B64 . '</DigestValue><DigestMethod>'
        . $HASH_ALGO . '</DigestMethod></Reference></Manifest></Parameters>';
    print_r('<pre>');
    var_dump($signatureEx);
    print_r('</pre>');
    echo "<br>--------------traitement du retour<br>";
    $signatureExResponse = $D2S->signatureEx($signatureEx);
    //var_dump($signatureExResponse);
    //opStatus
    $opstatus = $signatureExResponse->signatureExResult->opStatus;
    echo "opStatus = " . $opstatus . "<br>";
    //D2SStatus
    $D2SStatus = $signatureExResponse->signatureExResult->D2SStatus;
    echo "D2SStatus = " . $D2SStatus . "<br>";
    //theSignature
    $theSignature = $signatureExResponse->signatureExResult->D2SSignature->value->_;
    echo "theSignature = " . $theSignature . "<br>";
    $resultDataSignatureEx['esign_content'] = $theSignature;
    //D2SArchiveId
    $D2SArchiveId = $signatureExResponse->signatureExResult->D2SArchiveId;
    echo "D2SArchiveId = " . $D2SArchiveId . "<br>";
    $resultDataSignatureEx['esign_proof_id'] = $D2SArchiveId;
    //requestId
    $requestId = $signatureExResponse->signatureExResult->requestId;
    echo "requestId = " . $requestId . "<br>";
    echo "--------------enregistrement de la signature en base de donn&eacute;es<br>";
    $manageEsign->putInfoInDB(100, 'res_letterbox', $resultDataSignatureEx, $_ENV['databasetype']);

    echo "########################getArchiveEx########################<br>";
    echo "--------------pr&eacute;paration de l'appel<br>";
    $getArchiveEx = new getArchiveEx();
    $getArchiveExResponse = new getArchiveExResponse();
    $getArchiveEx->requestId = '1000';
    $getArchiveEx->archiveId = $signatureExResponse->signatureExResult->D2SArchiveId;
    echo 'archive ID : ' . $getArchiveEx->archiveId . '<br>';
    print_r('parametres d\'appel<pre>');
    var_dump($getArchiveEx);
    print_r('</pre>');
    echo "--------------traitement du retour<br>";
    $getArchiveExResponse = $D2S->getArchiveEx($getArchiveEx);
    print_r('<pre>');
    var_dump($getArchiveExResponse);
    print_r('</pre>');
    //D2SProof
    $D2SProof = $getArchiveExResponse->getArchiveExResult->D2SProof;
    echo "D2SProof = " . $D2SProof . "<br>";
    $resultDataGetArchiveEx['esign_proof_content'] = $D2SProof;
    echo "--------------enregistrement de la preuve en base de donn&eacute;es<br>";
    $manageEsign->putInfoInDB(
        100,
        'res_letterbox',
        $resultDataGetArchiveEx,
        $_ENV['databasetype']
    );

    echo "########################verifySignatureEx########################<br>";
    $DVS = new DVS(
        $manageEsign->esignConfig['service']['DVS']['url'],
        $manageEsign->esignConfig['service']['DVS']['wsdl']
    );
    echo "--------------pr&eacute;paration de l'appel<br>";

    $verifySignatureEx = new verifySignatureEx();
    $verifySignatureEx->requestId = 100;
    $verifySignatureEx->transactionId = $manageEsign->esignConfig['service']['DVS']['transaction_id'];
    $verifySignatureEx->refreshCRLs = 0;
    $verifySignatureEx->tag = 'the tag';
    $theSignatureInRes = $manageEsign->getSignatureToValidate(100, 'res_letterbox');
    $verifySignatureEx->signature = new dataType();
    $dataStrToValidate = new dataString();
    $dataStrToValidate->_ = $theSignatureInRes; //la signature en base de données à vérifier
    $verifySignatureEx->signature->value = $dataStrToValidate;
    $verifySignatureEx->signature->binaryValue = 0;
    $HASH_ALGO = 'sha256';
    $HASH_B64 = base64_encode($theSignatureInRes);
    $verifySignatureEx->signedDataHash='<SignedDataHash><Manifest><Ref><DigestMethod>'
                                      . $HASH_ALGO . '</DigestMethod><DigestValue>'
                                      . $HASH_B64 . '</DigestValue></Ref></Manifest>'
                                      . '</SignedDataHash>';

    echo "--------------traitement du retour<br>";
    $verifySignatureExResponse = $DVS->verifySignatureEx($verifySignatureEx);
    echo "<pre>";
    var_dump($verifySignatureExResponse);
    echo 'ici'.$verifySignatureExResponse->verifySignatureExResult->opStatus;
    echo "</pre>";
    if ($verifySignatureExResponse->verifySignatureExResult->opStatus <> 0) {
        echo "pb with validation of the signature<br>";
    } else {
        echo "OK<br>";
    }
    exit;
    $manageEsign->disconnectToDB();
}
