CREATE TABLE IF NOT EXISTS folders (
  folders_system_id int(8) NOT NULL auto_increment,
  folder_id varchar(255) collate utf8_unicode_ci NOT NULL,
  foldertype_id int(8) default NULL,
  parent_id int(8) default '0',
  folder_name varchar(255) collate utf8_unicode_ci default NULL,
  subject varchar(255) collate utf8_unicode_ci default NULL,
  description varchar(255) collate utf8_unicode_ci default NULL,
  author varchar(255) collate utf8_unicode_ci default NULL,
  typist varchar(255) collate utf8_unicode_ci default NULL,
  status varchar(50) collate utf8_unicode_ci NOT NULL default 'NEW',
  folder_level int(2) default '1',
  creation_date datetime NOT NULL,
  folder_out_id int(8) default NULL,
  is_frozen char(1) default 'N',
  custom_t1 varchar(255) collate utf8_unicode_ci default NULL,
  custom_n1 int(8) default NULL,
  custom_f1 decimal(10,0) default NULL,
  custom_d1 datetime default NULL,
  custom_t2 varchar(255) collate utf8_unicode_ci default NULL,
  custom_n2 int(8) default NULL,
  custom_f2 decimal(10,0) default NULL,
  custom_d2 datetime default NULL,
  custom_t3 varchar(255) collate utf8_unicode_ci default NULL,
  custom_n3 int(8) default NULL,
  custom_f3 decimal(10,0) default NULL,
  custom_d3 datetime default NULL,
  custom_t4 varchar(255) collate utf8_unicode_ci default NULL,
  custom_n4 int(8) default NULL,
  custom_f4 decimal(10,0) default NULL,
  custom_d4 datetime default NULL,
  custom_t5 varchar(255) collate utf8_unicode_ci default NULL,
  custom_n5 int(8) default NULL,
  custom_f5 decimal(10,0) default NULL,
  custom_d5 datetime default NULL,
  custom_t6 varchar(255) collate utf8_unicode_ci default NULL,
  custom_d6 datetime default NULL,
  custom_t7 varchar(255) collate utf8_unicode_ci default NULL,
  custom_d7 datetime default NULL,
  custom_t8 varchar(255) collate utf8_unicode_ci default NULL,
  custom_d8 datetime default NULL,
  custom_t9 varchar(255) collate utf8_unicode_ci default NULL,
  custom_d9 datetime default NULL,
  custom_t10 varchar(255) collate utf8_unicode_ci default NULL,
  custom_d10 datetime default NULL,
  custom_t11 varchar(255) collate utf8_unicode_ci default NULL,
  custom_d11 datetime default NULL,
  custom_t12 varchar(255) collate utf8_unicode_ci default NULL,
  custom_d12 datetime default NULL,
  custom_t13 varchar(255) collate utf8_unicode_ci default NULL,
  custom_d13 datetime default NULL,
  custom_t14 varchar(255) collate utf8_unicode_ci default NULL,
  custom_d14 datetime default NULL,
  custom_t15 varchar(255) collate utf8_unicode_ci default NULL,
  is_complete char(1) collate utf8_unicode_ci default 'N',
  is_folder_out char(1) collate utf8_unicode_ci default 'N',
   last_modified_date datetime default NULL,
  PRIMARY KEY  (folders_system_id),
  UNIQUE KEY folder_id (folder_id)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci  ;

CREATE TABLE IF NOT EXISTS folders_out (
  folder_out_id int(8) NOT NULL auto_increment,
  folder_system_id int(8) NOT NULL,
  last_name varchar(255) collate utf8_unicode_ci NOT NULL,
  first_name varchar(255) collate utf8_unicode_ci NOT NULL,
  last_name_folder_out varchar(255) collate utf8_unicode_ci NOT NULL,
  first_name_folder_out varchar(255) collate utf8_unicode_ci NOT NULL,
  put_out_pattern varchar(255) collate utf8_unicode_ci NOT NULL,
  put_out_date datetime NOT NULL,
  return_date datetime NOT NULL,
  return_flag varchar(1) collate utf8_unicode_ci NOT NULL default 'N',
  PRIMARY KEY  (folder_out_id)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;

CREATE TABLE IF NOT EXISTS foldertypes (
  foldertype_id int(8) NOT NULL auto_increment,
  foldertype_label varchar(255) collate utf8_unicode_ci NOT NULL,
  maarch_comment text collate utf8_unicode_ci,
  retention_time varchar(50) collate utf8_unicode_ci default NULL,
  custom_d1 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_f1 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_n1 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t1 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_d2 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_f2 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_n2 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t2 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_d3 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_f3 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_n3 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t3 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_d4 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_f4 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_n4 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t4 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_d5 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_f5 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_n5 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t5 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_d6 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t6 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_d7 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t7 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_d8 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t8 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_d9 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t9 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_d10 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t10 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t11 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t12 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t13 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t14 varchar(10) collate utf8_unicode_ci default '0000000000',
  custom_t15 varchar(10) collate utf8_unicode_ci default '0000000000',
  coll_id varchar(32)collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (foldertype_id)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci  ;

CREATE TABLE IF NOT EXISTS foldertypes_doctypes (
  foldertype_id int(8) NOT NULL,
  doctype_id int(8) NOT NULL,
  PRIMARY KEY  (foldertype_id,doctype_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS foldertypes_doctypes_level1 (
  foldertype_id int(8) NOT NULL,
  doctypes_first_level_id int(8) NOT NULL,
  PRIMARY KEY  (foldertype_id,doctypes_first_level_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE foldertypes_indexes (
foldertype_id BIGINT NULL ,
field_name VARCHAR( 255 ) NULL ,
mandatory CHAR( 1 ) NOT NULL ,
PRIMARY KEY ( foldertype_id , field_name )
) ENGINE = MYISAM ;
