
--------------------------------------------------------
--  DDL for Table FOLDERS
--------------------------------------------------------

  CREATE TABLE "FOLDERS" 
   (	"FOLDERS_SYSTEM_ID" NUMBER NOT NULL ENABLE, 
	"FOLDER_ID" VARCHAR2(255 CHAR), 
	"FOLDERTYPE_ID" NUMBER, 
	"PARENT_ID" NUMBER, 
	"FOLDER_NAME" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"SUBJECT" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"DESCRIPTION" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"AUTHOR" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"TYPIST" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"STATUS" VARCHAR2(50 CHAR) DEFAULT 'NEW', 
	"FOLDER_LEVEL" NUMBER DEFAULT 1, 
	"CREATION_DATE" DATE, 
	"FOLDER_OUT_ID" NUMBER DEFAULT NULL, 
	"CUSTOM_T1" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_N1" NUMBER DEFAULT NULL, 
	"CUSTOM_F1" NUMBER(*,0) DEFAULT NULL, 
	"CUSTOM_D1" DATE DEFAULT NULL, 
	"CUSTOM_T2" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_N2" NUMBER DEFAULT NULL, 
	"CUSTOM_F2" NUMBER(*,0) DEFAULT NULL, 
	"CUSTOM_D2" DATE DEFAULT NULL, 
	"CUSTOM_T3" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_N3" NUMBER DEFAULT NULL, 
	"CUSTOM_F3" NUMBER(*,0) DEFAULT NULL, 
	"CUSTOM_D3" DATE DEFAULT NULL, 
	"CUSTOM_T4" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_N4" NUMBER DEFAULT NULL, 
	"CUSTOM_F4" NUMBER(*,0) DEFAULT NULL, 
	"CUSTOM_D4" DATE DEFAULT NULL, 
	"CUSTOM_T5" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_N5" NUMBER DEFAULT NULL, 
	"CUSTOM_F5" NUMBER(*,0) DEFAULT NULL, 
	"CUSTOM_D5" DATE DEFAULT NULL, 
	"CUSTOM_T6" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_D6" VARCHAR2(255 CHAR), 
	"CUSTOM_T7" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_D7" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_T8" VARCHAR2(255 CHAR), 
	"CUSTOM_D8" DATE DEFAULT NULL, 
	"CUSTOM_T9" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_D9" DATE DEFAULT NULL, 
	"CUSTOM_T10" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_D10" DATE DEFAULT NULL, 
	"CUSTOM_T11" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_D11" DATE DEFAULT NULL, 
	"CUSTOM_T12" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_D12" DATE DEFAULT NULL, 
	"CUSTOM_T13" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_D13" DATE DEFAULT NULL, 
	"CUSTOM_T14" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"CUSTOM_D14" DATE DEFAULT NULL, 
	"CUSTOM_T15" VARCHAR2(255 CHAR) DEFAULT NULL, 
	"IS_COMPLETE" VARCHAR2(1 CHAR) DEFAULT 'N', 
	"IS_FOLDER_OUT" VARCHAR2(1 CHAR) DEFAULT 'N',
	"LAST_MODIFIED_DATE" DATE DEFAULT NULL,  
	 CONSTRAINT "FOLDERS_PK" PRIMARY KEY ("FOLDERS_SYSTEM_ID") ENABLE, 
	 CONSTRAINT "FOLDERS_UK_FOLDER_ID" UNIQUE ("FOLDER_ID") ENABLE
   ) ;
 
--------------------------------------------------------
--  DDL for Table FOLDERS_OUT
--------------------------------------------------------

  CREATE TABLE "FOLDERS_OUT" 
   (	"FOLDER_OUT_ID" NUMBER NOT NULL ENABLE, 
	"FOLDER_SYSTEM_ID" NUMBER, 
	"LAST_NAME" VARCHAR2(255), 
	"FIRST_NAME" VARCHAR2(255), 
	"LAST_NAME_FOLDER_OUT" VARCHAR2(255), 
	"FIRST_NAME_FOLDER_OUT" VARCHAR2(255), 
	"PUT_OUT_PATTERN" VARCHAR2(255), 
	"PUT_OUT_DATE" DATE DEFAULT sysdate, 
	"RETURN_DATE" DATE DEFAULT sysdate, 
	"RETURN_FLAG" VARCHAR2(1) DEFAULT 'N', 
	 CONSTRAINT "FOLDERS_OUT_PK" PRIMARY KEY ("FOLDER_OUT_ID") ENABLE
   ) ;
 
 
--------------------------------------------------------
--  DDL for Table FOLDERTYPES
--------------------------------------------------------

  CREATE TABLE "FOLDERTYPES" 
   (	"FOLDERTYPE_ID" NUMBER NOT NULL ENABLE, 
	"FOLDERTYPE_LABEL" VARCHAR2(255), 
	"MAARCH_COMMENT" VARCHAR2(1000), 
	"RETENTION_TIME" VARCHAR2(50) DEFAULT NULL, 
	"CUSTOM_D1" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_F1" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_N1" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T1" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_D2" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_F2" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_N2" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T2" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_D3" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_F3" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_N3" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T3" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_D4" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_F4" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_N4" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T4" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_D5" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_F5" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_N5" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T5" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_D6" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T6" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_D7" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T7" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_D8" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T8" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_D9" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T9" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_D10" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T10" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T11" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T12" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T13" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T14" VARCHAR2(10) DEFAULT '0000000000', 
	"CUSTOM_T15" VARCHAR2(10) DEFAULT '0000000000', 
	"COLL_ID" VARCHAR2(32) NOT NULL ENABLE, 
	 CONSTRAINT "FOLDERTYPES_PK" PRIMARY KEY ("FOLDERTYPE_ID") ENABLE
   ) ;
 
--------------------------------------------------------
--  DDL for Table FOLDERTYPES_DOCTYPES
--------------------------------------------------------

  CREATE TABLE "FOLDERTYPES_DOCTYPES" 
   (	"FOLDERTYPE_ID" NUMBER NOT NULL ENABLE, 
	"DOCTYPE_ID" NUMBER NOT NULL ENABLE, 
	 CONSTRAINT "FOLDERTYPES_DOCTYPES_PK" PRIMARY KEY ("FOLDERTYPE_ID", "DOCTYPE_ID") ENABLE
   ) ;
   
--------------------------------------------------------
--  DDL for Table FOLDERTYPES_DOCTYPES_LEVEL1
--------------------------------------------------------

  CREATE TABLE "FOLDERTYPES_DOCTYPES_LEVEL1" 
   (	"FOLDERTYPE_ID" NUMBER NOT NULL ENABLE, 
	"DOCTYPES_FIRST_LEVEL_ID" NUMBER NOT NULL ENABLE, 
	 CONSTRAINT "FOLDERTYPES_DOCTYPES_LEVE_PK" PRIMARY KEY ("FOLDERTYPE_ID", "DOCTYPES_FIRST_LEVEL_ID") ENABLE
   ) ;
   
   
   

CREATE TABLE FOLDERTYPES_INDEXES
(
  FOLDERTYPE_ID  NUMBER                         NOT NULL,
  FIELD_NAME     VARCHAR2(255 BYTE)             NOT NULL,
  MANDATORY      CHAR(1 BYTE)                   DEFAULT 'N'                  
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

ALTER TABLE FOLDERTYPES_INDEXES ADD (
  CONSTRAINT FOLDERTYPES_INDEXES_PKEY
 PRIMARY KEY
 (FOLDERTYPE_ID, FIELD_NAME));

--------------------------------------------------------
--  SEQUENCES AND TRIGGERS
--------------------------------------------------------   
   
    CREATE SEQUENCE  "SEQ_FOLDERS"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
 create or replace TRIGGER TRG_FOLDERS
 BEFORE INSERT ON FOLDERS
FOR EACH ROW 
BEGIN
  SELECT SEQ_FOLDERS.NEXTVAL INTO :NEW.FOLDERS_SYSTEM_ID FROM DUAL;
END;
/

 CREATE SEQUENCE  "SEQ_FOLDERS_OUT"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
 create or replace TRIGGER TRG_FOLDERS_OUT
 BEFORE INSERT ON FOLDERS_OUT
FOR EACH ROW 
BEGIN
  SELECT SEQ_FOLDERS_OUT.NEXTVAL INTO :NEW.FOLDER_OUT_ID FROM DUAL;
END;
/

 CREATE SEQUENCE  "SEQ_FOLDERTYPES"  MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
 create or replace TRIGGER TRG_FOLDERTYPES
 BEFORE INSERT ON FOLDERTYPES
FOR EACH ROW 
BEGIN
  SELECT SEQ_FOLDERTYPES.NEXTVAL INTO :NEW.FOLDERTYPE_ID FROM DUAL;
END;
/


