<?php

/*
*   Copyright 2008-2013 Maarch
*
*   This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

error_reporting(E_ERROR);
set_error_handler(errorHandlerWS);

//fonction de gestion des errors
function errorHandlerWS($errno, $errstr, $errfile, $errline, $errcontext)
{
    $string = $errstr;
    $search1="'Assigning|Redefining|Non-static|split|foreach|offset'";
    preg_match($search1,$string,$out);
    $count=count($out[0]);
    if($count == 1) {
        $find1 = true;
    }
    if(!$find1) {
        writeLog('<ERROR> from file ' . $errfile . ' line ' . $errline 
            . ' : ' . $errstr . ' </ERROR>');
        $_ENV['ErrorLevel'] = 1;
    }
}

writeLog("Import via WS SOAP");

//variables d'environnements
$_ENV['ErrorLevel'] = 0;
$_ENV['exclude'] = '';
$_ENV['defaultStatus'] = 'ATT';
$_ENV['defaultDocType'] = '10';
$_ENV['collId'] = 'letterbox_coll';
$_ENV['tableName'] = 'res_letterbox';

//cr le fichier index XML
function SendDocument($fileContent, $client, $data)
{
    $encodedContent = base64_encode($fileContent);
    $fileFormat = 'HTML';
    $destination = 'COURRIER';
    if ($_ENV['defaultDocType'] == '') {
        $_ENV['defaultDocType'] = '10';
    }
    array_push(
        $data, 
        array(
            'column' => "destination", 
            'value' => $destination, 
            'type' => "string"
        )
    );
    array_push(
        $data, 
        array(
            'column' => "is_ingoing", 
            'value' => "Y", 
            'type' => "string"
        )
    );
    array_push(
        $data, 
        array(
            'column' => "type_id", 
            'value' => $_ENV['defaultDocType'], 
            'type' => "string"
        )
    );
    array_push(
        $data, 
        array(
            'column' => "typist", 
            'value' => "scanner", 
            'type' => "string"
        )
    );
    $table = 'res_letterbox';
    if ($_ENV['defaultStatus'] == '') {
        $_ENV['defaultStatus'] = 'ATT';
    }
    try {
        $resId = $client->storeResource(
            $encodedContent, 
            $data, 
            $_ENV['collId'], 
            $_ENV['tableName'], 
            $fileFormat, 
            $_ENV['defaultStatus']
        );
        echo $resId . "\r\n";
    } catch (SoapFault $fault) {
        echo $fault;
    }
    return $resId;
}

function SendAttachment($resId, $attachment, $client)
{
    $encodedContent = base64_encode($attachment->data);
    $fileFormat = $attachment->format;
    $fileName = $attachment->filename;
    try {
        $attachmentResult = $client->storeAttachmentResource(
            intval($resId), 
            $_ENV['collId'], 
            $encodedContent, 
            $fileFormat, 
            $fileName
        );
        echo $attachmentResult->value . "\r\n";
    } catch (SoapFault $fault) {
        echo $fault;
    }
    return $attachmentResult;
}

date_default_timezone_set('Europe/Paris');
writeLog('web service client');
writeLog('Loading the xml config file');
$xmlconfig = simplexml_load_file($_ENV['postprocess_xml_filepath']);
foreach ($xmlconfig->CONFIG as $CONFIG) {
    $destination = $CONFIG->WS_SERVER;
    $_ENV['collId'] = (string) $CONFIG->COLL_ID;
    $_ENV['tableName'] = (string) $CONFIG->TABLE_NAME;
    $loginMaarch = $CONFIG->LOGIN_MAARCH;
    $pwdMaarch = $CONFIG->PWD_MAARCH;
    $_ENV['defaultStatus'] = (string) $CONFIG->STATUS;
    $_ENV['defaultDocType'] = (string) $CONFIG->TYPE_ID;
}

writeLog("Destination : ".$destination);
writeLog("loading of the config file is finished");

//connexion au web service
require('SOAP/Client.php');
$proxy = array(
    'user'=>$loginMaarch, 
    'pass'=>$pwdMaarch, 
    'timeout' => '600'
);
$wsdl = new SOAP_WSDL($destination, $proxy, false);
$client = $wsdl->getProxy();
//$client->setOpt('curl', CURLOPT_SSL_VERIFYPEER, 0);
//$client->setOpt('curl', CURLOPT_SSL_VERIFYHOST, 0);
//$client->setOpt('curl', CURLOPT_TIMEOUT, 30);

foreach ($mailboxes as $mailbox => $messages) {
    writeLog("Exporting messages from mailbox $mailbox...");
    foreach ($messages as $i => $message) {
        writeLog("Exporting message #$i...");
        $messageId = md5($message->message_id);
        // Export body index and document
        //**************************************************************
        writeLog("Creating message index...");
        $data = array();
        array_push($data, array(
            'column' => "custom_t14", 
            'value' => $_ENV['email_login'], 
            'type' => "string"
        ));
        foreach ($message as $propertyName => $propertyValue) {
            if (
                (is_scalar($propertyValue) || !$propertyValue) 
                && !is_array($propertyValue)
            ) {
                //echo $propertyName . ' ' . $propertyValue . "\r\n";
                $propertyValue = str_replace("'", " ", $propertyValue);
                $propertyValue = utf8_encode($propertyValue);
                if ($propertyName == 'date') {
                    array_push($data, array(
                        'column' => "doc_date", 
                        'value' => $propertyValue, 
                        'type' => "date"
                    ));
                } elseif ($propertyName == 'subject') {
                    array_push($data, array(
                        'column' => "subject", 
                        'value' => $propertyValue, 
                        'type' => "string"
                    ));
                } elseif ($propertyName == 'fromaddress') {
                    array_push($data, array(
                        'column' => "custom_t10", 
                        'value' => str_replace('"', '', $propertyValue), 
                        'type' => "string"
                    ));
                } elseif ($propertyName == 'toaddress') {
                    array_push($data, array(
                        'column' => "custom_t11", 
                        'value' => str_replace('"', '', $propertyValue), 
                        'type' => "string"
                    ));
                } elseif ($propertyName == 'ccaddress') {
                    array_push($data, array(
                        'column' => "custom_t12", 
                        'value' => str_replace('"', '', $propertyValue), 
                        'type' => "string"
                    ));
                } elseif ($propertyName == 'message_id') {
                    echo $propertyValue . "\r\n";
                    array_push($data, array(
                        'column' => "custom_t13", 
                        'value' => str_replace('"', '', $propertyValue), 
                        'type' => "string"
                    ));
                }
            }
        }
        if (isset($message->body['html']) || isset($message->body['plain'])) {
            if (isset($message->body['html'])) {
            $resId = sendDocument(
                    $message->body['html']->data, $client, $data
                );
            } elseif (isset($message->body['plain'])) {
                $resId = sendDocument(
                    $message->body['plain']->data, $client, $data
                );
            }
            if ($resId <> '') {
                writeLog('sendDocument sucess, res_id : ' . $resId);
                if (isset($message->attachment)) {
                    $attachmentCount = count($message->attachment);
                    writeLog('Exporting $attachmentCount attachment(s)...');
                    for ($i=0; $i<$attachmentCount; $i++) {
                        $attachmentResult = array();
                        $attachment = $message->attachment[$i];
                        $attachmentResult = sendAttachment(
                            $resId, $attachment, $client
                        );
                        if ($attachmentResult->status == 'ok') {
                            writeLog('endAttachment sucess, res_id : ' 
                                . $attachmentResult->value);
                        } else {
                           writeLog('Error with sendAttachment' 
                                . $attachmentResult->error);
                        }
                    }
                }
            } else {
                writeLog('Error with sendDocument');
            }
        } else {
            writeLog('Format not available');
        }
    }
}

writeLog('Error Level : '.$_ENV['ErrorLevel']);
writeLog('End of the application');
exit($_ENV['ErrorLevel']);
