<?php
/*
*
*   Copyright 2013 Maarch
*
*   This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/*
*	JPEGCam v1.0.9
*
*	Webcam library for capturing JPEG images and submitting to a server
*	Copyright (c) 2008 - 2009 Joseph Huckaby <jhuckaby@goldcartridge.com>
*	Licensed under the GNU Lesser Public License
*	http://www.gnu.org/licenses/lgpl.html
*/

/**
* @brief    capture tool, 
*           
*
* @file     photo_capture.php
* @author   Yves Christian Kpakpo <dev@maarch.org>
* @date     $date$
* @version  $Revision$
* @ingroup  photo_capture
*/

require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR
    ."class_functions.php");
require_once("modules".DIRECTORY_SEPARATOR."photo_capture"
    .DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR
	."class_modules_tools.php");

$core_tools = new core_tools();
$core_tools->test_user();
$core_tools->load_lang();

$func = new functions();
$photo_capture = new photo_capture();

// print_r($_SESSION); exit;
//Keep the origin 
$origin = '';
if (isset($_REQUEST['origin']) && !empty($_REQUEST['origin']))  $origin = $_REQUEST['origin'];

//
$path_to_ajax_script = $_SESSION['config']['businessappurl']
            ."index.php?display=true&module=photo_capture&"
			."page=photo_capture_ajax_script&origin=".$origin;
//
 if (isset($_FILES['file']['error']) && $_FILES['file']['error'] == 1) {
 
 } elseif (!empty($_FILES['file']['tmp_name']) && $_FILES['file']['error'] <> 1) {
	
	//Get format
	$extension =  strtolower(pathinfo($_FILES['file']['name'], PATHINFO_EXTENSION));
	
	//This type is allowed?
	if ($photo_capture->isFileTypeAllowed($_FILES['file']['type'], $extension) === true) {
	
		//Create filename
		$fileNameOnTmp = 'tmp_photo_file_' . $_SESSION['user']['UserId']
				. '_' . rand() . '.' . strtolower($extension);
		//Full tmp path
		$filePath = $_SESSION['config']['tmppath'] . $fileNameOnTmp;
		//File is uploaded?
		if (!is_uploaded_file($_FILES['file']['tmp_name'])) {
				$_SESSION['error'] = _FILE_NOT_SEND . ". " . _TRY_AGAIN
					. ". " . _MORE_INFOS . " (<a href=\"mailto:"
					. $_SESSION['config']['adminmail'] . "\">"
					. $_SESSION['config']['adminname'] . "</a>)";
		//File is moved?
		} elseif (!@move_uploaded_file($_FILES['file']['tmp_name'], $filePath)) {
			$_SESSION['error'] = _FILE_NOT_SEND . ". " . _TRY_AGAIN . ". "
				. _MORE_INFOS . " (<a href=\"mailto:"
				. $_SESSION['config']['adminmail'] . "\">"
				. $_SESSION['config']['adminname'] . "</a>)";
		} else {
			//Resize file
			$resizedFile = $photo_capture->resize(
				$filePath, 
				$_SESSION['photo_capture']['server_width'], 
				$_SESSION['photo_capture']['server_height']
			);
			//Get info
			$_SESSION['photofile']['size'] = filesize($filePath);;
			$_SESSION['photofile']['mime'] = $_FILES['file']['type'];
			$_SESSION['photofile']['local_path'] = $filePath;
			$_SESSION['photofile']['name'] = $fileNameOnTmp;
			$_SESSION['photofile']['format'] = $extension;
		}
	} else {
		?>
        <script language="javascript" type="text/javascript">
		alert('<?php echo _WRONG_FILE_TYPE . ': ' . $_FILES['file']['type'];?>');
		</script>
        <?php
        $_SESSION['photofile'] = array();
	}
}

$core_tools->load_html();
$core_tools->load_header();
// $func->show_array( $_SESSION['phosto_capture']);
// $func->show_array($_SESSION['photofile']);
?>
<body>   
    <!-- Configure a few settings -->
	<script language="JavaScript">
		webcam.set_swf_url('<?php echo $_SESSION['config']['coreurl']
			.'modules/photo_capture/webcam.swf';?>');
		webcam.set_api_url('<?php echo $_SESSION['config']['coreurl']
			.'modules/photo_capture/upload.php';?>');
		webcam.set_quality(<?php echo $_SESSION['photo_capture']['quality'];?> ); // JPEG quality (1 - 100)
        <?php
        if ($_SESSION['photo_capture']['shutter_sound'] == 'true'){
            ?>
            webcam.set_shutter_sound( true, '<?php 
			echo $_SESSION['config']['coreurl'].'modules/photo_capture/shutter.mp3';
            ?>' ); // play shutter click sound
            <?php
        } else {
            ?>webcam.set_shutter_sound(false); <?php  
        }
        //stealth
        if ($_SESSION['photo_capture']['stealth'] == 'true') {
            ?> webcam.set_stealth( true);<?php
        } else {//do not freeze image upon capture (default)
            ?>webcam.set_stealth(false);  <?php
        }
        ?>
	</script>

    <table id="photoCaptureTable" border="0" align="center">
	<tr>
		<th height="28" colspan="2"><?php echo _PHOTO_CAPTURE;?></th>
	</tr>
	<tr>
		<td align="center">
            <!-- Next, write the webcam to the page at 320x240 -->
            <script language="JavaScript">
                <?php
                $server_width_height = '';
                if (!empty($_SESSION['photo_capture']['server_width']) 
					&& !empty($_SESSION['photo_capture']['server_height'])
				) {
                    $server_width_height = " , "
						.$_SESSION['photo_capture']['server_width'].", "
						.$_SESSION['photo_capture']['server_height'];
                }
                ?>
                document.write( webcam.get_html(<?php echo $_SESSION['photo_capture']['width'];
                ?>, <?php echo $_SESSION['photo_capture']['height'].$server_width_height;?>));
            </script>
         </td>
        <td width="50%" style="border:1px solid #CCCCCC; background-color:#F3F3F3; text-align:center;">&nbsp;
            <div id="upload_results">
				<img src="<?php
				if(!empty($_SESSION['photofile']['local_path'])) {
					echo 'static.php?dir=tmp&filename='.$_SESSION['photofile']['name'];
				} else {
					echo 'static.php?module=photo_capture&filename=default.png'; 
				}
				?>" align="absmiddle"/>
			</div><br />
			<?php ?>
			<div id="reset" style="display:<?php
				echo (!empty($_SESSION['photofile']['local_path'])) ? 'inline' : 'none';?>;" >
				<a href="javascript://" onClick="makeAjaxAction('<?php echo $path_to_ajax_script;
				?>&mode=reset');"><img src="<?php
				echo $_SESSION['config']['businessappurl'];
				?>static.php?module=photo_capture&filename=picto_disabled.gif" align="absmiddle" alt="<?php 
				echo _DELETE;?>" title="<?php echo _DELETE;?>" /></a>
			</div>
        </td>
	</tr>
        <td align="center" nowrap>
            <!-- Some buttons for controlling things -->
            <form>
            <input type="button" border="1px" id="btnPhotoCapture" value="<?php 
				echo _TAKE_SNAPSHOT;?>" onClick="take_snapshot()">&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="javascript://" onClick="webcam.configure()"><img title="<?php echo _CONFIGURE_PHOTO_CAPTURE;
                ?>" src="static.php?module=photo_capture&filename=configure.gif" align="absmiddle" alt="<?php
				echo _CONFIGURE_PHOTO_CAPTURE;?>"></a>
            
             <!-- &nbsp;&nbsp;
            <input type="button" border="1px" id="btnCapture" value="<?php echo _VALIDATE_PHOTO_CAPTURE;?>" onClick=""> -->
            </form>
        </td>
        <td>&nbsp;</td>
	</tr>
	<tr>
		<td colspan="2" style="padding-top:10px;" nowrap>
			<form name="select_file_form" id="select_file_form" method="get" enctype="multipart/form-data" action="<?php
			echo $_SESSION['config']['businessappurl'];
			?>index.php?display=true&module=photo_capture&page=photo_capture" class="forms">
			<input type="hidden" name="display" value="true" />
			<input type="hidden" name="dir" value="indexing_searching" />
			<input type="hidden" name="page" value="choose_file" />
			<p>
				<div id="message"><label for="file">
				<?php
				 if (
					!empty($_SESSION['photofile']['local_path'])
					&& empty($_SESSION['error'])
				) {
					?><img src="<?php
						echo $_SESSION['config']['businessappurl'];
						?>static.php?module=photo_capture&filename=picto_enabled.gif" align="absmiddle" />
					<?php
					echo  _PHOTO_CAPTURE_UPLOADED;
				} else {
					?><img src="<?php
						echo $_SESSION['config']['businessappurl'];
						?>static.php?module=photo_capture&filename=picto_disabled.gif" align="absmiddle" />
						<?php
						echo _CAPTURE_OR_CHOOSE_FILE;
				}
				?>
				</label></div>
				<input type="file" name="file" id="file" 
				onchange="this.form.method = 'post';this.form.submit();" 
				style="width:200px;margin-left:33px;" />
			</p>
			</form>
		</td>
	</tr>
    </table>
	<!-- Code to handle the server response -->
	<script language="JavaScript">
		webcam.set_hook( 'onComplete', 'show_uploaded_file' );
		
		function take_snapshot() {
			// take snapshot and upload to server
			document.getElementById('upload_results').innerHTML = '<img src="static.php?filename=loading.gif" />';
			webcam.snap();
		}
		
		function show_uploaded_file(msg) {
			// extract URL out of PHP output
            eval("msg = "+msg);
            
            if(msg.error) {  
                alert(msg.message);
            } else {
                // alert('filename: static.php?directory=tmp&filename='+ msg.filename);
                // show JPEG image in page
				document.getElementById('upload_results').innerHTML = '<img src="static.php?dir=tmp&filename=' + msg.filename + '">';
				document.getElementById('reset').style.display = 'inline';
				document.getElementById('message').innerHTML = '<label for="file"><img src="static.php?module=photo_capture&filename=picto_enabled.gif" align="absmiddle" />&nbsp;<?php
				
				echo _PHOTO_CAPTURE_UPLOADED;?></label>';
				
				// reset camera for another shot
				webcam.reset();
			}
		}
	</script>
</body>
</html>
