<?php
/*
*
*    Copyright 2013 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief    Script to return ajax result
*
* @file     photo_capture_ajax_script.php
* @author   Yves Christian Kpakpo <dev@maarch.org>
* @date     $date$
* @version  $Revision$
* @ingroup  photo_capture
*/

require_once "core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php";

require_once 'modules/photo_capture/photo_capture_tables.php';
require_once "modules" . DIRECTORY_SEPARATOR . "photo_capture" . DIRECTORY_SEPARATOR
    . "class" . DIRECTORY_SEPARATOR . "class_modules_tools.php";
    
$core_tools     = new core_tools();
$request        = new request();
$photo_capture = new photo_capture();

function _parse($text) {
    //...
    $text = str_replace("\r\n", PHP_EOL, $text);
    $text = str_replace("\r", PHP_EOL, $text);

    //
    $text = str_replace(PHP_EOL, "\\n ", $text);
    return $text;
}
function _parse_error($text) {
    //...
    $text = str_replace("###", "\\n ", $text);
    return $text;
}
    
$core_tools->load_lang();
$request->connect();

$status = 0;
$error = $content = $js = $parameters = '';

$labels_array = array();

if (isset($_REQUEST['mode']) && !empty($_REQUEST['mode'])) {
    $mode = $_REQUEST['mode'];
} else {
    $error = _ERROR_IN_PHOTO_CAPTURE_AJAX_GENERATION;
    $status = 1;
}

//ID of the element wich is linked
$id = '';
if (isset($_REQUEST['id']) && ! empty($_REQUEST['id'])) {
    $id = trim($_REQUEST['id']);
}

//Photo ID
$photoId = '';
if (isset($_REQUEST['p_id']) && ! empty($_REQUEST['p_id'])) {
    $photoId = trim($_REQUEST['p_id']);
}

//Collection
if (isset($_REQUEST['coll_id']) && ! empty($_REQUEST['coll_id'])) {
    $collId = trim($_REQUEST['coll_id']);
}

//Keep some origin parameters
if (isset($_REQUEST['size']) && !empty($_REQUEST['size'])) $parameters .= '&size='.$_REQUEST['size'];
if (isset($_REQUEST['order']) && !empty($_REQUEST['order'])) {
    $parameters .= '&order='.$_REQUEST['order'];
    if (isset($_REQUEST['order_field']) && !empty($_REQUEST['order_field'])) $parameters .= '&order_field='.$_REQUEST['order_field'];
}
if (isset($_REQUEST['what']) && !empty($_REQUEST['what'])) $parameters .= '&what='.$_REQUEST['what'];
if (isset($_REQUEST['template']) && !empty($_REQUEST['template'])) $parameters .= '&template='.$_REQUEST['template'];
if (isset($_REQUEST['start']) && !empty($_REQUEST['start'])) $parameters .= '&start='.$_REQUEST['start'];

//Keep the origin to reload the origin list
$list_origin = $origin = '';
if (isset($_REQUEST['origin']) && !empty($_REQUEST['origin'])) {
    //
    $origin = $_REQUEST['origin'];

    if ($_REQUEST['origin'] == "document") {
        //From document

    } elseif ($_REQUEST['origin'] == "folder") {
        
        //From folders
        $collId = 'folders';
        $table = $_SESSION['tablename']['fold_folders'];
    }
}

//Path to actual script
$path_to_ajax_script = $_SESSION['config']['businessappurl']
            ."index.php?display=true&module=photo_capture&page="
            ."photo_capture_ajax_script&origin=".$origin.$parameters;

switch ($mode) {
	case 'up':
	case 'add':
        if (empty($id)) {
            $error = $request->wash_html(_ID.' '._IS_EMPTY.'!','NONE');
            $status = 1;
            //Close the modal
            $js =  "closePhotoForm();"; 
        } else {
			if (empty($collId)) {
				$error = $request->wash_html(_COLLECTION.' '._IS_EMPTY.'!','NONE');
				$status = 1;
				//Close the modal
				$js =  "closePhotoForm();"; 
			} else { 
				//Reset arry of adresses
				unset($_SESSION['adresses']);
				$_SESSION['adresses'] = array();
				//Show iframe
				$content .= '<iframe src="'
					. $_SESSION['config']['businessappurl']
					. 'index.php?display=true&module=photo_capture&page=photo_capture'
					. '&origin=document&coll_id='.$collId.'&id='.$id.'&mode='
					. $mode.$parameters.'" name="photo_iframe" id="photo_iframe" '
					. 'width="100%" height="450px" align="center" '
					. 'scrolling="auto" frameborder="0" ></iframe>';
					
				//Buttons
				$content .='<form">';
				$content .='<hr />';
				$content .='<div align="center">';
				$content .=' <input type="button" name="valid" value="&nbsp;'._VALIDATE
					.'&nbsp;" id="valid" class="button" onclick="validPhotoForm(\''
					.$path_to_ajax_script.'&coll_id='.$collId.'&id='
					.$id.'&p_id='.$photoId.'&from='.$mode.'&mode=update'.$parameters.'\');" />&nbsp;';
				$content .='<input type="button" name="cancel" id="cancel" class="button"  value="'
					._CANCEL.'" onclick="closePhotoForm();"/>';
				$content .='</form">';
			}
        }
    break;
    case 'reset':
		//Reset
		unset($_SESSION['photofile']);
        $_SESSION['photofile'] = array();
		//Content
		$content = '<img src="static.php?module=photo_capture'
				.'&filename=default.png" align="absmiddle" />';
		//Message
		$msg = '<label for="file"><img src="static.php?module=photo_capture'
			.'&filename=picto_disabled.gif" align="absmiddle" />&nbsp;'
			._CAPTURE_OR_CHOOSE_FILE.'</label>';
		//Reload
        $js = "$('reset').style.display = 'none';";
		$js .= "$('upload_results').innerHTML = '<img src=\"static.php?module=photo_capture"
			."&filename=default.png\" align=\"absmiddle\" />';";
		$js .= "$('message').innerHTML = '<label for=\"file\"><img src=\"static.php?module=photo_capture"
			."&filename=picto_disabled.gif\" align=\"absmiddle\" />&nbsp;"
			._CAPTURE_OR_CHOOSE_FILE."</label>';";
    break;
	case 'update':
		if (!empty($_SESSION['photofile']['local_path'])) {
			if (!empty($id)) {
				//Photo ID
				if (empty($photoId) && $_REQUEST['from'] == 'up') {
					$error = $request->wash_html(_PHOTO_ID.' '._IS_EMPTY.'!','NONE');
					//Close the modal
					$js =  "closePhotoForm();"; 
					$status = 1;
				} else {
					if (empty($collId)) {
					$error = $request->wash_html(_COLLECTION.' '._IS_EMPTY.'!','NONE');
					$status = 1;
					//Close the modal
					$js =  "closePhotoForm();"; 
					} else {
						//Delete photo if exists
						$photo_capture->deletePhoto($photoId);
						
						//Add photo
						$return = $photo_capture->addPhoto($collId, $id);
						
						if (is_array($return)) {
							//Update div content
							$js = "$('photoTarget').innerHTML = '<a class=\"photoLink\" href=\"javascript://\" "
								."onClick=\"showPhotoForm(\'".$path_to_ajax_script."&mode=up&id="
								.$return['linked_id']."&coll_id=".$return['coll_id']
								."&p_id=".$return['id']."\');\" alt=\""._CLICK_TO_MODIFY
								."\" title=\""._CLICK_TO_MODIFY."\" ><img src=\"static.php?dir=tmp&filename="
								.$return['file']."\" align=\"absmiddle\" /></a>';";
								
							//Update Photo toolbar
							$js .= "$('photoTools').innerHTML = '<a class=\"photoLink\" href=\"javascript://\" "
								."onClick=\"showPhotoForm(\'".$path_to_ajax_script."&mode=add&id="
								.$return['linked_id']."&coll_id=".$return['coll_id']."\');\" alt=\""._MODIFY
								."\" title=\""._MODIFY."\" ><img src=\"static.php?module="
								."photo_capture&filename=capture.gif\" align=\"absmiddle\" /></a>&nbsp;"
								."<a class=\"photoLink\"href=\"javascript://\" "
								."onClick=\"if(confirm(\'"._REALLY_DELETE."?\')) makeAjaxAction(\'"
								.$path_to_ajax_script."&mode=del&id="
								.$return['linked_id']."&coll_id=".$return['coll_id']
								."&p_id=".$return['id']."\');\"><img src=\""
								.$_SESSION['config']['businessappurl']
								."static.php?module=photo_capture&filename="
								."picto_disabled.gif\" align=\"absmiddle\" alt=\""
								._DELETE."\" title=\""._DELETE.">\" /></a>';";
						} else {
							$error = $request->wash_html(_ERROR_DURING_PHOTO_ADD.': '.$return.'!','NONE');
							$status = 1;
						}
					}
				}
			} else {
				$error = $request->wash_html(_ID.' '._IS_EMPTY.'!','NONE');
				$status = 1;
				//Close the modal
				$js =  "closePhotoForm();"; 
			}
		} else {
			$error = $request->wash_html(_CAPTURE_PHOTO_BEFORE_VALIDATE.'!','NONE');
			$status = 1;
		}
	break;
	case 'del':
		if (!empty($id)) {
			//Photo ID
			if (empty($photoId) && $_REQUEST['from'] == 'up') {
				$error = $request->wash_html(_PHOTO_ID.' '._IS_EMPTY.'!','NONE');
				$status = 1;
			} else {
				//Delete photo if exists
				$photo_capture->deletePhoto($photoId);
				
				//Update photo toolbar
				$js = "$('photoTools').innerHTML = '<a class=\"photoLink\" href=\"javascript://\" "
					."onClick=\"showPhotoForm(\'".$path_to_ajax_script."&mode=add&id="
					.$id."&coll_id=".$collId."\');\" alt=\""._ADD
					."\" title=\""._ADD."\" ><img src=\"static.php?module="
					."photo_capture&filename=capture.gif\" align=\"absmiddle\" /></a>';";
					
				//Update div content
				$js .= "$('photoTarget').innerHTML = '<a class=\"photoLink\" href=\"javascript://\" "
					."onClick=\"showPhotoForm(\'".$path_to_ajax_script."&mode=add&id="
					.$id."&coll_id=".$collId."\');\" alt=\""._CLICK_TO_MODIFY
					."\" title=\""._CLICK_TO_MODIFY."\" ><img src=\"static.php?module="
					."photo_capture&filename=default.png\" align=\"absmiddle\" /></a>';";
			}
		} else {
			$error = $request->wash_html(_ID.' '._IS_EMPTY.'!','NONE');
			$status = 1;
		}
	break;
}

echo "{status : " . $status . ", content : '" . addslashes(_parse($content)) 
		."', error : '" . addslashes(_parse_error($error)) 
		. "', exec_js : '".addslashes($js)."'}";
exit ();
?>