<?php
/*
	This file receives the JPEG snapshot from
	webcam.swf as a POST request.
*/

// The JPEG snapshot is sent as raw input:
$input = file_get_contents('php://input');

if(md5($input) == '7d4df9cc423720b7f1f3d672b89362be'){
	// Blank image. We don't need this one.
    echo '{
		"error"		: 1,
		"message"	: "Blank image."
	}';
	exit;
}

//Get back the session var
include_once('../../core/init.php');

//Build the file name
$tmpDirectory = $_SESSION['config']['tmppath'];
$filename = 'tmp_photo_file_'.$_SESSION['user']['UserId']. '_' . rand() . '.jpg';
$file = $tmpDirectory.$filename;

//Delete the old if exists
if (file_exists($file)){
    unlink($file);
}

//Write to it
$result = file_put_contents($file, $input);

if (!$result) {
	echo '{
		"error"		: 1,
		"message"	: "Failed save the image. Make sure you chmod the uploads folder and its subfolders to read/write rights."
	}';
	exit;
}

//Check the mime type
$info = getimagesize($file);
if($info['mime'] != 'image/jpeg'){
	unlink($file);
	echo '{
		"error"		: 1,
		"message"	: "Mime type not allowed. image/jpeg only."
	}';
	exit;
}

//Get the file info
$_SESSION['photofile']['type_id'] = $_SESSION['photo_capture']['type_id'];
$_SESSION['photofile']['mime'] = $info['mime'];
$_SESSION['photofile']['format'] = 'jpg';
$_SESSION['photofile']['size'] = filesize($file);
$_SESSION['photofile']['name'] = $filename;
$_SESSION['photofile']['local_path'] = $file;

// $debug = str_replace('&amp;', '&',urldecode(http_build_query($_SESSION['photofile'])));

echo '{"status":1, "message":"Success!", "filename":"'.$filename.'&rand='.date('YmdHis').'", "debug":"'.$debug.'"}';
?>