<?php
/*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief  Script called by an ajax object to process the box change during indexing (index_mlb.php)
*
* @file
* @author Loïc Vinet <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup indexing_searching_mlb
*/

require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
require_once("modules".DIRECTORY_SEPARATOR."physical_archive".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_modules_tools.php");

if(!isset($_SESSION['indexing_category_id']) || empty($_SESSION['indexing_category_id']))
{
	$_SESSION['error'] = _CATEGORY.' '._IS_EMPTY;
	echo "{status : 1, error_txt : '".addslashes($_SESSION['error'])."'}";
	exit();
}
else
{
	$category = $_SESSION['indexing_category_id'];
	$user_id = $_SESSION['user']['UserId'];
	$db = new dbquery();
	$core = new core_tools();
	$core->load_lang();

	$pa = new physical_archive();
	if(isset($_SESSION['arbox_id']) && $_SESSION['arbox_id'] <> "")
	{
		$box = $_SESSION['arbox_id'];
		//$_SESSION['arbox_id'] = "";
	}
	else
	{
		$box = $pa->select_user_default_box_for_letterbox($category, $user_id);
	}
	//array_push($_SESSION['indexing_services_cat'], array('script' => $_SESSION['config']['businessappurl'].'static.php?module=physical_archive&filename=functions.js', 'function_to_execute' => 'change_box', 'arguments' => array(
	//array_push($_SESSION['indexing_services_cat'], array('script' => $_SESSION['config']['corepath'].'physical_archivejs/functions.js', 'function_to_execute' => 'change_box', 'arguments' => array(
	array_push($_SESSION['indexing_services_cat'], array('script' => 'modules/physical_archive/js/functions.js', 'function_to_execute' => 'change_box', 'arguments' => array(
array('id' => 'box_id' , 'value' =>$box))));
}
?>
