<?php
/**
* modules tools Class for physical archives
*
*  Contains all the functions to  modules tables for physical archives
*
* @package  maarch
* @version 3.0
* @since 10/2005
* @license GPL v3
* @author  Loic Vinet  <dev@maarch.org>
*
*/
require_once("core/class/class_request.php");
require_once("core/class/class_functions.php");
class physical_archive extends request
{
	/**
	* Build Maarch module tables into sessions vars with a xml configuration file
	*/
	public function build_modules_tables()
	{
		if(file_exists($_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml"))
		{
			$path = $_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml";
		}
		else
		{
			$path = "modules".DIRECTORY_SEPARATOR."physical_archive".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml";
		}
		$xmlconfig = simplexml_load_file($path);
		$TABLENAME = $xmlconfig->TABLENAME;
		$_SESSION['tablename']['ar_boxes'] = (string) $TABLENAME->ar_boxes;
		$_SESSION['tablename']['ar_lots'] = (string) $TABLENAME->ar_batchs;
		$HISTORY = $xmlconfig->HISTORY;
		$_SESSION['history']['ar_box_del'] = (string) $HISTORY->ar_box_del;
		$_SESSION['history']['ar_box_add'] = (string) $HISTORY->ar_box_add;
		$_SESSION['history']['ar_box_close'] = (string) $HISTORY->ar_box_close;
		$_SESSION['history']['ar_container_del'] = (string) $HISTORY->ar_batch_del;
		$_SESSION['history']['ar_container_add']= (string) $HISTORY->ar_batch_add;
		$_SESSION['history']['ar_container_close']= (string) $HISTORY->ar_batch_close;
		$CONFIG = $xmlconfig->CONFIG;
		$_SESSION['physical_archive_config']['batch_functions_path'] = (string) $CONFIG->batch_functions_path;
		$_SESSION['physical_archive_config']['barcodes_parameters_path'] = (string) $CONFIG->barcodes_parameters_path;
		$_SESSION['physical_archive_config']['batches_type'] = $this->read_batch_type();
	}

	public function load_module_var_session()
	{

	}

	/**
	* function read_batch_type
	*
	*  return all batch type founded in batch functions path
	*
	* @created 01/15/2009
	* @license GPL v3
	* @author  Loic Vinet  <dev@maarch.org>
	*
	*/
	public function read_batch_type()
	{
		$batchtypes = array();
		if(file_exists($_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR.$_SESSION['physical_archive_config']['batch_functions_path']))
		{
			$path = $_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR.$_SESSION['physical_archive_config']['batch_functions_path'];
		}
		else
		{
			$path = "modules".DIRECTORY_SEPARATOR.$_SESSION['physical_archive_config']['batch_functions_path'];
		}
		$batch_config = simplexml_load_file($path);
		foreach($batch_config ->BATCH as $BATCH)
		{
			$batch_id = (string) $BATCH->id;
			$tmp = (string) $BATCH->label;
			$tmp2 = $this->retrieve_constant_lang($tmp, "modules/physical_archive".DIRECTORY_SEPARATOR.'lang'.DIRECTORY_SEPARATOR.$_SESSION['config']['lang'].'.php');
			if($tmp2<> false)
			{
				$batch_label=$tmp2;
			}
			else
			{
				$batch_label=$tmp;
			}
			$batch_script = (string) $BATCH->script;
			array_push($batchtypes,array("ID"=>$batch_id, "LABEL"=>$batch_label, "SCRIPT"=>$batch_script));
		}
		return $batchtypes;
	}

	/**
	* function execute_batch_type
	*
	*  execute selected batch
	*
	* @created 01/15/2009
	* @license GPL v3
	* @author  Loic Vinet  <dev@maarch.org>
	*
	* @param : $filename (var) => name of executed file.
	*/
	public function execute_batch_type($filename)
	{
		header("location: ".$_SESSION['config']['businessappurl']."index.php?page=".str_replace(".php","",$filename)."&module=physical_archive");
		exit();
	}

	/**
	* function generate_xml_barcode
	*
	*  return barcodes full string encoded
	*
	* @created 01/16/2009
	* @license GPL v3
	* @author  Loic Vinet  <dev@maarch.org>
	*
	* @param : $id (var) => id of barcode template
	* @param : $values (array) => id of barcode template
	*/
	public function generate_xml_barcode($id, $values)
	{
		if(file_exists($_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR.$_SESSION['physical_archive_config']['barcodes_parameters_path']))
		{
			$path = $_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR.$_SESSION['physical_archive_config']['barcodes_parameters_path'];
		}
		else
		{
			$path = "modules".DIRECTORY_SEPARATOR.$_SESSION['physical_archive_config']['barcodes_parameters_path'];
		}
	 	$batch_config = simplexml_load_file($path);
	 	if($batch_config)
		{
			foreach($batch_config ->BARCODE as $BARCODE)
			{
				$barcode_id = (string) $BARCODE->id;
				if($barcode_id == $id)
				{
					$barcode_value = array();
					$PROPERTIES = $BARCODE->PROPERTIES;
					$separator_types = (string) $PROPERTIES->separator_type;
					$prefix_value = (string) $PROPERTIES->prefix_value;
					$barcode_encoding = (string) $PROPERTIES->barcode_encoding;
					foreach($BARCODE ->VALUE as $VALUE)
					{
						$tmp_type = (string) $VALUE->TYPE;
						$tmp_element = (string) $VALUE->ELEMENT;
						$tmp_column = (string) $VALUE->COLUMN;
						$tmp_where = (string) $VALUE->WHERE;
						$tmp_var = (string) $VALUE->VAR;
						array_push($barcode_value, array("TYPE"=>$tmp_type, "ELEMENT"=>$tmp_element, "COLUMN"=>$tmp_column, "WHERE"=>$tmp_where, "VAR"=>$tmp_var));
					}
					$final_code = $prefix_value;
					$final_code.= $separator_types;
					for($make = 0; $make < count($barcode_value); $make++)
					{
						if($barcode_value[$make]['TYPE'] == "text")
						{
							$final_code .= 	$barcode_value[$make]['ELEMENT'];
							$final_code .= $separator_types;
						}
						if($barcode_value[$make]['TYPE'] == "db_parameters")
						{
							$p_db_column = $barcode_value[$make]['COLUMN'];
							$p_db_where = $barcode_value[$make]['WHERE'];
							if(($p_db_column == "")||($p_db_where == ""))
							{
								echo "ERROR WITH DB_PARAMETERS VALUE ".$make;
								exit();
							}
							$db = new dbquery();
							$db-> connect();
							$db->query("select ".$barcode_value[$make]['COLUMN']." from ".$_SESSION['tablename']['ar_lots']." where ".$barcode_value[$make]['WHERE']);
							$line = $db->fetch_array();
							$final_code.=$line[0];
							$final_code.=$separator_types;
						}
						if($barcode_value[$make]['TYPE'] == "php")
						{
							for($v_ap_i = 0; $v_ap_i < count($values); $v_ap_i++)
							{
								if(!$values[$v_ap_i]['VAR'])
								{
									echo "Php var error";
								}
								else
								{
									if($values[$v_ap_i]['VAR'] == $barcode_value[$make]['VAR'])
									{
										$final_code.=$values[$v_ap_i]['VAL'];
										$final_code.=$separator_types;
									}
								}
							}
						}
					}
					$final_code=substr($final_code, 0, -1);
					if($barcode_encoding == "C39")
					{
						$final_code="*".$final_code."*";
					}
					return $final_code;
				}
			}
	 	}
	 	else
	 	{
	 		echo 'ERROR : BARCODES_PARAMETERS ERROR"';
	 		exit();
	 	}
	}

	function change_user_default_box_for_letterbox($box_id, $categorie, $user_id)
	{
		$db = new dbquery();
		$db-> connect();
		$db->query("DELETE from ".$_SESSION['tablename']['param']." where id = 'ar_index_".$user_id."_".$categorie."' ");
		$db->query("INSERT INTO ".$_SESSION['tablename']['param']." (id, param_value_int) values ('ar_index_".$user_id."_".$categorie."' , '".$box_id."') ");
	}

	function select_user_default_box_for_letterbox($categorie, $user_id)
	{
		$db = new dbquery();
		$db-> connect();
		$db->query("select param_value_int from  ".$_SESSION['tablename']['param']." p, ".$_SESSION['tablename']['ar_boxes']." b where p.id = 'ar_index_".$user_id."_".$categorie."' and b.arbox_id = p.param_value_int and b.status = 'NEW' ");
		if ($db->nb_result() == 0)
		{
			return 0;
		}
		else
		{
			$res = $db->fetch_object();
			return $res->param_value_int;
		}
	}

	function load_box_db($box_id, $categorie, $user_id)
	{
		$db = new dbquery();
		$db-> connect();
		$db->query("select max(arbatch_id) as nb, title from ".$_SESSION['tablename']['ar_lots']." where arbox_id = '".$box_id."' group by title");
		$res = $db->fetch_object();
		if(!isset($res->nb) || $res->nb == "")
		{
			$count_lot = 1;
		}
		else
		{
			$count_lot = $res->nb +1;
		}
		$db->query("select arbatch_id  from ".$_SESSION['tablename']['ar_lots']." where arbox_id = ".$box_id." and custom_t6 = 'LETTERBOX'" );
		$the_count = $db->nb_result();
		$result = $db->fetch_object();
		if($the_count == 0)
		{
			$request = new request();
			$current_date = $request->current_datetime();
			$data = array();
			//Create a new batch when this box is empty
			array_push($data, array('column' => "title", 'value' => ($count_lot), "type" => "string"));
			array_push($data, array('column' => "status", 'value' => "NEW", "type" => "string"));
			array_push($data, array('column' => "custom_t3", 'value' => $_SESSION['user']['UserId'], "type" => "string"));
			array_push($data, array('column' => "creation_date", 'value' => $current_date, "type" => ""));
			array_push($data, array('column' => "custom_d4", 'value' => $current_date, "type" => ""));
			array_push($data, array('column' => "arbox_id", 'value' => $box_id, "type" => ""));
			array_push($data, array('column' => "custom_t6", 'value' => "LETTERBOX", 'type' => "string"));
			if(!$request->insert($_SESSION['tablename']['ar_lots'], $data, $_SESSION['config']['databasetype']))
			{
				//$request->show();
				//echo _INDEXING_LOT_ERROR."<br/>";
				return false;
			}
			else
			{
				$this->change_user_default_box_for_letterbox($box_id, $categorie, $user_id);
				return $count_lot;
			}
		}
		elseif ($the_count == 1)
		{
			$this->change_user_default_box_for_letterbox($box_id, $categorie, $user_id);
			return $result->arbatch_id;
		}
		else
		{
			echo _SYSTEM_ERROR_IN_PHYSICAL_ARCHIVE;
		}
	}
}
