CREATE TABLE IF NOT EXISTS `ar_boxes` (
  `arbox_id` int(8) NOT NULL auto_increment,
  `title` varchar(255) collate utf8_unicode_ci default NULL,
  `subject` varchar(255) collate utf8_unicode_ci default NULL,
  `description` text collate utf8_unicode_ci,
  `entity_id` varchar(32) collate utf8_unicode_ci default NULL,
  `arcontainer_id` int(8) NOT NULL,
  `status` varchar(3) collate utf8_unicode_ci default NULL,
  `creation_date` datetime default NULL,
  `retention_time` datetime default NULL,
  `custom_t1` varchar(3) collate utf8_unicode_ci default NULL,
  `custom_n1` int(11) default NULL,
  `custom_f1` decimal(10,0) default NULL,
  `custom_d1` datetime default NULL,
  `custom_t2` varchar(3) collate utf8_unicode_ci default NULL,
  `custom_n2` int(11) default NULL,
  `custom_f2` decimal(10,0) default NULL,
  `custom_d2` datetime default NULL,
  `custom_t3` varchar(50) collate utf8_unicode_ci default NULL,
  `custom_n3` int(11) default NULL,
  `custom_f3` decimal(10,0) default NULL,
  `custom_d3` datetime default NULL,
  `custom_t4` varchar(50) collate utf8_unicode_ci default NULL,
  `custom_n4` int(11) default NULL,
  `custom_f4` decimal(10,0) default NULL,
  `custom_d4` datetime default NULL,
  `custom_t5` varchar(255) collate utf8_unicode_ci default NULL,
  `custom_n5` int(11) default NULL,
  `custom_f5` decimal(10,0) default NULL,
  `custom_d5` datetime default NULL,
  `custom_t6` varchar(255) collate utf8_unicode_ci default NULL,
  `custom_t7` varchar(255) collate utf8_unicode_ci default NULL,
  `custom_t8` varchar(255) collate utf8_unicode_ci default NULL,
  `custom_t9` varchar(255) collate utf8_unicode_ci default NULL,
  `custom_t10` varchar(255) collate utf8_unicode_ci default NULL,
  `custom_t11` varchar(255) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`arbox_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `ar_containers` (
  `arcontainer_id` int(8) NOT NULL,
  `arcontainer_desc` varchar(255) collate utf8_unicode_ci default NULL,
  `status` varchar(3) collate utf8_unicode_ci default NULL,
  `ctype_id` varchar(32) collate utf8_unicode_ci default NULL,
  `position_id` bigint(20) default NULL,
  `creation_date` datetime default NULL,
  `entity_id` varchar(32) collate utf8_unicode_ci NOT NULL,
  `retention_time` datetime default NULL,
  `custom_t1` varchar(50) collate utf8_unicode_ci default NULL,
  `custom_n1` int(11) default NULL,
  `custom_f1` decimal(10,0) default NULL,
  `custom_d1` datetime default NULL,
  `custom_t2` varchar(3) collate utf8_unicode_ci default NULL,
  `custom_n2` int(11) default NULL,
  `custom_f2` decimal(10,0) default NULL,
  `custom_d2` datetime default NULL,
  PRIMARY KEY  (`arcontainer_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


CREATE TABLE ar_batch
(
  arbatch_id int(8) NOT NULL auto_increment,
  title varchar(255) collate utf8_unicode_ci default NULL,
  subject varchar(255) collate utf8_unicode_ci default NULL,
  description text,
  arbox_id bigint,
  status varchar(3) collate utf8_unicode_ci default NULL,
  creation_date datetime default NULL,
  retention_time varchar(50) collate utf8_unicode_ci default NULL,
  custom_t1 varchar(3) collate utf8_unicode_ci default NULL,
  custom_n1 integer,
  custom_f1 numeric,
  custom_d1 datetime default NULL,
  custom_t2 varchar(3) collate utf8_unicode_ci default NULL,
  custom_n2 integer,
  custom_f2 numeric,
  custom_d2 datetime default NULL,
  custom_t3 varchar(50) collate utf8_unicode_ci default NULL,
  custom_n3 integer,
  custom_f3 numeric,
  custom_d3 datetime default NULL,
  custom_t4 varchar(50) collate utf8_unicode_ci default NULL,
  custom_n4 integer,
  custom_f4 numeric,
  custom_d4 datetime default NULL,
  custom_t5 varchar(255) collate utf8_unicode_ci default NULL,
  custom_n5 integer,
  custom_f5 numeric,
  custom_d5 datetime default NULL,
  custom_t6 varchar(255) collate utf8_unicode_ci default NULL,
  custom_t7 varchar(255) collate utf8_unicode_ci default NULL,
  custom_t8 varchar(255) collate utf8_unicode_ci default NULL,
  custom_t9 varchar(255) collate utf8_unicode_ci default NULL,
  custom_t10 varchar(255) collate utf8_unicode_ci default NULL,
  custom_t11 varchar(255) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (arbatch_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
