
CREATE SEQUENCE S_AR_BATCH
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;
  
 CREATE SEQUENCE ARBOX_ID_SEQ
  START WITH 1
  MAXVALUE 999999999999999999999999999
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;

CREATE TABLE AR_BATCH
(
  ARBATCH_ID      NUMBER(6)                     NOT NULL,
  TITLE           VARCHAR2(255 BYTE)            DEFAULT NULL,
  SUBJECT         VARCHAR2(255 BYTE)            DEFAULT NULL,
  DESCRIPTION     VARCHAR2(2048 BYTE)            DEFAULT NULL,
  ARBOX_ID        NUMBER,
  STATUS          VARCHAR2(3 BYTE)              DEFAULT NULL,
  CREATION_DATE   DATE                  DEFAULT sysdate,
  RETENTION_TIME  VARCHAR2(50 BYTE)             DEFAULT NULL,
  CUSTOM_T1       VARCHAR2(3 BYTE)              DEFAULT NULL,
  CUSTOM_N1       INTEGER,
  CUSTOM_F1       NUMBER,
  CUSTOM_D1       DATE,
  CUSTOM_T2       VARCHAR2(3 BYTE)              DEFAULT NULL,
  CUSTOM_N2       INTEGER,
  CUSTOM_F2       NUMBER,
  CUSTOM_D2       DATE,
  CUSTOM_T3       VARCHAR2(50 BYTE)             DEFAULT NULL,
  CUSTOM_N3       INTEGER,
  CUSTOM_F3       NUMBER,
  CUSTOM_D3       DATE,
  CUSTOM_T4       VARCHAR2(50 BYTE)             DEFAULT NULL,
  CUSTOM_N4       INTEGER,
  CUSTOM_F4       NUMBER,
  CUSTOM_D4       DATE,
  CUSTOM_T5       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_N5       INTEGER,
  CUSTOM_F5       NUMBER,
  CUSTOM_D5       DATE,
  CUSTOM_T6       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T7       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T8       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T9       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T10      VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T11      VARCHAR2(255 BYTE)            DEFAULT NULL
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE AR_BOXES
(
  ARBOX_ID        NUMBER                        NOT NULL,
  TITLE           VARCHAR2(255 BYTE)            DEFAULT NULL,
  SUBJECT         VARCHAR2(255 BYTE)            DEFAULT NULL,
  DESCRIPTION     VARCHAR2(2048 BYTE)           DEFAULT NULL,
  ENTITY_ID       VARCHAR2(32 BYTE)             DEFAULT NULL,
  ARCONTAINER_ID  INTEGER                       ,
  STATUS          VARCHAR2(3 BYTE)              DEFAULT NULL,
  CREATION_DATE   DATE,
  RETENTION_TIME  DATE,
  CUSTOM_T1       VARCHAR2(3 BYTE)              DEFAULT NULL,
  CUSTOM_N1       INTEGER                       DEFAULT NULL,
  CUSTOM_F1       NUMBER                        DEFAULT NULL,
  CUSTOM_D1       DATE,
  CUSTOM_T2       VARCHAR2(3 BYTE)              DEFAULT NULL,
  CUSTOM_N2       INTEGER                       DEFAULT NULL,
  CUSTOM_F2       NUMBER                        DEFAULT NULL,
  CUSTOM_D2       DATE,
  CUSTOM_T3       VARCHAR2(50 BYTE)             DEFAULT NULL,
  CUSTOM_N3       INTEGER                       DEFAULT NULL,
  CUSTOM_F3       NUMBER                        DEFAULT NULL,
  CUSTOM_D3       DATE,
  CUSTOM_T4       VARCHAR2(50 BYTE)             DEFAULT NULL,
  CUSTOM_N4       INTEGER                       DEFAULT NULL,
  CUSTOM_F4       NUMBER                        DEFAULT NULL,
  CUSTOM_D4       DATE,
  CUSTOM_T5       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_N5       INTEGER                       DEFAULT NULL,
  CUSTOM_F5       NUMBER                        DEFAULT NULL,
  CUSTOM_D5       DATE,
  CUSTOM_T6       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T7       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T8       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T9       VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T10      VARCHAR2(255 BYTE)            DEFAULT NULL,
  CUSTOM_T11      VARCHAR2(255 BYTE)            DEFAULT NULL
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE TABLE AR_CONTAINERS
(
  ARCONTAINER_ID    INTEGER                     NOT NULL,
  ARCONTAINER_DESC  VARCHAR2(255 BYTE)          DEFAULT NULL,
  STATUS            VARCHAR2(3 BYTE)            DEFAULT NULL,
  CTYPE_ID          VARCHAR2(32 BYTE)           DEFAULT NULL,
  POSITION_ID       NUMBER                      DEFAULT NULL,
  CREATION_DATE     DATE                DEFAULT sysdate,
  ENTITY_ID         VARCHAR2(32 BYTE)           ,
  RETENTION_TIME    DATE,
  CUSTOM_T1         VARCHAR2(50 BYTE)           DEFAULT NULL,
  CUSTOM_N1         INTEGER                     DEFAULT NULL,
  CUSTOM_F1         NUMBER                      DEFAULT NULL,
  CUSTOM_D1         DATE,
  CUSTOM_T2         VARCHAR2(3 BYTE)            DEFAULT NULL,
  CUSTOM_N2         INTEGER                     DEFAULT NULL,
  CUSTOM_F2         NUMBER                      DEFAULT NULL,
  CUSTOM_D2         DATE
)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       2147483645
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;



CREATE OR REPLACE TRIGGER t_ar_batchs_ins
   BEFORE INSERT
   ON ar_batch
   REFERENCING NEW AS NEW OLD AS OLD
   FOR EACH ROW
BEGIN
   SELECT S_AR_BATCH.NEXTVAL
     INTO :NEW.arbatch_id
     FROM DUAL;
EXCEPTION
   WHEN OTHERS
   THEN
      RAISE;
END t_ar_batchs_ins;
/
SHOW ERRORS;

CREATE OR REPLACE TRIGGER t_ar_boxes_ins
   BEFORE INSERT
   ON ar_boxes
   REFERENCING NEW AS NEW OLD AS OLD
   FOR EACH ROW
BEGIN
   SELECT arbox_id_seq.NEXTVAL
     INTO :NEW.arbox_id
     FROM DUAL;
EXCEPTION
   WHEN OTHERS
   THEN
      RAISE;
END t_ar_boxes_ins;
/
SHOW ERRORS;

ALTER TABLE AR_CONTAINER_TYPES ADD (
  CONSTRAINT AR_CONTAINER_TYPES_PKEY
 PRIMARY KEY
 (CTYPE_ID));

ALTER TABLE AR_BOXES ADD (
  CONSTRAINT AR_BOXES_PKEY
 PRIMARY KEY
 (ARBOX_ID));
 
 
ALTER TABLE AR_BATCH ADD (
  CONSTRAINT AR_BATCH_PKEY
 PRIMARY KEY
 (ARBATCH_ID));
