create or replace function update_the_db() returns void as
$$
begin

    if not exists(select * from information_schema.tables where table_name = 'ar_boxes') then

      CREATE TABLE ar_boxes (
	  arbox_id serial NOT NULL,
	  title character varying(255)  DEFAULT NULL,
	  subject character varying(255)  DEFAULT NULL,
	  description text ,
	  entity_id character varying(32)  DEFAULT NULL,
	  arcontainer_id integer NOT NULL,
	  status character varying(3)  DEFAULT NULL,
	  creation_date  timestamp without time zone DEFAULT NULL,
	  retention_time character varying(50)  DEFAULT NULL,
	  custom_t1 character varying(3)  DEFAULT NULL,
	  custom_n1 integer,
	  custom_f1 numeric,
	  custom_d1 timestamp without time zone DEFAULT NULL,
	  custom_t2 character varying(3)  DEFAULT NULL,
	  custom_n2 integer,
	  custom_f2 numeric,
	  custom_d2 timestamp without time zone DEFAULT NULL,
	  custom_t3 character varying(50)  DEFAULT NULL,
	  custom_n3 integer,
	  custom_f3 numeric,
	  custom_d3 timestamp without time zone DEFAULT NULL,
	  custom_t4 character varying(50)  DEFAULT NULL,
	  custom_n4 integer,
	  custom_f4 numeric,
	  custom_d4 timestamp without time zone DEFAULT NULL,
	  custom_t5 character varying(255)  DEFAULT NULL,
	  custom_n5 integer,
	  custom_f5 numeric,
	  custom_d5 timestamp without time zone DEFAULT NULL,
	  custom_t6 character varying(255)  DEFAULT NULL,
	  custom_t7 character varying(255)  DEFAULT NULL,
	  custom_t8 character varying(255)  DEFAULT NULL,
	  custom_t9 character varying(255)  DEFAULT NULL,
	  custom_t10 character varying(255)  DEFAULT NULL,
	  custom_t11 character varying(255)  DEFAULT NULL,
	  CONSTRAINT ar_boxes_pkey PRIMARY KEY  (arbox_id)
	) ;

    end if;

end;
$$
language 'plpgsql';

select update_the_db();
drop function update_the_db();


create or replace function update_the_db() returns void as
$$
begin

    if not exists(select * from information_schema.tables where table_name = 'ar_containers') then

        CREATE TABLE ar_containers
	(
	  arcontainer_id serial NOT NULL ,
	  arcontainer_desc character varying(255)  DEFAULT NULL,
	  status character varying(3)  DEFAULT NULL,
	  ctype_id character varying(32)  DEFAULT NULL,
	  position_id bigint  DEFAULT NULL,
	  creation_date timestamp without time zone DEFAULT NULL,
	  entity_id character varying(32)  DEFAULT NULL,
	  retention_time character varying(50)  DEFAULT NULL,
	  custom_t1 character varying(50)  DEFAULT NULL,
	  custom_n1 integer,
	  custom_f1 numeric,
	  custom_d1 timestamp without time zone DEFAULT NULL,
	  custom_t2 character varying(3)  DEFAULT NULL,
	  custom_n2 integer,
	  custom_f2 numeric,
	  custom_d2 timestamp without time zone DEFAULT NULL,
	  CONSTRAINT ar_containers_pkey PRIMARY KEY  (arcontainer_id)
	) ;

    end if;

end;
$$
language 'plpgsql';

select update_the_db();
drop function update_the_db();

CREATE TABLE ar_batch
(
  arbatch_id serial NOT NULL ,
  title character varying(255)  DEFAULT NULL,
  subject character varying(255)  DEFAULT NULL,
  description text,
  arbox_id bigint,
  status character varying(3)  DEFAULT NULL,
  creation_date timestamp without time zone DEFAULT NULL,
  retention_time character varying(50)  DEFAULT NULL,
  custom_t1 character varying(3)  DEFAULT NULL,
  custom_n1 integer,
  custom_f1 numeric,
  custom_d1 timestamp without time zone DEFAULT NULL,
  custom_t2 character varying(3)  DEFAULT NULL,
  custom_n2 integer,
  custom_f2 numeric,
  custom_d2 timestamp without time zone DEFAULT NULL,
  custom_t3 character varying(50)  DEFAULT NULL,
  custom_n3 integer,
  custom_f3 numeric,
  custom_d3 timestamp without time zone DEFAULT NULL,
  custom_t4 character varying(50)  DEFAULT NULL,
  custom_n4 integer,
  custom_f4 numeric,
  custom_d4 timestamp without time zone DEFAULT NULL,
  custom_t5 character varying(255)  DEFAULT NULL,
  custom_n5 integer,
  custom_f5 numeric,
  custom_d5 timestamp without time zone DEFAULT NULL,
  custom_t6 character varying(255)  DEFAULT NULL,
  custom_t7 character varying(255)  DEFAULT NULL,
  custom_t8 character varying(255)  DEFAULT NULL,
  custom_t9 character varying(255)  DEFAULT NULL,
  custom_t10 character varying(255)  DEFAULT NULL,
  custom_t11 character varying(255)  DEFAULT NULL,
  CONSTRAINT ar_batch_pkey PRIMARY KEY  (arbatch_id)
) ;
