<?php
/*
*
*    Copyright 2008,2009 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*
/**
* @brief  Postindexing administration : unlock files or folders locked by postindexing
*
* @file
* @author  Yves Christian KPAKPO <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup postindexin
*/

require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
require_once("modules".DIRECTORY_SEPARATOR."postindexing".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_modules_tools.php");
require_once("apps".DIRECTORY_SEPARATOR.$_SESSION['config']['app_id'].DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_extended_list_show.php");

$admin = new core_tools();
$func = new functions();
$postindexing = new postindexing();
$list = new extended_list_show();
$request = new request;

$admin->test_admin('admin_postindexing', 'postindexing');
/****************Management of the location bar  ************/
$init = false;
if(isset($_REQUEST['reinit']) && $_REQUEST['reinit'] == "true")
{
	$init = true;
}
$level = "";
if(isset($_REQUEST['level']) && ($_REQUEST['level'] == 2 || $_REQUEST['level'] == 3 || $_REQUEST['level'] == 4 || $_REQUEST['level'] == 1))
{
	$level = $_REQUEST['level'];
}
$page_path = $_SESSION['config']['businessappurl'].'index.php?page=admin_postindexing&module=postindexing';
$page_label = _ADMIN_POSTINDEXING;
$page_id = "admin_postindexing";
$admin->manage_location_bar($page_path, $page_label, $page_id, $init, $level);
/***********************************************************/

?>
<h1><img src="<?php echo $_SESSION['config']['businessappurl'];?>static.php?module=postindexing&filename=manage_postindexing_b.gif" alt="" /> <?php echo _ADMIN_POSTINDEXING;?></h1>
<div id="inner_content" class="clearfix">
<?php


//Build the query
$select[$_SESSION['tablename']['view_admin_postindexing']]= array();

//Toutes les "Where Clause" dans un tableau
$where_tab = array();
	
$where = implode(' and ', $where_tab);

//Clause order by
$order = '';
if(isset($_REQUEST['order']) && !empty($_REQUEST['order']))
{
	$order = trim($_REQUEST['order']);
}
$field = '';
if(isset($_REQUEST['order_field']) && !empty($_REQUEST['order_field']))
{
	$field = trim($_REQUEST['order_field']);
}
else
{
	$field = 'video_time';
}

$orderstr = $list->extended_define_order($order, $field);
array_push($select[$_SESSION['tablename']['view_admin_postindexing']], "video_user", "user_name", "video_batch", "video_time", "count_documents", "folders_system_id", "folder_full_label", "video_status ");

$tab=$request->select($select,$where,$orderstr,$_SESSION['config']['databasetype'], $_SESSION['config']['databasesearchlimit'], false, '', '', '', false);
//$request->show();
	
for ($i=0;$i<count($tab);$i++)
{
	for ($j=0;$j<count($tab[$i]);$j++)
	{
		foreach(array_keys($tab[$i][$j]) as $value)
		{
			if($tab[$i][$j][$value]=='video_user')
			{
				$tab[$i][$j]['video_user']=$tab[$i][$j]['value'];
				$tab[$i][$j]["label"]='';
				$tab[$i][$j]["size"]="4";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="center";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=false;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]["order"]='video_user';
			}
			if ($tab[$i][$j][$value] == "user_name")
			{
				$tab[$i][$j]["label"]=_USER;
				$tab[$i][$j]["size"]="20";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="center";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]['value']=$tab[$i][$j]['value'];
				$tab[$i][$j]["order"]="user_name";
			}
			if ($tab[$i][$j][$value] == "video_batch")
			{
				$tab[$i][$j]["label"]=_VIDEO_WORKBATCH_SHORT;
				$tab[$i][$j]["size"]="20";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="center";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]['value']=$tab[$i][$j]['value'];
				$tab[$i][$j]["order"]="video_batch";
			}
			if ($tab[$i][$j][$value] == "video_time")
			{
				$tab[$i][$j]["label"]=_VIDEO_TIME;
				$tab[$i][$j]["size"]="20";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="center";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["value_export"] = $func->dateformat(date("Y-m-d H:i:s", $tab[$i][$j]['value']));
				$tab[$i][$j]['value']=$func->dateformat(date("Y-m-d H:i:s", $tab[$i][$j]['value']));;
				$tab[$i][$j]["order"]="video_time";
			}
						
			if($tab[$i][$j][$value]=='folders_system_id')
			{
				$tab[$i][$j]['folders_system_id']=$tab[$i][$j]['value'];
				$tab[$i][$j]["label"]='';
				$tab[$i][$j]["size"]="4";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="center";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=false;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]["order"]='folders_system_id';
			}
			if ($tab[$i][$j][$value] == "folder_full_label")
			{
				$tab[$i][$j]["label"]=_FOLDERID.' : '._FOLDERNAME;
				$tab[$i][$j]["size"]="30";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="center";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]['value']=$tab[$i][$j]['value'];
				$tab[$i][$j]["order"]="folder_full_label";
			}
			if ($tab[$i][$j][$value] == "video_status")
			{
				$tab[$i][$j]["label"]=_STATUS;
				$tab[$i][$j]["size"]="10";
				$tab[$i][$j]["label_align"]="left";
				$tab[$i][$j]["align"]="center";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]['value']=$tab[$i][$j]['value'];
				$tab[$i][$j]["order"]="video_status";
			}
			if($tab[$i][$j][$value]=="count_documents")
			{
				$tab[$i][$j]["label"]=_NUMBER_OF_DOCS;
				$tab[$i][$j]["size"]="10";
				$tab[$i][$j]["label_align"]="right";
				$tab[$i][$j]["align"]="right";
				$tab[$i][$j]["valign"]="bottom";
				$tab[$i][$j]["show"]=true;
				$tab[$i][$j]["value_export"] = $tab[$i][$j]['value'];
				$tab[$i][$j]["order"]="count_documents";
			}
		}
	}
}
		
if (count($tab) >0 )
{
	
	//Cl de la liste
	$list_key = 'video_user';

	//Initialiser le tableau de paramtres
	$paramsTab = array();
	
	//Aspect de la liste
	$paramsTab['page_title'] = _RESULTS." : ".count($tab).' '._VIDEO_WORKBATCH_FOUND;
	$paramsTab['bool_big_page_title'] = false;
	$paramsTab['bool_sort'] = true;

	//Creation des liens
	$paramsTab['page_name'] = 'view_baskets';
	$paramsTab['page_parameters'] = 'module=basket&baskets='.$_SESSION['current_basket']['id'];

	//Actions array
	$actions = array();
	$action_icon = array(
						"href"=>$_SESSION['config']['businessappurl']."index.php?display=true&page=unlock_docs&module=postindexing&id=@@video_user@@&wb=@@video_batch@@&folder_id=@@folders_system_id@@", 
						"icon"=>$_SESSION['config']['businessappurl']."static.php?filename=cadenas_vert.png",
						"tooltip"=>_UNLOCK_RES,
						"bool_alert"=>true,
						"alert_text"=> _REALLY_UNLOCK." @@video_batch@@ ?\\n"
						);
	array_push($actions, $action_icon);
    
    $paramsTab['click_line_text']; 
    
	//Afficher la liste
	$list->extended_list($tab, $list_key, $paramsTab, $actions);
}
else
{
?>
	<p class="error"><br /><?php echo _NO_POSTINDEXING_BATCH;?></p>
<?php
}
?>
</div>
