<?php
/**
* modules tools Class for postindexing
*
*  Contains all the functions to .postindex documents
*
* @package  maarch
* @version 2.0
* @since 02/2009
* @license GPL v3
* @author  Yves Christian KPAKPO  <dev@maarch.org>
*
*/

class postindexing extends dbquery
{
	/**
	* Build Maarch module tables into sessions vars with a xml configuration file
	*/
	public function build_modules_tables()
	{
		if(file_exists($_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."postindexing".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml"))
		{
			$path = $_SESSION['config']['corepath'].'custom'.DIRECTORY_SEPARATOR.$_SESSION['custom_override_id'].DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR."postindexing".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml";
		}
		else
		{
			$path = "modules".DIRECTORY_SEPARATOR."postindexing".DIRECTORY_SEPARATOR."xml".DIRECTORY_SEPARATOR."config.xml";
		}
		
		$path_lang = 'apps'.DIRECTORY_SEPARATOR.$_SESSION['config']['app_id'].DIRECTORY_SEPARATOR.'lang'.DIRECTORY_SEPARATOR.$_SESSION['config']['lang'].'.php';

		$xmlconfig = simplexml_load_file($path);
		
		$PARAMETERS = $xmlconfig->PARAMETERS;
		
		unset($_SESSION['postindexing']);
		
		$_SESSION['postindexing'] = array();

		$_SESSION['postindexing']['max_time'] = (string) $PARAMETERS->max_time;
		$_SESSION['postindexing']['max_files'] = (string) $PARAMETERS->max_files;
		$_SESSION['postindexing']['buffer'] = (string) $PARAMETERS->buffer;
		$_SESSION['postindexing']['status_valid'] = (string) $PARAMETERS->status_valid;
		$_SESSION['postindexing']['status_reject'] = (string) $PARAMETERS->status_reject;
		$_SESSION['postindexing']['status_update'] = (string) $PARAMETERS->status_update;
		$_SESSION['postindexing']['folder_status_update'] = (string) $PARAMETERS->folder_status_update;
		
		$_SESSION['postindexing']['category'] = array();
		$CATEGORY = $xmlconfig->CATEGORY;
		$label = (string) $CATEGORY->label;
        if (!empty($label) && defined($label) && constant($label) <> NULL) {
             $label = constant($label);
        }
        
		$_SESSION['postindexing']['category'][(string)$CATEGORY ->id] = $label;
		
		$TABLENAME = $xmlconfig->TABLENAME;
		
		$_SESSION['tablename']['view_admin_postindexing'] = (string) $TABLENAME->view_admin_postindexing;
		$_SESSION['tablename']['postindexing_collection'] = (string) $TABLENAME->postindexing_collection;
		
	}

	//load the index available by collection
	public function load_module_var_session()
	{

	}
	
	public function encrypt_array($str_array)
	{
		$hash = '';
		
		if (count($str_array) > 0)
		{
			$tmp = '';
			
			foreach ($str_array as $value)
			{
				$tmp .= trim($value);
			}
			
			$hash =  md5($tmp);
		}
		
		return $hash;
	}
	
	public function get_workbatch ()
	{
		$this->connect();
		//
		$workbatch = 0;
		$this->query("select param_value_int from ".$_SESSION['tablename']['param']." where id = 'postindexing_workbatch'");
		$line = $this->fetch_object();
		
		$workbatch = (string)$line->param_value_int;
		
		$inc_workbatch = $workbatch +1;
		
		$this->query("update ".$_SESSION['tablename']['param']." set param_value_int  = '".$inc_workbatch."' where id = 'postindexing_workbatch'");
		
		return $workbatch;
	}
	/**
	*
	*/
	public function release_expired_docs($table)
	{
		if(!empty($table))
		{
			$timestamp = time();
			
			$this->connect();
			$this->query("select distinct res_id from ".$table." where video_batch is not null and video_time < ".$timestamp);
			//$this->show();
			
			$db = new dbquery();
			$db->connect();
			
			while($line = $this->fetch_object())
			{
				$res_id = $line->res_id;
				
				$db->query("update ".$table." set video_batch = NULL , video_time = NULL where res_id = ".$res_id);
			}
		}
	}
	
	public function release_user_docs($table)
	{
		if(!empty($table))
		{
			$timestamp = time();
			$this->connect();
			$this->query("update ".$table." set video_batch = NULL , video_time = NULL where video_user = '".$_SESSION['user']['UserId']."'");
		}
	}
	
	
	public function get_user_reserved_doc($table)
	{
		$tab_resid = array();
		
		if(!empty($table))
		{
			$this->connect();
			$this->query("select distinct res_id from ".$table." where video_batch is not null and video_user = '".$_SESSION['user']['UserId']."'");
			//$this->show();
			while($line = $this->fetch_object())
			{
				$res_id = $line->res_id;
				
				if($this->check_reserved_time($res_id, $table))
				{
					$tab_resid[] = $res_id;
				}
				
			}
		}
		
		return $tab_resid;
	}
	
	private function check_reserved_time($res_id, $table)
	{
		if(!empty($table) && !empty($res_id))
		{
			
			$db = new dbquery();
			$db->connect();
			$db->query("select video_user, video_time from ".$table." where res_id = ".$res_id);
			//$db->show();
			
			$res = $db->fetch_object();
			
			$timestamp = time();
			$maxtime = $res->video_time;
			$video_user = $res-> video_user;
			
			//echo "TIME: ".$timestamp.'/'.$maxtime;
			
			if($timestamp > $maxtime)
			{
				$db2 = new dbquery();
				$db2->connect();
				$db2->query("update ".$table." set video_batch = NULL , video_user = NULL where res_id = ".$res_id);
				
				return false;
			}
  			else	// Reserved time not yet expired
  			{
				if($video_user == $_SESSION['user']['UserId'] || empty($video_user))
				{
  					return true;
				}
				else
				{
					return false;
				}
  			}
		}
		else
		{
			return false;
		}
	}
    
    /**
    *
    *
    */
    public function already_reserved($table)
    {
        $reserved = false;
        
        if(!empty($table))
		{
            $timestamp = time();
            
			$db = new dbquery();
			$db->connect();
			$db->query("select res_id from ".$table." where video_batch is not null and video_user = '".$_SESSION['user']['UserId']."'  and video_time > ".$timestamp);
			//$db->show(); exit;
            if ($db->nb_result() > 0) 
            {
                $reserved = true;
            }
            
        }

        return $reserved;
    }
    
	/**
    * Is folder locked?
    * @param folder_id : string 
    */
	public function folder_is_locked($folder_id)
	{
		$is_locked = false;
		
		if (isset($folder_id) && !empty($folder_id))
		{
			$this->connect();
			$this->query("select video_status from ".$_SESSION['tablename']['fold_folders']." where folders_system_id = ".$folder_id);
			
			$res = $this->fetch_object();
			
			if ($res->video_status == 'LCK')
			{
				$is_locked = true;
			}
		}
		
		return $is_locked;	
	}
	
	/**
	* Unlock current folder
	*
	*/
	public function unlock_current_folder()
	{
		//Unlock folder
		if (isset($_SESSION['postindexing']['folder_system_id']) && !empty($_SESSION['postindexing']['folder_system_id']))
		{
			$this->connect();
			$this->query("update ".$_SESSION['tablename']['fold_folders']." set video_status = NULL, video_user = NULL where folders_system_id = ".$_SESSION['postindexing']['folder_system_id']);
			
			unset($_SESSION['postindexing']['folder_system_id']);
		}
	}
	
	/**
	* Unlock user folder
	*
	*/
	public function unlock_user_folder()
	{
		//Unlock folder
		$this->connect();
		$this->query("update ".$_SESSION['tablename']['fold_folders']." set video_status = NULL, video_user = NULL where video_user = '".$_SESSION['user']['UserId']."'");
	}
	
	/**
	* Release folder from postindexing
	*
	*/
	public function update_status_folder($folder_id, $status)
	{
		//update status
		$this->connect();
		$this->query("update ".$_SESSION['tablename']['fold_folders']." set status = '".$status."' where folders_system_id = ".$folder_id);
	}
    
    /**
    * Shox information box in postindexing form
    *
    */
	public function show_info()
    {
        ?>
        <table border="0" cellspacing="0" cellpadding="0">
			<tr id ="info-postindexing" style="display:none;">
				<td>
					<table>
						<?php
						//Unlock folder
						if (isset($_SESSION['postindexing']['folder_system_id']) && !empty($_SESSION['postindexing']['folder_system_id']))
						{
						?>
						<tr>
							<td align="right"><?php echo _FOLDER.' : ';?></td>
							<td><?php echo '<strong>'.$_SESSION['postindexing']['folder_label'].'</strong>';?></td>
						</tr>
						<?php
						}
						?>
						<tr>
							<td align="right"><?php echo _VIDEO_RESOURCES_COUNT.' : ';?></td>
							<td><?php echo '<strong>'.$_SESSION['postindexing']['nb_total'].'</strong>';?></td>
						</tr>
						<tr>
							<td align="right"><?php echo _VIDEO_OPERATOR.' : ';?></td>
							<td><?php echo '<strong>'.$_SESSION['user']['UserId'].'</strong> - date : <strong>'.date("d/m/y H:i").'</strong>';?></td>
						</tr>
						<tr>
							<td align="right"><?php echo _VIDEO_WORKBATCH.' : ';?></td>
							<td><?php echo '<strong>'.str_pad($_SESSION['postindexing']['workbatch'],8,"0", STR_PAD_LEFT).'</strong>';?></td>
						</tr>
						<tr>
							<td align="right"><?php echo _VIDEO_RES_ID.' : ';?>	</td>
							<td><?php echo '<strong>'.$_SESSION['postindexing']['res_actif'].'</strong>';?></td>
						</tr>
						<tr>
							<td align="right"><?php echo _VIDEO_UP_RESOURCES.' : ';?></td>
							<td><?php echo '<strong>'.$_SESSION['postindexing']['work'].'</strong>';?></td>
						</tr>
					</table>
				</td>
				<td align="center" style="padding-left: 5px;">
				<?php
				
				if($_SESSION['postindexing']['actual_status'] == $_SESSION['postindexing']['status_valid'])
				{
					echo '<img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=valid.png" alt="'._VIDEO_VALIDATED.'" />';
				}
				elseif($_SESSION['postindexing']['actual_status'] == $_SESSION['postindexing']['status_reject'])
				{
					echo '<img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=reject.png" alt="'._VIDEO_REJECTED.'" />';
				}
				elseif($_SESSION['postindexing']['actual_status'] == $_SESSION['postindexing']['status_update'])
				{
					echo '<img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=update.png" alt="'._VIDEO_UPDATED.'" />';
				}
				else
				{
					echo '<img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=new.png" alt="'._VIDEO_NEW.'" />';
				}
				?>
				</td>
			</tr>
		</table>
        <?php
    }
    
    /**
    * Shox navigation bar
    *
    */
	public function show_navigation()
    {
        ?>
		<div id="postpagin" align="center">
			<?php 
			
			$count = $_SESSION['postindexing']['resid_pointeur'] +1;
			if (isset($_SESSION['postindexing']['res_actif']) && !empty($_SESSION['postindexing']['res_actif']))
			{
				?>
				<em id="count" style="display:inline;"><?php  echo _DOC_SHORT.' '.$count.'/'.$_SESSION['postindexing']['nb_total'];?></em> &nbsp;&nbsp;&nbsp;&nbsp;
				<?php
				//Fleches de navigation
				//FIRST
				if($_SESSION['postindexing']['resid_pointeur'] <> 0 ) 
				{ 
					 echo '<em><a href="'.$_SESSION['config']['businessappurl'].'index.php?display=true&module=postindexing&page=change_doc&where=first"><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_backtostart_on.gif" alt="'._FIRST.'" /></a></em>&nbsp;';
				} 
				else 
				{
					 echo '<em><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_backtostart_off.gif" alt="'._FIRST.'" /></em>&nbsp;';
				}
				
				//PREVIOUS BUFFER
				if(
					($_SESSION['postindexing']['resid_pointeur'] + 1) >= $_SESSION['postindexing']['buffer'] 
					&& (count($_SESSION['postindexing']['docs']) > $_SESSION['postindexing']['buffer'])
					) 
				{
					echo '<em><a href="'.$_SESSION['config']['businessappurl'].'index.php?display=true&module=postindexing&page=change_doc&where=prevbuffer"><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_prevbuffer_on.gif" alt="'.$_SESSION['postindexing']['buffer']._PREVIOUS_BUFFER.'" /></a></em>&nbsp;';
				} 
				else 
				{
					echo '<em><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_prevbuffer_off.gif" alt="'.$_SESSION['postindexing']['buffer']._PREVIOUS_BUFFER.'" /></em>&nbsp;';
				}
				
				//PREVIOUS
				if($_SESSION['postindexing']['resid_pointeur'] > 0) 
				{
					 echo '<em><a href="'.$_SESSION['config']['businessappurl'].'index.php?display=true&module=postindexing&page=change_doc&where=prev"><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_prev_on.gif" alt="'._PREVIOUS.'" /></a></em>&nbsp;';
				} 
				else 
				{
					 echo '<em><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_prev_off.gif" alt="'._PREVIOUS.'" /></em>&nbsp;';
				}
				
				//NEXT
				if($_SESSION['postindexing']['resid_pointeur'] < ($_SESSION['postindexing']['nb_total'] - 1 )) 
				{
					echo '<em><a href="'.$_SESSION['config']['businessappurl'].'index.php?display=true&module=postindexing&page=change_doc&where=next"><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_next_on.gif" alt="'._NEXT.'" /></a></em>&nbsp;';
				} 
				else 
				{
					echo '<em><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_next_off.gif" alt="'._NEXT.'" /></em>&nbsp;';
				}
				
				//NEXT BUFFER
				if($_SESSION['postindexing']['resid_pointeur'] < (count($_SESSION['postindexing']['docs']) - $_SESSION['postindexing']['buffer'])) 
				{
					echo '<em><a href="'.$_SESSION['config']['businessappurl'].'index.php?display=true&module=postindexing&page=change_doc&where=nextbuffer"><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_nextbuffer_on.gif" alt="'.$_SESSION['postindexing']['buffer']._NEXT_BUFFER.'" /></a></em>&nbsp;';
				} 
				else 
				{
					echo '<em><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_nextbuffer_off.gif" alt="'.$_SESSION['postindexing']['buffer']._NEXT_BUFFER.'" /></em>&nbsp;';
				}
				
				//LAST
				if($_SESSION['postindexing']['resid_pointeur'] < count($_SESSION['postindexing']['docs']) - 1) 
				{
					echo '<em><a href="'.$_SESSION['config']['businessappurl'].'index.php?display=true&module=postindexing&page=change_doc&where=last"><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_gotoend_on.gif" alt="'._LAST.'" /></a></em>&nbsp;';
				} 
				else 
				{
					echo '<em><img src="'.$_SESSION['config']['businessappurl'].'static.php?module=postindexing&filename=but_gotoend_off.gif" alt="'._LAST.'" /></em>&nbsp;';
				}
			}
			
			if (!isset($_SESSION['postindexing']['showHideBox'])) 
			{
				$_SESSION['postindexing']['showHideBox'] = 'true';
			}
			?>
			&nbsp;&nbsp;&nbsp;
            <em id="show" style="display:none;"><a href="#" onclick="showThis(true);"><img id="show" src="<?php echo $_SESSION['config']['businessappurl']; ?>static.php?module=postindexing&filename=show.jpg" alt="<?php echo _SHOW_BOX; ?>" title="<?php echo _SHOW_BOX; ?>" /></a></em>
			<em id="hide"><a href="#" onclick="showThis(false);"><img id="show" src="<?php echo $_SESSION['config']['businessappurl']; ?>static.php?module=postindexing&filename=hide.jpg" alt="<?php echo _HIDE_BOX; ?>"  title="<?php echo _HIDE_BOX; ?>" /></a></em>
		</div>
         <?php
    }
    /**
    * Shox note link (add/edit)
    *
    */
	public function show_add_edit_note($table, $coll_id)
    {
    ?>
    <div id="div_add_note" style="text-align:center; padding-top:5px; display:none;">
				<?php
				if (isset($_SESSION['postindexing']['res_actif']))
				{
                    $this->connect();
					$this->query("select  id from ".$_SESSION['tablename']['not_notes']." where identifier = ".$_SESSION['postindexing']['res_actif']." and tablename = '".$table."' and coll_id = '".$coll_id."'");
					//$this->show();	
					if($this->nb_result() != 0)
					{
						?>
						<img src="<?php  echo $_SESSION['config']['businessappurl'];?>static.php?module=postindexing&filename=info_icon.gif" border="0" alt="" />
						<a href="javascript://" onclick="manageNoteBox('viewNote', this, '<?php echo $_SESSION['postindexing']['res_actif'];?>');"><?php  echo _VIEW_POSTINDEXING_NOTE;?></a>
						<?php
					}
					else
					{
						?>
						<img src="<?php  echo $_SESSION['config']['businessappurl'];?>static.php?module=postindexing&filename=edit_icon.gif" border="0" alt="" />
						<a href="javascript://" onclick="manageNoteBox('viewNote', this, '<?php echo $_SESSION['postindexing']['res_actif'];?>');"><?php  echo _ADD_POSTINDEXING_NOTE;?></a>
						<?php
					}
				}
				?>
			</div>
    <?php
    }
	/**
	* Reinit postindexing session values
	*
	*/
	public function reinit_postindexing_session()
	{
		unset($_SESSION['postindexing']['workbatch']);
		unset($_SESSION['postindexing']['docs']);
		unset($_SESSION['postindexing']['nb_total']);
		unset($_SESSION['postindexing']['field']);
		unset($_SESSION['postindexing']['data']);
		unset($_SESSION['postindexing']['work']);
		unset($_SESSION['postindexing']['folder_label']);
		unset($_SESSION['postindexing']['resid_pointeur']);
		unset($_SESSION['postindexing']['res_actif']);
		unset($_SESSION['postindexing']['action']);
        unset($_SESSION['postindexing']['actual_status']);
	}
}
?>
