<?php 
/**
* File : index_video.php
*
* Form to postindex files
*
* @package  Maarch FrameworkV3
* @version 1
* @since 11/2008
* @license GPL
* @author  Yves Christian KPAKPO  <dev@maarch.org>
*/

require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php"); 
require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_security.php");
require_once("apps".DIRECTORY_SEPARATOR.$_SESSION['config']['app_id'].DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_types.php");
require_once("modules".DIRECTORY_SEPARATOR."postindexing".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_modules_tools.php");

$security = new security();
$func = new functions();
$type = new types();
$postindexing = new postindexing();
$db = new dbquery();
$core_tools = new core_tools();
$core_tools->load_lang();

    if (preg_match("/MSIE 6.0/", $_SERVER["HTTP_USER_AGENT"])) {
        $ieBrowser = true;
        $display_value = 'block';
       } else if (preg_match('/msie/i', $_SERVER["HTTP_USER_AGENT"])
           && ! preg_match('/opera/i', $_SERVER["HTTP_USER_AGENT"])
       ) {
        $ieBrowser = true;
        $display_value = 'block';
    } else {
        $ieBrowser = false;
        $display_value = 'table-row';
    }

$coll_id = $_SESSION['tablename']['postindexing_collection'];
$view= $security->retrieve_view_from_coll_id($coll_id);
$table = $security->retrieve_table_from_coll($coll_id);
    
$_SESSION['collection_id_choice'] = $coll_id;
$right = false;
$basket_id = $_SESSION['current_basket']['id'];

$id_action = $_SESSION['current_basket']['default_action'];

if(isset($_REQUEST['action']) && !empty($_REQUEST['action']))
{
    $_SESSION['postindexing']['action'] = $_REQUEST['action'];
}

if (empty($_SESSION['postindexing']['action']))
{
    $_SESSION['postindexing']['action'] = $_SESSION['current_basket']['default_action'];
}

$func->configPosition("index_video.php");
$core_tools->load_html();
$core_tools->load_header();
$time = $core_tools->get_session_time_expire();

//$func->show_array($_SESSION['current_basket']);

//include('modules'.DIRECTORY_SEPARATOR.'postindexing'.DIRECTORY_SEPARATOR.'definition_mail_categories_postindexing.php');

include_once 'apps' . DIRECTORY_SEPARATOR . $_SESSION['config']['app_id']. DIRECTORY_SEPARATOR . 'definition_mail_categories.php';
    
//$func->show_array($_ENV['categories']);

function check_category($coll_id, $res_id)
{
    require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_security.php");
    $sec =new security();
    $view = $sec->retrieve_view_from_coll_id($coll_id);

    $db = new dbquery();
    $db->connect();
    $db->query("select category_id from ".$view." where res_id = ".$res_id);
    $res = $db->fetch_object();

    if(!isset($res->category_id))
    {
        $ind_coll = $sec->get_ind_collection($coll_id);
        $table_ext = $_SESSION['collections'][$ind_coll]['extensions'][0];
        $db->query("insert into ".$table_ext." (res_id, category_id) VALUES (".$res_id.", '".$_SESSION['coll_categories']['letterbox_coll']['default_category']."')");
        //$db->show();
    }
}

//$func->show_array($_SESSION['user']['redirect_groupbasket']);

//Close postindexing windows and return to document list
$closeAndReturn = false;

//He we go!!!
if (count($_SESSION['postindexing']['docs']) > 0)
{
    //On verifie si la session n'a pas expire
    if (count($postindexing->get_user_reserved_doc($table)) == 0)
    {
        //Unlock folder
        $postindexing->unlock_current_folder();
        
        $_SESSION['error'] .= _RESERVATION_TIME_EXPIRED.'<br/>';
        $closeAndReturn = true;
    }
    else
    {
        //par defaut on se positionne au dbut du tableau
        if(!isset($_SESSION['postindexing']['resid_pointeur']) || empty($_SESSION['postindexing']['resid_pointeur']))
        {
            $_SESSION['postindexing']['resid_pointeur'] = 0;
        }
        
        //On positionne le pointeur sur un enregistrement
        $_SESSION['postindexing']['res_actif'] = $_SESSION['postindexing']['docs'][$_SESSION['postindexing']['resid_pointeur']];
        
        //echo $_SESSION['postindexing']['res_actif']; exit;
        
        //On test les droits sur le document
        $right = $security->test_right_doc($_SESSION['collection_id_choice'], $_SESSION['postindexing']['res_actif']);
        
        //Si ok on recup les infos
        if(!$right)
        {
            $_SESSION['error'] .= _NO_DOC_OR_NO_RIGHTS.'<br/>';
            $closeAndReturn = true;
        }
        else
        {
            $today = date('d-m-Y');
            
            //Recuperer la liste des types
            $doctypes = array();
            
            if($_SESSION['features']['show_types_tree'] == 'true')
            {
                $doctypes = $type->getArrayStructTypes($coll_id);
            }
            else
            {
                $doctypes = $type->getArrayTypes($coll_id);
            }
            
            //Entities
            if($core_tools->is_module_loaded('entities'))
            {
                require_once("modules".DIRECTORY_SEPARATOR."entities".DIRECTORY_SEPARATOR.'class'.DIRECTORY_SEPARATOR.'class_manage_listdiff.php');
                $diff_list = new diffusion_list();

                $services = array();
                if(!empty($_SESSION['user']['redirect_groupbasket'][$_SESSION['current_basket']['id']][$_SESSION['postindexing']['action']]['entities']))
                {
                    $db->query("select entity_id, short_label from ".$_SESSION['tablename']['ent_entities']." where entity_id in (".$_SESSION['user']['redirect_groupbasket'][$_SESSION['current_basket']['id']][$_SESSION['postindexing']['action']]['entities'].") and enabled= 'Y' order by entity_label");
                    
                    while($res = $db->fetch_object())
                    {
                        array_push($services, array( 'ID' => $res->entity_id, 'LABEL' => $db->show_string($res->short_label)));
                    }
                }
                $load_listmodel = true;
                $db->query("select res_id from ".$_SESSION['tablename']['ent_listinstance']." where res_id = ".$_SESSION['postindexing']['res_actif']);
                if($db->nb_result() > 0)
                {
                    $load_listmodel = false;
                    $_SESSION['indexing']['diff_list'] = $diff_list->get_listinstance($_SESSION['postindexing']['res_actif']);
                }
            }
            
            //Physical archive
            if($core_tools->is_module_loaded('physical_archive'))
            {
                $boxes = array();
                $db->query("select arbox_id, title from ".$_SESSION['tablename']['ar_boxes']." where status = 'NEW'  order by title");
                while($res = $db->fetch_object())
                {
                    array_push($boxes, array( 'ID' => $res->arbox_id, 'LABEL' => $db->show_string($res->title)));
                }
            }
            
            //Get actual status
            $db->query("select status from ".$table." where res_id = ".$_SESSION['postindexing']['res_actif']);
            $res = $db->fetch_object();
            $_SESSION['postindexing']['actual_status'] = $res->status;
            
            //Category
            check_category($coll_id, $_SESSION['postindexing']['res_actif']);
            $data = get_general_data($coll_id, $_SESSION['postindexing']['res_actif'], 'minimal');
            //$func->show_array($data);
        }
    }
}
else
{
    $_SESSION['error'] .= _VIDEO_NO_RES.'<br/>';
    $closeAndReturn = true;
}
?>
<body>
<?php
//echo count($_SESSION['postindexing']['docs']).'<br/>';
//echo $_SESSION['postindexing']['work'].'<br/>';
//echo "Pointeur: ".$_SESSION['postindexing']['resid_pointeur'].'<br/>'; //DEBUG

//Infos
if(!empty($_SESSION['info']))
{
    ?>
    <script language="javascript" type="text/javascript">
        alert("<?php  echo $func->convert_smart_quotes(html_entity_decode($func->wash_html($_SESSION['info'])));?>");
    </script>
    <?php 
    $_SESSION['info'] = "";
}

//Error
if(!empty($_SESSION['error']))
{
    $msg = $func->convert_smart_quotes(html_entity_decode($func->wash_html($_SESSION['error'])));
    
    if ($closeAndReturn)
    {
        ?>
        <script language="javascript" type="text/javascript">
            alert("<?php  echo $msg;?>");
            //window.top.close();
            window.top.location.href='<?php  echo $_SESSION['config']['businessappurl'];?>index.php';
            //reinit();
        </script>
        <?php 
    }
    else
    {
        ?>
        <script language="javascript" type="text/javascript">
            alert("<?php  echo $msg;?>");
            //window.top.location.href='<?php  echo $_SESSION['config']['businessappurl'].'index.php?page=view_baskets&module=basket&baskets='.$basket_id.'&listreinit=true';?>';
        </script>
        <?php 
        
    }
    ?>
    <?php 
    $_SESSION['error'] = "";
    //exit;
}

//else
//{
?>
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
    <td valign="top" width="50%" >
        <!--<h2 class="title" align="center">
            <img src="<?php  echo $_SESSION['config']['businessappurl'];?>static.php?module=postindexing&filename=postindex_b.gif" alt="" /> <?php  echo _POSTINDEXING; ?>
        </h2>-->
        <!--<div id="infos_box">-->
        <div class="block">
        <?php
        $postindexing->show_info();
        $postindexing->show_navigation();
        $postindexing->show_add_edit_note($basket_id, $coll_id);
        ?>
        </div>
        <div class="block_end"></div>
        <script language="javascript">showThis(<?php echo $_SESSION['postindexing']['showHideBox'];?>);</script>

        <br/>
    <!-- THE FORM -->
        <form name="postindexing_form" method="post" id="postindexing_form" 
            action="<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&module=postindexing&page=doc_index'; ?>" 
            class="forms indexingform" style="text-align:left;">
        <input name="hash" type="hidden" value="<?php echo $hash; ?>" />
        
        <div id="valid_div">
            <?php
            
            if (isset($_SESSION['postindexing']['res_actif']) && !empty($_SESSION['postindexing']['res_actif']))
            {
                if($core_tools->test_service('index_attachment', 'attachments', false))
                {
                ?>
                    <table width="100%" align="center" border="0" >
                      <tr id="attachment_tr" style="display:<?php echo $display_value;?>;">
                            <td><label for="attachment" class="form_title" ><?php echo _ATTACH_TO_DOC;?> : </label></td>
                            <td>&nbsp;</td>
                            <td class="indexing_field">
                                <input type="radio" name="attachment" id="attach" value="true" onclick="hide_index(true, '<?php echo $display_value;?>');" /> <?php echo _YES;?> 
                                <input type="radio" name="attachment" id="no_attach" value="false" checked="checked" onclick="hide_index(false, '<?php echo $display_value;?>');" /> <?php echo _NO;?>
                            </td>
                            <td><span class="red_asterisk" id="attachment_mandatory" style="display:inline;">*</span>&nbsp;</td>
                      </tr>
                        <tr id="attach_title_tr" style="display:none;">
                            <td><label for="attach_title" class="form_title" ><?php echo _TITLE;?> : </label></td>
                            <td>&nbsp;</td>
                            <td class="indexing_field"><input type="text" name="attach_title" id="attach_title" value="" /></td>
                            <td><span class="red_asterisk" id="res_id_mandatory" style="display:inline;">*</span>&nbsp;</td>
                      </tr>
                       <tr id="attach_link_tr" style="display:none;">
                            <td><label for="attach" class="form_title" ><?php echo _NUM_GED;?> : </label></td>
                            <td>&nbsp;</td>
                            <td class="indexing_field"><input type="text" name="res_id" id="res_id" class="readonly" readonly="readonly" value="" /><br/>
                            <a href="javascript://" onclick="window.open('<?php echo $_SESSION['config']['businessappurl'];?>index.php?display=true&dir=indexing_searching&page=search_adv&mode=popup&action_form=show_res_id&modulename=attachments&init_search&nodetails','search_doc_for_attachment', 'scrollbars=yes,menubar=no,toolbar=no,resizable=yes,status=no,width=1020,height=710');" title="<?php echo _SEARCH;?>"><em><?php echo _SEARCH_DOC;?></em></a>
                            </td>
                            <td><span class="red_asterisk" id="res_id_mandatory" style="display:inline;">*</span>&nbsp;</td>
                      </tr>
                    </table>
                <?php
                }
                ?>
                <table width="100%" border="0" id="indexing_fields" style="display:block;">
                <!-- category -->
                <tr id="category_tr" style="display:<?php echo $display_value; ?>;">
                    <td class="indexing_label"><label for="category_id" class="form_title"><?php echo _CATEGORY; ?></label></td>
                    <td>&nbsp;</td>
                    <td class="indexing_field">
                        <select name="category_id" id="category_id" onchange="change_category(this.options[this.selectedIndex].value, '<?php echo $display_value; ?>',  '<?php echo $_SESSION['config']['businessappurl']; ?>index.php?display=true&dir=indexing_searching&page=change_category',  '<?php echo $_SESSION['config']['businessappurl']; ?>index.php?display=true&page=get_content_js');">
                        <!--<option value=""><?php echo _CHOOSE_CATEGORY; ?></option>-->
                        <?php
                        foreach (array_keys($_SESSION['postindexing']['category']) as $cat_id) {
                            if ($cat_id <> 'default_category') {
                                ?>
                                <option value="<?php echo $cat_id; ?>" <?php 
                                if(
                                    $_SESSION['coll_categories']['letterbox_coll']['default_category'] == $cat_id 
                                    || $_SESSION['indexing']['category_id'] == $cat_id 
                                    || (isset($data['category_id']) && $data['category_id'] == $cat_id)
                                ) {
                                    echo 'selected="selected"';
                                } ?>><?php echo $_SESSION['postindexing']['category'][$cat_id]; ?></option>
                                <?php
                            }
                        }
                        ?>
                        </select>
                    </td>
                    <td><span class="red_asterisk" id="category_id_mandatory" style="display:inline;">*</span>&nbsp;</td>
                </tr>
                <!-- Doc type -->
                <tr id="type_id_tr" style="display:<?php echo $display_value; ?>;">
                    <td class="indexing_label"><label for="type_id"><span class="form_title" id="doctype_res" style="display:none;"><?php  echo _DOCTYPE;?></span><span class="form_title" id="doctype_mail" style="display:inline;" ><?php  echo _DOCTYPE_MAIL;?></span></label></td>
                    <td>&nbsp;</td>
                    <td class="indexing_field">
                        <select name="type_id" id="type_id" onchange="change_doctype_details(this.options[this.selectedIndex].value, '<?php echo $_SESSION['config']['businessappurl']."index.php?display=true&module=postindexing&page=change_doctype";?>', '<?php echo _ERROR_DOCTYPE;?>');">
                        <option value=""><?php echo _CHOOSE_TYPE; ?></option>
                        <?php
                        if($_SESSION['features']['show_types_tree'] == 'true')
                        {
                            for($i=0; $i<count($doctypes);$i++)
                            {
                            ?>
                                <option value="" class="doctype_level1" title="<?php echo $doctypes[$i]['label']; ?>" label="<?php echo $doctypes[$i]['label']; ?>"><?php echo $doctypes[$i]['label']; ?></option>
                                <?php
                                for($j=0; $j<count($doctypes[$i]['level2']);$j++)
                                {
                                ?>
                                    <option value="" class="doctype_level2" title="<?php echo $doctypes[$i]['level2'][$j]['label']; ?>" label="<?php echo $doctypes[$i]['level2'][$j]['label']; ?>">&nbsp;&nbsp;<?php echo $doctypes[$i]['level2'][$j]['label']; ?></option>
                                    <?php
                                    for($k=0; $k<count($doctypes[$i]['level2'][$j]['types']);$k++)
                                    {
                                    ?>
                                        <option value="<?php echo $doctypes[$i]['level2'][$j]['types'][$k]['id']; ?>" title="<?php echo $doctypes[$i]['level2'][$j]['types'][$k]['label']; ?>" label="<?php echo $doctypes[$i]['level2'][$j]['types'][$k]['label']; ?>" <?php if(isset($data['type_id']) && !empty($data['type_id']) && $data['type_id'] == $doctypes[$i]['level2'][$j]['types'][$k]['id']) { echo 'selected="selected"';}?>>&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $doctypes[$i]['level2'][$j]['types'][$k]['label']; ?></option>
                                    <?php
                                    }
                                }
                            }
                        }
                        else
                        {
                            for($i=0; $i<count($doctypes);$i++)
                            {
                            ?>
                                <option value="<?php echo $doctypes[$i]['ID'];?>" <?php if ($doctypes[$i]['ID'] == $data['type_id']) { echo 'selected="selected"';}?>><?php echo $doctypes[$i]['LABEL']; ?></option>
                            <?php
                            }
                        }
                        ?>
                        </select>    
                    </td>
                    <td><span class="red_asterisk" id="category_id_mandatory" style="display:inline;">*</span>&nbsp;</td>
                </tr>   
                <!-- Priority -->
                  <tr id="priority_tr" style="display:<?php echo $display_value; ?>;">
                         <td class="indexing_label"><label for="priority" class="form_title"><?php echo _PRIORITY; ?></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field"><select name="priority" id="priority">
                            <option value=""><?php echo _CHOOSE_PRIORITY; ?></option>
                            <?php
                                for($i=0; $i<count($_SESSION['mail_priorities']);$i++)
                                {
                                ?>
                                    <option value="<?php echo $i; ?>" <?php if($_SESSION['default_mail_priority'] == $i || (isset($data['type_id'])&& $data['priority'] == $i))    { echo 'selected="selected"'; }?>><?php echo $_SESSION['mail_priorities'][$i]; ?></option>
                                <?php
                                }
                                ?>
                            </select></td>
                            <td><span class="red_asterisk" id="priority_mandatory" style="display:inline;">*</span>&nbsp;</td>
                  </tr>
                  <!-- Doc date -->
                   <tr id="doc_date_tr" style="display:<?php echo $display_value; ?>;">
                         <td class="indexing_label"><label for="doc_date" class="form_title" id="mail_date_label" style="<?php echo $display_value;?>;" ><?php echo _MAIL_DATE; ?></label><label for="doc_date" class="form_title" id="doc_date_label" style="display:none;" ><?php echo _DOC_DATE;?></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field"><input name="doc_date" type="text" id="doc_date" value="<?php if(isset($data['doc_date'])&& !empty($data['doc_date'])){ echo $data['doc_date']; }    else {    echo $today; }?>" onclick="showCalender(this);"/></td>
                        <td><span class="red_asterisk" id="doc_date_mandatory" style="display:inline;">*</span>&nbsp;</td>
                  </tr >
                  <!-- Author -->
                   <tr id="author_tr" style="display:<?php echo $display_value;?>;">
                         <td class="indexing_label"><label for="author"  ><?php echo _AUTHOR;?></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field"><input name="author" type="text" id="author" <?php if(isset($data['author'])&& !empty($data['author'])) { ?> value="<?php echo $data['author'];?>"<?php } ?>/></td>
                        <td><span class="red_asterisk" id="author_mandatory" style="display:inline;">*</span>&nbsp;</td>
                  </tr>
                  <!-- Admission date -->
                  <tr id="admission_date_tr" style="display:<?php echo $display_value;?>;">
                         <td class="indexing_label"><label for="admission_date"  ><?php echo _RECEIVING_DATE;?></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field"><input name="admission_date" type="text" id="admission_date" value="<?php if(isset($data['admission_date'])&& !empty($data['admission_date'])){ echo $data['admission_date'];    } else { echo $today;}?>" onclick="showCalender(this);"/></td>
                        <td><span class="red_asterisk" id="admission_date_mandatory" style="display:inline;">*</span>&nbsp;</td>
                  </tr>
                  <!-- Contact -->
                <tr id="contact_choose_tr" style="display:<?php echo $display_value;?>;">
                        <td class="indexing_label"><label for="type_contact" class="form_title"  ><span id="exp_contact_choose_label"><?php echo _SHIPPER_TYPE;?></span><span id="dest_contact_choose_label"><?php echo _DEST_TYPE;?></span></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field">
                            <input type="radio" name="type_contact" id="type_contact_internal" value="internal"  class="check" onclick="change_contact_type('<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&dir=indexing_searching&page=autocomplete_contacts';?>');" <?php if($data['type_contact'] == 'internal') { echo ' checked="checked" ';}?> />
                            <?php echo _INTERNAL; ?>
                            <input type="radio" name="type_contact"   class="check" id="type_contact_external" value="external" onclick="change_contact_type('<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&dir=indexing_searching&page=autocomplete_contacts';?>');" <?php if($data['type_contact'] == 'external'){echo ' checked="checked" ';};?> />
                            <?php echo _EXTERNAL;?>
                        </td>
                        <td><span class="red_asterisk" id="type_contact_mandatory" style="display:inline;">*</span>&nbsp;</td>
                 </tr>
                 <tr id="contact_id_tr" style="display:<?php echo $display_value;?>;">
                    <td class="indexing_label">
                        <label for="contact" class="form_title" ><span id="exp_contact"><?php echo _SHIPPER;?></span><span id="dest_contact"><?php echo _DEST;?></span>
                        <?php
                        if($_SESSION['features']['personal_contact'] == "true"  && $core_tools->test_service('my_contacts','apps', false))
                        {
                         ?>
                            <a href="#" id="create_contact" title="<?php echo _CREATE_CONTACT;?>" onclick="new Effect.toggle('create_contact_div', 'blind', {delay:0.2});return false;" style="display:inline;">
                            <img src="<?php echo $_SESSION['config']['businessappurl'].'static.php?filename=modif_liste.png';?>" alt="<?php echo _CREATE_CONTACT;?>"/></a>
                        <?php
                        }
                        ?>
                        </label>
                    </td>
                   <td>
                    <a href="#" id="contact_card" title="<?php echo _CONTACT_CARD;?>" onclick="open_contact_card('<?php echo $_SESSION ['config']['businessappurl'].'index.php?display=true&page=contact_info';?>', '<?php echo $_SESSION ['config']['businessappurl'].'index.php?display=true&page=user_info';?>');" style="visibility:hidden;" >
                    <img src="<?php echo $_SESSION['config']['businessappurl'].'static.php?filename=my_contacts_off.gif';?>" alt="<?php echo _CONTACT_CARD;?>" /></a>&nbsp;
                    </td>
                   <td class="indexing_field">
                        <input type="text" name="contact" id="contact" onchange="display_contact_card('visible');" <?php if(isset($data['contact']) && !empty($data['contact'])){ ?> value="<?php echo $data['contact'];?>"<?php  }?> />
                        <div id="show_contacts" class="autocomplete"></div>
                    </td>
                   <td><span class="red_asterisk" id="contact_mandatory" style="display:inline;">*</span>&nbsp;</td>
                </tr>
                <!-- Nature -->
                <tr id="nature_id_tr" style="display:<?php echo $display_value;?>;">
                         <td class="indexing_label"><label for="nature_id" class="form_title" ><?php echo _NATURE;?></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field"><select name="nature_id" id="nature_id">
                            <option value=""><?php echo _CHOOSE_NATURE;?></option>
                            <?php
                            foreach(array_keys($_SESSION['mail_natures']) as $nature)
                            {
                            ?>
                                <option value="<?php echo $nature;?>" <?php if($_SESSION['default_mail_nature'] == $nature || (isset($data['nature_id'])&& $data['nature_id'] == $nature)){ echo 'selected="selected"';}?>><?php echo $_SESSION['mail_natures'][$nature];?></option>
                            <?php
                            }
                            ?>
                         </select></td>
                         <td><span class="red_asterisk" id="nature_mandatory" style="display:inline;">*</span>&nbsp;</td>
                  </tr>
                <!-- Subject -->
                <tr id="subject_tr" style="display:<?php echo $display_value;?>;">
                         <td class="indexing_label"><label for="subject" class="form_title" ><?php echo _SUBJECT;?></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field"><textarea name="subject" id="subject" rows="4" ><?php if(isset($data['subject']) && !empty($data['subject'])) {echo $data['subject'];}?></textarea>
                        </td>
                        <td><span class="red_asterisk" id="subject_mandatory" style="display:inline;">*</span>&nbsp;</td>
                  </tr>
                <!-- Entities : department + diffusion list -->
                <?php
                
                if($core_tools->is_module_loaded('entities'))
                {
                    $_SESSION['validStep'] = "ok";
                ?>
                  <tr id="department_tr" style="display:<?php echo $display_value;?>;">
                         <td class="indexing_label">
                        <label for="department" class="form_title" id="label_dep_dest" style="display:inline;" ><?php echo _DEPARTMENT_DEST;?></label><label for="department" class="form_title" id="label_dep_exp" style="display:none;" ><?php echo _DEPARTMENT_EXP;?></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field">
                        <select name="destination" id="destination" onchange="change_entity(this.options[this.selectedIndex].value, '<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&module=entities&page=load_listinstance';?>','diff_list_div', 'indexing', '<?php echo $display_value;?>');">
                        <option value=""><?php echo _CHOOSE_DEPARTMENT;?></option>
                        <?php
                            //$func->show_array($services);
                           for($i=0; $i < count($services); $i++)
                           {
                           ?>
                                <option value="<?php echo $services[$i]['ID'];?>" <?php if(isset($data['destination'])&& $data['destination'] == $services[$i]['ID']) {echo 'selected="selected"'; }?>><?php echo $services[$i]['LABEL'];?></option>
                           <?php
                           }
                           
                           ?>
                    </select></td>
                    <td><span class="red_asterisk" id="destination_mandatory" style="display:inline;">*</span>&nbsp;</td>
                  </tr>
                  <tr id="diff_list_tr" style="display:none;">
                        <td colspan="3">
                            <h2 onclick="new Effect.toggle('diff_list_div', 'blind', {delay:0.2});return false;"  class="categorie" style="width:90%;">
                                <img src="<?php echo $_SESSION['config']['businessappurl'];?>static.php?filename=plus.png" alt="" id="img_diff_list" />&nbsp;<b><small><?php echo _DIFF_LIST_COPY;?> :</small></b>
                                <span class="lb1-details">&nbsp;</span>
                            </h2>
                            <div id="diff_list_div" class="scroll_div" style="height:200px;border: 1px solid;display:none;"></div>
                        </td>
                  </tr>
                  <?php
                }
                
                //Physical_archive : Arbox
                if($core_tools->is_module_loaded('physical_archive'))
                {
                    ?>
                    <tr id="box_id_tr" style="display:<?php echo $display_value;?>;">
                        <td class="indexing_label"><label for="arbox_id" class="form_title" id="label_box" style="display:inline;" ><?php echo _BOX_ID;?></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field"><select name="arbox_id" id="arbox_id"> 
                        <option value=""><?php echo _CHOOSE_BOX;?></option>
                        <?php
                        for($i=0; $i < count($boxes); $i++)
                        {
                        ?>
                           <option value="<?php echo $boxes[$i]['ID'];?>"
                           <?php
                            if(isset($data['arbox_id'])&& $data['arbox_id'] == $boxes[$i]['ID'])
                            {
                            ?>
                                 selected="selected"
                            <?php                             
                            }
                            ?>
                             ><?php echo $db->show_string($boxes[$i]['LABEL']);?></option>
                             <?php
                        }
                        ?>
                        </select></td>
                        <td><span class="red_asterisk" id="arbox_id_mandatory" style="display:inline;">*</span>&nbsp;</td>
                    </tr>
                    <?php
                }
                
                //Folder : Market & Project
                if($core_tools->is_module_loaded('folder'))
                {
                ?>
                    <tr id="project_tr" style="display:<?php echo $display_value;?>;">
                        <td class="indexing_label"><label for="project" class="form_title" ><?php echo _PROJECT;?></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field"><input type="text" name="project" id="project" value="<?php if(isset($data['project'])&& !empty($data['project'])){echo $data['project'];} ?>" /><div id="show_project" class="autocomplete"></div></td>
                        <td><span class="red_asterisk" id="project_mandatory" style="display:inline;">*</span>&nbsp;</td>
                    </tr>
                    <tr id="market_tr" style="display:<?php echo $display_value;?>">
                        <td class="indexing_label"><label for="market" class="form_title" ><?php echo _MARKET;?></label></td>
                        <td>&nbsp;</td>
                        <td class="indexing_field"><input type="text" name="market" id="market" onblur="fill_project('<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&module=folder&page=ajax_get_project';?>');" value='<?php if(isset($data['market'])&& !empty($data['market'])) {echo $data['market'];}?>' /><div id="show_market" class="autocomplete"></div></td>
                        <td><span class="red_asterisk" id="market_mandatory" style="display:inline;">*</span>&nbsp;</td>
                    </tr>
                <?php
                }
                
                ?>
                </table>
            <?php
            
            }
            
            ?>
            
            <div id="opt_indexes" style="display:block;">    
        </div>
        <hr width="90%" align="center"/>
        <p align="center"><b><?php  echo _ACTIONS;?> : </b>
            <?php
            if (isset($_SESSION['postindexing']['res_actif']) && !empty($_SESSION['postindexing']['res_actif']))
            {
            ?>
                <input type="submit" name="valid" id="valid" value="<?php  echo _VIDEO_VALIDATE; ?>" class="button" >
                <input type="submit" name="reject" id="reject" value="<?php  echo _VIDEO_REJECT; ?>" class="button" >
                <input type="submit" name="finish" id="finish" value="<?php  echo _VIDEO_FINISH; ?>" class="button" >
            <?php  
            }
            else
            {
            ?>
                <input type="submit" class="finish" name="finish" value="<?php  echo _CLOSE;?>" />
            <?php
            }
            ?>
        </p>
        </form>
    <!-- END FORM -->
    </td>
    
    <td valign="top" width="50%">
    
    <div id="notebox" style="display:none"></div>
    <div id="create_contact_div" style="display:none">
        <div>
            <fieldset style="border:1px solid;">
                <legend ><b><?php  echo _CREATE_CONTACT;?></b></legend>
                <form name="indexingfrmcontact" id="indexingfrmcontact" method="post" action="<?php  echo $_SESSION['config']['businessappurl'].'index.php?display=true&mpage=contact_info';?>">
                <table border="0">
                <tr>
                    <td colspan="2"><label for="is_corporate"><?php echo _IS_CORPORATE_PERSON;?> : </label></td>
                    <td colspan="2">
                        <input type="radio" class="check" name="is_corporate" id="is_corporate_Y" value="Y" onclick="javascript:show_admin_contacts(true, '<?php echo $display_value;?>');" checked="checked" /><?php echo _YES;?>
                        <input type="radio" class="check" name="is_corporate" id="is_corporate_N" value="N" onclick="javascript:show_admin_contacts( false, '<?php echo $display_value;?>');" /><?php echo _NO;?>
                    </td>
                </tr>
                <tr id="title_p" style="display:<?php echo $display_value;?>">
                    <td colspan="2"><label for="title"><?php echo _TITLE2;?> : </label></td>
                    <td colspan="2">
                        <select name="title" id="title" >
                            <option value=""><?php echo _CHOOSE_TITLE;?></option>
                            <?php
                            foreach(array_keys($titles) as $key)
                            {
                            ?>
                                <option value="<?php echo $key;?>"
                                <?php
                                if($key == $default_title)
                                {
                                ?>
                                    selected="selected"';
                                <?php
                                }
                                ?>
                                ><?php echo $titles[$key];?></option>
                            <?php
                            }
                            ?>
                        </select>
                    </td>
                </tr>
                <tr id="lastname_p" style="display:<? echo $display_value;?>">
                    <td colspan="2"><label for="lastname"><?php echo _LASTNAME;?> : </label></td>
                    <td colspan="2">
                        <input name="lastname" type="text"  id="lastname" value="" />
                        <span class="red_asterisk" id="lastname_mandatory" style="display:inline;">*</span>
                    </td>
                </tr>
                <tr id="firstname_p" style="display:<?php echo $display_value;?>">
                    <td colspan="2"><label for="firstname"><?php echo _FIRSTNAME;?> : </label></td>
                    <td colspan="2"><input name="firstname" type="text"  id="firstname" value=""/></td>
                </tr>
                <tr>
                    <td colspan="2"><label for="society"><?php echo _SOCIETY;?> : </label></td>
                    <td colspan="2">
                        <input name="society" type="text"  id="society" value="" />
                        <span class="red_asterisk" id="society_mandatory" style="display:inline;">*</span>
                    </td>
                </tr>
                <tr id="function_p" style="display:<?php echo $display_value;?>">
                    <td colspan="2"><label for="function"><?php echo _FUNCTION;?> : </label></td>
                    <td colspan="2"><input name="function" type="text"  id="function" value="" /></td>
                </tr>
                <tr>
                    <td colspan="2"><label for="phone"><?php echo _PHONE;?> : </label></td>
                    <td colspan="2"><input name="phone" type="text"  id="phone" value="" /></td>
                </tr>
                <tr>
                    <td colspan="2"><label for="mail"><?php echo _MAIL;?> : </label></td>
                    <td colspan="2"><input name="mail" type="text" id="mail" value="" /></td>
                </tr>
                <tr>
                    <td><label for="num"><?php echo _NUM;?> : </label></td>
                    <td><input name="num" type="text" class="small"  id="num" value="" /></td>
                    <td><label for="street"><?php echo _STREET;?> : </label></td>
                    <td><input name="street" type="text" class="medium"  id="street" value="" /></td>
                </tr>
                <tr>
                    <td colspan="2"><label for="add_comp"><?php echo _COMPLEMENT;?> : </label></td>
                    <td colspan="2"><input name="add_comp" type="text"  id="add_comp" value="" /></td>
                </tr>
                <tr>
                    <td><label for="cp"><?php echo _POSTAL_CODE;?> : </label></td>
                    <td><input name="cp" type="text" id="cp" value="" class="small" /></td>
                    <td><label for="town"><?php echo _TOWN;?> : </label></td>
                    <td><input name="town" type="text" id="town" value="" class="medium" /></td>
                </tr>
                <tr>
                    <td colspan="2"><label for="country"><?php echo _COUNTRY;?> : </label></td>
                    <td colspan="2"><input name="country" type="text"  id="country" value="" /></td>
                </tr>
                <tr>
                    <td colspan="2"><label for="comp_data"><?php echo _COMP_DATA;?> : </label></td>
                    <td colspan="2"><textarea name="comp_data" id="comp_data" ></textarea></td>
                </tr>
                </table>
                    <div align="center">
                        <input name="submit" type="button" value="<?php  echo _VALIDATE;?>"  class="button" onclick="create_contact('<?php  echo $_SESSION['config']['businessappurl'].'index.php?display=true&page=create_contact';?>', '<?php  echo $id_action;?>');" />
                        <input name="cancel" type="button" value="<?php  echo _CANCEL;?>"  onclick="new Effect.toggle('create_contact_div', 'blind', {delay:0.2});return false;" class="button" />
                    </div>
                </form >
            </fieldset >
            
        </div>
     </div>
    <script type="text/javascript">show_admin_contacts( true);</script>     
    <?php  
    if (isset($_SESSION['postindexing']['res_actif']) && !empty($_SESSION['postindexing']['res_actif']))
    {
    ?>
        <iframe src="<?php  echo $_SESSION['config']['businessappurl'];?>index.php?display=truedisplay=true&dir=indexing_searching&page=view_resource_controler&id=<?php  echo $_SESSION['postindexing']['res_actif'];?>" name="viewframe" id="viewframe" frameborder="0" scrolling="auto" marginheight="0" marginwidth="0"></iframe>
    <?php  
    }
    else
    {
        echo '&nbsp;';
    }
    ?>
    <td>
</tr>
</table>
<script type="text/javascript">
    var frame = document.getElementById("viewframe");
    newwith = (screen.width /2) - 20;
    frame.style.width =  newwith +'px';
    frame.style.height = screen.height - 245 +'px';
    window.scrollTo(0,0);
    launch_autocompleter_contacts('<?php echo  $_SESSION['config']['businessappurl'].'index.php?display=true&dir=indexing_searching&page=autocomplete_contacts'; ?>');
    <?php
    if($core_tools->is_module_loaded('folder'))
    {
    ?>
        launch_autocompleter_folders('<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&module=folder&page=autocomplete_folders&mode=project'; ?>', 'project');
        launch_autocompleter_folders('<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&module=folder&page=autocomplete_folders&mode=market';?>', 'market');
    <?php
    }
    ?>
    init_validation('<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&dir=indexing_searching&page=autocomplete_contacts';?>', '<?php echo $display_value;?>', '<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&dir=indexing_searching&page=change_category';?>', '<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&page=get_content_js';?>');
    var type_id = $('type_id');
    if(type_id){change_doctype_details(type_id.options[type_id.selectedIndex].value, '<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&module=postindexing&page=change_doctype';?>', '<?php echo _ERROR_DOCTYPE;?>');}
    <?php   
    if($core_tools->is_module_loaded('entities') )
    {
    ?>
        change_entity('<?php echo $data['destination'];?>', '<?php echo $_SESSION['config']['businessappurl'].'index.php?display=true&module=entities&page=load_listinstance'; ?>','diff_list_div', 'indexing', '<?php echo $display_value;?>'<?php if(!$load_listmodel){echo ',\'false\'';}?>);
    <?php
    }
     ?>
</script>
    
<?php
//}
?>
</body>
</html>