<?php
/*
*    Copyright 2008,2011 Maarch
*
*  This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*    along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief   Action : Document postindexing
*
* Open a modal box to displays the postindexing form. Used by the core (manage_action.php page).
*
* @file
* @author Yves Christian Kpakpo <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apps
*/
/**
* $confirm  bool false
*/
$confirm = false;
/**
* $etapes  array Contains only one etap : form
*/
$etapes = array('form');
/**
* $frm_width  Width of the modal (empty)
*/
$frm_width='';
/**
* $frm_height  Height of the modal (empty)
*/
$frm_height = '';
/**
* $mode_form  Mode of the modal : fullscreen
*/
$mode_form = 'fullscreen';

function reserve_docs()
{
	require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
	require_once("modules".DIRECTORY_SEPARATOR."postindexing".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_modules_tools.php");
	
	$func = new functions();
	$db = new dbquery();
	$postindexing = new postindexing();
	$request= new request;

	//DEBUG!!!!!!
	$debug = false;

	//Clean Up !!
	unset($_SESSION['postindexing']['resid_pointeur']);
	unset($_SESSION['postindexing']['work']);
	unset($_SESSION['postindexing']['res_actif']);

	//Get the table
	if(!empty($_SESSION['current_basket']['view']))
	{
		$table = $_SESSION['current_basket']['view'];
	}
	else
	{
		$table = $_SESSION['current_basket']['table'];
	}

	//Initialize time values
	$timestamp = time();
	$max_video_time = $timestamp + ($_SESSION['postindexing']['max_time'] * 60);

	//Release user's expired documents
	$postindexing->release_user_docs($_SESSION['current_basket']['table']);

	$select2[$table]= array();

	//Toutes les "Where Clause" dans un tableau
	$where_tab2 = array();

	$where_tab2[] = " (
				(video_batch is null)
				or (video_batch is not null and video_user = '".$_SESSION['user']['UserId']."')
				or (
					(video_batch is not null and video_user <> '".$_SESSION['user']['UserId']."' and video_time < ".$timestamp.") 
					)
				)";
				
	$where_tab2[] = stripslashes($_SESSION['current_basket']['clause']);

	$where2 = implode(' and ', $where_tab2);
	//Les champs a recuperer
	array_push($select2[$table], "res_id", "status");
	
	$orderstr2 = ' order by creation_date asc';

	$tab2=$request->select($select2, $where2, $orderstr2, $_SESSION['config']['databasetype'], $_SESSION['config']['databasesearchlimit'], false, "", "", "", false);
	//$request->show();
	//Keep the number of available doc to postindex
	$_SESSION['postindexing']['nb_docs'] = count($tab2);

	//If the user still got  ressources to postindex
	$select[$table]= array();

	array_push($select[$table],"res_id");
	$where_already_reserved = " (
								(video_batch is not null and video_user = '".$_SESSION['user']['UserId']."' and video_time > ".$timestamp.")
								) 
								and ".stripslashes($_SESSION['current_basket']['clause']);

	$groupby = '';
	
	$tab1 = array();

	$tab1 = $request->select($select, $where_already_reserved, $groupby, $_SESSION['config']['databasetype'], false, "", "", "", false);
    //$request->show();
	//Debug
	if ($debug)
	{
		$debug_msg .= "<b>Initialisation de la reservation</b><br/>";
		$debug_msg .= $select.' '.$where_already_reserved;
		$debug_msg .= "<br/>NB DOCS IN BASKET: ". $_SESSION['postindexing']['nb_docs']."<br/>";//DEBUG
		$debug_msg .= "NB DOCS ALREADY RESERVED: ".count($tab1)."<br/>";//DEBUG
		$debug_msg .= "MAX DOCS TO RESERVE: ".$_SESSION['postindexing']['max_files']."<br/>";//DEBUG
	}

	if ((count($tab1) < $_SESSION['postindexing']['max_files']) && (count($tab1) < $_SESSION['postindexing']['nb_docs']) )
	{
		//Number of ressources to add to complte the max batch files
		$max_files = $_SESSION['postindexing']['max_files'] - count($tab1) ;
		
		//Debug
		if ($debug)
		{
			$debug_msg .= "<br/><b>Compl&eacute;ment de reservation</b><br/>";
			$debug_msg .= "NB DOCS TO COMPLETE RESERVATION: ".$max_files."<br/>";//DEBUG
		}
		
		//new workbatch
		$workbatch = $postindexing->get_workbatch();
		
		$_SESSION['postindexing']['workbatch'] = $workbatch;
		
		//Creation if the sql statement for reservation
		$where = " (
					(video_batch is null)
					or (video_batch is not null and video_user = '".$_SESSION['user']['UserId']."' and video_time < ".$timestamp.") 
					or (
						(video_batch is not null and video_user <> '".$_SESSION['user']['UserId']."') and (video_batch is not null and video_time < ".$timestamp.") 
						)
					)
					and ".stripslashes($_SESSION['current_basket']['clause']);
		//Subquery	
		
		$sqlReservation = $db->limit_select(0, $max_files, 'res_id', $table, $where, "ORDER BY res_id ASC");
		
		//Get down on it!!
		$db->connect();
		$theSqlQuery = "update ".$_SESSION['current_basket']['table']." set 
					video_user = '".$_SESSION['user']['UserId']."' , 
					video_batch = ".$workbatch." , 
					video_time = ".$max_video_time." 
					where res_id in (".$sqlReservation .")";
					
		$db->query($theSqlQuery);			
		//Debug
		if ($debug)
		{
			$debug_msg .= "<br/><b>Requete de reservation (mise a jour)</b><br/>";
			$debug_msg .= $theSqlQuery;
		}
	}

	//Documents   videocoder
	$_SESSION['postindexing']['docs'] = array();
	$_SESSION['postindexing']['docs'] =  $postindexing->get_user_reserved_doc($_SESSION['current_basket']['table']);

	//Nombre de documents   videocoder
	$_SESSION['postindexing']['nb_total'] = count($_SESSION['postindexing']['docs']);

	//On initialise le compteur de document valid
	$_SESSION['postindexing']['work'] = 0 ;
	
	//Reset of the Info box
	if (isset($_SESSION['postindexing']['showHideBox'])) 
	{
		unset($_SESSION['postindexing']['showHideBox']);
	}
	
	//$func->show_array($tab_res);
		
	//Debug
	if ($debug)
	{
		$debug_msg .= "<br/>NB RESERVED DOCS: ".$_SESSION['postindexing']['nb_total']."<br/>";//DEBUG
		//exit;
		return $debug_msg;
	}
	
}

/**
 * Returns the validation form text
 *
 * @param $values Array Contains the res_id of the document to validate
 * @param $path_manage_action String Path to the PHP file called in Ajax
 * @param $id_action String Action identifier
 * @param $table String Table
 * @param $module String Origin of the action
 * @param $coll_id String Collection identifier
 * @param $mode String Action mode 'mass' or 'page'
 * @return String The form content text
 **/
function get_form_txt($values, $path_manage_action,  $id_action, $table, $module, $coll_id, $mode )
{	
	$frm_str ='';
	//If not already reserved
	// if ($_SESSION['postindexing']['already_reserved'] === false)
	// {
		 $frm_str .= reserve_docs();
	// }
	
	//Iframe with the page
	$frm_str = '<iframe src="'.$_SESSION['config']['businessappurl'].'index.php?display=true&module=postindexing&page=index_video&action='.$id_action.'" name="index_video" id="index_video" frameborder="0" marginheight="0" marginwidth="0"></iframe>';
	$frm_str .= '<script type="text/javascript">resize_frame_postindex(\'modal_'.$id_action.'\', \'index_video\', true, true); window.scrollTo(0,0);</script>';

	return addslashes($frm_str);
}
?>