<?php

/*******************************************************************************
** Parameters
*******************************************************************************/
$rootName = $_REQUEST['objectName'];

/*******************************************************************************
**
** 1 - Update DataObject
**
*******************************************************************************/
require_once (
    'modules/records_management/class/RecordsManagementController.php'
);

$RecordsManagementController = new RecordsManagementController();

/** Load rootObject from session
*******************************************************************************/
$rootObject = $RecordsManagementController->loadXML(
    $_SESSION['RecordsManagement'][$rootName]
);

$Archive = $rootObject->Archive[0];

/* Add ChildObject
*******************************************************************************/
$Object = 
    $RecordsManagementController->addArchiveObject(
        $Archive
    );

/* Copy Archive properties to ArchiveObject
*******************************************************************************/
// Get identifier
$existingObjects = $Archive->ArchiveObject;
$l = $existingObjects->length;
$count = 0;
for($i=0; $i<$l; $i++) {
    $existingObject = $existingObjects[$i];
    if($existingObject->isDeleted()) continue;
    $count++;
}

$Object->TransferringAgencyObjectIdentifier =
    $Archive->TransferringAgencyArchiveIdentifier . '' . $count; 

// Properties
$Object->Name = $_REQUEST['Name'];
$Object->schedule_id = $_REQUEST['schedule_id'];

// ContentDescription
$ContentDescription = $RecordsManagementController->addContentDescription($Object);
$ContentDescription->DescriptionLevel = $_REQUEST['DescriptionLevel'];
$ContentDescription->OldestDate = $_REQUEST['OldestDate'];
$ContentDescription->LatestDate = $_REQUEST['LatestDate'];
$ContentDescription->FilePlanPosition = $_REQUEST['FilePlanPosition'];

// Custodial History
$CustodialHistory = $RecordsManagementController->addCustodialHistory($ContentDescription);
$CustodialHistory->when = $Archive->ContentDescription[0]->CustodialHistory[0]->when;
$CustodialHistory->CustodialHistoryItem = $Archive->ContentDescription[0]->CustodialHistory[0]->CustodialHistoryItem;

// AccessRestrictionRule
$AccessRestrictionRule = $RecordsManagementController->addAccessRestrictionRule($Object);
$AccessRestrictionRule->Code = $_REQUEST['AccessRestrictionCode'];
$AccessRestrictionRule->StartDate = $_REQUEST['AccessRestrictionStartDate'];;

// ApraisalRule
$AppraisalRule = $RecordsManagementController->addAppraisalRule($Object);
$AppraisalRule->Code = $_REQUEST['AppraisalCode'];
$AppraisalRule->Duration = $_REQUEST['AppraisalDuration'];
$AppraisalRule->StartDate = $_REQUEST['AppraisalStartDate'];

$OriginatingAgency = 
    $RecordsManagementController->appendRefOrganization(
        $ContentDescription,
        $Archive->ContentDescription[0]->OriginatingAgency[0],
        'OriginatingAgency'
    );

// Document
$Document = $RecordsManagementController->addDocument($Object);
$Document->Size = 0;
$Document->unitCode = $_REQUEST['unitCode'];
$Document->Description = $_REQUEST['Description'];
$Document->typist = $_SESSION['user']['UserId'];
$Document->Creation = date('Y-m-d H:i:s');
$Document->Status = 'INIT';

$format_bitmask = 0;
if(strpos($_REQUEST['format'], 'Physical') !== FALSE) $format_bitmask += 1;
if(strpos($_REQUEST['format'], 'Digital') !== FALSE) $format_bitmask += 2;
switch($format_bitmask) {
case 1: $Document->format = 'Physical'; 
    break;
case 2:
default:
    $Document->format = 'Digital';        
}

/** Save rootObject to session
*******************************************************************************/
$_SESSION['RecordsManagement'][$rootName] = $rootObject->asXML(); 

/*******************************************************************************
**
** 2 - Manage View
**
*******************************************************************************/
require_once(
    'modules/records_management/class/ArchiveObjectViewController.php'
);
$ArchiveObjectViewController = new ArchiveObjectViewController;

$View = 
    $ArchiveObjectViewController->getArchiveObjectView(
        $Object,
        'CREATION'
    );

echo $View->show();