<?php

/*******************************************************************************
** Parameters
*******************************************************************************/
$rootName = $_REQUEST['objectName'];
$objectPath = $_REQUEST['objectPath'];

/*******************************************************************************
**
** 1 - Update DataObject
**
*******************************************************************************/
require_once (
    'modules/records_management/class/RecordsManagementController.php'
);

$RecordsManagementController = new RecordsManagementController();

/** Load rootObject from session
*******************************************************************************/
$rootObject = $RecordsManagementController->loadXML(
    $_SESSION['RecordsManagement'][$rootName]
);

$Object = $rootObject->query($objectPath)->item(0);
$Archive = $Object->parentNode;

/* Delete Object
*******************************************************************************/
$RecordsManagementController->delete(
    $Object
);
$RecordsManagementController->save(
    $Object
);

/* Make new Ids
*******************************************************************************/
// Get identifier
$existingObjects = $Archive->ArchiveObject;
$l = $existingObjects->length;
$count = 0;
for($i=0; $i<$l; $i++) {
    $existingObject = $existingObjects[$i];
    $count++;
    $existingObject->TransferringAgencyObjectIdentifier =
        $Archive->TransferringAgencyArchiveIdentifier . $count; 
}

/** Save rootObject to session
*******************************************************************************/
$_SESSION['RecordsManagement'][$rootName] = $rootObject->asXML(); 

/*******************************************************************************
**
** 2 - Manage View
**
*******************************************************************************/
require_once(
    'modules/records_management/class/ArchiveObjectViewController.php'
);

$viewController = new ViewController();

$view = $viewController->createView();
$tbody = $view->createElement('tbody');
$view->appendChild($tbody);
$tbody->setAttribute(
    'id',
    '/ArchiveTransfer/Archive/ArchiveObject__list'
);

$ArchiveObjects = $existingObjects;
$l = $ArchiveObjects->length;
$count = 0;
for($i=0; $i<$l; $i++) {
    $ArchiveObject = $ArchiveObjects[$i];
    if($ArchiveObject->isDeleted()) continue;
    
    $ArchiveObjectViewController = new ArchiveObjectViewController();
    $ArchiveObjectTd = 
        $ArchiveObjectViewController->getArchiveObjectView(
            $ArchiveObject,
            'CREATION'
        );
        
    $tbody->appendChild(
        $view->importNode($ArchiveObjectTd, true)
    );
}

$tbody->show();