<?php
$confirm = false;
$etapes = array('form');
$frm_width='100%';
$frm_height = '100%';

function get_form_txt(
    $res_ids, 
    $path_manage_action, 
    $id_action, 
    $table, 
    $module, 
    $coll_id, 
    $mode
) {
    require_once(
    'modules/records_management/class/RecordsManagementController.php'
    );
    $RecordsManagementController = new RecordsManagementController();
        
    /**************************************************************************
    **
    ** Manage dataObjects
    **
    ***************************************************************************/    
    $_SESSION['RecordsManagement'] = array();
    /******************************************************************************
    ** Create Current Contact from user
    ******************************************************************************/
    $RefContact = 
        $RecordsManagementController->read(
            'RefContact',
            $_SESSION['user']['UserId']
        );
    //$RefContact->show();
    $Contact = 
        $RecordsManagementController->copy(
            $RefContact, 
            'Contact'
        );

    $_SESSION['RecordsManagement']['Contact'] = $Contact->asXML();
    
    /**************************************************************************
    ** Create Message ArchiveTransfer
    ***************************************************************************/
    $ArchiveTransfer = $RecordsManagementController->createArchiveTransfer();
    $ArchiveTransfer->Date = date('Y-m-d H:i:s');
    
    $Comment = $RecordsManagementController->addComment($ArchiveTransfer);
    
    $Archive = $RecordsManagementController->addArchive($ArchiveTransfer);
    
    $AccessRestrictionRule = $Archive->AccessRestrictionRule[0];
    $AccessRestrictionRule->Code = 'AR038';
    $AccessRestrictionRule->StartDate = date('Y-m-d');
    
    $ArchiveContentDescription = $Archive->ContentDescription[0];
    
    $Archive_oldest_date = false;
    $Archive_latest_date = false;
    
    $ArchiveContentDescription->LatestDate = date("Y-m-d");
    $ArchiveContentDescription->OldestDate = date("Y-m-d");
    
    
    /**************************************************************************
    ** Use res_id of documents to attach ArchiveObjects / Documents
    ***************************************************************************/
    for($i=0; $i<count($res_ids); $i++) {
        $res_id = $res_ids[$i];
        
        /**********************************************************************
        ** Read Document 
        ***********************************************************************/
        $Document = 
            $RecordsManagementController->read(
                'Document',
                $res_id
            );
               
        /**********************************************************************
        ** Read Parent Item (ArchiveObject) 
        **      and copy infos to new ArchiveObject
        ***********************************************************************/
        $ArchiveObject = 
            $RecordsManagementController->read(
                'ArchiveObject',
                $Document->item_id
            );
        
        if($ArchiveObject->ArchivalAgencyObjectIdentifier != '') {
            $ArchiveObject->TransferringAgencyObjectIdentifier = $ArchiveObject->ArchivalAgencyObjectIdentifier;
            $ArchiveObject->ArchivalAgencyObjectIdentifier = '';
        }
        
        // Check dates to set Archive Content Description limit dates
        $ArchiveObjectContentDescription = $ArchiveObject->ContentDescription[0];
        $ArchiveObject_oldest_date = new DateTime($ArchiveObjectContentDescription->OldestDate);
        $ArchiveObject_latest_date = new DateTime($ArchiveObjectContentDescription->LatestDate);
        
        if(!$Archive_oldest_date
            || $ArchiveObject_oldest_date < $Archive_oldest_date) {
            $Archive_oldest_date = $ArchiveObject_oldest_date;
        }
        if(!$Archive_latest_date
            || $ArchiveObject_latest_date > $Archive_latest_date) {
            $Archive_latest_date = $ArchiveObject_latest_date;
        }
               
        $Archive[] = $ArchiveObject;
    }
    
    $ArchiveContentDescription->OldestDate = $Archive_oldest_date->format('Y-m-d');
    $ArchiveContentDescription->LatestDate = $Archive_latest_date->format('Y-m-d');

    
    $_SESSION['RecordsManagement']['ArchiveTransfer'] = $ArchiveTransfer->asXML();
    //$ArchiveTransfer->show();
    /**************************************************************************
    **
    ** Manage View
    **
    ***************************************************************************/  
    require_once(
        'modules/records_management/class/ArchiveObjectsTransferViewController.php'
    );
    $ArchiveObjectsTransferViewController = new ArchiveObjectsTransferViewController();
    
    $ArchiveObjectsTransferView = 
        $ArchiveObjectsTransferViewController->getArchiveObjectsTransferView(
            $ArchiveTransfer,
            'create'
        );  
    $id_action_hidden = $ArchiveObjectsTransferViewController->getElementById('id_action');
    $id_action_hidden->setValue($id_action);
    
    $view_string = $ArchiveObjectsTransferView->C14N();
    $view_string = preg_replace("/\n|&#xD;/", '', $view_string);
    $view_string = addslashes($view_string);
    return $view_string;
    
}

function check_form($form_id,$values)
{
    if ($form_id == 'frm_process_rm') {
        $dep = get_value_fields($values, 'requesting_number'); 
    if ($dep == '') {
            $_SESSION['action_error'] = _MUST_ENTER_REQUESTING_NUMBER;
            return false;
        } else {
            return true;
        }
    } else {
        $_SESSION['action_error'] = _FORM_ERROR;
        return false;
    }
}

function manage_form($arr_id, $history, $id_action, $label_action, $status, $coll_id, $table, $values_form)
{
    if (empty($values_form) || count($arr_id) < 1) {
        return false;
    }
    $db = new dbquery();
    $db->connect();
    $dbItem = new dbquery();
    $dbItem->connect();
    $ioList = array();
    //$db->show_array($arr_id);exit;
    //$db->show_array($values_form);exit;
    for ($j=0;$j<count($arr_id);$j++) {
        $cptId = '';
        $queryItems = "select item_id from " 
            . _RM_ITEMS_TABLE_NAME . " where io_id = " . $arr_id[$j] 
            . " order by item_id";
        $db->query($queryItems);
        while ($itemRs = $db->fetch_object()) {
            if ($cptId == 0) {
                $stringNumber = '';
            } else {
                $stringNumber = $cptId;
            }
            $itemId = $itemRs->item_id;
            //echo $arr_id[$j] . ':' . $itemId . '<br>';
            $queryItems = "update " . _RM_ITEMS_TABLE_NAME 
                . " set archival_entity_item_id = '" . $values_form[1]['VALUE'] . $stringNumber
                . "' where item_id = " . $itemId;
            //echo $queryItems . '<br>';
            $dbItem->query($queryItems);
            $cptId++;
            //TODO: HISTORISATION !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
        }
    }
    return true;
}

 /**
 * Get the value of a given field in the values returned by the form
 *
 * @param $values Array Values of the form to check
 * @param $field String the field
 * @return String the value, false if the field is not found
 **/
function get_value_fields($values, $field)
{
    for ($i=0; $i<count($values);$i++) {
        if ($values[$i]['ID'] == $field) {
            return  $values[$i]['VALUE'];
        }
    }
    return false;
}
