<?php

/******************************************************************************
**
** Generate SEDA
**
******************************************************************************/
/******************************************************************************
** Retrieve ArchiveTransfer
******************************************************************************/
require_once (
    'modules/records_management/class/RecordsManagementController.php'
);

$RecordsManagementController = new RecordsManagementController();

$ArchiveTransfer = 
    $RecordsManagementController->loadXML(
        $_SESSION['RecordsManagement']['ArchiveTransfer']
    );

$key = false;
$key = 
    $RecordsManagementController->saveMessage(
        $ArchiveTransfer
    );
if(!$key) {
    echo "Unable to save new Message in database!";
    exit;
}

// History
//***********************************************************************
require_once 'core/class/class_history.php';
$MessageController = new MessageController;
$MessageController->loadMessageFile(
    'modules/records_management/lang/ArchiveTransfer.xml'
);
$MessageController->loadMessageFile(
    'modules/records_management/lang/ArchiveObject.xml'
);
$message = 
    $MessageController->getMessageText(
        'ArchiveTransferCreation',
        false,
        array($ArchiveTransfer->TransferIdentifier)
    );

$history = new history();
$history->add(
    'rm_ios',
    $key->io_id,
    'CREATE',
    'ArchiveTransferCreation',
    $message,
    $_SESSION['config']['databasetype'],
    'records_management'
);

    
//*****************************************************************************
// Export Attachments from Documents
//*****************************************************************************
$DocserverController = new DataObjectController();
$DocserverController->loadXSD(
    $_SESSION['config']['corepath']
    . 'core/schema/Docserver.xsd'
);
        
// Create tmp directory
$tmpPath = $_SESSION['config']['tmppath'] 
    . 'ArchiveTransfer_' . $ArchiveTransfer->io_id
    . DIRECTORY_SEPARATOR ;
if(!is_dir($tmpPath)) {
    mkdir($tmpPath);
} else {
    $dirhdl = opendir($tmpPath);
    while($file = readdir($dirhdl)) {
        @unlink($tmpPath . $file);
    }
}

$Documents = $ArchiveTransfer->query('//Document');
for($i=0; $i<$Documents->length; $i++) {
    $Document = $Documents->item($i);
    if($Document->filename && $Document->filename != '') {
        $Docserver = 
            $DocserverController->read(
                'Docserver',
                $Document->docserver_id
            );
        $attachmentPath = 
            $Docserver->path_template 
                . str_replace('#', DIRECTORY_SEPARATOR, $Document->path) 
                . $Document->filename;

        $copy = copy($attachmentPath, $tmpPath . $Document->filename);
    }
    $Document->Status = 'WAIT_REPLY';
    
    $ArchiveObject = $Document->parentNode;
    
    // History
    $message = 
        $MessageController->getMessageText(
            'ArchiveObjectTransfer',
            false,
            array($ArchiveObject->TransferringAgencyObjectIdentifier, $ArchiveTransfer->TransferIdentifier )
        );
    $history->add(
        'rm_items',
        $ArchiveObject->item_id,
        'UP',
        'ArchiveObjectTransfer',
        $message,
        $_SESSION['config']['databasetype'],
        'records_management'
    );
    
    $RecordsManagementController->save($Document);
}

/******************************************************************************
** Generate SEDA ArchiveTransfer
******************************************************************************/
$SedaArchiveTransfer = 
    $RecordsManagementController->exportMessage($ArchiveTransfer);

$SedaFile = 'ArchiveTransfer_'. $ArchiveTransfer->io_id .'.xml';
$SedaPath = $_SESSION['config']['tmppath'] . $SedaFile;
$SedaArchiveTransfer->save($SedaPath);
$SedaArchiveTransfer->save($tmpPath . $SedaFile);

/******************************************************************************
** Validate SEDA ArchiveTransfer
******************************************************************************/ 
libxml_clear_errors();
libxml_use_internal_errors(true);

$valid = 
    $SedaArchiveTransfer->schemaValidate(
        $_SESSION['config']['corepath'] 
            . 'modules/records_management/schema/'
            . 'seda/v1.0/seda_v1-0_archivetransfer.xsd'
    );
    
if(!$valid) {
    // Retrieve XML errors
    require_once (
        'core/tests/class/LibXMLError_parser.php'
    );
    $LibXMLError_parser = new LibXMLError_parser();
    
    $libxml_errors = libxml_get_errors();
    foreach ($libxml_errors as $libxml_error) {
        $errors .= "<br/>" . $libxml_error->code . ": " . trim($libxml_error->message);
    }
    libxml_clear_errors();
    libxml_use_internal_errors(false);
    
    // Display XML errors
    echo $errors;
    exit();
} 
libxml_use_internal_errors(false);

/******************************************************************************
** Store SEDA ArchiveTransfer XML to Docserver
******************************************************************************/      
// Get file infos
$fileInfos = array(
    'tmpPath' => $_SESSION['config']['tmppath'],
    'tmpFileName' => $SedaFile,
    'size' => filesize($SedaPath)
);

// Save to docserver
require_once 'core/class/docservers_controler.php';
$docserverController = new docservers_controler();
$storeInfos = 
    $docserverController->storeResourceOnDocserver(
        'io_coll',
        $fileInfos
    );
    
/******************************************************************************
** Save store informations to ArchiveTransfer IO
******************************************************************************/ 
$ArchiveTransfer->io_path = str_replace('\\', '#', $storeInfos['destination_dir']);
$ArchiveTransfer->io_filename = $storeInfos['file_destination_name'];
$ArchiveTransfer->io_status = 'SENT';

$key = false;
$key = 
    $RecordsManagementController->save(
        $ArchiveTransfer, 
        $saveChildren = false
    );
    
$_SESSION['RecordsManagement']['ArchiveTransfer'] =  $ArchiveTransfer->asXML();
/****************************************************************************** 
**
** Generate View
**
******************************************************************************/
echo '';
exit;
