<?php

/******************************************************************************
**
** Generate SEDA
**
******************************************************************************/
require_once(
    'modules/records_management/class/ArchiveTransferAppletViewController.php'
);

$ArchiveTransferAppletViewController = 
    new ArchiveTransferAppletViewController();

/******************************************************************************
** Retrieve ArchiveTransfer
******************************************************************************/
require_once (
    'modules/records_management/class/RecordsManagementController.php'
);

$RecordsManagementController = new RecordsManagementController();

/* Load from SESSION
******************************************************************************/
$ArchiveTransfer = $RecordsManagementController->loadXML(
    $_SESSION['RecordsManagement']['ArchiveTransfer']
);

/******************************************************************************
** Generate SEDA ArchiveTransfer
******************************************************************************/
$SedaArchiveTransfer = 
    $RecordsManagementController->exportMessage($ArchiveTransfer);

$SedaFile = 'ArchiveTransfer_'. $ArchiveTransfer->io_id .'.xml';
$SedaPath = $_SESSION['config']['tmppath'] . $SedaFile;
$SedaArchiveTransfer->save($SedaPath);

/******************************************************************************
** Validate SEDA ArchiveTransfer
******************************************************************************/ 
libxml_clear_errors();
libxml_use_internal_errors(true);

$valid = 
    $SedaArchiveTransfer->schemaValidate(
        $_SESSION['config']['corepath'] 
            . 'modules/records_management/schema/'
            . 'seda/v1.0/seda_v1-0_archivetransfer.xsd'
    );
    
if(!$valid) {
    // Retrieve XML errors
    require_once (
        'core/tests/class/LibXMLError_parser.php'
    );
    $LibXMLError_parser = new LibXMLError_parser();
    
    $libxml_errors = libxml_get_errors();
    foreach ($libxml_errors as $libxml_error) {
        $errors[] = $libxml_error->code . ": " . trim($libxml_error->message);
    }
    libxml_clear_errors();
    libxml_use_internal_errors(false);
    
    // Display XML errors
    $ArchiveTransferAppletViewController->showErrors($errors);
    exit();
} 
libxml_use_internal_errors(false);

/******************************************************************************
** Store SEDA ArchiveTransfer XML to Docserver
******************************************************************************/      
// Get file infos
$fileInfos = array(
    'tmpPath' => $_SESSION['config']['tmppath'],
    'tmpFileName' => $SedaFile,
    'size' => filesize($SedaPath)
);

// Save to docserver
require_once 'core/class/docservers_controler.php';
$docserverController = new docservers_controler();
$storeInfos = 
    $docserverController->storeResourceOnDocserver(
        'io_coll',
        $fileInfos
    );
    
/******************************************************************************
** Save store informations to ArchiveTransfer IO
******************************************************************************/ 
$ArchiveTransfer->io_path = str_replace('\\', '#', $storeInfos['destination_dir']);
$ArchiveTransfer->io_filename = $storeInfos['file_destination_name'];

$key = false;
$key = 
    $RecordsManagementController->save(
        $ArchiveTransfer, 
        $saveChildren = false
    );
    
$_SESSION['RecordsManagement']['ArchiveTransfer'] = $ArchiveTransfer->asXML();

/****************************************************************************** 
**
** Generate View
**
******************************************************************************/
$ArchiveTransferAppletViewController->showApplet(
    $ArchiveTransfer
);
