<?php

include_once '../../core/init.php';
require_once 'core/class/class_portal.php';
require_once 'core/class/class_functions.php';
require_once 'core/class/class_db.php';
require_once 'core/class/class_core_tools.php';
require_once 'core/core_tables.php';
require_once 'core/class/class_request.php';
require_once 'core/class/class_history.php';
require_once 'core/class/SecurityControler.php';
require_once 'core/class/class_resource.php';
require_once 'modules/records_management/class/RecordsManagementController.php';

if (
    !isset($_SESSION['user']['UserId'])
    && empty($_SESSION['user']['UserId'])
) {
    //only for the test with the java editor
    $_SESSION['config']['app_id'] = 'maarch_entreprise';

    //load Maarch session vars
    $portal = new portal();
    $portal->unset_session();
    $portal->build_config();
    $coreTools = new core_tools();
    $_SESSION['custom_override_id'] = $coreTools->get_custom_id();
    if (isset($_SESSION['custom_override_id'])
        && ! empty($_SESSION['custom_override_id'])
        && isset($_SESSION['config']['corepath'])
        && ! empty($_SESSION['config']['corepath'])
    ) {
        $path = $_SESSION['config']['corepath'] . 'custom' . DIRECTORY_SEPARATOR
            . $_SESSION['custom_override_id'] . DIRECTORY_SEPARATOR;
        set_include_path(
            $path . PATH_SEPARATOR . $_SESSION['config']['corepath']
            . PATH_SEPARATOR . get_include_path()
        );
    } else if (isset($_SESSION['config']['corepath'])
        && ! empty($_SESSION['config']['corepath'])
    ) {
        set_include_path(
            $_SESSION['config']['corepath'] . PATH_SEPARATOR . get_include_path()
        );
    }
    $coreTools->build_core_config('core' . DIRECTORY_SEPARATOR . 'xml' 
        . DIRECTORY_SEPARATOR . 'config.xml'
    );

    $_SESSION['config']['app_id'] = $_SESSION['businessapps'][0]['appid'];
    require_once('apps/' . $_SESSION['businessapps'][0]['appid'] 
        . '/class/class_business_app_tools.php'
    );

    $businessAppTools = new business_app_tools();
    $businessAppTools->build_business_app_config();
    $coreTools->load_modules_config($_SESSION['modules']);
    $businessAppTools->load_app_var_session();

    $_SESSION['config']['coreurl'] = str_replace('modules/records_management/',
        '',
        $_SESSION['config']['coreurl']
    );

    $_SESSION['user']['UserId'] = 'superadmin';
}

//Create XML
function createXML($rootName, $parameters)
{
    global $debug, $debugFile;
    $rXml = new DomDocument("1.0","UTF-8");
    $rRootNode = $rXml->createElement($rootName);
    $rXml->appendChild($rRootNode);
    if (is_array($parameters)) {
        foreach ($parameters as $kPar => $dPar) {
            $node = $rXml->createElement($kPar,$dPar);
            $rRootNode->appendChild($node);
        }
    } else {
        $rRootNode->nodeValue = $parameters;
    }
    if ($debug) {
        $rXml->save($debugFile);
    }
    header("content-type: application/xml");
    echo $rXml->saveXML();
    exit;
}


function writeLog($what) {
    $log = fopen($_SESSION['tmppath'] . 'applet_controller.log', 'a');
    fwrite($log, $what);
    fclose($log);
}

$status = 'ko';
$objectType = '';
$objectId = '';
$fileContent = '';
$formatsList = '';
$nbArticles = '';
$transferSize = '';
$error = '';

$RecordsManagementController = new RecordsManagementController();

if (empty($_REQUEST['action'])) {
    $result = array(
        'STATUS' => $status,
        'FILE_CONTENT' => $fileContent,
        'ERROR' => 'missing parameters, action:' . $_REQUEST['action'],
        'END_MESSAGE' => '',
    );
    createXML('ERROR', $result);
} else {
    switch($_REQUEST['action']) {
    case 'retrieveHeader':
        $ArchiveTransfer = 
            $RecordsManagementController->read(
                'ArchiveTransfer', 
                $_REQUEST['archiveTransferId']
            );
        
        $XmlMessage = 
            $RecordsManagementController->getMessageXml(
                $ArchiveTransfer
            );
        
        $fileContent = base64_encode($XmlMessage->saveXML());
        
        $result = array(
            'STATUS' => 'OK',
            'FILE_CONTENT' => $fileContent,
            'ERROR' => '',
            'END_MESSAGE' => '',
        );
        createXML('SUCCESS', $result);
        break;
        
    case 'retrieveAgreement' :
        $ArchivalAgreement = 
            $RecordsManagementController->read(
                'ArchivalAgreement', 
                $_REQUEST['agreementId']
            );

        $formatsList = str_replace(' ', '|', $ArchivalAgreement->allowed_file_types);
        $nbArticles = (integer)$ArchivalAgreement->transfer_max_item;
        $transferSize = (integer)$ArchivalAgreement->transfer_max_size;

        $result = array(
            'STATUS' => 'OK',
            'FILE_CONTENT' => '',
            'FORMATS_LIST' => $formatsList,
            'NB_ARTICLES' => $nbArticles,
            'TRANSFER_SIZE' => $transferSize,
            'ERROR' => '',
            'END_MESSAGE' => '',
        );
        createXML('SUCCESS', $result);
        break;
        
    case 'updateStatus' :
        $ArchiveTransfer = 
            $RecordsManagementController->read(
                'ArchiveTransfer', 
                $_REQUEST['archiveTransferId']
            );
            
        switch($_REQUEST['status']) {
        case 'OK':
            $ArchiveTransfer->io_status = 'SENT';
            break;
        case 'KO':
            $ArchiveTransfer->io_status = 'XMLERR';
            break;
        case 'CANCEL': 
            $ArchiveTransfer->io_status = 'INIT';
            break;
        }
        
        $RecordsManagementController->save(
            $ArchiveTransfer, 
            false
        );
        
        $result = array(
            'STATUS' => 'OK',
            'FILE_CONTENT' => '',
            'FORMATS_LIST' => '',
            'NB_ARTICLES' => 0,
            'TRANSFER_SIZE' => 0,
            'ERROR' => '',
            'END_MESSAGE' => '',
        );
        createXML('SUCCESS', $result);       
        break;
    }
    
}

