<?php
$return = new StdClass();

require('modules/records_management/class/RecordsManagementController.php');
require('modules/records_management/class/ArchiveTransferValidationViewController.php');
require_once 'core/class/class_history.php';
$history = new history();
$MessageController = new MessageController();
$MessageController->loadMessageFile(
    'modules/records_management/lang/ArchiveTransfer.xml'
);
$MessageController->loadMessageFile(
    'modules/records_management/lang/ArchiveTransferReply.xml'
);
/* -----------------------------------------------------------------------------
- Manage $_REQUEST
----------------------------------------------------------------------------- */
    $error = false;
    
    /* -------------------------------------------------------------------------
    - ReplyCode
    ------------------------------------------------------------------------- */
    $ReplyCode = false;
    if (isset($_REQUEST['ReplyCode']) && !empty($_REQUEST['ReplyCode']))
        $ReplyCode = $_REQUEST['ReplyCode'];
    else {
        echo 'Code d\'acceptation obligatoire';
    }
    
    /* -------------------------------------------------------------------------
    - Reply Comment
    ------------------------------------------------------------------------- */
    $ReplyComment= false;
    if (isset($_REQUEST['ReplyComment']) && !empty($_REQUEST['ReplyComment']))
        $ReplyComment = $_REQUEST['ReplyComment'];
           
/* -----------------------------------------------------------------------------
- Manage dataObjects
----------------------------------------------------------------------------- */
    $RecordsManagementController = new RecordsManagementController();
    
    /* -------------------------------------------------------------------------
    - processed IO
    ------------------------------------------------------------------------- */
    $ArchiveTransfer = 
        $RecordsManagementController->loadXML(
            $_SESSION['RecordsManagement']['ArchiveTransfer']
        );
        
    /* -------------------------------------------------------------------------
    - ArchiveObject ArchivalAgency Identifiers
    -   Generate Identifiers same way as TransferringAgencyIdentifiers
    ------------------------------------------------------------------------- */
    $Archive = $ArchiveTransfer->Archive[0];
    $ArchiveObjects = $Archive->ArchiveObject;
    $nb_archiveObject = $ArchiveObjects->length;
    for ($i=0; $i<$nb_archiveObject; $i++) {
        $ArchiveObject = $ArchiveObjects[$i];
        $ArchiveObject->ArchivalAgencyObjectIdentifier = 
            str_replace(
                $Archive->TransferringAgencyArchiveIdentifier, 
                $Archive->ArchivalAgencyArchiveIdentifier, 
                $ArchiveObject->TransferringAgencyObjectIdentifier
            );
    }
    
    /* -------------------------------------------------------------------------
    - set rm_ios->status from reply_code
    ------------------------------------------------------------------------- */
    if(substr($ReplyCode, 0, 1) === '0') {
        $ArchiveTransfer->io_status = "BROK";
        $event_type = 'ArchiveTransferAccept';
        $doc_event_type = 'DocumentAcceptRecord';
        $doc_message = 'Validation de conformité du document ' . $Document->document_id
            . ', bordereau ' . $ArchiveTransfer->TransferIdentifier;
        $doc_status = 'NEW';
    } else {
        $ArchiveTransfer->io_status = "BRKO";
        $event_type = 'ArchiveTransferReject';
        $doc_event_type = 'DocumentRejectRecord';
        $doc_message = 'Rejet du document ' . $Document->document_id
            . ', bordereau ' . $ArchiveTransfer->TransferIdentifier;
        $doc_status = 'DEL';
    }
    /* -------------------------------------------------------------------------
    - Accept/reject Documents
    ------------------------------------------------------------------------- */
    $Documents = $ArchiveTransfer->query('//Document');
    $l = $Documents->length;
    for($i=0; $i<$l; $i++) {
        $Document = $Documents->item($i);
        $Document->Status = $doc_status;

        $history->add(
            'rm_documents',
            $Document->document_id,
            'UP',
            $doc_event_type,
            $doc_message,
            $_SESSION['config']['databasetype'],
            'records_management'
        ); 
  
    }
   
    /* -------------------------------------------------------------------------
    - save $rm_io
    ------------------------------------------------------------------------- */
    $key = $RecordsManagementController->saveMessage($ArchiveTransfer);
    if(!$key) {
        echo 'Erreur lors de la sauvegarde du message de transfert';
        exit;
    }
    
    $message = 
        $MessageController->getMessageText(
            $event_type,
            false,
            array($ArchiveTransfer->TransferIdentifier)
        );

    $history->add(
        'rm_ios',
        $key->io_id,
        'UP',
        $event_type,
        $message,
        $_SESSION['config']['databasetype'],
        'records_management'
    ); 
    
       
    /* -------------------------------------------------------------------------
    - reply IO
    ------------------------------------------------------------------------- */
    $ArchiveTransferReply = 
        $RecordsManagementController->createArchiveTransferReply(
            $ArchiveTransfer
        );
    
    $ArchiveTransferReply->io_status = 'SENT';
    $ArchiveTransferReply->ReplyCode = $ReplyCode;
    $Comment = 
        $RecordsManagementController->addComment(
            $ArchiveTransferReply,
            $ReplyComment
        );
    
    $_SESSION['RecordsManagement']['ArchiveTransferReply'] = 
        $ArchiveTransferReply->asXML();        
    
    $key = $RecordsManagementController->saveMessage($ArchiveTransferReply);    
    if(!$key) {
        echo 'Erreur lors de la sauvegarde du message de réponse';
        exit;
    }
    
    $message = 
        $MessageController->getMessageText(
            'ArchiveTransferReplyCreate',
            false,
            array($key->io_id, $ArchiveTransfer->io_id)
        );

    $history->add(
        'rm_ios',
        $key->io_id,
        'CREATE',
        'ArchiveTransferReplyCreate',
        $message,
        $_SESSION['config']['databasetype'],
        'records_management'
    ); 
    
    //*************************************
    // 2 - Generate SEDA Message
    //************************************* 
    $SEDA = $RecordsManagementController->exportMessage($ArchiveTransferReply);

    $SEDAFile = 'ArchiveTransferReply_'.$ArchiveTransferReply->io_id.'.xml';
    $SEDAPath = $_SESSION['config']['tmppath'] . $SEDAFile;
    $SEDA->save($SEDAPath);
        
    //*************************************
    // 3 - Validate SEDA Message
    //*************************************    
    libxml_clear_errors();
    libxml_use_internal_errors(true);
    $valid = 
        $SEDA->schemaValidate(
            $_SESSION['config']['corepath'] 
            . 'modules/records_management/schema/'
            . 'seda/v1.0/seda_v1-0_archivetransfer.xsd'
        );
    if(!$valid) {
        $libxml_errors = libxml_get_errors();
        foreach ($libxml_errors as $libxml_error) {
            $messages .= "<br/>" . $libxml_error->code . ": " . trim($libxml_error->message);
        }
        libxml_clear_errors();
        libxml_use_internal_errors(false);
        echo $messages; 
        exit;
    }
    libxml_use_internal_errors(false);

    //*************************************
    // 4 - Archive SEDA Message
    //*************************************       
    // Get file infos
    $fileInfos = array(
        'tmpPath' => $_SESSION['config']['tmppath'],
        'tmpFileName' => $SEDAFile,
        'size' => filesize($SEDAPath)
    );

    // Save to docserver
    require_once 'core/class/docservers_controler.php';
    $docserverController = new docservers_controler();
    $storeInfos = 
        $docserverController->storeResourceOnDocserver(
            'io_coll',
            $fileInfos
        );
        
    //*************************************
    // 5 - Save path & filename
    //*************************************
    $ArchiveTransferReply->io_path = str_replace('\\', '#', $storeInfos['destination_dir']);
    $ArchiveTransferReply->io_filename = $storeInfos['file_destination_name'];

    $key = false;
    $key = $RecordsManagementController->save($ArchiveTransferReply, $saveChildren=false);
    if(!$key) {
        echo "Erreur lors de la sauvegarde du message de réponse";
        exit;
    }
    
    $_SESSION['RecordsManagement']['ArchiveTransferReply'] = 
        $ArchiveTransferReply->asXML();  

echo '';