<?php

/******************************************************************************
**
** 1 - Manage DataObject ArchiveTransfer (rm_io type ArchiveTransfer)
**
******************************************************************************/
require_once (
    'modules/records_management/class/RecordsManagementController.php'
);

$RecordsManagementController = new RecordsManagementController();
$MessageController = new MessageController();
$MessageController->loadMessageFile(
    'modules/records_management/lang/ArchiveTransfer.xml'
);

/* Load from SESSION
******************************************************************************/
$ArchiveTransfer = $RecordsManagementController->loadXML(
    $_SESSION['RecordsManagement']['ArchiveTransfer']
);

/* Validate
******************************************************************************/
$valid = 
    $RecordsManagementController->validate(
        $ArchiveTransfer
    );
if(!$valid) {
    foreach($ArchiveTransfer->getValidationErrors() as $validationError) {
        $return .= "<br/>" . $validationError->message;
    }
    echo $return;
    return;
}

/* Save
******************************************************************************/
if($ArchiveTransfer->isCreated()) {
    $history_action = 'CREATE';
    $event_type = 'ArchiveTransferCreation';
}
if($ArchiveTransfer->isRead()) {
    $history_action = 'UPDATE';
    $event_type = 'ArchiveTransferUpdate';
}

$key = 
    $RecordsManagementController->saveMessage(
        $ArchiveTransfer
    );


/* history
******************************************************************************/
require_once 'core/class/class_history.php';
$history = new history();
$message = 
    $MessageController->getMessageText(
        $event_type,
        false,
        array($key->io_id)
    );

$history->add(
    'rm_ios',
    $key->io_id,
    $history_action,
    $event_type,
    $message,
    $_SESSION['config']['databasetype'],
    'records_management'
); 
    
$_SESSION['RecordsManagement']['ArchiveTransfer'] = $ArchiveTransfer->asXML(); 

/****************************************************************************** 
** 2 - Back
******************************************************************************/
echo '';
