<?php

/******************************************************************************
**
** 1 - Manage DataObject FilePlan
**
******************************************************************************/
require_once (
    'modules/records_management/class/RecordsManagementController.php'
);
require_once (
    'core/tests/class/LibXMLError_parser.php'
);

$RecordsManagementController = new RecordsManagementController();
$LibXMLError_parser = new LibXMLError_parser();

/* Load from SESSION
******************************************************************************/
$FilePlan = $RecordsManagementController->loadXML(
    $_SESSION['RecordsManagement']['FilePlan']
);

$FilePlanItem = $FilePlan->query($_REQUEST['objectPath'])->item(0);

/* Load parent if changed
******************************************************************************/
if($FilePlanItem->parent_file_plan_id != $_REQUEST['parent_file_plan_id']) {
    $parentFilePlan = $FilePlan->query(
        '//FilePlan[@file_plan_id="'.$_REQUEST['parent_file_plan_id'].'"]'
    )->item(0);
    $FilePlanItem->parent_file_plan_id = $_REQUEST['parent_file_plan_id'];
    $FilePlanItem->folder_level = ($parentFilePlan->folder_level + 1);
    $reload = true;
}

/* Update properties from REQUEST
******************************************************************************/
$FilePlanItem->FilePlanPosition       = $_REQUEST['FilePlanPosition'];
$FilePlanItem->Name                   = $_REQUEST['Name'];
$FilePlanItem->ThesaurusId            = $_REQUEST['ThesaurusId'];
$FilePlanItem->DescriptionLevel       = $_REQUEST['DescriptionLevel'];
$FilePlanItem->last_modified_date = date('Y-m-d H:i:s');

$valid = 
    $RecordsManagementController->validate(
        $FilePlanItem
    );
if(!$valid) {
    $return = array();
    foreach($FilePlanItem->getValidationErrors() as $validationError) {
        $return[] = $LibXMLError_parser->parse($validationError);
    }
    exit(json_encode($return));
}

$saved = 
    $RecordsManagementController->save(
        $FilePlanItem,
        $saveChildren = false
    );

// Read to rebuild tree with new parent
if($reload) $FilePlan = $RecordsManagementController->read('FilePlan', '101');

$_SESSION['RecordsManagement']['FilePlan'] = $FilePlan->asXML();
