<?php
require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_request.php");
require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_security.php");
require_once("core".DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_manage_status.php");
require_once("apps".DIRECTORY_SEPARATOR.$_SESSION['config']['app_id'].DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_list_show.php");
require_once('modules'.DIRECTORY_SEPARATOR.'reports'.DIRECTORY_SEPARATOR."class".DIRECTORY_SEPARATOR."class_graphics.php");
require('modules/records_management/class/RecordsManagementController.php');

$RecordsManagementController = new RecordsManagementController();
$core_tools = new core_tools();
$core_tools->load_lang();
$db = new dbquery();
$db->connect();
$req = new request();
$graph = new graphics();
$sec = new security();
$status_obj = new manage_status();
$ind_coll = $sec->get_ind_collection('rm_coll');
$table = $_SESSION['collections'][$ind_coll]['table'];
$view = $_SESSION['collections'][$ind_coll]['view'];
$search_status = $status_obj->get_searchable_status();

$id_report = $_REQUEST['id_report'];
if(empty($id_report))
{
	?>
	<div class="error"><?php echo _REPORT.' '._UNKNOWN;?></div>
	<?php
	exit();
}

$report_type = $_REQUEST['report_type'];
if(empty($report_type))
{
	?>
	<div class="error"><?php echo _ERROR_REPORT_TYPE;?></div>
	<?php
	exit();
}

$period_type = $_REQUEST['period_type'];
if(empty($period_type))
{
	?>
	<div class="error"><?php echo _ERROR_PERIOD_TYPE;?></div>
	<?php
	exit();
}
$default_year = date('Y');
$where_date = '';
$date_title = '';

$str_status = '(';
for($i=0;$i<count($search_status);$i++)
{
	$str_status .= "'".$search_status[$i]['ID']."',";
}
$str_status = preg_replace('/,$/', ')', $str_status);


if($period_type == 'period_year')
{
	if(empty($_REQUEST['the_year']) || !isset($_REQUEST['the_year']))
	{
		?>
		<div class="error"><?php echo _YEAR.' '._MISSING;?></div>
		<?php
		exit();
	}
	if(	!preg_match('/^[1-2](0|9)[0-9][0-9]$/', $_REQUEST['the_year']))
	{
		?>
		<div class="error"><?php echo _YEAR.' '._WRONG_FORMAT;?></div>
		<?php
		exit();
	}
	
	$where_date = $req->extract_date('event_date', 'year')." = '".$_REQUEST['the_year']."'";
	
	$date_title = _FOR_YEAR.' '.$_REQUEST['the_year'];
}
else if($period_type == 'period_month')
{
	$arr_month = array('01','02','03','04','05','06','07','08','09','10','11','12');
	if(empty($_REQUEST['the_month']) || !isset($_REQUEST['the_month']))
	{
		?>
		<div class="error"><?php echo _MONTH.' '._MISSING;?></div>
		<?php
		exit();
	}
	if(	!in_array($_REQUEST['the_month'], $arr_month))
	{
		?>
		<div class="error"><?php echo _MONTH.' '._WRONG_FORMAT;?></div>
		<?php
		exit();
	}
	$where_date = $req->extract_date('event_date', 'year')." = '".$default_year."' and ".$req->extract_date('event_date', 'month')." = '".$_REQUEST['the_month']."'";
	$month = '';
	switch($_REQUEST['the_month'])
	{
		case '01':
			$month = _JANUARY;
			break;
		case '02':
			$month = _FEBRUARY;
			break;
		case '03':
			$month = _MARCH;
			break;
		case '04':
			$month = _APRIL;
			break;
		case '05':
			$month = _MAY;
			break;
		case '06':
			$month = _JUNE;
			break;
		case '07':
			$month = _JULY;
			break;
		case '08':
			$month = _AUGUST;
			break;
		case '09':
			$month = _SEPTEMBER;
			break;
		case '10':
			$month = _OCTOBER;
			break;
		case '11':
			$month = _NOVEMBER;
		case '12':
			$month = _DECEMBER;
			break;
		default:
			$month = '';
	}
	$date_title = _FOR_MONTH.' '.$month;
}
else if($period_type == 'custom_period')
{
	if(isset($_REQUEST['date_start']) && $_REQUEST['date_start'] <> '')
	{
		$where_date  .= " AND ".$req->extract_date('event_date')." >= '".$db->format_date_db($_REQUEST['date_start'])."'";
		$date_title .= strtolower(_SINCE).' '.$_REQUEST['date_start'].' ';
	}

	if(isset($_REQUEST['date_fin']) && $_REQUEST['date_fin'] <> '')
	{
		$where_date  .= " AND ".$req->extract_date('event_date')." <= '".$db->format_date_db($_REQUEST['date_fin'])."'";
		$date_title.= strtolower(_FOR).' '.$_REQUEST['date_fin'].' ';
	}
	if(empty($where_date))
	{
		$where_date = $req->extract_date('event_date', 'year')." = '".$default_year."'";
		$date_title = _FOR_YEAR.' '.$default_year;
	}
}
else
{
	?>
	<div class="error"><?php echo _PERIOD.' '._MISSING;?></div>
	<?php
	exit();
}

$where_date = preg_replace('/^ AND/', '', $where_date);
//echo $where_date ;

// SELECT AND PREPARE TABLE

$has_data = false;
$title = _RECORDS_BY_PERIOD.' '.$date_title ;
$db->query(
    "select * from history "
    . " where event_id = 'ArchiveTransferAccept' "
    . " and ".$where_date);
//$db->show();
$ArchiveTransferAcceptances = array();
$data = array();
if($db->nb_result() > 0) $has_data = true;
while($line = $db->fetch_object())
{
    $ArchiveTransferAcceptances[] = $line;
}

if($has_data)
{
	$data[] = array(
        'Date d\'entr&eacute;e',
        'Num&eacute;rode bordereau',
        'Mode d\'entr&eacute;e',
        'Origine',
        'Descriptif: nature support, <br/>contenu, dates extr&egrave;mes',
        'Quantit&eacute;',
        'Cote(s)',
        'Observations'
     );
    
    
    foreach($ArchiveTransferAcceptances as $ArchiveTransferAcceptance) 
    {
        // Load DataObject
        $ArchiveTransfer = $RecordsManagementController->readMessage($ArchiveTransferAcceptance->record_id);
        
        $Archive = $ArchiveTransfer->Archive[0];
        $ArchiveContentDescription = $Archive->ContentDescription[0];
        $ArchiveOriginatingAgencyName = $ArchiveContentDescription->OriginatingAgency[0]->Name;
        $ArchiveOriginatingContactDept = $ArchiveOriginatingAgency->Contact[0]->DepartmentName;
        $ArchiveOriginatingContactName = $ArchiveOriginatingAgency->Contact[0]->PersonName;
        
        $ArchiveObjects = $Archive->ArchiveObject;
        $ObjectsCount = $ArchiveObjects->length;
        $firstObject = $ArchiveObjects[0];
        $lastObject = $ArchiveObjects[($ObjectsCount-1)];
        
        // Create values
        $origin = $ArchiveOriginatingAgencyName;
        if($ArchiveOriginatingContactDept != ''
            && $ArchiveOriginatingContactDept != $ArchiveOriginatingAgencyName)
            $origin .= ' / ' 
                . $ArchiveOriginatingAgency->Contact[0]->DepartmentName;
        if($ArchiveOriginatingContactName != '')
            $origin .= ' (' 
                . $ArchiveOriginatingContactName . ')';
        
        $description = array();
        $description = $ArchiveObjects[0]->Document[0]->Description . ', ';
        $description .= $Archive->Name;
        $description .= ' (' . format_date($ArchiveContentDescription->OldestDate) . ' - ' . format_date($ArchiveContentDescription->LatestDate) . ')';
               
        $data[] = array(
            format_date($ArchiveTransferAcceptance->event_date),
            $ArchiveTransfer->TransferIdentifier,
            $ArchiveContentDescription->CustodialHistory[0]->CustodialHistoryItem,
            $origin,
            $description,
            $ObjectsCount,
            $firstObject->TransferringAgencyObjectIdentifier . ' à ' . $lastObject->TransferringAgencyObjectIdentifier,
            $ArchiveTransfer->Comment[0]->Comment
        );
   
    }
    if($_REQUEST['mode'] == 'array') {
        $graph->show_stats_array($title, $data);
    }
    if($_REQUEST['mode'] == 'print') {
        echo '<link media="screen" href="http://localhost/maarch_trunk/apps/maarch_entreprise/merged_css.php" type="text/css" rel="stylesheet">';
        $graph->show_stats_array($title, $data);
        echo '<br/><div align="center" ><input type=\'button\' value="Imprimer" onclick="window.print();" /></div>';
    }
}
else
{
        echo '<br/><br/><div class="error">'._NO_DATA_MESSAGE.'</div>';
}
exit();

function format_date(
    $dateYMD
) {
    return 
        substr($dateYMD, 8, 2) . '/' 
            . substr($dateYMD, 5, 2) . '/'
            . substr($dateYMD, 0, 4);
}
