<?php

/******************************************************************************
**
** 1 - Manage DataObject Schedule
**
******************************************************************************/
require_once (
    'modules/records_management/class/RecordsManagementController.php'
);
require_once (
    'core/tests/class/LibXMLError_parser.php'
);

$RecordsManagementController = new RecordsManagementController();
$LibXMLError_parser = new LibXMLError_parser();

/* Load from SESSION
******************************************************************************/
$Schedule = $RecordsManagementController->loadXML(
    $_SESSION['RecordsManagement']['Schedule']
);

$ScheduleItem = $Schedule->query($_REQUEST['objectPath'])->item(0);

/* Retrieve from REQUEST
******************************************************************************/
$ScheduleItem->Identifier             = $_REQUEST['Identifier'];
$ScheduleItem->Name                   = $_REQUEST['Name'];
$ScheduleItem->Description            = $_REQUEST['Description'];
$ScheduleItem->ServiceLevel           = $_REQUEST['ServiceLevel'];
$ScheduleItem->AccessRestrictionCode  = $_REQUEST['AccessRestrictionCode'];
$ScheduleItem->AppraisalCode          = $_REQUEST['AppraisalCode'];
$ScheduleItem->AppraisalDuration      = (string)$_REQUEST['AppraisalDuration'];
if($ScheduleItem->parent_schedule_id 
    != $_REQUEST['parent_schedule_id']
) $reload = true;
$ScheduleItem->parent_schedule_id      = $_REQUEST['parent_schedule_id'];
$ScheduleItem->last_modified_date = date('Y-m-d H:i:s');

$valid = 
    $RecordsManagementController->validate(
        $ScheduleItem
    );
if(!$valid) {
    $return = array();
    foreach($ScheduleItem->getValidationErrors() as $validationError) {
        $return[] = $LibXMLError_parser->parse($validationError);
    }
    exit(json_encode($return));
}

$saved = 
    $RecordsManagementController->save(
        $ScheduleItem,
        $saveChildren = false
    );

// Read to rebuild tree with new parent
if($reload) $Schedule = $RecordsManagementController->read('Schedule', '100');

$_SESSION['RecordsManagement']['Schedule'] = $Schedule->asXML();
