<?php

$_SESSION['config']['corepath'] = 'C:/xampp/htdocs/maarch_entreprise/';

set_include_path(
	get_include_path() . PATH_SEPARATOR . 'C:/xampp/htdocs/maarch_entreprise/'
);

require_once (
    'modules/records_management/class/RecordsManagementController.php'
);
$RecordsManagementController = new RecordsManagementController();
$rootFilePlan = $RecordsManagementController->read('FilePlan', '101');

$skos = new DOMDocument();
$skos->load(
    "modules/records_management/schema/ThesaurusW.xml"
);

$xpath = new DOMXpath($skos);
$xpath->registerNamespace('skos', 'skos');
$xpath->registerNamespace('dc', 'dc');
$xpath->registerNamespace('dct', 'dct');
$xpath->registerNamespace('rdf', 'rdf');
$xpath->registerNamespace('rdfs', 'rdfs');
$xpath->registerNamespace('foaf', 'foaf');

$concepts = $xpath->query('//skos:Concept');
$l = $concepts->length;
for($i=0; $i<$l; $i++) {
    $concept = $concepts->item($i);
    // Get Position
    $positionUri = $concept->getAttributeNS('rdf', 'about');
    $positionUriParts = explode('/', $positionUri);
    $position = end($positionUriParts);
    // Get Name
    $name = ucwords($concept->getElementsByTagNameNS('skos', 'prefLabel')->item(0)->nodeValue);
    // Get Parent Position then search parent in DataObject
    if($parent = $concept->getElementsByTagNameNS('skos', 'broader')->item(0)) {
        $parentUri = $parent->getAttributeNS('rdf', 'resource');
        $parentUriParts = explode('/', $parentUri);
        $parentPosition = end($parentUriParts);
        
        $parentFilePlan = 
            $rootFilePlan->query(
                '//FilePlan[FilePlanPosition="'.$parentPosition.'"]'
            )->item(0);
        
    } else {
        $parentFilePlan = $rootFilePlan;
    }
    // Create DataObject
    $FilePlan = 
        $RecordsManagementController->create(
            'FilePlan'
        );
    $FilePlan->FilePlanPosition = $name;
    $FilePlan->Name = $position . ' - ' . $name;
    $FilePlan->typist = 'superadmin';
    $FilePlan->creation_date = date('Y-m-d H:i:s');
    // Append to parent
    $parentFilePlan[] = $FilePlan;

}

$RecordsManagementController->save($rootFilePlan);
