<?php

/*
 *  Copyright 2008-2012 Maarch
 *
 *  This file is part of Maarch Framework.
 *
 *  Maarch Framework is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Maarch Framework is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @brief API to import or update an archive in Maarch
 * @file
 * @author Cyril Vazquez  <dev@maarch.org>
 * @date $date$
 * @version $Revision$
 * @ingroup records_management
 */

/**
 * Prepare IOS for import or update
 * @return array $returnArray array of information to process the ios
 */
function processArchiveObject()
{
    $ArchiveObject = 
        $_SESSION['RecordsManagement']['ArchiveTransfer']
            ->Archive[$GLOBALS['currentArchive']]
                ->ArchiveObject[$GLOBALS['currentArchiveObject']];
    
    $ContentDescription = $ArchiveObject->ContentDescription[0];
    
    // Control & update Originating Agencies
    $OriginatingAgencyIdentifications = 
        $GLOBALS['message']['xpath']->query(
            './seda:ContentDescription/seda:OriginatingAgency/seda:Identification',
            $GLOBALS['archiveObject']['element']
        );
    
    for($i=0; $i<$OriginatingAgencyIdentifications; $i++) {
        $OriginatingAgencyIdentification = $OriginatingAgencyIdentifications->item($i)->nodeValue;
        $RefOriginatingAgency = 
            $GLOBALS['RefOrganizations']->query(
                '//RefOrganization['
                . 'Identification="'.$OriginatingAgencyIdentification.'"'
                . ' and @role="OriginatingAgency"'
                .']'
            )->item(0);
        if(!$RefOriginatingAgency) {
            $GLOBALS['ReplyCode'] = 200;
            return false;
        }
        
        $ContentDescription->OriginatingAgency[$i]->entity_id = $RefOriginatingAgency->entity_id;
        $GLOBALS['RecordsManagementController']->save($ContentDescription);
    }    
    
    return true;
}


