<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class AccessRestrictionRuleViewController
    extends RecordsManagementViewController
{
    
    public function AccessRestrictionRuleViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/AccessRestrictionRule.html'
        );
    }
    
    function makeForm(
        $AccessRestrictionRule,
        $mode
    ) {
        
        $AccessRestrictionRulePath = $AccessRestrictionRule->getNodePath();
        /***************************************************************************
        **  Standard form constructor
        ***************************************************************************/
        parent::makeForm(
            $AccessRestrictionRule,
            $mode
        );
        
        /******************************************************************************
        ** Custom = AccessRestrictionCodes
        ******************************************************************************/
        $RefCodeController = new RecordsManagementController();
        $RefCodeController->loadXSD(
            'modules/records_management/schema/'
            . 'seda/V1.0/codes/seda_v1-0_accessrestriction_code.xsd'
        );
        $RefCodes = 
            $RefCodeController->getTypeEnumeration(
                'AccessRestrictionCodeType'
            );
        $_SESSION['RecordsManagement']['RefAccessRestrictionCodes'] 
            = $RefCodes->asXMLArray();
              
        $Code = $this->getElementById(
            $AccessRestrictionRulePath . '/Code'
        );
        $Code->addOption(
            '', 
            'Choisissez un code...'
        );
        
        $l = count($RefCodes);
        for($i=0; $i < $l; $i++) {
            $RefCode = $RefCodes[$i];
            $RefCode_Code = $RefCode->value;
            $option = $Code->addOption(
                $RefCode_Code, 
                $RefCode_Code
            );
            $option->setDataAttribute(
                'name',
                $RefCode->getElementsByTagName('Name')->item(0)->nodeValue
            );
            $option->setDataAttribute(
                'description',
                $RefCode->getElementsByTagName('Description')->item(0)->nodeValue
            );
            $option->setAttribute(
                'title', 
                $option->getAttribute('data-name')
                . ' : ' . $option->getAttribute('data-description')
            );
            
            if($RefCode_Code 
                == $AccessRestrictionRule->Code
            ) {
                $option->select();
            }
        } 
        
        // Hide Delete command if mandatory
        //**********************************************************************  
        if($parentObject = $AccessRestrictionRule->parentNode) {
            if($parentObject->tagName == 'Archive') {
                $AccessRestrictionRule__delete = 
                    $this->getElementById(
                        $AccessRestrictionRulePath . '/AccessRestrictionRule__delete'
                    );
                $AccessRestrictionRule__delete->setStyle(
                    'display',
                    'none'
                );
            
            }
        }
  
        /***************************************************************************
        **  Manage mode
        ***************************************************************************/
        if($AccessRestrictionRule->isDeleted()) {
            $AccessRestrictionRuleForm = 
                $this->getElementById(
                    $AccessRestrictionRulePath
                );
            $AccessRestrictionRuleForm->setStyle('display', 'none');
        }
        
    }

    
}