<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class AppraisalRuleViewController
    extends RecordsManagementViewController
{
    
    public function AppraisalRuleViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/AppraisalRule.html'
        );
    }
    
    function makeForm(
        $AppraisalRule,
        $mode
    ) {
        
        $AppraisalRulePath  = $AppraisalRule->getNodePath();
        
        /***************************************************************************
        **  Standard form constructor
        ***************************************************************************/
        parent::makeForm(
            $AppraisalRule,
            $mode
        );
                
        /******************************************************************************
        ** List AppraisalCodes
        ******************************************************************************/
        $RefCodeController = new RecordsManagementController();
        $RefCodeController->loadXSD(
            'modules/records_management/schema/'
            . 'seda/V1.0/codes/seda_v1-0_appraisal_code.xsd'
        );
        $RefCodes = 
            $RefCodeController->getTypeEnumeration(
                'AppraisalCodeType'
            );
        $_SESSION['RecordsManagement']['RefAppraisalCodes'] 
            = $RefCodes->asXMLArray();
              
        $Code = 
            $this->getElementById(
                $AppraisalRulePath . '/Code'
            );
        $Code->addOption(
            '', 
            'Choisissez un code...'
        );
        
        $l = count($RefCodes);
        for($i=0; $i < $l; $i++) {
            $RefCode = $RefCodes[$i];
            $RefCode_Code = $RefCode->value;
            $option = $Code->addOption(
                $RefCode_Code, 
                $RefCode->getElementsByTagName('Name')->item(0)->nodeValue
            );
            if($RefCode_Code 
                == $AppraisalRule->Code
            ) {
                $option->select();
            }
        } 
             
        /***************************************************************************
        **  Manage mode
        ***************************************************************************/
        switch($mode){
        case 'create':
            /*$StartDate = $this->getElementById('StartDate');
            $StartDateTr = $this->query("./ancestor::*[name()='tr']", $StartDate)->item(0);
            $StartDateTr->setStyle('display', 'none');*/
        }
        
        
    }

    
}