<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class ArchiveObjectViewController
    extends RecordsManagementViewController
{
    
    public function ArchiveObjectViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/ArchiveObject.html'
        );
        
    }

    function getArchiveObjectView(
        $ArchiveObject,
        $mode
    ){
        $ArchiveObjectPath = $ArchiveObject->getNodePath();
        
        /***************************************************************************
        **  Archive Object Base view
        ***************************************************************************/
        /***************************************************************************
        **  Link CSS
        ***************************************************************************/
        $this->setHRefBaseUrl(
            'link',
            $this->baseUrl
        );

        /***************************************************************************
        **  Script
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'script',
            $this->baseUrl
        );
                
        /***************************************************************************
        **  Images
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'img',
            $this->staticUrl
        );
        
        /***************************************************************************
        **  Translate
        ***************************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            $this->basePath . 'lang/ArchiveObject.xml'
        );
        $this->translate(
            $MessageController
        );
                
        /***************************************************************************
        **  Manage mode
        ***************************************************************************/
        if($Message = $ArchiveObject->parentNode) {
            $MessageStatus = $Message->status;
        }
        if($MessageStatus != 'NEW') {
            
        }  
        
        $delete = $this->getElementById('ArchiveObject__delete');
        $open = $this->getElementById('ArchiveObject__open');
        $detail = $this->getElementById('ArchiveObject__detail');
        
        switch($mode) {
        case 'CREATION':
            $delete->setStyle('display', 'block');
            $open->setStyle('display', 'block');
            break;
        
        case 'VALIDATION':
        case 'DOCUMENTS':
        case 'DETAIL':     
            $detail->setAttribute(
                'onClick',
                'goTo("' . $_SESSION['config']['businessappurl'] 
                    . 'index.php?page=details_rm&module=records_management&id=' 
                    . $ArchiveObject->Document[0]->document_id 
                    . '");'
            );
            $detail->setStyle('display', 'block');
        }
        
        /***************************************************************************
        **  Set ids with dataObject path
        ***************************************************************************/
        $this->setUniqueIds($ArchiveObject);
        
        /***************************************************************************
        **  Populate form with object properties
        ***************************************************************************/
        $this->loadDataObject($ArchiveObject);
        
        /***************************************************************************
        **  ContentDescription
        ***************************************************************************/
        $ContentDescription = $ArchiveObject->ContentDescription[0];
        $ContentDescriptionPath = $ContentDescription->getNodePath();
        $OldestDate__year = 
            $this->getElementById(
                $ContentDescriptionPath . '/OldestDate__year'
            );
        if(strlen($ContentDescription->OldestDate) > 4)
            $OldestDate__year->nodeValue = 
                substr(
                    $ContentDescription->OldestDate,
                    0,
                    4
                );
        
        $LatestDate__year = 
            $this->getElementById(
                $ContentDescriptionPath . '/LatestDate__year'
            );
        if(strlen($ContentDescription->LatestDate) > 4)
            $LatestDate__year->nodeValue = 
                substr(
                    $ContentDescription->LatestDate,
                    0,
                    4
                );
                
        /***************************************************************************
        **  Return view
        ***************************************************************************/
        $View = $this->getElementById(
            $ArchiveObjectPath
        );
        
        /***************************************************************************
        **  Set row class
        ***************************************************************************/
        $numericId = 
            preg_replace(
                "/[^\d]/", 
                "",
                $ArchiveObject->TransferringAgencyObjectIdentifier
            );
        
        if($numericId % 2 == 0) {
            $View->setAttribute('class', 'ArchiveObject__even');
        } else {
            $View->setAttribute('class', 'ArchiveObject__odd');
        }

        return $View;

    }
      
}