<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class ArchiveObjectsTransferViewController
    extends RecordsManagementViewController
{
    
    public function ArchiveObjectsTransferViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/ArchiveObjectsTransfer.html'
        );
        
        $this->basePath = $_SESSION['config']['corepath']
            . '/modules/records_management/';
        $this->baseUrl = $_SESSION['config']['coreurl'] . '/';
        
    }

    function getArchiveObjectsTransferView(
        $ArchiveTransfer,
        $action
    ) {
        
        $ArchiveTransferPath = $ArchiveTransfer->getNodePath();
        
        /***************************************************************************
        **  Archive Transfer Base view
        ***************************************************************************/
        /***************************************************************************
        **  Link CSS
        ***************************************************************************/
        $this->setHRefBaseUrl(
            'link',
            $this->baseUrl
        );

        /***************************************************************************
        **  Script
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'script',
            $this->baseUrl
        );
                
        /***************************************************************************
        **  Images
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'img',
            $this->staticUrl
        );
        
        /***************************************************************************
        **  Translate
        ***************************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            $this->basePath . 'lang/ArchiveTransfer.xml'
        );
        $this->translate(
            $MessageController
        );
        
        /***************************************************************************
        **  TransferringAgency/entity_id
        ***************************************************************************/
        $RecordsManagementController = new RecordsManagementController();
        
        $TransferringAgency__select = $this->getElementById(
            $ArchiveTransferPath . '/TransferringAgency/entity_id'
        );
        $TransferringAgency__select->addOption(
            '', 
            'Choisissez un service versant...'
        );
        
        $RefContact = $RecordsManagementController->loadXML(
            $_SESSION['RecordsManagement']['Contact']
        );
        
        $RefTransferringAgencies =
            $RecordsManagementController->listRefContactTransferringAgencies(
                $RefContact
            );
        
        $l = count($RefTransferringAgencies);
        for($i=0; $i < $l; $i++) {
            $RefTransferringAgency = $RefTransferringAgencies[$i];
            $RefTransferringAgency_EntityId = $RefTransferringAgency->entity_id;
            $RefTransferringAgency_Name = $RefTransferringAgency->Name;
            $option = $TransferringAgency__select->addOption(
                $RefTransferringAgency_EntityId, 
                $RefTransferringAgency_Name
            ); 
        }
        
        /***************************************************************************
        ** Archive
        ***************************************************************************/
        $Archive = $ArchiveTransfer->Archive[0];
        $this->makeArchivePartView(
            $Archive,
            $action
        );
        
        /***************************************************************************
        ** ArchiveObjects
        ***************************************************************************/       
        $ths = $this->view->getElementsByTagName('th');
        $l = $ths->length;
        for($i=0; $i<$l; $i++) {
            $th = $ths->item($i);
            if($th->hasAttribute('axis')) {
                $axis = $th->getAttribute('axis');
                $axisName = $MessageController->getMessageText(
                    $axis
                );
                $th->nodeValue = $axisName;
            }        
        }
        
        /***************************************************************************
        **  Manage object version
        ***************************************************************************/
        if($ArchiveTransfer->isCreated()) {
            $Date = $this->getElementById($ArchiveTransferPath . '/Date');
            $DateTr = $Date->getAncestorsByTagName("tr")->item(0);
            //$DateTr->setStyle('display', 'none');
        }
        
        /***************************************************************************
        **  Populate form with object properties
        ***************************************************************************/
        $this->loadDataObject($ArchiveTransfer);
        
        /***************************************************************************
        **  Return View
        ***************************************************************************/
        $View = $this->getElementById(
            $ArchiveTransferPath
        );

        return $this->view;
    }
       
    function makeArchivePartView(
        $Archive,
        $mode
    ) {
                
        $ArchivePath = $Archive->getNodePath();
        $RecordsManagementController = new RecordsManagementController();      
               
        /***************************************************************************
        **  ArchivalAgreement
        ***************************************************************************/
        $RefArchivalAgreement__select = 
            $this->getElementById(
                $ArchivePath . '/ArchivalAgreement'
            );
        $RefArchivalAgreement__select->addOption('','');
        if($mode == 'read') $RefArchivalAgreement__select->disable();
        
        $RefArchivalAgreements = 
            $RecordsManagementController->enumerate(
                'ArchivalAgreement'
            );
            
        $l = count($RefArchivalAgreements);
        for($i=0; $i < $l; $i++) {
            $RefArchivalAgreement = $RefArchivalAgreements[$i];
            $RefArchivalAgreement__identifier = $RefArchivalAgreement->identifier;
                        
            $RefArchivalAgreement__option = $RefArchivalAgreement__select->addOption(
                $RefArchivalAgreement__identifier, 
                $RefArchivalAgreement__identifier
            );
            
            $RefArchivalAgency = 
                $RecordsManagementController->read(
                    'RefOrganization',
                    $RefArchivalAgreement->archival_entity_id
                        . ' ArchivalAgency'
                );

            $RefArchivalAgencyAddress = 
                $RecordsManagementController->addRefOrganizationRefAddress(
                    $RefArchivalAgency
                );
            
            // Agreement informations
            $RefArchivalAgreement__option->setDataAttribute(
                'TransferringAgency__entity_id',
                $RefArchivalAgreement->transferring_entity_id
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'ArchivalAgency__entity_id',
                $RefArchivalAgreement->archival_entity_id
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'ArchivalProfile',
                $RefArchivalAgreement->archival_profile
            );
            
            // Archival Agency informations
            $RefArchivalAgreement__option->setDataAttribute(
                'Name',
                $RefArchivalAgency->Name
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'Identification',
                $RefArchivalAgency->Identification
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'StreetName',
                $RefArchivalAgencyAddress->StreetName
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'BlockName',
                $RefArchivalAgencyAddress->BlockName
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'PostOfficeBox',
                $RefArchivalAgencyAddress->PostOfficeBox
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'Postcode',
                $RefArchivalAgencyAddress->Postcode
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'CityName',
                $RefArchivalAgencyAddress->CityName
            );
           
        }
        
        /***************************************************************************
        **  AccessRestrictionRule
        ***************************************************************************/
        /*$AccessRestrictionRule = $Archive->AccessRestrictionRule[0];
        $this->makeAccessRestrictionRulePartView(
            $AccessRestrictionRule,
            $mode
        );*/
        
        /***************************************************************************
        **  AppraisalRule
        ***************************************************************************/
        /*$AppraisalRule = $Archive->AppraisalRule[0];
        $this->makeAppraisalRulePartView(
            $AppraisalRule,
            $mode
        );*/

        /***************************************************************************
        **  ArchiveObjects
        ***************************************************************************/
        $ArchiveObjects = $Archive->ArchiveObject;
        $l = $ArchiveObjects->length;
        for($i=0; $i<$l; $i++) {
            $ArchiveObject = $ArchiveObjects[$i];
            $this->addArchiveObjectPartView(
                $ArchiveObject,
                $mode
            );
        }
        
        
    }

    function addArchiveObjectPartView(
        $ArchiveObject,
        $mode
    ) {
        require_once(
            'modules/records_management/class/ArchiveObjectViewController.php'
        );
        $ArchiveObjectViewController = new ArchiveObjectViewController();
        
        $ArchiveObjectView = 
            $ArchiveObjectViewController->getArchiveObjectView(
                $ArchiveObject,
                'DOCUMENTS'
            );
        
        $ArchiveObject__list = 
            $this->getElementById(
                '/ArchiveTransfer/Archive/ArchiveObject__list'
            );
        
        $ArchiveObject__list->appendViewNode(
            $ArchiveObjectView
        ); 
        
    }
}