<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class ArchiveTransferDetailViewController
    extends RecordsManagementViewController
{
    
    public function ArchiveTransferDetailViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/ArchiveTransferDetail.html'
        );
    }

    function getArchiveTransferDetailView(
        $ArchiveTransfer,
        $mode
    ) {
        
        $ArchiveTransferPath = $ArchiveTransfer->getNodePath();
        
        /***************************************************************************
        **  Archive Transfer Base view
        ***************************************************************************/
        /***************************************************************************
        **  Link CSS
        ***************************************************************************/
        $this->setHRefBaseUrl(
            'link',
            $this->baseUrl
        );

        /***************************************************************************
        **  Script
        ***************************************************************************/
        /*$this->setSrcBaseUrl(
            'script',
            $this->baseUrl
        );*/
                
        /***************************************************************************
        **  Images
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'img',
            $this->staticUrl
        );
        
        /***************************************************************************
        **  Translate
        ***************************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            $this->basePath . 'lang/ArchiveTransfer.xml'
        );
        $this->translate(
            $MessageController
        );
        
        $ths = $this->view->getElementsByTagName('th');
        $l = $ths->length;
        for($i=0; $i<$l; $i++) {
            $th = $ths->item($i);
            if($th->hasAttribute('axis')) {
                $axis = $th->getAttribute('axis');
                $axisName = $MessageController->getMessageText(
                    $axis
                );
                $th->nodeValue = $axisName;
            }        
        }
        
        $Title = $this->view->getElementsByTagName('h1')->item(0);
        $Title->nodeValue = 
            $MessageController->getMessageText(
               $Title->getAttribute('data-translate'),
               false,
               array($ArchiveTransfer->io_id)
            );
        
        /***************************************************************************
        **  Populate form with object properties
        ***************************************************************************/
        $this->loadDataObject($ArchiveTransfer);
        
        $inputs = $this->view->getElementsByTagName('input');
        for($i=0; $i < $inputs->length; $i++) {
            $input = $inputs->item($i);
            $input->disable();
        }
            
        $textareas = $this->view->getElementsByTagName('textarea');
        for($i=0; $i < $textareas->length; $i++) {
            $textarea = $textareas->item($i);
            $textarea->disable();
        }
        
        /***************************************************************************
        **  Link to display SEDA
        ***************************************************************************/
        $link = $this->getElementById(
            'voirLeBordereau'
        );
        if($ArchiveTransfer->io_filename == '')
            $link->setStyle('display', 'none');
        
        $hist_dd = $this->getElementById('dd_historique');
        $hist_frame = $hist_dd->getElementsByTagName('iframe')->item(0);
        $hist_frame->setAttribute(
            'src',
            $_SESSION['config']['businessappurl']
            . 'index.php?display=true&dir=indexing_searching&page=document_history&coll_id='
            . $_SESSION['collection_id_choice'] . '&id='.$ArchiveTransfer->io_id.'&mode=normal'
        );
        
        /***************************************************************************
        **  ArchiveObjects
        ***************************************************************************/
        $ArchiveObjects = $ArchiveTransfer->Archive[0]->ArchiveObject;
        $l = $ArchiveObjects->length;
        for($i=0; $i<$l; $i++) {
            $ArchiveObject = $ArchiveObjects[$i];
            $this->addArchiveObjectPartView(
                $ArchiveObject,
                $mode
            );
        }
        
        /***************************************************************************
        **  Return View
        ***************************************************************************/
        $View = $this->getElementById(
            'ArchiveTransferDetails'
        );

        return $this->view;
    }
    
    function addArchiveObjectPartView(
        $ArchiveObject,
        $mode
    ) {
        require_once(
            'modules/records_management/class/ArchiveObjectViewController.php'
        );
        $ArchiveObjectViewController = new ArchiveObjectViewController();
        
        $ArchiveObjectView = 
            $ArchiveObjectViewController->getArchiveObjectView(
                $ArchiveObject,
                'DETAIL'
            );
        
        $ArchiveObject__list = 
            $this->getElementById(
                'ArchiveObject__list'
            );
        
        $ArchiveObject__list->appendViewNode(
            $ArchiveObjectView
        ); 
        
    }
             
}