<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class ArchiveTransferListViewController
    extends RecordsManagementViewController
{
    
    public function ArchiveTransferListViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/ArchiveTransferList.html'
        );
    }

    function getDataObjectListView(
        $ArchiveTransferList
    ) {       
        $RecordsManagementController = new RecordsManagementController();
        
        $ArchiveTransferCount = $ArchiveTransferList->length;
        
        /***************************************************************************
        **  Translate
        ***************************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            $this->basePath . 'lang/ArchiveTransfer.xml'
        );
        $this->translate(
            $MessageController
        );
        
        /***************************************************************************
        **  Link CSS
        ***************************************************************************/
        $this->setHRefBaseUrl(
            'link',
            $this->baseUrl
        );

        /***************************************************************************
        **  Script
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'script',
            $this->baseUrl . 'js/'
        );
                
        /***************************************************************************
        **  Images
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'img',
            $this->staticUrl
        );
        
        /***************************************************************************
        **  Pagination
        ***************************************************************************/         
        // Current nb lines per page
        if(isset($_REQUEST['nbLines'])) 
            $nbLines = $_REQUEST['nbLines'];
        else 
            $nbLines = $_SESSION['config']['nblinetoshow'];
         
        // Current page number
        if(isset($_REQUEST['pageNum'])) 
            $pageNum = $_REQUEST['pageNum'];
        else 
            $pageNum = 1;
         
        // Max page number
        $pageMax = ceil($ArchiveTransferCount / $nbLines);
        
        if($pageNum  > $pageMax) 
            $pageNum = $pageMax;
            
        $nbLinesSelect = array(10, 25, 50, 100, 250, 500);
        if (!in_array($_SESSION['config']['nblinetoshow'], $nbLinesSelect))
            $nbLinesSelect[] = $_SESSION['config']['nblinetoshow'];
        sort($nbLinesSelect);
        
        $page__lines = $this->getElementById('page__lines');
        $i_max = count($nbLinesSelect);
        for ($i=0; $i<$i_max; $i++) {
            if ($nbLinesSelect[$i] >= $ArchiveTransferCount) {
                $option = 
                    $page__lines->addOption(
                        $ArchiveTransferCount, 
                        'tous (' . $ArchiveTransferCount . ')'
                    );
                if ($ArchiveTransferCount == $nbLines)
                    $option->setAttribute('selected', 'selected');
                break;
            }
            $option = 
                $page__lines->addOption(
                    $nbLinesSelect[$i], 
                    $nbLinesSelect[$i]
                );
        }
        
        $page__num = $this->getElementById('page__num');
        for ($i=1; $i<=$pageMax; $i++) {
            $option = $page__num->addOption($i, $i);
            if ($i == $pageNum)
                $option->setAttribute('selected', 'selected');
        }
        
        $previousPage__uri = 
            preg_replace("/&pageNum=.[^&]*/i", "", $_SERVER['REQUEST_URI']) 
            . '&pageNum=' . ($pageNum - 1);
        $page__previous = $this->getElementById('page__previous');
        if ($pageNum > 1) {
            $page__previous->removeAttribute('style');
            $page__previous->setAttribute('href', $previousPage__uri);
        }
        $nextPage__uri = 
            preg_replace("/&pageNum=.[^&]*/i", "", $_SERVER['REQUEST_URI']) 
            . '&pageNum=' . ($pageNum + 1);
        $page__next = $this->getElementById('page__next');
        if ($pageNum < $pageMax) {
            $page__next->removeAttribute('style');
            $page__next->setAttribute('href', $nextPage__uri);
        }
        
        /***************************************************************************
        **  Add Items
        ***************************************************************************/
        $ArchiveTransfer__container = 
            $this->getElementById(
                'ArchiveTransfer__container'
            );
        require_once(
            'modules/records_management/class/ArchiveTransferListItemViewController.php'
        );
        
        // Current start and end lines to show
        $startOffset = ($pageNum - 1) * $nbLines;
        if ($startOffset < 0)
            $startOffset = 0;
        
        $endOffset = $startOffset + $nbLines - 1;
        if ($endOffset >= ($ArchiveTransferCount - 1))
            $endOffset = $ArchiveTransferCount - 1;
   
        for($i=$startOffset; $i<=$endOffset; $i++) {
            $ArchiveTransfer = $ArchiveTransferList->item($i);
            $RecordsManagementController->readChildren($ArchiveTransfer);
            
            $ArchiveTransferListItemViewController = 
                new ArchiveTransferListItemViewController();
            $ArchiveTransferView = 
                $ArchiveTransferListItemViewController->getDataObjectView(
                    $ArchiveTransfer,
                    'list'
                );
                
            $ArchiveTransfer__container->appendViewNode(
                $ArchiveTransferView
            );
        }
        
        $ListView = 
            $this->getElementById(
                'ArchiveTransferList'
            );
        return $ListView;
    }

}