<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class ArchiveTransferValidationViewController
    extends RecordsManagementViewController
{
    
    public function ArchiveTransferValidationViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/ArchiveTransferValidation.html'
        );
        
        $this->basePath = $_SESSION['config']['corepath'] 
            . '/modules/records_management/';
        $this->baseUrl = $_SESSION['config']['coreurl'] . '/';
        
    }

    function getArchiveTransferValidationView(
        $ArchiveTransfer,
        $action
    ) {
        
        $ArchiveTransferPath = $ArchiveTransfer->getNodePath();
        
        /***************************************************************************
        **  Archive Transfer Base view
        ***************************************************************************/
        /***************************************************************************
        **  Link CSS
        ***************************************************************************/
        $this->setHRefBaseUrl(
            'link',
            $this->baseUrl
        );

        /***************************************************************************
        **  Script
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'script',
            $this->baseUrl
        );
                
        /***************************************************************************
        **  Images
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'img',
            $this->staticUrl
        );
        
        /***************************************************************************
        **  Translate
        ***************************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            $this->basePath . 'lang/ArchiveTransfer.xml'
        );
        $MessageController->loadMessageFile(
            $this->basePath . 'lang/ArchiveTransferReply.xml'
        );
        $this->translate(
            $MessageController
        );
        
        /***************************************************************************
        ** Reply Code
        ***************************************************************************/
        $RecordsManagementController = new RecordsManagementController();
        $RefReplyCodes = 
            $RecordsManagementController->getTypeEnumeration(
                'ReplyCode'
            );
        
        $ReplyCode = 
            $this->getElementById(
                '/ArchiveTransferReply/ReplyCode'
            );
        
        $l = $RefReplyCodes->length;
        for($i=0; $i<$l; $i++) {
            $RefReplyCode = $RefReplyCodes->item($i);
            $ReplyCode->addOption(
                $RefReplyCode->value, 
                $RefReplyCode->getElementsByTagName('name')->item(0)->nodeValue
            );
        }
        
        /***************************************************************************
        ** Archive
        ***************************************************************************/
        $Archive = $ArchiveTransfer->Archive[0];
        $this->makeArchivePartView(
            $Archive,
            $action
        );
        
        /***************************************************************************
        ** ArchiveObjects
        ***************************************************************************/       
        $ths = $this->view->getElementsByTagName('th');
        $l = $ths->length;
        for($i=0; $i<$l; $i++) {
            $th = $ths->item($i);
            if($th->hasAttribute('axis')) {
                $axis = $th->getAttribute('axis');
                $axisName = $MessageController->getMessageText(
                    $axis
                );
                $th->nodeValue = $axisName;
            }        
        }
        
        /***************************************************************************
        **  Manage object version
        ***************************************************************************/
        if($ArchiveTransfer->isCreated()) {
            $Date = $this->getElementById($ArchiveTransferPath . '/Date');
            $DateTr = $Date->getAncestorsByTagName("tr")->item(0);
            //$DateTr->setStyle('display', 'none');
        }
        
        /***************************************************************************
        **  Populate form with object properties
        ***************************************************************************/
        $this->loadDataObject($ArchiveTransfer);
        
        /***************************************************************************
        **  Return View
        ***************************************************************************/
        $View = $this->getElementById(
            $ArchiveTransferPath
        );

        return $this->view;
    }
       
    function makeArchivePartView(
        $Archive,
        $mode
    ) {
                
        $ArchivePath = $Archive->getNodePath();
        $RecordsManagementController = new RecordsManagementController();      
                
        /***************************************************************************
        **  ArchiveObjects
        ***************************************************************************/
        $ArchiveObjects = $Archive->ArchiveObject;
        $l = $ArchiveObjects->length;
        for($i=0; $i<$l; $i++) {
            $ArchiveObject = $ArchiveObjects[$i];
            $this->addArchiveObjectPartView(
                $ArchiveObject,
                $mode
            );
        }
        
    }
    
    function addArchiveObjectPartView(
        $ArchiveObject,
        $mode
    ) {
        require_once(
            'modules/records_management/class/ArchiveObjectViewController.php'
        );
        $ArchiveObjectViewController = new ArchiveObjectViewController();
        
        $ArchiveObjectView = 
            $ArchiveObjectViewController->getArchiveObjectView(
                $ArchiveObject,
                'VALIDATION'
            );
        
        $ArchiveObject__list = 
            $this->getElementById(
                '/ArchiveTransfer/Archive/ArchiveObject__list'
            );
        
        $ArchiveObject__list->appendViewNode(
            $ArchiveObjectView
        ); 
        
    }
}