<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class ArchiveTransferViewController
    extends RecordsManagementViewController
{
    
    public function ArchiveTransferViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/ArchiveTransfer.html'
        );
        
        $this->basePath = $_SESSION['config']['corepath'] 
            . '/modules/records_management/';
        $this->baseUrl = $_SESSION['config']['coreurl'] . '/';
        
    }

    function getArchiveTransferView(
        $ArchiveTransfer,
        $mode
    ) {
        
        $ArchiveTransferPath = $ArchiveTransfer->getNodePath();
        
        /***************************************************************************
        **  Archive Transfer Base view
        ***************************************************************************/
        /***************************************************************************
        **  Link CSS
        ***************************************************************************/
        $this->setHRefBaseUrl(
            'link',
            $this->baseUrl
        );

        /***************************************************************************
        **  Script
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'script',
            $this->baseUrl
        );
                
        /***************************************************************************
        **  Images
        ***************************************************************************/
        $this->setSrcBaseUrl(
            'img',
            $this->staticUrl
        );
        
        /***************************************************************************
        **  Translate
        ***************************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            $this->basePath . 'lang/ArchiveTransfer.xml'
        );
        $this->translate(
            $MessageController
        );
        
        /***************************************************************************
        **  TransferringAgency/entity_id
        ***************************************************************************/
        $RecordsManagementController = new RecordsManagementController();
        
        $TransferringAgency__select = $this->getElementById(
            $ArchiveTransferPath . '/TransferringAgency/entity_id'
        );
        $TransferringAgency__select->addOption(
            '', 
            'Choisissez un service versant...'
        );
        
        $RefContact = $RecordsManagementController->loadXML(
            $_SESSION['RecordsManagement']['Contact']
        );
        
        $RefTransferringAgencies =
            $RecordsManagementController->listRefContactTransferringAgencies(
                $RefContact
            );
        
        $l = count($RefTransferringAgencies);
        for($i=0; $i < $l; $i++) {
            $RefTransferringAgency = $RefTransferringAgencies[$i];
            $RefTransferringAgency_EntityId = $RefTransferringAgency->entity_id;
            $RefTransferringAgency_Name = $RefTransferringAgency->Name;
            $option = $TransferringAgency__select->addOption(
                $RefTransferringAgency_EntityId, 
                $RefTransferringAgency_Name
            );
        }
        
        /***************************************************************************
        ** Archive
        ***************************************************************************/
        $Archive = $ArchiveTransfer->Archive[0];
        $this->makeArchivePartView(
            $Archive,
            $mode
        );
        
        /***************************************************************************
        ** ArchiveObjects
        ***************************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            'modules/records_management/lang/ArchiveTransfer.xml'
        );
        
        $ths = $this->view->getElementsByTagName('th');
        $l = $ths->length;
        for($i=0; $i<$l; $i++) {
            $th = $ths->item($i);
            if($th->hasAttribute('axis')) {
                $axis = $th->getAttribute('axis');
                $axisName = $MessageController->getMessageText(
                    $axis
                );
                $th->nodeValue = $axisName;
            }        
        }
        
        
        /***************************************************************************
        **  Manage object version
        ***************************************************************************/
        if($ArchiveTransfer->isCreated()) {
            $Date = $this->getElementById($ArchiveTransferPath . '/Date');
            $DateTr = $Date->getAncestorsByTagName("tr")->item(0);
            //$DateTr->setStyle('display', 'none');
        }
        
        /***************************************************************************
        **  Populate form with object properties
        ***************************************************************************/
        $this->loadDataObject($ArchiveTransfer);
        
        /***************************************************************************
        **  Return View
        ***************************************************************************/
        $View = $this->getElementById(
            $ArchiveTransferPath
        );

        return $this->view;
    }
       
    function makeArchivePartView(
        $Archive,
        $mode
    ) {
                
        $ArchivePath = $Archive->getNodePath();
        $RecordsManagementController = new RecordsManagementController();      
               
        /***************************************************************************
        **  ArchivalAgreement
        ***************************************************************************/
        $RefArchivalAgreement__select = 
            $this->getElementById(
                $ArchivePath . '/ArchivalAgreement'
            );
        $RefArchivalAgreement__select->addOption('','');
        if($mode == 'read') $RefArchivalAgreement__select->disable();
        
        $RefArchivalAgreements = 
            $RecordsManagementController->enumerate(
                'ArchivalAgreement'
            );
            
        $l = count($RefArchivalAgreements);
        for($i=0; $i < $l; $i++) {
            $RefArchivalAgreement = $RefArchivalAgreements[$i];
            $RefArchivalAgreement__identifier = $RefArchivalAgreement->identifier;
                        
            $RefArchivalAgreement__option = $RefArchivalAgreement__select->addOption(
                $RefArchivalAgreement__identifier, 
                $RefArchivalAgreement__identifier
            );
            
            $RefArchivalAgency = 
                $RecordsManagementController->read(
                    'RefOrganization',
                    $RefArchivalAgreement->archival_entity_id
                        . ' ArchivalAgency'
                );

            $RefArchivalAgencyAddress = 
                $RecordsManagementController->addRefOrganizationRefAddress(
                    $RefArchivalAgency
                );
            
            // Agreement informations
            $RefArchivalAgreement__option->setDataAttribute(
                'TransferringAgency__entity_id',
                $RefArchivalAgreement->transferring_entity_id
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'ArchivalAgency__entity_id',
                $RefArchivalAgreement->archival_entity_id
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'ArchivalProfile',
                $RefArchivalAgreement->archival_profile
            );
            
            // Archival Agency informations
            $RefArchivalAgreement__option->setDataAttribute(
                'Name',
                $RefArchivalAgency->Name
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'Identification',
                $RefArchivalAgency->Identification
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'StreetName',
                $RefArchivalAgencyAddress->StreetName
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'BlockName',
                $RefArchivalAgencyAddress->BlockName
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'PostOfficeBox',
                $RefArchivalAgencyAddress->PostOfficeBox
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'Postcode',
                $RefArchivalAgencyAddress->Postcode
            );
            $RefArchivalAgreement__option->setDataAttribute(
                'CityName',
                $RefArchivalAgencyAddress->CityName
            );
           
        }
        
        /***************************************************************************
        **  Archive Schedule
        ***************************************************************************/
        $Schedule__select = 
            $this->getElementById(
                $ArchivePath 
                . '/schedule_id'
            );
        $Schedule__select->addOption(
            '',
            'Choisissez une règle de gestion...'
        );
        $ScheduleTree = 
            $RecordsManagementController->read(
                'Schedule',
                '100'
            );
        $this->makeScheduleList(
            $ScheduleTree,
            $Schedule__select
        );
        
        /***************************************************************************
        **  Archive Object Schedule
        ***************************************************************************/
        $ArchiveObjectSchedule__select = 
            $this->getElementById(
                '/ArchiveTransfer/Archive/ArchiveObject__form/schedule_id'
            );
        $this->makeScheduleList(
            $ScheduleTree,
            $ArchiveObjectSchedule__select
        );
        
        /***************************************************************************
        **  ContentDescription
        ***************************************************************************/
        $ContentDescription = $Archive->ContentDescription[0];
        $this->makeContentDescriptionPartView(
            $ContentDescription,
            $mode
        );
        
        /***************************************************************************
        **  AccessRestrictionRule
        ***************************************************************************/
        $AccessRestrictionRule = $Archive->AccessRestrictionRule[0];
        $this->makeAccessRestrictionRulePartView(
            $AccessRestrictionRule,
            $mode
        );
        
        /***************************************************************************
        **  AppraisalRule
        ***************************************************************************/
        $AppraisalRule = $Archive->AppraisalRule[0];
        $this->makeAppraisalRulePartView(
            $AppraisalRule,
            $mode
        );

        /***************************************************************************
        **  ArchiveObjects
        ***************************************************************************/
        $ArchiveObjects = $Archive->ArchiveObject;
        $l = $ArchiveObjects->length;
        for($i=0; $i<$l; $i++) {
            $ArchiveObject = $ArchiveObjects[$i];
            $this->addArchiveObjectPartView(
                $ArchiveObject,
                $mode
            );
        }
        
        
        /***************************************************************************
        **  Document
        ***************************************************************************/
        $Document = $Archive->Document[0];
        $this->makeDocumentPartView(
            $Document,
            $mode
        );
        
    }
    
    function makeContentDescriptionPartView(
        $ContentDescription,
        $mode
    ) {
        $ContentDescriptionPath = '/ArchiveTransfer/Archive/ContentDescription';
        $RecordsManagementController = new RecordsManagementController();
                              
        /***************************************************************************
        **  OriginatingAgency/entity_id
        ***************************************************************************/
        $OriginatingAgency = $ContentDescription->OriginatingAgency[0];
        $Contact = $OriginatingAgency->Contact[0];
        
        $OriginatingAgency__select = $this->getElementById(
            $ContentDescriptionPath . '/OriginatingAgency/entity_id'
        );
        $OriginatingAgency__select->addOption('', '');
        if ($mode == 'read') $OriginatingAgency__select->disable();
        
        $Contact__select = $this->getElementById(
            $ContentDescriptionPath . '/OriginatingAgency/Contact/user_id'
        );          
        $Contact__select->addOption('', '');
        if ($mode == 'read') $Contact__select->disable();
        
        $RefOriginatingAgencies = 
            $RecordsManagementController->listRefOriginatingAgencies();
        
        // List OriginatingAgency Contacts
        $RecordsManagementController->includeXSD(
            'modules/records_management/schema/'
            . 'OriginatingServices.xsd'
        );
        
        $l = count($RefOriginatingAgencies);
        for ($i=0; $i<$l; $i++) {
            $RefOriginatingAgency = $RefOriginatingAgencies[$i];
            $RefOriginatingAgency__entity_id = $RefOriginatingAgency->entity_id;
            $RefOriginatingAgency__Name = $RefOriginatingAgency->Name;

            $OriginatingAgency__option = $OriginatingAgency__select->addOption(
                $RefOriginatingAgency__entity_id, 
                $RefOriginatingAgency__Name
            );
            
            $RefOriginatingAgencyAddress = 
                $RecordsManagementController->addRefOrganizationRefAddress(
                    $RefOriginatingAgency
                );
            
            $OriginatingAgency__option->setDataAttribute(
                'Name',
                $RefOriginatingAgency__Name
            );
            $OriginatingAgency__option->setDataAttribute(
                'Identification',
                $RefOriginatingAgency->Identification
            );
            $OriginatingAgency__option->setDataAttribute(
                'StreetName',
                $RefOriginatingAgencyAddress->StreetName
            );
            $OriginatingAgency__option->setDataAttribute(
                'BlockName',
                $RefOriginatingAgencyAddress->BlockName
            );
            $OriginatingAgency__option->setDataAttribute(
                'PostOfficeBox',
                $RefOriginatingAgencyAddress->PostOfficeBox
            );
            $OriginatingAgency__option->setDataAttribute(
                'Postcode',
                $RefOriginatingAgencyAddress->Postcode
            );
            $OriginatingAgency__option->setDataAttribute(
                'CityName',
                $RefOriginatingAgencyAddress->CityName
            );
            
           
            /***************************************************************************
            **  OriginatingAgency/Contact
            ***************************************************************************/              
            $Contact__optgroup = $Contact__select->addOptionGroup(
                $RefOriginatingAgency__Name
            );
            $Contact__optgroup->setId(
                $RefOriginatingAgency__entity_id
            );
            $Contact__optgroup->disable();
            
            // Add current originating agency to the list
            $Contact__option = $OriginatingAgency__option->cloneNode(true);
            $Contact__option->unselect();
            $Contact__optgroup->appendChild(
                $Contact__option
            );

            $RefServicesTree = $RecordsManagementController->read(
                'RefOriginatingAgencyRefServices',
                $RefOriginatingAgency__entity_id
            );
            $RefContacts = new DataObjectList();
            
            $this->makeOriginatingServicesList(
                $RefServicesTree,
                $RefContacts
            );

            $m = $RefContacts->length;
            for($j=0; $j<$m; $j++) {
                $RefContact = $RefContacts->item($j);
                $RefContact__user_id = $RefContact->user_id;
                $RefContact__Department = $RefContact->DepartmentName;
                
                $Contact__option = $Contact__optgroup->addOption(
                    $RefContact__user_id, 
                    $RefContact__Department
                );
                
                $Contact__option->setDataAttribute(
                    'Name',
                    $RefContact->PersonName
                );
                if($RefContactAddress = 
                    $RecordsManagementController->addRefContactRefAddress(
                        $RefContact
                    )
                ) {
                    $Contact__option->setDataAttribute(
                        'StreetName',
                        $RefContactAddress->StreetName
                    );
                    $Contact__option->setDataAttribute(
                        'BlockName',
                        $RefContactAddress->BlockName
                    );
                    $Contact__option->setDataAttribute(
                        'PostOfficeBox',
                        $RefContactAddress->PostOfficeBox
                    );
                    $Contact__option->setDataAttribute(
                        'Postcode',
                        $RefContactAddress->Postcode
                    );
                    $Contact__option->setDataAttribute(
                        'CityName',
                        $RefContactAddress->CityName
                    );
                }
            }
        }
        
        /***************************************************************************
        **  CustodialHistory/Item
        ***************************************************************************/
        $CustodialHistory = $ContentDescription->CustodialHistory[0];
        $CustodialHistoryItem = $CustodialHistory->CustodialHistoryItem;
        $CustodialHistoryItem__select = $this->getElementById(
            $ContentDescriptionPath . '/CustodialHistory/CustodialHistoryItem'
        );
        
        if ($mode == 'read') $CustodialHistoryItem__select->disable();

        $RefCustodialHistoryCodes = 
            $RecordsManagementController->getTypeEnumeration(
                'CustodialHistoryItem'
            );
        
        $l = $RefCustodialHistoryCodes->length;
        for($i=0; $i<$l; $i++) {
            $RefCustodialHistory = $RefCustodialHistoryCodes->item($i);
            $RefCustodialHistoryItem__option = 
                $CustodialHistoryItem__select->addOption(
                    $RefCustodialHistory->value, 
                    $RefCustodialHistory->value
                );
        }
                
    }
    
    function makeDocumentPartView(
        $Document,
        $mode
    ) {       
        $DocumentPath = '/ArchiveTransfer/Archive/Document';
        $ArchiveObject__formPath = '/ArchiveTransfer/Archive/ArchiveObject__form/Document';
               
        // unitCode
        //**************************************************************************
        $unitCode = $this->getElementById(
            $DocumentPath . '/unitCode'
        );
        $unitCode->addOption(
            '', 
            'Choisissez un code...'
        );
        
        $RefUnitCodeController = new RecordsManagementController();
        $RefUnitCodeController->loadXSD(
            'modules/records_management/schema/'
            . 'datatypes.xsd'
        );
        $RefUnitCodes = 
            $RefUnitCodeController->getTypeEnumeration(
                'unitCode'
            );
        $l = count($RefUnitCodes);
        for($i=0; $i < $l; $i++) {
            $RefUnitCode = $RefUnitCodes[$i];
            $RefUnitCode_Code = $RefUnitCode->value;
            $RefUnitCode_name = $RefUnitCode->getElementsByTagName('name')->item(0)->nodeValue;
            $option = $unitCode->addOption(
                $RefUnitCode_Code, 
                $RefUnitCode_name
            );            
        } 
        
        // Format
        //**************************************************************************
        $format = $this->getElementById(
            $DocumentPath . '/format'
        );
        // Size
        //**************************************************************************
        $Size = $this->getElementById(
            $DocumentPath . '/Size'
        );
        
        // check Physical if format contains "Physical"
        //**************************************************************************
        $Physical = $this->getElementById(
            $DocumentPath . '/Physical'
        );
        if($Document && strpos($Document->format, 'Physical') !== FALSE) {
            $Physical->check();
            $Size->enable();
            $unitCode->enable();
        }
        // check Digital if format contains "Physical"
        //**************************************************************************
        $Digital = $this->getElementById(
            $DocumentPath . '/Digital'
        );
        if($Document && strpos($Document->format, 'Digital') !== FALSE) {
            $Digital->check();
        }
        
        // Media
        //**************************************************************************
        $Media = $this->getElementById(
            $DocumentPath . '/Description'
        );
        $ArchiveObjectMedia = 
            $this->getElementById(
                $ArchiveObject__formPath . '/Description'
            );
        
        $Media->addOption(
            '', 
            'Choisissez une nature...'
        );
        $ArchiveObjectMedia->addOption(
            '', 
            'Choisissez une nature...'
        );
        
        $RefMediaController = new RecordsManagementController();
        $RefMediaController->loadXSD(
            'modules/records_management/schema/'
            . 'datatypes.xsd'
        );
        $RefMedias = 
            $RefMediaController->getTypeEnumeration(
                'Media'
            );
        $l = count($RefMedias);
        for($i=0; $i < $l; $i++) {
            $RefMedia = $RefMedias[$i];
            $RefMedia__Code = $RefMedia->value;
            $RefMedia__option = $Media->addOption(
                $RefMedia__Code, 
                $RefMedia__Code
            ); 
            $ArchiveObjectMedia->appendChild(
                $RefMedia__option->cloneNode(true)
            );
            
        } 
        
    }
    
    function makeOriginatingServicesList(
        $Services,
        $RefContacts
    ) {
        $subServices = $Services->RefOriginatingAgencyRefServices;
        $l = $subServices->length;
        for($i=0; $i<$l; $i++) {
            $subService = $subServices[$i];
            $RefContacts[] = $subService;
            $this->makeOriginatingServicesList(
                $subService,
                $RefContacts
            );
        }
        return $RefContacts;
    }
    
    function makeScheduleList(
        $Schedule,
        $Schedule__select,
        $level = 0
    ) {
               
        $subSchedules = $Schedule->Schedule;
        $l = $subSchedules->length;
        for($i=0; $i<$l; $i++) {
            $subSchedule = $subSchedules[$i];
            $option = 
                $Schedule__select->addOption(
                    $subSchedule->schedule_id,
                    str_repeat(' ', $level) . $subSchedule->Identifier
                );
            $option->setDataAttribute(
                'service_level',
                $subSchedule->ServiceLevel
            );
            $option->setDataAttribute(
                'appraisal_code',
                $subSchedule->AppraisalCode
            );
            $option->setDataAttribute(
                'appraisal_duration',
                $subSchedule->AppraisalDuration
            );
            $option->setDataAttribute(
                'access_restriction_code',
                $subSchedule->AccessRestrictionCode
            );
            
            if($level < 1)
                $option->setStyle('font-variant', 'small-caps');
            if($level < 2)
                $option->setStyle('text-decoration', 'underline');
            if($level < 3)
                $option->setStyle('font-weight', 'bold');
            
            $this->makeScheduleList(
                $subSchedule,
                $Schedule__select,
                $level+1
            );
        }
    }
     
    function makeAccessRestrictionRulePartView(
        $AccessRestrictionRule,
        $mode
    ) {
        $AccessRestrictionRulePath = '/ArchiveTransfer/Archive/AccessRestrictionRule';
        $ArchiveObject__formPath = '/ArchiveTransfer/Archive/ArchiveObject__form/AccessRestrictionRule';
        
        // Code
        //**************************************************************************
        $AccessRestrictionRuleCode = 
            $this->getElementById(
                $AccessRestrictionRulePath . '/Code'
            );
        $AccessRestrictionRuleCode->addOption(
            '', 
            '...'
        );
        $ArchiveObject__AccessRestrictionRuleCode = 
            $this->getElementById(
                $ArchiveObject__formPath . '/Code'
            );
        
        $RefAccessRestrictionCodeController = new RecordsManagementController();
        $RefAccessRestrictionCodeController->loadXSD(
            'modules/records_management/schema/seda/v1.0/codes/seda_v1-0_accessrestriction_code.xsd'
        );
        $RefAccessRestrictionCodes = 
            $RefAccessRestrictionCodeController->getTypeEnumeration(
                'AccessRestrictionCodeType'
            );
        $l = count($RefAccessRestrictionCodes);
        for($i=0; $i < $l; $i++) {
            $RefAccessRestrictionCode = $RefAccessRestrictionCodes[$i];
            $RefAccessRestrictionCode__Code = $RefAccessRestrictionCode->value;
            
            $RefNameArr = explode(
                    ' ',
                    $RefAccessRestrictionCode->getElementsByTagName('Name')->item(0)->nodeValue
                );
                
            $RefName = $RefNameArr[0];
            if($RefNameArr[1]) $RefName .= ' ' . $RefNameArr[1];
            if($RefNameArr[2]) $RefName .= '...';          
            
            $RefAccessRestrictionCode__option = $AccessRestrictionRuleCode->addOption(
                $RefAccessRestrictionCode__Code, 
                $RefName
            );     

            $RefAccessRestrictionCode__option->setAttribute(
                'title',
                $RefAccessRestrictionCode->getElementsByTagName('Name')->item(0)->nodeValue
                . ' : ' . $RefAccessRestrictionCode->getElementsByTagName('Description')->item(0)->nodeValue
            );
            
            $ArchiveObject__AccessRestrictionRuleCode->appendChild(
                $RefAccessRestrictionCode__option->cloneNode(true)
            );

        } 

    }
    
    function makeAppraisalRulePartView(
        $AppraisalRule,
        $mode
    ) {
        $AppraisalRulePath = '/ArchiveTransfer/Archive/AppraisalRule';
        $ArchiveObject__formPath = '/ArchiveTransfer/Archive/ArchiveObject__form/AppraisalRule';
        // Code
        //**************************************************************************
        $AppraisalRuleCode = 
            $this->getElementById(
                $AppraisalRulePath . '/Code'
            );
        $AppraisalRuleCode->addOption(
            '', 
            '...'
        );
        $ArchiveObject_AppraisalRuleCode = 
            $this->getElementById(
                $ArchiveObject__formPath . '/Code'
            );
        $ArchiveObject_AppraisalRuleCode->addOption(
            '', 
            '...'
        );
        
        $RefAppraisalCodeController = new RecordsManagementController();
        $RefAppraisalCodeController->loadXSD(
            'modules/records_management/schema/seda/v1.0/codes/seda_v1-0_appraisal_code.xsd'
        );
        $RefAppraisalCodes = 
            $RefAppraisalCodeController->getTypeEnumeration(
                'AppraisalCodeType'
            );
        $l = count($RefAppraisalCodes);
        for($i=0; $i < $l; $i++) {
            $RefAppraisalCode = $RefAppraisalCodes[$i];
            $RefAppraisalCode__Code = $RefAppraisalCode->value;
            $RefAppraisalCode__option = 
                $AppraisalRuleCode->addOption(
                    $RefAppraisalCode__Code, 
                    $RefAppraisalCode->getElementsByTagName('Name')->item(0)->nodeValue
                );   
            $ArchiveObject_AppraisalRuleCode->appendChild(
                $RefAppraisalCode__option->cloneNode(true)
            );
        } 
    }
    
    function addArchiveObjectPartView(
        $ArchiveObject,
        $mode
    ) {
        require_once(
            'modules/records_management/class/ArchiveObjectViewController.php'
        );
        $ArchiveObjectViewController = new ArchiveObjectViewController();
        
        $ArchiveObjectView = 
            $ArchiveObjectViewController->getArchiveObjectView(
                $ArchiveObject,
                $mode
            );
        
        $ArchiveObject__list = 
            $this->getElementById(
                '/ArchiveTransfer/Archive/ArchiveObject__list'
            );
        
        $ArchiveObject__list->appendViewNode(
            $ArchiveObjectView
        ); 
        
    }
}