<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class ArchiveViewController
    extends RecordsManagementViewController
{
    
    public function ArchiveViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/Archive.html'
        );
    }

    function getView(
        $Archive,
        $mode
    ){
        $ArchivePath = $Archive->getNodePath();
        
        /***************************************************************************
        **  Standard View construction
        ***************************************************************************/
        parent::makeView(
            $Archive,
            $mode
        );
        
        /***************************************************************************
        **  Archive Transfer Children views
        ***************************************************************************/
        /*  ContentDescription
        ***************************************************************************/
        if($ContentDescription 
            = $Archive->ContentDescription[0]
        ) {
            $ContentDescription__container = 
                $this->getElementById(
                    $ArchivePath . '/ContentDescription__container'
                );
                
            $ContentDescriptionView = 
                $this->getChildView(
                    $ContentDescription,
                    $mode
                );
                
            // Add View
            //**********************************************************************  
            $ContentDescription__container->appendViewNode(
                $ContentDescriptionView
            );   
        }
        
        /*  AccessRestrictionRule
        ***************************************************************************/
        if($AccessRestrictionRule 
            = $Archive->AccessRestrictionRule[0]
        ) {
            $AccessRestrictionRule__container = 
                $this->getElementById(
                    $ArchivePath . '/AccessRestrictionRule__container'
                );
                
            $AccessRestrictionRuleView = 
                $this->getChildView(
                    $AccessRestrictionRule,
                    $mode
                );
                        
            // Add View
            //**********************************************************************  
            $AccessRestrictionRule__container->appendViewNode(
                $AccessRestrictionRuleView
            );   
        }
        
        /*  AppraisalRule
        ***************************************************************************/
        if($AppraisalRule 
            = $Archive->AppraisalRule[0]
        ) {
            $AppraisalRule__container = 
                $this->getElementById(
                    $ArchivePath . '/AppraisalRule__container'
                );
                
            $AppraisalRuleView = 
                $this->getChildView(
                    $AppraisalRule,
                    $mode
                );
                
            // Add View
            //**********************************************************************  
            $AppraisalRule__container->appendViewNode(
                $AppraisalRuleView
            );   
        }
        
        /***************************************************************************
        **  Return view
        ***************************************************************************/
        $View = $this->getElementById(
            $ArchivePath
        );

        return $View;

    }
        
    function makeForm(
        $Archive,
        $mode
    ) {
        $ArchivePath = $Archive->getNodePath();
        
        /***************************************************************************
        **  Standard form constructor
        ***************************************************************************/
        parent::makeForm(
            $Archive,
            $mode
        );
        
        /***************************************************************************
        **  Manage mode
        ***************************************************************************/
        if($Message = $Archive->parentNode) {
            $MessageStatus = $Message->status;
        }
        if($MessageStatus != 'NEW') {
            /*  ArchivalAgencyArchiveId hidden
            ***************************************************************************/    
            $ArchivalAgencyArchiveIdentifier = 
                $this->getElementById($ArchivePath . '/ArchivalAgencyArchiveIdentifier');
            $ArchivalAgencyArchiveIdentifierTr = 
                $ArchivalAgencyArchiveIdentifier->getAncestorsByTagName('tr')->item(0);
            $ArchivalAgencyArchiveIdentifierTr->setStyle('display', 'none');
            
        }
            
    }
      
}