<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class CommentViewController
    extends RecordsManagementViewController
{
    
    public function CommentViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/Comment.html'
        );
    }
    
    function makeForm(
        $Comment,
        $mode
    ) {
        $CommentPath = $Comment->getNodePath();
        /***************************************************************************
        **  Standard form construction
        ***************************************************************************/
        parent::makeForm(
            $Comment,
            $mode
        );
        
        /***************************************************************************
        **  Custom form construction
        ***************************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            'modules/records_management/lang/Comment.xml'
        );
        
        $author_span = $this->getElementById($CommentPath . '/author');
        $author_span->nodeValue = $Comment->author;
        
        $date_span = $this->getElementById($CommentPath . '/date');
        $date_span->nodeValue = $Comment->date;
        
        $text_span = $this->getElementById($CommentPath . '/Comment__span');
        if(strlen($Comment->Comment) === 0) {
            $Comment->Comment = '';
            $shownComment = 
                $MessageController->getMessageText(
                    'Comment__prompt'
                );
        }
        elseif(strlen($Comment->Comment) > 80) 
            $shownComment = substr($Comment->Comment, 0, 80) . '...';
        else 
            $shownComment = $Comment->Comment;
        
        $text_span->nodeValue = $shownComment;
        
        /***************************************************************************
        **  Manage mode
        ***************************************************************************/
        switch($mode){
        case 'create':
            /*$StartDate = $this->getElementById('StartDate');
            $StartDateTr = $this->getAncestorsByTagName("tr")->item(0);
            $StartDateTr->setStyle('display', 'none');*/
        }
                
        /***************************************************************************
        **  IF DELETED
        ***************************************************************************/
        if($Comment->isDeleted()) {
            $Comment__form = $this->getElementById(
                $CommentPath . '/Comment__form'
            );
            
            $Comment__form->setAttribute(
                'style',
                'display: none;'
            );
            //$Comment__deleted = $this->view->createElement('span', 'Deleted!!!');
            //$Comment__form->parentNode->replaceChild($Comment__deleted, $Comment__form);
        }
    }

}