<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class FilePlanViewController
    extends RecordsManagementViewController
{
    public function FilePlanViewController()
    {
        parent::__construct();
    }
    
    function loadFilePlan(
        $FilePlan,
        $mode=''
    ) {
        $this->loadHTMLFile(
            'modules/records_management/html/FilePlanAdmin.html'
        );
        
        $messageController = new MessageController();
        $messageController->loadMessageFile(
            'modules/records_management/lang/FilePlan.xml'
        );
        
        $this->translate($messageController);
        
        $root_container = $this->getElementById('FilePlan__tree');
        $this->addChildFilePlan(
            $FilePlan,
            $root_container
        );
        
        $this->setSrcBaseUrl('script', $this->baseUrl);
        
    }
    
    
    function addChildFilePlan(
        $FilePlan,
        $container
    ) {
        $view = $this->view;
        $FilePlanPath = $FilePlan->getNodePath();
        
        $FilePlanDiv = $view->createElement('div');
        $container->appendChild($FilePlanDiv);
        $FilePlanDiv->setAttribute('id', $FilePlanPath);
        
        // Image / Link to hide/show
        $img = $view->createElement('img');
        $img->setAttribute(
            'src',
            $this->staticUrl . 'open_folder_yellow.png&module=records_management'
        );
        $img->setAttribute(
            'width',
            '16px'
        );
        $img->setAttribute(
            'id',
            $FilePlanPath . '__icon'
        );
        $img->setAttribute(
            'onClick',
            'toggleBlock("'. $FilePlanPath . '__container")'
        );
        $FilePlanDiv->appendChild($img);
        
        
        // Title / link to open
        $displayName = $FilePlan->Name;
        if($FilePlan->ThesaurusId != "")
            $displayName .= ' (' . $FilePlan->ThesaurusId . ')';
            
        $span = $view->createElement(
            'span', 
            $displayName
        );
        $span->setAttribute('onClick', "FilePlan__open('".$FilePlan->getNodePath()."')");
        $FilePlanDiv->appendChild($span);
        
        // Container for children
        $FilePlanContainer = $view->createElement('blockquote');
        $FilePlanDiv->appendChild($FilePlanContainer);
        
        $FilePlanContainer->setStyle('width', '100%');
        $FilePlanContainer->setAttribute('id', $FilePlanPath . '__container');
        //$FilePlanContainer->setStyle('display', 'none');
        $childFilePlans = $FilePlan->FilePlan;
        $l = $childFilePlans->length;
        for($i=0; $i<$l; $i++) {
            $childFilePlan = $childFilePlans->item($i);
            $this->addChildFilePlan(
                $childFilePlan,
                $FilePlanContainer
            );
        }
        
    }
    
    function getRootFilePlanForm() {
        $this->loadHTMLFile(
            'modules/records_management/html/FilePlanForm.html'
        );
        
        $FilePlanPath = '/FilePlan';

        /*******************************************************************
        * Hide all inputs
        *******************************************************************/
        $this->getElementById('FilePlan__properties')->setStyle('display', 'none');
                         
        /***********************************************************************
        **  Manage commands
        ***********************************************************************/       
        // Save button
        $this->getElementById('FilePlan__save')->setStyle(
            'display',
            "none"
        );
        
        // Delete button
        $this->getElementById('FilePlan__delete')->setStyle(
            'display',
            "none"
        );
        
        // Add Child button
        $FilePlan__add = $this->getElementById('FilePlan__add');
        $FilePlan__add->setAttribute(
            'onClick',
            "FilePlan__add('".$FilePlanPath."')"
        );
                
        /***********************************************************************
        **  Translate
        ***********************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            'modules/records_management/lang/FilePlan.xml'
        );
        $this->translate($MessageController);
        
        /***********************************************************************
        **  Return form
        ***********************************************************************/  
        return $this->getElementById('FilePlan__form');
    
    }
    
    function getFilePlanForm(
        $FilePlan
    ) {
        $this->loadHTMLFile(
            'modules/records_management/html/FilePlanForm.html'
        );
        
        /***********************************************************************
        **  Translate
        ***********************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            'modules/records_management/lang/FilePlan.xml'
        );
        $this->translate($MessageController);

        $FilePlanPath = $FilePlan->getNodePath(); 
        
        if($FilePlanPath == '/FilePlan') return $this->getRootFilePlanForm();

        /*******************************************************************
        * DescriptionLevel__select
        *******************************************************************/
        $DescriptionLevel = 
            $this->getElementById(
                'DescriptionLevel'
            );
        $DescriptionLevel->addOption(
            '', 
            '...'
        );
        
        $RefDescriptionLevelController = new RecordsManagementController();
        $RefDescriptionLevelController->loadXSD(
            'modules/records_management/schema/'
            . 'seda/v1.0/codes/seda_v1-0_descriptionlevel_code.xsd'
        );
        $RefDescriptionLevels = 
            $RefDescriptionLevelController->getTypeEnumeration(
                'LevelDescriptionType'
            );
        $l = count($RefDescriptionLevels);
        for($i=0; $i < $l; $i++) {
            $RefDescriptionLevel = $RefDescriptionLevels[$i];
            $DescriptionLevel__option = 
                $DescriptionLevel->addOption(
                    $RefDescriptionLevel->value,
                    $RefDescriptionLevel->getElementsByTagName('Name')->item(0)->nodeValue
                );
            $DescriptionLevel__option->setAttribute(
                'title',
                $RefDescriptionLevel->getElementsByTagName('Description')->item(0)->nodeValue
            );
        }
               
        /*******************************************************************
        * Parent FilePlan
        *******************************************************************/
        $parent_file_plan_id = 
            $this->getElementById(
                'parent_file_plan_id'
            );
        // All existing FilePlans except descendants
        $possibleParents = $FilePlan->query(
            "ancestor::FilePlan | following::FilePlan | preceding::FilePlan"
        );
        $l = $possibleParents->length;
        for($i=0; $i<$l; $i++) {
            $possibleParent = $possibleParents->item($i);
            $possibleParentLevel = (substr_count($possibleParent->getNodePath(), '/') - 1) * 10;
            $option = $parent_file_plan_id->addOption(
                $possibleParent->file_plan_id, 
                $possibleParent->FilePlanPosition 
            );   
            $option->setStyle('margin-left', $possibleParentLevel . 'px'); 
        }
         
        /***********************************************************************
        **  Load object
        ***********************************************************************/
        $this->loadDataObject($FilePlan, $loadChildren=false);
        
        /***********************************************************************
        **  Manage commands
        ***********************************************************************/       
        // Save button
        $this->getElementById('FilePlan__save')->setAttribute(
            'onClick',
            "FilePlan__save('".$FilePlanPath."')"
        );
        
        // Delete button
        $FilePlan__delete = $this->getElementById('FilePlan__delete');
        if($FilePlan->file_plan_id) {
            $FilePlan__delete->setValue(
                $MessageController->getMessageText('Delete')
            );
        } else {
            $FilePlan__delete->setValue(
                $MessageController->getMessageText('Cancel')
            );
        }
        $FilePlan__delete->setAttribute(
            'onClick',
            "FilePlan__delete('".$FilePlanPath."')"
        );
        
        // Add Child button
        $FilePlan__add = $this->getElementById('FilePlan__add');
        if($FilePlan->file_plan_id) 
            $FilePlan__add->setAttribute(
                'onClick',
                "FilePlan__add('".$FilePlanPath."')"
            );
        else 
            $FilePlan__add->setStyle('display', 'none');
          
        
        
        /***********************************************************************
        **  Return form
        ***********************************************************************/  
        return $this->getElementById('FilePlan__form');
    }
    
    
    
}