<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class OrganizationViewController
    extends RecordsManagementViewController
{
    
    public function OrganizationViewController()
    {
        parent::__construct();
        parent::loadHTMLFile(
            'modules/records_management/html/Organization.html'
        );
    }

    function getView(
        $Organization,
        $mode
    ){
        $OrganizationPath = $Organization->getNodePath();
        /***************************************************************************
        **  Standard View construction
        ***************************************************************************/
        parent::makeView(
            $Organization,
            $mode
        );
        
        $Form = 
            $this->getElementById(
                $OrganizationPath . '/Organization__form'
            );
        
        $Form->setAttribute(
            'id',
            $OrganizationPath . '/'.$Organization->role.'__form'
        );
        
        /***************************************************************************
        **  Children views
        ***************************************************************************/
        /*  Address
        ***************************************************************************/
        $Address__container = 
            $this->getElementById(
                $OrganizationPath . '/Address__container'
            );

        $Addresses = $Organization->Address;
        $AddressLength = $Addresses->length;
        for($i=0; $i<$AddressLength; $i++) {
            $Address = $Addresses->item($i);
            $AddressView = 
                $this->getChildView(
                    $Address,
                    $mode
                );
            
            $Address__container->appendViewNode(
                $AddressView
            ); 
        }
        

        /* Contact
        ***************************************************************************/
        $Contact__container = 
            $this->getElementById(
                $OrganizationPath . '/Contact__container'
            );
        
        $Contacts = $Organization->Contact;
        $ContactLength = $Contacts->length;
        if($ContactLength > 0) {
            for($i=0; $i<$ContactLength; $i++) {
                $Contact = $Contacts->item($i);
                $ContactView = 
                    $this->getChildView(
                        $Contact,
                        $mode
                    );
                
                $Contact__container->appendViewNode(
                    $ContactView
                );
            }
        } else {
            $Contact__block = 
                $this->getElementById(
                    $OrganizationPath . '/Contact__block'
                );
            $Contact__block->setStyle('display', 'none');
        }
        
        /***************************************************************************
        **  Return view
        ***************************************************************************/
        $View = $this->getElementById(
            $OrganizationPath
        );

        return $View;
    }
    
  
    function makeForm(
        $Organization,
        $mode
    ) {
        $OrganizationPath = $Organization->getNodePath();
        /***************************************************************************
        **  Standard form constructor
        ***************************************************************************/
        parent::makeForm(
            $Organization,
            $mode
        );
        
        /***************************************************************************
        **  Manage mode & custom
        ***************************************************************************/       
        switch($mode){
        case 'create':
            /*$StartDate = $this->getElementById('StartDate');
            $StartDateTr = $StartDate->getAncestorsByTagName('tr')->item(0);
            $StartDateTr->setStyle('display', 'none');*/
            break;
        case 'delete':
            $OrganizationForm = 
                $this->getElementById(
                    $OrganizationPath
                );
            $OrganizationForm->setStyle('display', 'none');
        }
        
       
        
        /***************************************************************************
        **  Custom Translate
        ***************************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            'modules/records_management/lang/'.$Organization->role.'.xml'
        );
        $this->translate(
            $MessageController
        );  

    }
    
}