<?php

require_once(
    'modules/records_management/class/RecordsManagementViewController.php'
);

class ScheduleViewController
    extends RecordsManagementViewController
{
    public function ScheduleViewController()
    {
        parent::__construct();
    }
    
    function loadSchedule(
        $Schedule,
        $mode=''
    ) {
        $this->loadHTMLFile(
            'modules/records_management/html/ScheduleAdmin.html'
        );
        
        $messageController = new MessageController();
        $messageController->loadMessageFile(
            'modules/records_management/lang/Schedule.xml'
        );
        
        $this->translate($messageController);
        
        $root_container = $this->getElementById('Schedule__tree');
        $this->addChildSchedule(
            $Schedule,
            $root_container
        );
        
        $this->setSrcBaseUrl('script', $this->baseUrl);
        
    }
    
    
    function addChildSchedule(
        $Schedule,
        $container
    ) {
        $view = $this->view;
        $SchedulePath = $Schedule->getNodePath();
        
        $ScheduleDiv = $view->createElement('div');
        $container->appendChild($ScheduleDiv);
        $ScheduleDiv->setAttribute('id', $SchedulePath);
        
        // Image / Link to hide/show
        $img = $view->createElement('img');
        $img->setAttribute(
            'src',
            $this->staticUrl . 'open_folder_yellow.png&module=records_management'
        );
        $img->setAttribute(
            'width',
            '16px'
        );
        $img->setAttribute(
            'id',
            $SchedulePath . '__icon'
        );
        $img->setAttribute(
            'onClick',
            'toggleBlock("'. $SchedulePath . '__container")'
        );
        $ScheduleDiv->appendChild($img);
        
        
        // Title / link to open
        $span = $view->createElement('span', $Schedule->Identifier);
        $span->setAttribute('onClick', "Schedule__open('".$Schedule->getNodePath()."')");
        $ScheduleDiv->appendChild($span);
        
        // Container for children
        $ScheduleContainer = $view->createElement('blockquote');
        $ScheduleDiv->appendChild($ScheduleContainer);
        
        $ScheduleContainer->setStyle('width', '100%');
        $ScheduleContainer->setAttribute('id', $SchedulePath . '__container');
        //$ScheduleContainer->setStyle('display', 'none');
        $childSchedules = $Schedule->Schedule;
        $l = $childSchedules->length;
        for($i=0; $i<$l; $i++) {
            $childSchedule = $childSchedules->item($i);
            $this->addChildSchedule(
                $childSchedule,
                $ScheduleContainer
            );
        }
        
    }
    
    function getRootScheduleForm() {
        $this->loadHTMLFile(
            'modules/records_management/html/ScheduleForm.html'
        );
        
        $SchedulePath = '/Schedule';

        /*******************************************************************
        * Hide all inputs
        *******************************************************************/
        $this->getElementById('Schedule__properties')->setStyle('display', 'none');
                         
        /***********************************************************************
        **  Manage commands
        ***********************************************************************/       
        // Save button
        $this->getElementById('Schedule__save')->setStyle(
            'display',
            "none"
        );
        
        // Delete button
        $this->getElementById('Schedule__delete')->setStyle(
            'display',
            "none"
        );
        
        // Delete button
        $this->getElementById('Schedule__print')->setStyle(
            'display',
            "block"
        );
        
        // Add Child button
        $Schedule__add = $this->getElementById('Schedule__add');
        $Schedule__add->setAttribute(
            'onClick',
            "Schedule__add('".$SchedulePath."')"
        );
        
		/***********************************************************************
        **  Translate
        ***********************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            'modules/records_management/lang/Schedule.xml'
        );
        $this->translate($MessageController);		
        
        /***********************************************************************
        **  Return form
        ***********************************************************************/  
        return $this->getElementById('Schedule__form');
    
    }
    
    function getScheduleForm(
        $Schedule
    ) {
        $this->loadHTMLFile(
            'modules/records_management/html/ScheduleForm.html'
        );
        
        /***********************************************************************
        **  Translate
        ***********************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            'modules/records_management/lang/Schedule.xml'
        );
        $this->translate($MessageController);

        $SchedulePath = $Schedule->getNodePath(); 
        
        if($SchedulePath == '/Schedule') return $this->getRootScheduleForm();
        
        /*******************************************************************
        * ServiceLevel__select
        *******************************************************************/
        $ServiceLevel__select = 
            $this->getElementById(
                'ServiceLevel'
            );
        $RefServiceLevelController = new RecordsManagementController();
        
        $RefServiceLevels = 
            $RefServiceLevelController->getTypeEnumeration(
                'ServiceLevel'
            );
        $l = count($RefServiceLevels);
        for($i=0; $i < $l; $i++) {
            $RefServiceLevel = $RefServiceLevels[$i];
            $ServiceLevel__option = 
                $ServiceLevel__select->addOption(
                    $RefServiceLevel->value, 
                    $RefServiceLevel->getElementsByTagName('name')->item(0)->nodeValue
                );   
        }
        
        /*******************************************************************
        * appraisalCode__select
        *******************************************************************/
        $AppraisalRuleCode = 
            $this->getElementById(
                'AppraisalCode'
            );
        $AppraisalRuleCode->addOption(
            '', 
            '...'
        );
        
        $RefAppraisalCodeController = new RecordsManagementController();
        $RefAppraisalCodeController->loadXSD(
            'modules/records_management/schema/'
            . 'seda/v1.0/codes/seda_v1-0_appraisal_code.xsd'
        );
        $RefAppraisalCodes = 
            $RefAppraisalCodeController->getTypeEnumeration(
                'AppraisalCodeType'
            );
        $l = count($RefAppraisalCodes);
        for($i=0; $i < $l; $i++) {
            $RefAppraisalCode = $RefAppraisalCodes[$i];
            $RefAppraisalCode__Code = $RefAppraisalCode->value;
            $RefAppraisalCode__option = 
                $AppraisalRuleCode->addOption(
                    $RefAppraisalCode__Code, 
                    $RefAppraisalCode->getElementsByTagName('Name')->item(0)->nodeValue
                );   
        }
        
        /*******************************************************************
        * AccessRestrictionCode__select
        *******************************************************************/
        $AccessRestrictionRuleCode = 
            $this->getElementById(
                'AccessRestrictionCode'
            );
        $AccessRestrictionRuleCode->addOption(
            '', 
            '...'
        );
        
        $RefAccessRestrictionCodeController = new RecordsManagementController();
        $RefAccessRestrictionCodeController->loadXSD(
            'modules/records_management/schema/'
            . 'seda/v1.0/codes/seda_v1-0_accessrestriction_code.xsd'
        );
        $RefAccessRestrictionCodes = 
            $RefAccessRestrictionCodeController->getTypeEnumeration(
                'AccessRestrictionCodeType'
            );
        $l = count($RefAccessRestrictionCodes);
        for($i=0; $i < $l; $i++) {
            $RefAccessRestrictionCode = $RefAccessRestrictionCodes[$i];
            $RefAccessRestrictionCode__Code = $RefAccessRestrictionCode->value;
            
            $RefName = $RefAccessRestrictionCode->getElementsByTagName('Name')->item(0)->nodeValue;
            if(strlen($RefName) > 20) {
                $RefName = 
                    substr(
                        $RefName,
                        0, 
                        strpos($RefName, ' ', 20)
                    )
                    . '...';
            } 
            
            $RefAccessRestrictionCode__option = 
                $AccessRestrictionRuleCode->addOption(
                    $RefAccessRestrictionCode__Code, 
                    $RefAccessRestrictionCode__Code . ': ' .$RefName
                );     
    
            $RefAccessRestrictionCode__option->setAttribute(
                'title',
                $RefAccessRestrictionCode->getElementsByTagName('Name')->item(0)->nodeValue
                . ': ' . $RefAccessRestrictionCode->getElementsByTagName('Description')->item(0)->nodeValue
            );

        }
        
        /*******************************************************************
        * Parent Schedule
        *******************************************************************/
        $parent_schedule_id = 
            $this->getElementById(
                'parent_schedule_id'
            );
        // All existing Schedules except descendants
        $possibleParents = $Schedule->query(
            "ancestor::Schedule | following::Schedule | preceding::Schedule"
        );
        $l = $possibleParents->length;
        for($i=0; $i<$l; $i++) {
            $possibleParent = $possibleParents->item($i);
            $parent_schedule_id->addOption(
                $possibleParent->schedule_id, 
                $possibleParent->Identifier
            );   
        }
         
        /***********************************************************************
        **  Load object
        ***********************************************************************/
        $this->loadDataObject($Schedule, $loadChildren=false);
        
        /***********************************************************************
        **  Manage commands
        ***********************************************************************/       
        // Save button
        $this->getElementById('Schedule__save')->setAttribute(
            'onClick',
            "Schedule__save('".$SchedulePath."')"
        );
        
        // Delete button
        $Schedule__delete = $this->getElementById('Schedule__delete');
        if($Schedule->schedule_id) {
            $Schedule__delete->setValue(
                $MessageController->getMessageText('Delete')
            );
        } else {
            $Schedule__delete->setValue(
                $MessageController->getMessageText('Cancel')
            );
        }
        $Schedule__delete->setAttribute(
            'onClick',
            "Schedule__delete('".$SchedulePath."')"
        );
        
        // Add Child button
        $Schedule__add = $this->getElementById('Schedule__add');
        if($Schedule->schedule_id) 
            $Schedule__add->setAttribute(
                'onClick',
                "Schedule__add('".$SchedulePath."')"
            );
        else 
            $Schedule__add->setStyle('display', 'none');
          
        
        
        /***********************************************************************
        **  Return form
        ***********************************************************************/  
        return $this->getElementById('Schedule__form');
    }
    
    function printSchedule(
        $Schedule,
        $mode
    ) {
        $this->loadHTMLFile(
            'modules/records_management/html/SchedulePrint.html'
        );
        
        /***********************************************************************
        **  Translate
        ***********************************************************************/
        $MessageController = new MessageController();
        $MessageController->loadMessageFile(
            'modules/records_management/lang/Schedule.xml'
        );
        $this->translate($MessageController);
        
        $ths = $this->query("//th[@axis]");
        for ($i=0; $i<$ths->length; $i++) {
            $th = $ths->item($i);
            $axis = $th->getAttribute('axis');
            $thText = $MessageController->getMessageText(
                $axis
            );
            $th->nodeValue = $thText;
        }
        
        $tbody = $this->view->getElementsByTagName('tbody')->item(0);
        
        $ScheduleRows = $Schedule->Schedule;
        for($i=0; $i<$ScheduleRows->length; $i++) {
            $this->addSchedulePrintRow(
                $ScheduleRows->item($i),
                $level = 1,
                $tbody
            );
        }

    }
    
    function addSchedulePrintRow(
        $ScheduleRow,
        $level,
        $tbody
    ) {
        
        $columns = 
            array(
                'Identifier',
                'Name',
                'Description',
                'ServiceLevel',
                'AccessRestrictionCode',
                'AppraisalCode',
                'AppraisalDuration'
            );
        
        $row = $tbody->addRow();

        for($i=0; $i<count($columns); $i++) {
            $td = $row->addColumn();
            $colName = $columns[$i];
            $colValue = $ScheduleRow->$colName;
            
            switch($colName) {
            
            
            case 'AppraisalDuration':
                if(!$colValue) $colValue = '0';
                $td->nodeValue = $colValue . ' Ans';
                break;
                
            default:
                if(!$colValue) $colValue = '&#160;';
                $td->nodeValue = $colValue;
            }
        }

        $ScheduleSubRows = $ScheduleRow->Schedule;
        for($i=0; $i<$ScheduleSubRows->length; $i++) {
            $this->addSchedulePrintRow(
                $ScheduleSubRows->item($i),
                $level+1,
                $tbody
            );
        }
    }
    
    
}