<?php

/*
*   Copyright 2008-2012 Maarch
*
*   This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* File : details_rm.php
*
* Detailed informations on an indexed record
*
* @package  records_management
* @version 1.4
* @since 10/2005
* @license GPL
* @author  Arnaud Veber <dev@maarch.org>
* @author  Laurent Giovannoni  <dev@maarch.org>
*/
$core = new core_tools();
$core->test_user();
$core->load_lang();
require_once 'core/manage_bitmask.php';
require_once 'core/class/class_request.php';
require_once 'core/class/class_security.php';
require_once 'apps/' . $_SESSION['config']['app_id'] . '/security_bitmask.php';
require_once 'apps/' . $_SESSION['config']['app_id'] . '/class/class_list_show.php';
require_once 'core/class/class_history.php';
require_once 'core/class/LinkController.php';
require_once 'apps/' . $_SESSION['config']['app_id'] . '/class/class_indexing_searching_app.php';
require_once 'apps/' . $_SESSION['config']['app_id'] . '/class/class_types.php';
if (file_exists(
    $_SESSION['config']['corepath'] . 'custom/apps/' . $_SESSION['config']['app_id']
    . '/definition_mail_categories_rm.php'
)
) {
    $path = $_SESSION['config']['corepath'] . 'custom/apps/' . $_SESSION['config']['app_id']
          . '/definition_mail_categories_rm.php';
} else {
    $path = 'apps/' . $_SESSION['config']['app_id'] . '/definition_mail_categories_rm.php';
}
include_once $path;
//test service view technical infos
$viewTechnicalInfos = false;
if ($core->test_service('view_technical_infos', 'apps', false)) {
    $viewTechnicalInfos = true;
}
if (!isset($_REQUEST['coll_id'])) {
    $_REQUEST['coll_id'] = 'rm_coll';
}
/****************Management of the location bar  ************/
$init = false;
if (isset($_REQUEST['reinit']) && $_REQUEST['reinit'] == 'true') {
    $init = true;
}
if (isset($_SESSION['indexation'] ) && $_SESSION['indexation'] == true) {
    $init = true;
}
$level = '';
if (
    isset($_REQUEST['level'])
    && (
        $_REQUEST['level'] == 2
        || $_REQUEST['level'] == 3
        || $_REQUEST['level'] == 4
        || $_REQUEST['level'] == 1
    )
) {
    $level = $_REQUEST['level'];
}
$page_path = $_SESSION['config']['businessappurl']
    . 'index.php?page=details_rm&module=records_management&coll_id='
    . $_REQUEST['coll_id']
    . '&id=' . $_REQUEST['id'];
$page_label = _DETAILS;
$page_id = 'details';
$core->manage_location_bar($page_path, $page_label, $page_id, $init, $level);
/***********************************************************/
$hist = new history();
$security = new security();
$func = new functions();
$request= new request;
$type = new types();
$s_id = '';
$_SESSION['req'] ='details_rm';
$_SESSION['indexing'] = array();
$is = new indexing_searching_app();
$coll_id = '';
$table = '';
if (!isset($_REQUEST['coll_id']) || empty($_REQUEST['coll_id'])) {
    //$_SESSION['error'] = _COLL_ID.' '._IS_MISSING;
    $coll_id = $_SESSION['collections'][0]['id'];
    $table = $_SESSION['collections'][0]['view'];
    $is_view = true;
} else {
    $coll_id = $_REQUEST['coll_id'];
    $table = $security->retrieve_view_from_coll_id($coll_id);
    $is_view = true;
    if (empty($table)) {
        $table = $security->retrieve_table_from_coll($coll_id);
        $is_view = false;
    }
}
$_SESSION['collection_id_choice'] = $coll_id;
if (isset($_GET['id']) && !empty($_GET['id'])) {
    $s_id = addslashes($func->wash($_GET['id'], 'num', _THE_DOC));
}
$db = new dbquery();
$db->connect();

if (isset($_SESSION['origin']) && $_SESSION['origin'] <> 'basket') {
    $right = $security->test_right_doc($coll_id, $s_id);
} else {
    $right = true;
}
if (!$right) {
    ?>
    <script type="text/javascript">
    window.top.location.href = '<?php
        echo $_SESSION['config']['businessappurl'];
        ?>index.php?page=no_right';
    </script>
    <?php
    exit();
}
if (isset($s_id) && !empty($s_id) && $_SESSION['history']['resview'] == 'true') {
    $hist->add(
        $table,
        $s_id ,
        'VIEW',
        'resview',
        _VIEW_DETAILS_NUM . $s_id,
        $_SESSION['config']['databasetype'],
        'apps'
    );
}
$modify_doc = check_right(
    $_SESSION['user']['security'][$coll_id]['DOC']['securityBitmask'],
    DATA_MODIFICATION
);
$delete_doc = check_right(
    $_SESSION['user']['security'][$coll_id]['DOC']['securityBitmask'],
    DELETE_RECORD
);
//update index with the doctype
if (isset($_POST['submit_index_doc'])) {
    $is->update_rm($_POST, 'POST', $s_id, $coll_id);
    if ($core->is_module_loaded('tags')) {
        include_once('modules/tags/tags_update.php');
    }
}
//delete the doctype
if (isset($_POST['delete_doc'])) {
    $is->delete_doc($s_id, $coll_id);
    ?>
        <script type="text/javascript">window.top.location.href='<?php
            echo $_SESSION['config']['businessappurl'] . 'index.php';
            ?>';</script>
    <?php
    exit();
}
if (empty($_SESSION['error']) || $_SESSION['indexation']) {
    $comp_fields = '';
    $db->query("select type_id from " . $table . " where res_id = " . $s_id);
    if ($db->nb_result() > 0) {
        $res = $db->fetch_object();
        $type_id = $res->type_id;
        $indexes = $type->get_indexes($type_id, $coll_id, 'minimal');
        for($i=0;$i<count($indexes);$i++) {
            // In the view all custom from res table begin with doc_
            if (preg_match('/^custom_/', $indexes[$i])) {
                $comp_fields .= ', doc_'.$indexes[$i];
            } else {
                $comp_fields .= ', '.$indexes[$i];
            }
        }
    }
    $db->query(
        "select * from " . $table . " where res_id = "
        . $s_id
    );
    //$db->show();
}
?>
<div id="details_div" style="display:block;">
<h1 class="titdetail">
    <img src="<?php
        echo $_SESSION['config']['businessappurl'];
        ?>static.php?filename=picto_detail_b.gif" alt="" /><?php
        echo _DETAILS . " : " . _ARCHIVE . ' ' . strtolower(_NUM);
        ?><?php
        echo $s_id;
        ?> <span>(<?php
        echo  $security->retrieve_coll_label_from_coll_id($coll_id);
        ?>)</span>
</h1>
<div id="inner_content" class="clearfix">
<?php
if ((!empty($_SESSION['error']) && ! ($_SESSION['indexation']))) {
    ?>
    <div class="error">
        <br /> <br /> <br /> <?php echo $_SESSION['error'];  
        $_SESSION['error'] = "";?> <br /> <br /> <br />
    </div>
    <?php
} else {
    if ($db->nb_result() == 0) {
        ?>
        <div align="center">
                <br/><br/> <?php echo 
                _NO_ARCHIVE_CORRESPOND_TO_IDENTIFIER;?>. <br/> <br
                /> <br/>
            </div>
            <?php
        } else {
            $param_data = array(
                'img_category_id' => true,
                'img_originating_agency_entity_id' => true,
                'img_originating_user_id' => true,
                'img_destination' => true,
                'img_type_id' => true,
                'img_appraisal_code' => true,
                'img_appraisal_duration' => true,
                'img_name' => true,
                'img_doc_date' => true,
                'img_project' => true
            );
            $res = $db->fetch_object();
            $typist = $res->typist;
            $format = $res->format;
            $filesize = $res->filesize;
            $creation_date = $db->format_date_db($res->creation_date, false);
            $fingerprint = $res->fingerprint;
            $work_batch = $res->work_batch;
            $page_count = $res->page_count;
            $is_paper = $res->is_paper;
            $scan_date = $db->format_date_db($res->scan_date);
            $scan_user = $res->scan_user;
            $scan_location = $res->scan_location;
            $scan_wkstation = $res->scan_wkstation;
            $scan_batch = $res->scan_batch;
            $doc_language = $res->doc_language;
            if ($res->path == 'NONE' && $res->filename == 'NONE') {
                $electronicArchive = false;
            } else {
                $electronicArchive = true;
            }
            $indexes = $type->get_indexes($type_id, $coll_id);
            //$db->show_array($indexes);
            foreach (array_keys($indexes) as $key) {
                if (preg_match('/^custom/', $key)) {
                    $tmp = 'doc_' . $key;
                } else{
                    $tmp = $key;
                }
                if ($indexes[$key]['type'] == "date") {
                    $res->$tmp = $db->format_date_db($res->$tmp, false);
                }
                $indexes[$key]['value'] = $res->$tmp;
                $indexes[$key]['show_value'] = $res->$tmp;
                if ($indexes[$key]['type'] == "string") {
                    $indexes[$key]['show_value'] = $db->show_string($res->$tmp);
                } elseif ($indexes[$key]['type'] == "date") {
                    $indexes[$key]['show_value'] = $db->format_date_db($res->$tmp, true);
                }
            }
            //$db->show_array($indexes);
            $status = $res->status;
            if (!empty($status))
            {
                require_once('core/class/class_manage_status.php');
                $status_obj = new manage_status();
                $res_status = $status_obj->get_status_data($status);
                if ($modify_doc) {
                    $can_be_modified = $status_obj->can_be_modified($status);
                    if (!$can_be_modified) {
                        $modify_doc = false;
                    }
                }
            }
            $mode_data = 'full';
            if ($modify_doc) {
                $mode_data = 'form';
            }
            foreach (array_keys($indexes) as $key) {
                $indexes[$key]['opt_index'] = true;
                if ($indexes[$key]['type_field'] == 'select') {
                    for($i=0;$i<count($indexes[$key]['values']);$i++) {
                        if ($indexes[$key]['values'][$i]['id'] == $indexes[$key]['value']) {
                            $indexes[$key]['show_value'] = $indexes[$key]['values'][$i]['label'] ;
                            break;
                        }
                    }
                }
                if (!$modify_doc) {
                    $indexes[$key]['readonly'] = true;
                    $indexes[$key]['type_field'] = 'input';
                } else {
                    $indexes[$key]['readonly'] = false;
                }
            }
            $data = get_general_data($coll_id, $s_id, $mode_data, $param_data);
            //$data = array_merge($data, $indexes);
            //$db->show_array($data);
            ?>
            <div class="block">
                <b>
                <p id="back_list">
                    <?php
                    if (! isset($_POST['up_res_id']) || ! $_POST['up_res_id']) {
                        if ($_SESSION['indexation'] == false) {
                            ?>
                            <a href="#" onclick="history.go(-1);" class="back"><?php echo _BACK; ?></a>
                            <?php
                        }
                    }
                    ?>
                </p>
                <p id="viewdoc">
                    <?php if ($electronicArchive && $status <> 'INIT') {
                        ?>
                        <a href="<?php
                            echo $_SESSION['config']['businessappurl'];
                            ?>index.php?display=true&dir=indexing_searching&page=view_resource_controler&id=<?php
                            echo $s_id;
                            ?>" target="_blank"><img alt="<?php echo _VIEW_ARCHIVE;?>" src="<?php echo
                                $_SESSION['config']['businessappurl'];
                                ?>static.php?filename=picto_dld.gif" border="0" alt="" />&nbsp;<?php
                            echo _VIEW_ARCHIVE;
                            ?></a>
                        <?php
                    } else {
                        echo _PHYSIC_ARCHIVE;
                    }
                    ?>
                            
                </p>
                </b>&nbsp;
            </div>
            <br/>
            <dl id="tabricator1">
                <dt><?php echo _PROPERTIES;?></dt>
                <dd>
                    <h2>
                        <span class="date">
                            <b><?php echo _ARCHIVE_DATA;?></b>
                        </span>
                    </h2>
                    <br/>
                <form method="post" name="index_doc" id="index_doc" action="index.php?page=details_rm&module=records_management&coll_id=rm_coll&id=<?php 
                    echo $s_id; ?>">
                    <table cellpadding="2" cellspacing="2" border="0" class="block forms details" width="100%">
        <?php
        $i=0;
        foreach (array_keys($data) as $key) {
            if ($i%2 != 1 || $i==0) {
                // pair
                ?>
                <tr class="col">
                <?php
            }
            $folder_id = "";
            if (($key == "market" || $key == "project") && $data[$key]['show_value'] <> "") {
                /*$folderTmp = $data[$key]['show_value'];
                $find1 = strpos($folderTmp, '(');
                $folder_id = substr($folderTmp, $find1, strlen($folderTmp));
                $folder_id = str_replace("(", "", $folder_id);
                $folder_id = str_replace(")", "", $folder_id);*/
                $folder_id = $data[$key]['show_value'];
            }
            ?>
            <th align="left" class="picto" >
                <?php
                if (isset($data[$key]['addon'])) {
                    echo $data[$key]['addon'];
                } elseif (isset($data[$key]['img'])) {
                    if ($folder_id <> "") {
                        echo "<a href='".$_SESSION['config']['businessappurl']
                            ."index.php?page=show_folder&module=folder&id=".$folder_id."'>";
                        ?>
                        <img alt="<?php echo $data[$key]['label'];?>" title="<?php 
                            echo $data[$key]['label'];?>" src="<?php echo $data[$key]['img'];?>"  /></a>
                        <?php
                    } else {
                        ?>
                        <img alt="<?php echo $data[$key]['label'];?>" title="<?php 
                            echo $data[$key]['label'];?>" src="<?php echo $data[$key]['img'];?>"  /></a>
                        <?php
                    }
                }
                ?>
            </th>
            <?php
            ?>
            <td align="left" width="200px">
                <?php
                echo $data[$key]['label'];?> :
            </td>
            <?php
            ?>
            <td>
                <?php
            if (!isset($data[$key]['readonly']) || $data[$key]['readonly'] == true) {
                if ($data[$key]['display'] == 'textinput') {
                    ?>
                    <input type="text" name="<?php echo $key;?>" id="<?php 
                        echo $key;?>" value="<?php echo $data[$key]['show_value'];
                        ?>" readonly="readonly" class="readonly" size="40"  title="<?php 
                        echo $data[$key]['show_value'];?>" alt="<?php 
                        echo $data[$key]['show_value'];?>" />
                    <?php
                } elseif ($data[$key]['display'] == 'textarea') {
                    echo '<textarea name="' . $key . '" id="' . $key 
                        . '" rows="3" readonly="readonly" class="readonly" style="width: 200px; max-width: 200px;">'
                        .$data[$key]['show_value']
                    .'</textarea>';
                } else {
                    ?>
                    <input type="text" name="<?php echo $key;?>" id="<?php 
                        echo $key;?>" value="<?php echo $data[$key]['show_value'];
                        ?>" readonly="readonly" class="readonly" size="40" title="<?php 
                            echo $data[$key]['show_value']; ?>" alt="<?php echo $data[$key]['show_value']; ?>" />
                    <?php
                    if (isset($data[$key]['addon']))
                    {
                        $frm_str .= $data[$key]['addon'];
                    }
                }
            } else {
                if ($data[$key]['field_type'] == 'textfield') {
                    ?>
                    <input type="text" name="<?php echo $key;?>" id="<?php echo $key;?>" value="<?php 
                        echo $data[$key]['show_value'];?>" size="40"  title="<?php 
                        echo $data[$key]['show_value']; ?>" alt="<?php echo $data[$key]['show_value']; ?>" />
                    <?php
                } elseif ($data[$key]['display'] == 'textarea') {
                    echo '<textarea name="'.$key.'" id="'.$key.'" rows="3" style="width: 200px; max-width: 200px;">'
                        .$data[$key]['show_value']
                    .'</textarea>';
                } else if ($data[$key]['field_type'] == 'date') {
                    ?>
                    <input type="text" name="<?php echo $key;?>" id="<?php 
                        echo $key;?>" value="<?php echo $data[$key]['show_value'];?>" size="40"  title="<?php 
                        echo $data[$key]['show_value']; ?>" alt="<?php echo $data[$key]['show_value']; 
                        ?>" onclick="showCalender(this);" />
                    <?php
                } else if ($data[$key]['field_type'] == 'select') {
                    ?>
                    <select id="<?php echo $key;?>" name="<?php 
                        echo $key;?>" <?php if ($key == 'type_id') {
                            echo 'onchange="change_doctype_details(this.options[this.options.selectedIndex].value, \''
                            . $_SESSION['config']['businessappurl'] 
                            . 'index.php?display=true&dir=indexing_searching&page=change_doctype_details\' , \''
                            . _DOCTYPE . ' ' . _MISSING . '\');"';
                        }?>>
                    <?php
                        if ($key == 'type_id') {
                            if ($_SESSION['features']['show_types_tree'] == 'true') {
                                for ($k=0; $k<count($data[$key]['select']);$k++) { 
                                    ?><option value=""
                                    class="doctype_level1"><?php echo 
                                    $data[$key]['select'][$k]['label'];?>
                                    </option><?php
                                    for ($j=0; $j<count($data[$key]['select'][$k]['level2']);$j++) {
                                        ?><option value="" class="doctype_level2">&nbsp;&nbsp;<?php 
                                            echo $data[$key]['select'][$k]['level2'][$j]['label'];?></option><?php
                                        for ($l=0; $l<count($data[$key]['select'][$k]['level2'][$j]['types']);$l++) {
                                            ?><option
                                            <?php if ($data[$key]['value'] ==$data[$key]['select'][$k]['level2'][$j]['types'][$l]['id']){ echo 'selected="selected"';}?>
                                             value="<?php echo $data[$key]['select'][$k]['level2'][$j]['types'][$l]['id'];?>" >&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $data[$key]['select'][$k]['level2'][$j]['types'][$l]['label'];?></option><?php
                                        }
                                    }
                                }
                            } else {
                                for($k=0; $k<count($data[$key]['select']);$k++) {
                                    ?><option <?php 
                                        if ($data[$key]['value'] == $data[$key]['select'][$k]['ID']
                                        ){ 
                                            echo 'selected="selected"';
                                        }?> value="<?php 
                                            echo $data[$key]['select'][$k]['ID'];?>" ><?php 
                                            echo $data[$key]['select'][$k]['LABEL'];?></option>
                                        <?php
                                }
                            }
                        } else {
                            for ($k=0; $k<count($data[$key]['select']);$k++) {
                                ?><option value="<?php 
                                    echo $data[$key]['select'][$k]['ID'];?>" <?php 
                                    if ($data[$key]['value'] == $data[$key]['select'][$k]['ID']) {
                                        echo 'selected="selected"';
                                    }?>><?php 
                                    echo $data[$key]['select'][$k]['LABEL'];
                                ?></option><?php
                            }
                        }
                    ?>
                    </select>
                    <?php
                } else if ($data[$key]['field_type'] == 'autocomplete') {
                    if ($key == 'project') {
                        //$('market').value='';return false;
                    ?><input type="text" name="project" id="project" onblur="" value="<?php 
                        echo $data['project']['show_value']; ?>" /><div id="show_project" class="autocomplete">
                        </div><script type="text/javascript">launch_autocompleter_folders('<?php 
                            echo $_SESSION['config']['businessappurl'];
                            ?>index.php?display=true&module=folder&page=autocomplete_folders&mode=project', 'project');</script>
                    <?php
                    }
                }
            }
            ?>
            </td>
            <?php
            if ($i%2 == 1 && $i!=0) {
                ?>
                </tr>
                <?php
            } else {
                if ($i+1 == count($data)) {
                    echo '<td  colspan="2">&nbsp;</td></tr>';
                }
            }
            $i++;
        }

            ?>
            <tr class="col">
                <th align="left" class="picto">
                    <img alt="<?php echo _STATUS.' : ' 
                        . $res_status['LABEL'];?>" src="<?php 
                        echo $res_status['IMG_SRC'];?>" title="<?php echo 
                        $res_status['LABEL']; ?>" alt="<?php echo $res_status['LABEL']; ?>"/>
                </th>
                <td align="left" width="200px">
                    <?php echo _STATUS; ?> :
                </td>
                <td>
                    <input type="text" class="readonly" readonly="readonly" value="<?php echo 
                        $res_status['LABEL']; ?>" size="40"  />
                </td>
            </tr>
        </table>
        <div id="opt_indexes">
        <?php 
        if (count($indexes) > 0) {
            ?><br/>
            <h2>
            <span class="date">
                <b><?php echo _OPT_INDEXES;?></b>
            </span>
            </h2>
            <br/>
            <table cellpadding="2" cellspacing="2" border="0" class="block forms details" width="100%">
                <?php 
                $i=0; 
                foreach(array_keys($indexes) as $key) {
                    if ($i%2 != 1 || $i==0) {
                        ?>
                        <tr class="col">
                        <?php
                    }
                    ?>
                    <th align="left" class="picto" >
                        <?php 
                        if (isset($indexes[$key]['img'])) {
                            ?>
                            <img alt="<?php echo $indexes[$key]['label'];?>" title="<?php 
                                echo $indexes[$key]['label'];?>" src="<?php 
                                echo $indexes[$key]['img'];?>"  /></a>
                            <?php
                        }
                        ?>
                    </th>
                    <?php
                    ?>
                    <td align="left" width="200px">
                        <?php
                        echo $indexes[$key]['label'];?> :
                    </td>
                    <?php
                    ?>
                    <td>
                        <?php
                        if ($indexes[$key]['type_field'] == 'input') {
                            ?>
                            <input type="text" name="<?php 
                                echo $key;?>" id="<?php echo $key;?>" value="<?php echo 
                                $indexes[$key]['show_value'];?>" <?php 
                                if (!isset($indexes[$key]['readonly']) || $indexes[$key]['readonly'] == true) { 
                                    echo 'readonly="readonly" class="readonly"';
                                } else if ($indexes[$key]['type'] == 'date') {
                                    echo 'onclick="showCalender(this);"';
                                }?> size="40" title="<?php 
                                echo $indexes[$key]['show_value'];
                                ?>" alt="<?php echo $indexes[$key]['show_value']; ?>" />
                            <?php
                        } else { ?>
                            <select name="<?php echo $key;?>" id="<?php echo $key;?>" >
                                <option value=""><?php echo _CHOOSE;?>...</option>
                                <?php
                                for ($j = 0; $j < count($indexes[$key]['values']); $j ++) {?>
                                    <option value="<?php echo $indexes[$key]['values'][$j]['id'];?>" <?php
                                    if ($indexes[$key]['values'][$j]['id'] == $indexes[$key]['value']) {
                                        echo 'selected="selected"';
                                    }?>><?php echo $indexes[$key]['values'][$j]['label'];?></option><?php
                                }?>
                            </select><?php
                        }
                        ?>
                    </td> 
                    <?php 
                    if ($i%2 == 1 && $i!=0) {
                        ?>
                        </tr>
                        <?php
                    } else {
                        if ($i+1 == count($indexes)) {
                            echo '<td  colspan="2">&nbsp;</td></tr>';
                        }
                    }
                    $i++;
                }
                ?>
            </table>
            <?php  
        } 
        ?>
        </div>
        <br/>

        <br/>
        <div align="center">
            <?php if ($delete_doc) {?>
            <input type="submit" class="button"  value="<?php 
                echo _DELETE_DOC;?>" name="delete_doc" onclick="return(confirm('<?php 
                echo _REALLY_DELETE.' '._THIS_DOC;?> ?\n\r\n\r'));" />
            <?php }
            if ($modify_doc) {?>
            <input type="submit" class="button"  value="<?php 
                echo _MODIFY_DOC;?>" name="submit_index_doc" />
            <?php } ?>
                <input type="button" class="button" name="back_welcome" id="back_welcome" value="<?php 
                    echo _BACK_TO_WELCOME;?>" onclick="window.top.location.href='<?php 
                    echo $_SESSION['config']['businessappurl'];?>index.php';" />
        </div>
        </form>
        <?php
    }
    ?>
        </dd>
        <?php
        //SERVICE TO VIEW TECHNICAL INDEX
        if ($viewTechnicalInfos) {
            $_SESSION['doc_id'] = $s_id;
            include_once('apps/' . $_SESSION['config']['app_id'] . '/view_technical_infos.php');
        }
        
        ?>
        <dt><?php echo _DOC_HISTORY;?></dt>
        <dd>
            <iframe src="<?php echo $_SESSION['config']['businessappurl'];
                ?>index.php?display=true&dir=indexing_searching&page=document_history&coll_id=<?php 
                echo $_SESSION['collection_id_choice'];?>&id=<?php 
                echo $s_id;?>&load&size=full" name="hist_doc_process" width="100%" height="580" 
                align="left" scrolling="auto" frameborder="0" id="hist_doc_process" style="height: 580px; max-height: 580px; overflow: scroll;"></iframe>
        </dd>
        <?php
        if ($core->is_module_loaded('notes')) {         
                $selectNotes = "select id, identifier, user_id, date_note, note_text from "
                    . $_SESSION['tablename']['not_notes']
                    . " where identifier = " . $s_id 
                    . " and coll_id ='"
                    . $_SESSION['collection_id_choice'] . "' order by date_note desc";

            $dbNotes = new dbquery();
            $dbNotes->connect();
            $dbNotes->query($selectNotes);
            //$dbNotes->show();
            $not_res = 0;
            while ($res=$dbNotes->fetch_object()) {
                $dbUser = new dbquery();
                $dbUser->connect();

                $query = "select id from notes where id in ("
                . "select note_id from note_entities where (item_id = '" 
                . $_SESSION['user']['primaryentity']['id'] . "' and note_id = " . $res->id . "))"
                . "or (id = " . $res->id . " and user_id = '" . $_SESSION['user']['UserId'] . "')";

                $dbUser->query($query);
                //$dbUser->show();
                if($dbUser->nb_result()<>0)
                $not_res++;
                
            }
            $not_res_title = " (".$not_res.") ";
            $nb_notes_for_title  = $dbNotes->nb_result();
            
            if ($nb_notes_for_title == 0) {
                $extend_title_for_notes = '';
            } else {
                $extend_title_for_notes = " (".$nb_notes_for_title.") ";
            }
            ?>
            <!--<dt><?php echo _NOTES.$extend_title_for_notes;?></dt>-->
            <dt><?php echo _NOTES.$not_res_title;?></dt>
            <dd>
            <?php
                $select_notes[$_SESSION['tablename']['users']] = array();
                array_push($select_notes[$_SESSION['tablename']['users']],"user_id","lastname","firstname");
                $select_notes[$_SESSION['tablename']['not_notes']] = array();
                array_push($select_notes[$_SESSION['tablename']['not_notes']],"id", "date_note", "note_text", "user_id");
                $where_notes = " identifier = ".$s_id." ";
                $request_notes = new request;
                $tab_notes=$request_notes->select(
                    $select_notes, $where_notes, "order by " 
                        . $_SESSION['tablename']['not_notes'] . ".date_note desc", 
                    $_SESSION['config']['databasetype'], "500", true,
                    $_SESSION['tablename']['not_notes'], $_SESSION['tablename']['users'], "user_id"
                );
                //$request_notes->show();
                ?>
                <div style="text-align:center;">
                    <img src="<?php
                        echo $_SESSION['config']['businessappurl'];
                        ?>static.php?filename=modif_note.png&module=notes" border="0" alt="" /><?php
                        if ($status <> 'END') {
                            ?><a href="javascript://" onclick="ouvreFenetre('<?php
                            echo $_SESSION['config']['businessappurl'];
                            ?>index.php?display=true&module=notes&page=note_add&size=full&identifier=<?php
                            echo $s_id;
                            ?>&coll_id=<?php
                            echo $coll_id;
                            ?>', 1024, 650)" ><?php
                            echo _ADD_NOTE;
                            ?></a><?php
                        } ?>
                </div>
                <iframe name="list_notes_doc" id="list_notes_doc" src="<?php
                    echo $_SESSION['config']['businessappurl'];
                    ?>index.php?display=true&module=notes&page=frame_notes_doc&size=full" 
                    frameborder="0" width="100%" height="520px"></iframe>
            </dd>
            <?php
        }
            
        if ($core->is_module_loaded('tags') &&
            ($core->test_service('tag_view', 'tags', false) == 1)
        ) {
            ?>
            <dt>
                <?php
                echo _TAGS;
                ?>
            </dt>
            <dd>
                <?php
                include_once('modules/tags/templates/details/index.php');
                ?>
            </dd>
            <?php
        }
        ?>
    </dl>
    <?php
}
?>
</div>
</div>
<script type="text/javascript">
    var item  = $('details_div');
    var tabricator1 = new Tabricator('tabricator1', 'DT');
    if (item) {
        item.style.display='block';
    }
</script>
<?php
