package controleur;

import java.io.File;

import parserXML.Parser;
import vue.DescriptiveForm;
import zip.AppZip;

import modele.AbstractArchive;
import modele.AbstractArchiveObject;
import modele.AbstractArchiveTransfer;

public abstract class AbstractControler {

	protected AbstractArchiveTransfer archiveTransfer;

	//parser
	protected Parser parser ; 
	
	//compression
	protected AppZip appZip = new AppZip();
	
	
	//article precedent
	public abstract AbstractArchiveObject getPreviousArchiveObject();
	
	//article suivant
	public abstract AbstractArchiveObject getNextArchiveObject();
	
	//ajouter un fichier a l'article en cours
	public abstract void addDocument(File file);
	
	//supprimer un fichier a l'article en cours
	public abstract void removeDocument(int indexDocument);

	//TODO A supprimer
	//public abstract void addDocument(modele.File file);

	public abstract void parser(String path) ;

	public abstract void compression() ;

	public abstract void setArchivalAgreement(String formatsList, String nbArticles,
			String transferSize);

	public abstract void addObserver(DescriptiveForm descriptiveForm);

	public abstract AbstractArchive getArchive() ;

	
}
