/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package maarcharchivetransfer;

import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.logging.Level;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;
import netscape.javascript.JSObject;
/**
 *
 * @author lgi
 */
public class MaarchArchiveTransfer {

	//INIT PARAMETERS
    public String url;
    public String archiveTransferId;
    protected String agreementId;
    
    protected String userLocalDirTmp;
    protected String messageStatus;
    protected String objectType;
    
    Hashtable<String, String> app = new Hashtable<String, String>();
    public Hashtable<String, String> messageResult = new Hashtable<String, String>();
    protected String os;
    
    //XML PARAMETERS
    protected String status;
    protected String fileContent;
    protected String formatsList;
    protected String nbArticles;
    protected String transferSize;
    protected String error;
    protected String endMessage;
    
    public myLogger logger;
    
	private String pathToXml;
    
    
    public MaarchArchiveTransfer(String url, String archiveTransferId, String agreementId) {
    	this.url = url;
        this.archiveTransferId = archiveTransferId;
        this.agreementId = agreementId;     
	}
    
    public String getPathToXml(){
    	return this.pathToXml;
    }

    public String getFormatsList() {
		return formatsList;
	}

	public String getNbArticles() {
		return nbArticles;
	}

	public String getTransferSize() {
		return transferSize;
	}

    public void editArchiveTransfer() throws Exception {
        System.out.println("----------BEGIN ARCHIVE TRANSFER----------");
        System.out.println("----------BEGIN LOCAL DIR TMP IF NOT EXISTS----------");
        String os = System.getProperty("os.name").toLowerCase();
        boolean isUnix = os.indexOf("nix") >= 0 || os.indexOf("nux") >= 0;
        boolean isWindows = os.indexOf("win") >= 0;
        boolean isMac = os.indexOf("mac") >= 0;
        this.userLocalDirTmp = System.getProperty("user.home");
        fileManager fM = new fileManager();
        if (isWindows) {
            System.out.println("This is Windows");
            this.userLocalDirTmp = this.userLocalDirTmp + "\\maarchtmp\\";
            fM.createUserLocalDirTmp(this.userLocalDirTmp);
            this.userLocalDirTmp = this.userLocalDirTmp + "\\archivetransfers\\";
            this.os = "win";
        } else if (isMac) {
            System.out.println("This is Mac");
            this.userLocalDirTmp = this.userLocalDirTmp + "/maarchtmp/";
            fM.createUserLocalDirTmp(this.userLocalDirTmp);
            this.userLocalDirTmp = this.userLocalDirTmp + "/archivetransfers/";
            this.os = "mac";
        } else if (isUnix) {
            System.out.println("This is Unix or Linux");
            this.userLocalDirTmp = this.userLocalDirTmp + "/maarchtmp/";
            fM.createUserLocalDirTmp(this.userLocalDirTmp);
            this.userLocalDirTmp = this.userLocalDirTmp + "/archivetransfers/";
            this.os = "linux";
        } else {
            System.out.println("Your OS is not supported!!");
            //Prévoir de sortir de l'application
        }
        fM.createUserLocalDirTmp(this.userLocalDirTmp);
        System.out.println("----------END LOCAL DIR TMP IF NOT EXISTS----------");
        System.out.println("Create the logger");
        this.logger = new myLogger(this.userLocalDirTmp);
        this.logger.log("----------BEGIN OPEN REQUEST TO RETRIEVE THE ARCHIVE TRANSFER HEADER----------", Level.INFO);
        String urlToSend = this.url + "?action=retrieveHeader&archiveTransferId=" + this.archiveTransferId;
        sendHttpRequest(urlToSend, "none");
        this.logger.log("MESSAGE STATUS : " + this.messageStatus.toString(), Level.INFO);
        this.logger.log("MESSAGE RESULT : ", Level.INFO);
        this.processReturn(this.messageResult);
        this.pathToXml =  this.userLocalDirTmp + "headertmp.xml";
        fM.createFile(this.fileContent, this.pathToXml);
        this.logger.log("----------END OPEN REQUEST TO RETRIEVE THE ARCHIVE TRANSFER HEADER----------", Level.INFO);
        
        this.logger.log("----------BEGIN OPEN REQUEST TO RETRIEVE THE AGREEMENT----------", Level.INFO);
        urlToSend = this.url + "?action=retrieveAgreement&agreementId=" + this.agreementId;
        sendHttpRequest(urlToSend, "none");
        this.logger.log("MESSAGE STATUS : " + this.messageStatus.toString(), Level.INFO);
        this.logger.log("MESSAGE RESULT : ", Level.INFO);
        this.processReturn(this.messageResult);
        this.logger.log("----------END OPEN REQUEST TO RETRIEVE THE AGREEMENT----------", Level.INFO);
    }
    
    public void sendHttpRequest(String theUrl, String postRequest) throws Exception {
        URL UrlOpenRequest = new URL(theUrl);
        HttpURLConnection HttpOpenRequest = (HttpURLConnection) UrlOpenRequest.openConnection();
        HttpOpenRequest.setDoOutput(true);
        HttpOpenRequest.setRequestMethod("POST");
        /*if (!"none".equals(postRequest)) {
            OutputStreamWriter writer = new OutputStreamWriter(HttpOpenRequest.getOutputStream());
            writer.write("fileContent=" + this.fileContentTosend + "&fileExtension=" + this.fileExtension);
            writer.flush();
        }*/
        this.parse_xml(HttpOpenRequest.getInputStream());
        HttpOpenRequest.disconnect();
    }
    
    public void parse_xml(InputStream flux_xml) throws SAXException, IOException, ParserConfigurationException
    {
        this.logger.log("----------BEGIN PARSE XML----------", Level.INFO);
        DocumentBuilder builder = DocumentBuilderFactory.newInstance().newDocumentBuilder();
        Document doc = builder.parse(flux_xml);
        this.messageResult.clear();
        NodeList level_one_list = doc.getChildNodes();
        for (Integer i=0; i < level_one_list.getLength(); i++) {
            NodeList level_two_list = level_one_list.item(i).getChildNodes();
            if ("SUCCESS".equals(level_one_list.item(i).getNodeName())) {
                for(Integer j=0; j < level_one_list.item(i).getChildNodes().getLength(); j++ ) {
                    this.messageResult.put(level_two_list.item(j).getNodeName(),level_two_list.item(j).getTextContent());
                }
                this.messageStatus = "SUCCESS";
            } else if ("ERROR".equals(level_one_list.item(i).getNodeName()) ) {
                for(Integer j=0; j < level_one_list.item(i).getChildNodes().getLength(); j++ ) {
                    this.messageResult.put(level_two_list.item(j).getNodeName(),level_two_list.item(j).getTextContent());
                }
                this.messageStatus = "ERROR";
            }
        }
        this.logger.log("----------END PARSE XML----------", Level.INFO);
    }
    
    public void processReturn(Hashtable result) {
        Iterator itValue = result.values().iterator(); 
        Iterator itKey = result.keySet().iterator();
        while(itValue.hasNext()) {
            String value = (String)itValue.next();
            String key = (String)itKey.next();
            this.logger.log(key + " : " + value, Level.INFO);
            if ("STATUS".equals(key)) {
                this.status = value;
            }
            
            if ("FILE_CONTENT".equals(key)) {
                this.fileContent = value;
            }
            
            if ("FORMATS_LIST".equals(key)) {
                this.formatsList = value;
            }
            
            if ("NB_ARTICLES".equals(key)) {
                this.nbArticles = value;
            }
            
            if ("TRANSFER_SIZE".equals(key)) {
                this.transferSize = value;
            }
            
            if ("ERROR".equals(key)) {
                this.error = value;
            }
            if ("END_MESSAGE".equals(key)) {
                this.endMessage = value;
            }
        }
        //send message error to Maarch if necessary
        /*if (!this.error.isEmpty()) {
            this.sendJsMessage(this.error.toString());
        }*/
    }
    
    

}
