package modele;

import java.util.ArrayList;
import java.util.List;
import java.util.Observable;
import java.util.Observer;

public abstract class AbstractArchive extends Observable {


	protected String 						originatingAgency;						//entite productice
	protected String 						originatingAgencyComment;				//service producteur
	protected String						date;									//date de versement
	protected String						TransferringAgencyContact;				//responsable versement
	protected String 						TransferringAgency;						//entite versante
	protected String 						type;									//tyde d entite
	protected List<AbstractArchiveObject>	contains;								//liste des articles (on n'aura que des art ac fichiers electroniques)
	protected int							index = 0;								//indice article courrant
	protected String						TransferringAgencyArchiveIdentifier; 	//n bordereau
	

	
	private ArrayList<Observer> listObserver = new ArrayList<Observer>();
	
	
	public String getOriginatingAgency() {
		return originatingAgency;
	}
	public String getOriginatingAgencyComment() {
		return originatingAgencyComment;
	}
	public String getTransferringAgencyContact() {
		return TransferringAgencyContact;
	}
	public String getTransferringAgency() {
		return TransferringAgency;
	}
	public String getType() {
		return type;
	}
	public String getDate() {
		return date;
	}

	public List<AbstractArchiveObject> getArchiveObjects() {
		return contains;
	}


	public String getTransferringAgencyArchiveIdentifier() {
		return TransferringAgencyArchiveIdentifier;
	}
	public void setTransferringAgencyArchiveIdentifier(
			String transferringAgencyArchiveIdentifier) {
		TransferringAgencyArchiveIdentifier = transferringAgencyArchiveIdentifier;
	}
	
	public void setOriginatingAgency(String originatingAgency) {
		this.originatingAgency = originatingAgency;
	}
	public void setOriginatingAgencyComment(String originatingAgencyComment) {
		this.originatingAgencyComment = originatingAgencyComment;
	}
	public void setDate(String date) {
		this.date = date;
	}
	public void setTransferringAgencyContact(String TransferringAgencyContact) {
		this.TransferringAgencyContact = TransferringAgencyContact;
	}
	public void setTransferringAgency(String TransferringAgency) {
		this.TransferringAgency = TransferringAgency;
	}
	public void setType(String type) {
		this.type = type;
	}

	
	public void addObserver(Observer obs) {
		this.listObserver.add(obs);
	}
	
	public void notifyObserver(AbstractArchiveObject abstractArchiveObject) {
		for(Observer obs : listObserver){
			obs.update(this, abstractArchiveObject);
		}
	}

	public void removeObserver() {
		listObserver = new ArrayList<Observer>();
	}
	
	public abstract AbstractArchiveObject getPreviousArchiveObject() ;
	
	public abstract AbstractArchiveObject getNextArchiveObject() ;
	
	public abstract AbstractArchiveObject getCurrentArchiveObject();

	//remove document indexDoc from current archive object
	public abstract void removeDocument(int indexDoc);

	//add document doc to current archive object
	public abstract void addDocument(AbstractDocument doc);
	
	//nb of archive object in the archive
	public abstract int getNbArchiveObjects() ;
	
	public abstract void addArchiveObject(AbstractArchiveObject article) ;
	
	public abstract long getTotalSize();
	
	

}
