package modele;

import javax.swing.JOptionPane;

import vue.DescriptiveForm;

public abstract class AbstractArchiveTransfer {

	

	protected AbstractArchive	archive;
	protected ArchivalAgreement	archivalAgreement;
	protected String			archiveTransferId;
	
	

	public abstract void removeDocumentFromCurrentArchiveObject(int indexDocument);


	public abstract AbstractArchiveObject getPreviousArchiveObject();

	
	public abstract AbstractArchiveObject getNextArchiveObject() ;


	public int getNbArchiveObjects(){
		return archive.getNbArchiveObjects();
	}
	
	
	public void addObserver(DescriptiveForm descriptiveForm) {
		archive.addObserver(descriptiveForm);
	}


	public void setArchive(AbstractArchive archive) {
		this.archive = archive;
	}


	public int getNbArchiveObjectsMax() {
		return archivalAgreement.getNbArchiveObjectsMax();
	}

	
	public AbstractArchive	getArchive(){
		return archive;
	}
	
	
	public void setArchiveTransferId(String archiveTransferId) {
		this.archiveTransferId = archiveTransferId;
	}
	
	
	public String	getArchiveTransferId(){
		return archiveTransferId;
	}
	

	public abstract void addDocumentToCurrentArchiveObject(AbstractDocument doc);


	public abstract void setArchivalAgreement(String[] formats, int nbArticles,
			long transferSize) ;


	public int agreementRespected(MyFile doc) {
		//on verifie le nombre de pièces par transfert
		//on verifie le	volume par transfert
		//on verifie le format
		
		
		if(!isFormatAllowed(doc.getFormat())){
			JOptionPane.showMessageDialog(null, "Fichier "+doc.getName()+"\nFormat du fichier non autorisé", "Information", JOptionPane.INFORMATION_MESSAGE);
			return 1;
		}
		if(getNbArchiveObjects() > getNbArchiveObjectsMax()){
			JOptionPane.showMessageDialog(null, "Fichier "+doc.getName()+"\nNombre de pièces maximal par transfer atteint", "Information", JOptionPane.INFORMATION_MESSAGE);
			return 2;
		}
		if((getTotalSize() + doc.getSize()) > (getTotalSizeMax()*1024)){
			JOptionPane.showMessageDialog(null, "Fichier "+doc.getName()+(getTotalSize() + doc.getSize())*1024+"\nVolume maximal par transfert atteint", "Information", JOptionPane.INFORMATION_MESSAGE);
			return 3;
		}
		
		return 0;
	
	}


	private long getTotalSize() {
		return archive.getTotalSize();
	}


	private boolean isFormatAllowed(String format) {
		
		boolean isAllowed = false;
		
		String[] formats = getAllowedFormats();
		int i = 0 ;
		
		while( i < formats.length && !isAllowed){
			isAllowed = formats[i].equals(format);
			i++;
		}
		
		return isAllowed;
	}


	private long getTotalSizeMax() {
		return archivalAgreement.getVolumeMax();
	}
	
	private String[] getAllowedFormats() {
		return archivalAgreement.getAllowedFormats();
	}


}
