package modele;

import java.util.ArrayList;

public class Archive extends AbstractArchive{

	public Archive(){
		
		contains = new ArrayList<AbstractArchiveObject>();					
		index = 0;
		
		/*
		originatingAgency = "Commune de Roquebrune";
		originatingAgencyComment = "Service technique Roquebrune";
		date = "16 / 11 / 2011";						
		transferringAgencyContact = "Corrine CLASTRES";		
		transferringAgency = "Commune de Roquebrune - Sce des archives";				
		type = "Versement";	

		AbstractArchiveObject article;
		for(int i = 1 ; i <4; i++ ){ 
			article = new ArchiveObject(i);
		
			contains.add(article);
		}
		*/
		
	}
	
	public AbstractArchiveObject getPreviousArchiveObject() {
		if(contains != null && !contains.isEmpty()){
			if(index > 0) index--;
			//else index = 0;
			notifyObserver(contains.get(index));
			return contains.get(index);
		}
		return null;
	}
	
	public AbstractArchiveObject getNextArchiveObject() {
		if(contains != null && !contains.isEmpty()){
			if(index < contains.size()-1) {
				index++;
				notifyObserver(contains.get(index));
			}
			return contains.get(index);
		}
		return null;
	}
	
	public AbstractArchiveObject getCurrentArchiveObject(){
		if (contains==null || index < 0 || index >= contains.size()) return null;
		return contains.get(index); 
	}


	//remove document indexDoc from current archive object
	public void removeDocument(int indexDoc){
		AbstractArchiveObject aObject = getCurrentArchiveObject();
		if (aObject != null ){ //&& aObject instanceof ArchiveObject){
			aObject.removeDocument(indexDoc);
			notifyObserver(aObject);			
		}
	}

	//add document doc to current archive object
	public void addDocument(AbstractDocument doc){
		AbstractArchiveObject aObject = getCurrentArchiveObject();
		if (aObject != null ){
			aObject.addDocument(doc);
			notifyObserver(aObject);
		}
	}
	
	public int getNbArchiveObjects(){
		return contains.size();
	}
	
	/*public String getNameCurrentArchiveObject() {
		// TODO Auto-generated method stub
		
		if (contains == null || contains.size() == 0) return " - ";
		return ( (index+1) + "/" + contains.size() + " - " + contains.get(index).getNumArticle());
	}*/
	

	public void addArchiveObject(AbstractArchiveObject article) {
		contains.add(article);
	}

	@Override
	public long getTotalSize() {
		long size = 0;
		
		for( AbstractArchiveObject archiveObject : contains){
			size += archiveObject.getSize();
		}
		
		return size;
	}
	
}
