package modele;

public class ArchiveTransfer extends AbstractArchiveTransfer {

	public ArchiveTransfer() {
		archive = new Archive();
		archivalAgreement = new ArchivalAgreement();
	}


	@Override
	public void removeDocumentFromCurrentArchiveObject(int indexDocument) {
		archive.removeDocument(indexDocument);
	}


	@Override
	public AbstractArchiveObject getPreviousArchiveObject() {
		return archive.getPreviousArchiveObject();
	}
	

	@Override
	public AbstractArchiveObject getNextArchiveObject() {
		return archive.getNextArchiveObject();
	}


	@Override
	public void addDocumentToCurrentArchiveObject(AbstractDocument doc) {
		archive.addDocument(doc);
	}


	@Override
	public void setArchivalAgreement(String[] formatsList, int nbArticles,
			long transferSize) {
		archivalAgreement.setAllowedFormats(formatsList);
		archivalAgreement.setNbArchiveObjectsMax(nbArticles);
		archivalAgreement.setVolumeMax(transferSize);
	}

}
