package vue;

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.DefaultCellEditor;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JTable;

import modele.FilesTable;

public class DeleteButtonEditor extends DefaultCellEditor {
	  
	/**
	 * 
	 */
	private static final long serialVersionUID = -2582830256520913770L;
	protected JButton button;
	private DeleteButtonListener bListener = new DeleteButtonListener();
	

	public DeleteButtonEditor(JCheckBox checkBox) {
		super(checkBox);
		button = new JButton(new ImageIcon("notOk.png"));
	    button.setOpaque(true);
	    button.addActionListener(bListener);
	}

	
	public Component getTableCellEditorComponent(JTable table, Object value,
	                   boolean isSelected, int row, int column) { 
		bListener.setRow(row);
		bListener.setTable(table);
		button.setIcon(new ImageIcon("ok.png"));
	    return button;
	}
	

	class DeleteButtonListener implements ActionListener{
		  private int row;
		  private JTable table;
		  
		  public void setRow(int row){this.row = row;}
		  public void setTable(JTable table){this.table = table;}
		  
		  public void actionPerformed(ActionEvent event) {
			if(table.getRowCount() > 0){
				((FilesTable)table.getModel()).removeRow(this.row);
			}
		  }
	  }	
	
}
