<?php
require_once (
    'modules/records_management/class/RecordsManagementController.php'
);
$RecordsManagementController = new RecordsManagementController();
$rootFilePlan = $RecordsManagementController->read('FilePlan', '101');

$skos = new DOMDocument();
$skos->load(
    "modules/records_management/schema/ThesaurusW.xml"
);

$xpath = new DOMXpath($skos);
$xpath->registerNamespace('skos', 'skos');
$xpath->registerNamespace('dc', 'dc');
$xpath->registerNamespace('dct', 'dct');
$xpath->registerNamespace('rdf', 'rdf');
$xpath->registerNamespace('rdfs', 'rdfs');
$xpath->registerNamespace('foaf', 'foaf');

$concepts = $xpath->query('//skos:Concept');
$l = $concepts->length;
for($i=0; $i<$l; $i++) {
    $concept = $concepts->item($i);
    // Get Position
    $IdUri = $concept->getAttributeNS('rdf', 'about');
    $IdUriParts = explode('/', $IdUri);
    $Id = end($IdUriParts);
    // Get Name
    $name = $concept->getElementsByTagNameNS('skos', 'prefLabel')->item(0)->nodeValue;
    $name = str_replace (array('\r\n', '\n', '\r', '\t'), ' ', $name);
    // Get Parent Position then search parent in DataObject
    if($parent = $concept->getElementsByTagNameNS('skos', 'broader')->item(0)) {
        $parentUri = $parent->getAttributeNS('rdf', 'resource');
        $parentUriParts = explode('/', $parentUri);
        $parentId = end($parentUriParts);

        $parentFilePlan = 
            $rootFilePlan->query(
                '//FilePlan[ThesaurusId="'.$parentId.'"]'
            )->item(0);
    } else {
        $parentFilePlan = $rootFilePlan;
    }
    // Create DataObject
    $FilePlan = 
        $RecordsManagementController->create(
            'FilePlan'
        );
    $FilePlan->FilePlanPosition = $name;
    $FilePlan->Name = $name;
    $FilePlan->ThesaurusId = $Id;
    $FilePlan->folder_level = ($parentFilePlan->folder_level + 1);
    $FilePlan->typist = 'superadmin';
    $FilePlan->creation_date = date('Y-m-d H:i:s');
    // Append to parent
    $parentFilePlan[] = $FilePlan;

}

$RecordsManagementController->save($rootFilePlan);
