<?php

/*
*   Copyright 2008-2012 Maarch
*
*   This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief   Action : indexing a file
*
* Open a modal box to displays the indexing form, make the form checks and loads
*  the result in database. Used by the core (manage_action.php page).
*
* @file
* @author Arnaud Veber <dev@maarch.org>
* @author Laurent Giovannoni <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup apps
*/

//$_SESSION['validStep'] = "ko";

require_once 'core/class/class_security.php';
require_once 'core/core_tables.php';
require_once 'core/class/class_request.php';
require_once 'core/class/class_resource.php';
require_once 'core/class/docservers_controler.php';
require_once 'core/class/class_history.php';

require_once 'apps/' . $_SESSION['config']['app_id'] 
    . '/definition_mail_categories_rm.php';
require_once 'apps/' . $_SESSION['config']['app_id'] 
    . '/class/class_business_app_tools.php';
require_once 'apps/' . $_SESSION['config']['app_id'] 
    . '/class/class_types.php';
require_once 'apps/' . $_SESSION['config']['app_id'] 
    . '/class/class_indexing_searching_app.php';
require_once 'apps/' . $_SESSION['config']['app_id'] 
    . '/apps_tables.php';
    
require_once 'modules/basket/class/class_modules_tools.php';
require_once 'modules/entities/entities_tables.php';
require_once 'modules/folder/folder_tables.php';

$core = new core_tools();
/**
* $confirm  bool false
*/
$confirm = false;
/**
* $etapes  array Contains only one etap : form
*/
$etapes = array('form');
/**
* $frm_width  Width of the modal (empty)
*/
$frm_width='';
/**
* $frm_height  Height of the modal (empty)
*/
$frm_height = '';
/**
* $mode_form  Mode of the modal : fullscreen
*/
$mode_form = 'fullscreen';
/**
 * Returns the indexing form text
 *
 * @param $values Array Not used here
 * @param $pathManageAction String Path to the PHP file called in Ajax
 * @param $actionId String Action identifier
 * @param $table String Table
 * @param $module String Origin of the action
 * @param $collId String Collection identifier
 * @param $mode String Action mode 'mass' or 'page'
 * @return String The form content text
 **/
function get_form_txt($values, $pathManageAction,  $actionId, $table, $module, $collId, $mode )
{
    if (preg_match("/MSIE 6.0/", $_SERVER["HTTP_USER_AGENT"])) {
        $ieBrowser = true;
        $displayValue = 'block';
    } elseif ( preg_match('/msie/i', $_SERVER["HTTP_USER_AGENT"]) 
            && !preg_match('/opera/i', $_SERVER["HTTP_USER_AGENT"])
    ) {
        $ieBrowser = true;
        $displayValue = 'block';
    } else {
        $ieBrowser = false;
        $displayValue = 'table-row';
    }
    
    $_SESSION['req'] = 'action';
    $resId = $values[0];
    $frmStr = '';

    $type = new types();
    $sec = new security();
    $b = new basket();
    $core = new core_tools();
    $business = new business_app_tools();
    $db = new dbquery();
    $db->connect();
    

    require_once 'modules/records_management/class/RecordsManagementController.php';
    require_once 'core/tests/class/ViewController.php';
    $RecordsManagementController = new RecordsManagementController();
    $ViewController = new ViewController();
    $view = $ViewController->createView();
    $folder_select = $view->createSelect();
    $folder_select->setAttribute('id', 'schedule');
    $folder_select->setAttribute('name', 'schedule');
    $folder_select->setAttribute('onChange', 'ArchiveObjectIndexSchedule__select()');
    $Schedules = 
        $RecordsManagementController->read(
            'Schedule',
            '100'
        );
    $folder_select->addOption(
        '', 'Sélectionnez un type d\'archive...'
    );
    makeScheduleList(
        $Schedules,
        $folder_select
    );
    
    /*$doctypes = $type->getArrayStructTypes(
        $collId
    );*/

    $today = date(
        'd-m-Y'
    );
    $tmp = $business->get_titles();
    $titles = $tmp['titles'];
    $defaultTitle = $tmp['default_title'];
    
    //retrieve entity list
    $services = array();
    if (
        count($_SESSION['user']['redirect_groupbasket'][$_SESSION['current_basket']['id']][$actionId]['entities']) > 0
    ) {
        $query = 'SELECT ';
            $query .= 'entity_id, ';
            $query .= 'entity_label, ';
            $query .= 'short_label ';
        $query .= 'FROM ';
            $query .= ENT_ENTITIES . ' ';
        $query .= 'WHERE ';
                $query .= "entity_id in (";
                    $query .= $_SESSION['user']['redirect_groupbasket'][$_SESSION['current_basket']['id']][$actionId]['entities'];
                $query .= ") ";
            $query .= "AND ";
                $query .= "enabled= 'Y' ";
        $query .= 'ORDER BY ';
            $query .= 'short_label';
        
        $db->query(
            $query
        );
        
        while ($res = $db->fetch_object()) {
            $services[] = array(
                'ID' => $res->entity_id,
                'LABEL' => $db->show_string(
                    $res->entity_label
                ),
                'SHORT_LABEL' => $db->show_string(
                    $res->short_label
                ),
            );
        }
    }
    
    //retrieve rm_entities list
    $rm_entities = array();
    $query = 'SELECT ';
        $query .= 'entity_id, ';
        $query .= 'entity_label, ';
        $query .= 'short_label ';
    $query .= 'FROM ';
        $query .= 'entities ';
    $query .= 'WHERE ';
        $query .= 'entity_id IN (';
            $query .= 'SELECT ';
                $query .= 'DISTINCT entity_id ';
            $query .= 'FROM ';
                $query .= 'rm_entities ';
            $query .= 'WHERE ';
                $query .= "is_originating_agency = 'Y' ";
        $query .= ')';
    
    $db->query($query);
    
    while($rm_entity = $db->fetch_object()) {
        $rm_entites[] = array(
            'ID' => $rm_entity->entity_id,
            'LABEL' => $db->show_string(
                $rm_entity->entity_label
            ),
            'SHORT_LABEL' => $db->show_string(
                $rm_entity->short_label
            ),
        );
    }

    // Select statuses from groupbasket
    $statuses = array();
    
    $query = 'SELECT ';
        $query .= 'status_id, ';
        $query .= 'label_status ';
    $query .= 'FROM ';
        $query .= GROUPBASKET_STATUS . ' ';
    $query .= 'LEFT JOIN ';
        $query .= $_SESSION['tablename']['status'] . ' ';
    $query .= 'ON ';
        $query .= "status_id = id ";
    $query .= 'WHERE ';
            $query .= "basket_id = '" . $_SESSION['current_basket']['id'] . "' ";
        $query .= "AND ";
            $query .= "group_id = '" . $_SESSION['user']['primarygroup'] . "' ";
        $query .= "AND ";
            $query .= "action_id = " . $actionId . " ";
    
    $db->query($query);

    while($status = $db->fetch_object()) {
        $statuses[] = array(
            'ID' => $status->status_id,
            'LABEL' => $db->show_string($status->label_status)
        );
    }

    $frmStr .= '<div id="validleft">';
        $frmStr .= '<div id="index_div" style="display:none;">';
            $frmStr .= '<h1 class="tit" id="action_title">';
                $frmStr .= '<img src="' . $_SESSION['config']['businessappurl'] . 'static.php?filename=file_index_b.gif"  align="middle" alt="" />' . _STORE_ARCHIVE;
            $frmStr .= '</h1>';
            $frmStr .= '<div id="frm_error_' . $actionId . '" class="indexing_error"></div>';
            $frmStr .= '<form name="index_file" method="post" id="index_file" action="#" class="forms indexingform" style="text-align:left;">';
                $frmStr .= '<input type="hidden" name="values" id="values" value="' . $resId . '" />';
                $frmStr .= '<input type="hidden" name="action_id" id="action_id" value="' . $actionId . '" />';
                $frmStr .= '<input type="hidden" name="mode" id="mode" value="' . $mode . '" />';
                $frmStr .= '<input type="hidden" name="table" id="table" value="' . $table . '" />';
                $frmStr .= '<input type="hidden" name="coll_id" id="coll_id" value="' . $collId . '" />';
                $frmStr .= '<input type="hidden" name="module" id="module" value="' . $module . '" />';
                $frmStr .= '<input type="hidden" name="req" id="req" value="second_request"' . ' />';
                $frmStr .= '<input type="hidden" name="item_type" id="item_type" value="Archive" />';
                $frmStr .= '<input type="hidden" name="type_id" id="type_id" value="100" />';
                $frmStr .= '<div  style="display:block">';
                    /*
                    if (!isset($_SESSION['FILE']['extension']) || $_SESSION['FILE']['extension'] == "") {
                        $frmStr .= '<div  style="display:block" id="choose_file_div">';
                            $frmStr .= '<iframe src="' . $_SESSION['config']['businessappurl'] . 'index.php?display=true&dir=indexing_searching&page=choose_file" name="choose_file" id="choose_file" frameborder="0" scrolling="no" width="100%" height="40">';
                            $frmStr .= '</iframe>';
                        $frmStr .= '</div>';
                    }
                    */
    
                    $frmStr .= '<table width="100%" align="center" border="0" id="indexing_fields" style="display:block;">';
                    
                        /*** _SUPPORT ***/
                        $frmStr .= '<tr>';
                            $frmStr .= '<td colspan="4">';
                                $frmStr .= '<h3 style="color: #FFC200;">';
                                    $frmStr .= _SUPPORT;
                                $frmStr .= '</h3>';
                                $frmStr .= '<hr style="margin-top: 1px; background-color: #93D1E4;">';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** Category ***/
                        $frmStr .= '<tr id="category_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td style="width:200px;">';
                                $frmStr .= '<label for="category_id" class="form_title" >';
                                    $frmStr .= _CATEGORY;
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td style="width:10px;">&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= '<select name="category_id" id="category_id" onchange="clear_error(\'frm_error_' . $actionId . '\');change_category(this.options[this.selectedIndex].value, \'' . $displayValue . '\',  \'' . $_SESSION['config']['businessappurl'] . 'index.php?display=true&dir=indexing_searching&page=change_category\',  \'' . $_SESSION['config']['businessappurl'] . 'index.php?display=true&page=get_content_js\');">';
                                $frmStr .= '<option value="rm_archive" selected="selected">' . _RM_ARCHIVE . '</option>';
                                $frmStr .= '</select>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="category_id_mandatory" style="display:inline;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** CHOOSE FILE ***/
                        $frmStr .= '<tr id="category_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td colspan="4">';
                                if (!isset($_SESSION['FILE']['extension']) || $_SESSION['FILE']['extension'] == "") {
                                    $frmStr .= '<div  style="display:block" id="choose_file_div">';
                                        $frmStr .= '<iframe src="' . $_SESSION['config']['businessappurl'] . 'index.php?display=true&dir=indexing_searching&page=choose_file" name="choose_file" id="choose_file" frameborder="0" scrolling="no" width="100%" height="24">';
                                        $frmStr .= '</iframe>';
                                    $frmStr .= '</div>';
                                }
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** _PROVENANCE ***/
                        $frmStr .= '<tr>';
                            $frmStr .= '<td colspan="4">';
                                $frmStr .= '<h3 style="color: #FFC200;">';
                                    $frmStr .= _PROVENANCE;
                                $frmStr .= '</h3>';
                                $frmStr .= '<hr style="margin-top: 1px; background-color: #93D1E4;">';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** ENTITE PRODUCTRICE ***/
                        $frmStr .= '<tr id="originating_agency_entity_id_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td>';
                                $frmStr .= '<label for="originating_agency_entity_id" class="form_title" id="originating_agency_entity_id" style="display:inline;" >';
                                    $frmStr .= _ORIGINATING_ENTITY;
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= '<select name="originating_agency_entity_id" id="originating_agency_entity_id" onchange="clear_error(\'frm_error_' . $actionId . '\'); load_originatingSubentities(this.options[this.selectedIndex].value);">';
                                    $frmStr .= '<option value="">' . _CHOOSE_ORIGINATING_ENTITY . '</option>';
                                    for ($i=0; $i<count($rm_entites); $i++) {
                                        $frmStr .= '<option value="' . $rm_entites[$i]['ID'] . '" >' . $db->show_string($rm_entites[$i]['SHORT_LABEL']) . '</option>';
                                    }
                                $frmStr .= '</select>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="originating_agency_entity_id_mandatory" style="display:inline;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** SERVICE PRODUCTEUR ***/
                        $frmStr .= '<tr id="originating_user_id_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td>';
                                $frmStr .= '<label for="originating_user_id" class="form_title" id="label_originating_user_id" style="display:inline;" >';
                                    $frmStr .= _ORIGINATING_TYPIST_ENTITY;
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= '<select name="originating_user_id" id="originating_user_id" onchange="clear_error(\'frm_error_' . $actionId . '\');">';
                                    $frmStr .= '<option value="">' . _FIRST_CHOOSE_ORIGINATING_TYPIST_ENTITY . '</option>';
                                $frmStr .= '</select>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="originating_user_id_mandatory" style="display:none;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** SERVICE VERSANT ***/
/*
                        $frmStr .= '<tr id="destination_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td>';
                                $frmStr .= '<label for="destination" class="form_title" id="label_destination" style="display:inline;" >';
                                    $frmStr .= _TRANSFERING_AGENCY;
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= '<select name="destination" id="destination" onchange="clear_error(\'frm_error_' . $actionId . '\');">';
                                $frmStr .= '</select>';
                            $frmStr.= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="destination_mandatory" style="display:inline;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
*/
                        
                        /*** _STORING_DESCRIPTION ***/
                        $frmStr .= '<tr>';
                            $frmStr .= '<td colspan="4">';
                                $frmStr .= '<h3 style="color: #FFC200;">';
                                    $frmStr .= _STORING_DESCRIPTION; 
                                $frmStr .= '</h3>';
                                $frmStr .= '<hr style="margin-top: 1px; background-color: #93D1E4;">';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** _TYPE_DARCHIVE ***/
                        $frmStr .= '<tr id="type_id_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td>';
                                $frmStr .= '<label for="type_id">';
                                    $frmStr .= '<span class="form_title" id="doctype_res" style="display:none;">';
                                        $frmStr .= _RM_DOCTYPE;
                                    $frmStr .= '</span>';
                                    $frmStr .= '<span class="form_title" id="doctype_mail" style="display:inline;">';
                                        $frmStr .= _RM_DOCTYPE;
                                    $frmStr .= '</span>';
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= $folder_select->C14N();
                                /*$frmStr .= '<select name="type_id" id="type_id" onchange="clear_error(\'frm_error_' . $actionId . '\'); change_doctype(this.options[this.selectedIndex].value, \'' . $_SESSION['config']['businessappurl'] . 'index.php?display=true&dir=indexing_searching&page=change_doctype\', \''. _ERROR_DOCTYPE . '\', \'' . $actionId . '\', \''. $_SESSION['config']['businessappurl'] . 'index.php?display=true&page=get_content_js\', \'' . $displayValue . '\', \'\', \'rm_coll\');">';
                                    $frmStr .= '<option value="">' . _CHOOSE_TYPE . '</option>';
                                    if ($_SESSION['features']['show_types_tree'] == 'true') {
                                        for ($i=0; $i<count($doctypes); $i++) {
                                            $frmStr .= '<option value="" class="' . $doctypes[$i]['style'] . '" title="' . $doctypes[$i]['label'] . '" label="' . $doctypes[$i]['label'] . '" >' . $doctypes[$i]['label'] . '</option>';
                                            for ($j=0; $j<count($doctypes[$i]['level2']); $j++) {
                                                $frmStr .= '<option value="" class="' . $doctypes[$i]['level2'][$j]['style'] .'" title="' . $doctypes[$i]['level2'][$j]['label'] . '" label="' . $doctypes[$i]['level2'][$j]['label'] . '" >&nbsp;&nbsp;' . $doctypes[$i]['level2'][$j]['label'] .'</option>';
                                                for ($k=0; $k<count($doctypes[$i]['level2'][$j]['types']); $k ++) {
                                                    $frmStr .= '<option value="' . $doctypes[$i]['level2'][$j]['types'][$k]['id'] . '" title="' . $doctypes[$i]['level2'][$j]['types'][$k]['label'] . '" label="' . $doctypes[$i]['level2'][$j]['types'][$k]['label'] . '">&nbsp;&nbsp;&nbsp;&nbsp;' . $doctypes[$i]['level2'][$j]['types'][$k]['label'] . '</option>';
                                                }
                                            }
                                        }
                                    } else {
                                        for ($i=0; $i<count($doctypes); $i++) {
                                            $frmStr .= '<option value="' . $doctypes[$i]['ID'] . '" >' . $doctypes[$i]['LABEL'] . '</option>';
                                        }
                                    }
                                $frmStr .= '</select>';*/
                            $frmStr .= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="type_id_mandatory" style="display:inline;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** REGLE DE GESTION ***/
                        $frmStr .= '<tr id="appraisal_code_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td>';
                                $frmStr .= '<label for="appraisal_code" class="form_title" style="display:inline;" >';
                                    $frmStr .= _APPRAISAL;
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= '<select name="appraisal_code" id="appraisal_code" disabled="disabled" class="readonly" onchange="clear_error(\'frm_error_' . $actionId . '\');">';
                                    //$frmStr .= '<option value="">' . _CHOOSE_APPRAISAL . '</option>';
                                    $frmStr .= '<option value="conserver">Conserver</option>';
                                    $frmStr .= '<option value="detruire">Détruire</option>';
                                $frmStr .= '</select>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="appraisal_code_mandatory" style="display:inline;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** DUA ***/
                        $frmStr .= '<tr id="appraisal_duration_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td>';
                                $frmStr .= '<label for="appraisal_duration" class="form_title" style="display:inline;" >';
                                    $frmStr .= _DUA;
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= '<input name="appraisal_duration" disabled="disabled" class="readonly" type="text" id="appraisal_duration" onclick="clear_error(\'frm_error_' . $actionId . '\');" />';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="appraisal_duration_mandatory" style="display:inline;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** COMMUNICABILITE ***/
                        $frmStr .= '<tr id="access_restriction_code_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td>';
                                $frmStr .= '<label for="access_restriction_code" class="form_title" style="display:inline;" >';
                                    $frmStr .= _ACCESS_RESTRICTION;
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= '<input name="access_restriction_code" disabled="disabled" class="readonly" type="text" id="access_restriction_code" onclick="clear_error(\'frm_error_' . $actionId . '\');" />';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="appraisal_duration_mandatory" style="display:inline;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** _INTITULE_ANALYSE ***/
                        $frmStr .= '<tr id="name_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td>';
                                $frmStr .= '<label for="name" class="form_title" >';
                                    $frmStr .= _INTITULE_ANALYSE;
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= '<textarea name="name" id="name" rows="4" onchange="clear_error(\'frm_error_' . $actionId . '\');" >';
                                $frmStr .= '</textarea>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="name_mandatory" style="display:inline;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** _ITEM DATE ***/
                        $frmStr .= '<tr id="doc_date_tr" style="display:' . $displayValue . ';">';
                            $frmStr .= '<td>';
                                $frmStr .= '<label for="doc_date" class="form_title" id="doc_dat_label">';
                                    $frmStr .= _ITEM_DATE;
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= '<input name="doc_date" type="text" id="doc_date" value="" onclick="clear_error(\'frm_error_' . $actionId . '\');showCalender(this);" />';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="doc_date_mandatory" style="display:inline;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr >';
                        
                        /*** FOLDER ***/
                        $frmStr .= '<tr id="project_tr" style="display:none;">';
                            $frmStr .= '<td>';
                                $frmStr .= '<label for="project" class="form_title" >';
                                    $frmStr .= _ITEM_FOLDER;
                                $frmStr .= '</label>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>&nbsp;</td>';
                            $frmStr .= '<td class="indexing_field">';
                                $frmStr .= '<input type="text" name="project" id="project" onblur="clear_error(\'frm_error_'. $actionId . '\');return false;" />';
                                $frmStr .= '<div id="project_autocomplete" class="autocomplete"></div>';
                            $frmStr .= '</td>';
                            $frmStr .= '<td>';
                                $frmStr .= '<span class="red_asterisk" id="project_mandatory" style="display:inline;">';
                                    $frmStr .= '*';
                                $frmStr .= '</span>';
                            $frmStr .= '</td>';
                        $frmStr .= '</tr>';
                        
                        /*** Status ***/
                        if(count($statuses) > 0) {
                            $frmStr .= '<tr id="status" style="display:' . $displayValue . ';">';
                                $frmStr .= '<td>';
                                    $frmStr .= '<label for="status" class="form_title" >';
                                        $frmStr .= _STATUS;
                                    $frmStr .= '</label>';
                                $frmStr .= '</td>';
                                $frmStr .= '<td>&nbsp;</td>';
                                $frmStr .= '<td class="indexing_field">';
                                    $frmStr .= '<select name="status" id="status" onchange="clear_error(\'frm_error_' . $actionId . '\');">';
                                        $frmStr .= '<option value="">' . _CHOOSE_STATUS . '</option>';
                                        for ($i=0; $i<count($statuses); $i++) {
                                            $frmStr .= '<option value="' . $statuses[$i]['ID'] . '" ';
                                            if ($statuses[$i]['ID'] == 'NEW') {
                                                $frmStr .= 'selected="selected"';
                                            }
                                            $frmStr .= '>';
                                                $frmStr .= $statuses[$i]['LABEL'];
                                            $frmStr .= '</option>';
                                        }
                                    $frmStr .= '</select>';
                                $frmStr .= '</td>';
                            $frmStr .= '</tr>';
                        }
                        
                        /*** Tags ***/
                        if (
                            $core->is_module_loaded('tags') && ($core->test_service('tag_view', 'tags',false) == 1) && ($core->test_service('add_tag_to_res', 'tags',false) == 1)
                        ) {
                            include_once('modules/tags/templates/index_mlb/index.php');
                        }
                        
                    $frmStr .= '</table>';
                    $frmStr .= '<div id="comp_indexes" style="display:block;"></div>';
                $frmStr .= '</div>';

                /*** Actions ***/
                $frmStr .= '<hr width="90%"/>';
                $frmStr .= '<p align="center">';
                    $frmStr .= '<b>' . _ACTIONS . ' : </b>';
                    $actions  = $b->get_actions_from_current_basket(
                        $resId, 
                        $collId, 
                        'PAGE_USE', 
                        false
                    );
                    if (count($actions) > 0) {
                        $frmStr .= '<select name="chosen_action" id="chosen_action">';
                            $frmStr .= '<option value="">' . _CHOOSE_ACTION . '</option>';
                            for ($indAct = 0; $indAct < count($actions); $indAct ++) {
                                $frmStr .= '<option value="' . $actions[$indAct]['VALUE'] . '"';
                                if ($indAct == 0) {
                                    $frmStr .= 'selected="selected"';
                                }
                                $frmStr .= '>';
                                    $frmStr .= $actions[$indAct]['LABEL'];
                                $frmStr .= '</option>';
                            }
                        $frmStr .= '</select> ';
                        $frmStr .= '<input type="button" name="send" id="send" value="' . _VALIDATE . '" class="button" ' . 'onclick="valid_action_form(\'index_file\', \'' . $pathManageAction . '\', \'' . $actionId . '\', \'' . $resId . '\', \'' . $table . '\', \'' . $module . '\', \'' . $collId . '\', \'' . $mode . '\', true);"/> ';
                    }
                    $frmStr .= '<input name="close" id="close" type="button" value="' . _CANCEL . '" class="button" ' . 'onclick="javascript:window.top.location.href=\'' . $_SESSION['config']['businessappurl'] . 'index.php\';reinit();"/>';
                $frmStr .= '</p>';
            $frmStr .= '</form>';
        $frmStr .= '</div>';
    $frmStr .= '</div>';

    /*** Frame to display the doc ***/
    $frmStr .= '<div id="validright">';
        $frmStr .= '<script type="text/javascript">';
            $frmStr .= 'show_admin_contacts( true);';
        $frmStr .= '</script>';
        
        if ($_SESSION['origin'] == "scan") {
            $frmStr .= '<iframe src="' . $_SESSION['config']['businessappurl']
                    . 'index.php?display=true&dir=indexing_searching&page='
                    . 'file_iframe&#navpanes=0" name="file_iframe" id="file_iframe"'
                    . ' scrolling="auto" frameborder="0" style="display:block;">'
                    . '</iframe>';
        } else {
            $frmStr .= '<iframe src="' . $_SESSION['config']['businessappurl']
                    . 'index.php?display=true&dir=indexing_searching&page='
                    . 'file_iframe" name="file_iframe" id="file_iframe" '
                    . 'scrolling="auto" frameborder="0" style="display:block;">'
                    . '</iframe>';
        }
        
    $frmStr .= '</div>';

    /*** Extra javascript ***/
    $frmStr .= '<script type="text/javascript">';
        $frmStr .= 'load_destination(\'' . $_SESSION['user']['primaryentity']['id'] . '\');';
        $frmStr .= 'resize_frame_process(\'modal_' . $actionId . '\', \'file_iframe\', true, true);';
        $frmStr .= 'window.scrollTo(0,0);';
        $frmStr .= 'change_category(\'' . $_SESSION['coll_categories']['rm_coll']['default_category'] . '\', \'' . $displayValue . '\', \'' . $_SESSION['config']['businessappurl'] . 'index.php?display=true&dir=indexing_searching&page=change_category\',  \'' . $_SESSION['config']['businessappurl'] . 'index.php?display=true&page=get_content_js\');';
            $frmStr .= 'ArchiveObjectIndex__load();';
            $frmStr .= '$(\'baskets\').style.visibility=\'hidden\';';
            $frmStr .= 'var item = $(\'index_div\'); if(item){item.style.display=\'block\';}';
        $frmStr .= '</script>';

    return addslashes($frmStr);
}

/**
 * Checks the action form
 *
 * @param $formId String Identifier of the form to check
 * @param $values Array Values of the form
 * @return Bool true if no error, false otherwise
 **/
function check_form($formId, $values)
{
    //print_r($values);
    $_SESSION['action_error'] = '';
    if (count($values) < 1 || empty($formId)) {
        $_SESSION['action_error'] = _FORM_ERROR;
        return false;
    } else {
        //print_r($values);
        $collId = get_value_fields($values, 'coll_id');        
        $catId = get_value_fields($values, 'category_id');
        if (!$catId) {
            $_SESSION['action_error'] = _CATEGORY . ' ' . _IS_EMPTY;
            return false;
        }
        $noError = process_category_check($catId, $values);

        if ($noError == false) {
            //$_SESSION['action_error'] .= _ERROR_CATEGORY;
            return false;
        }

        if (isset($_SESSION['upfile']['format'])
            && $_SESSION['upfile']['format'] <> 'maarch'
        ) {
            $is = new indexing_searching_app();
            $state = $is->is_filetype_allowed(
                $_SESSION['upfile']['format']
            );
            if (!$state) {
                $_SESSION['action_error'] .= '<br/>'
                    . $_SESSION['upfile']['format'] . _FILETYPE . ' '
                    . _NOT_ALLOWED;
                return false;
            }
        }
        return check_docserver($collId);
    }
}

/**
 * Makes all the checks on the docserver and store the file
 *
 * @param $catId String Collection identifier
 * @return Bool true if no error, false otherwise
 **/
function check_docserver($collId) {
    if (isset($_SESSION['indexing']['path_template'])
        && ! empty($_SESSION['indexing']['path_template'])
        && isset($_SESSION['indexing']['destination_dir'])
        && ! empty($_SESSION['indexing']['destination_dir'])
        && isset($_SESSION['indexing']['docserver_id'])
        && ! empty($_SESSION['indexing']['docserver_id'])
        && isset($_SESSION['indexing']['file_destination_name'])
        && ! empty($_SESSION['indexing']['file_destination_name'])
    ) {
        $_SESSION['action_error'] = _CHECK_FORM_OK;
        return true;
    }
    $core = new core_tools();
    if ($core->is_module_loaded('templates')
        && $_SESSION['upfile']['format'] == "maarch"
    ) {
        if (!isset($_SESSION['template_content'])
            || empty($_SESSION['template_content'])
        ) {
            $_SESSION['action_error'] = _TEMPLATE . ' ' . _IS_EMPTY;
            return false;
        }
        if (
            !isset($_SESSION['upfile']['name'])
            && $_SESSION['upfile']['name'] == ''
        ) {
            $_SESSION['upfile']['name'] = 'tmp_file_'
                . $_SESSION['user']['UserId'] . '_' . rand() . '.maarch';
            $tmpPath = $_SESSION['config']['tmppath'] . DIRECTORY_SEPARATOR
                . $_SESSION['upfile']['name'];
            $myfile = fopen($tmpPath, "w");
            if (!$myfile) {
                $_SESSION['action_error'] .= _FILE_OPEN_ERROR . '.<br/>';
                return false;
            }
            fwrite($myfile, $_SESSION['template_content']);
            fclose($myfile);
            $_SESSION['upfile']['size'] = filesize($tmpPath);
        }
    }
    if ($_SESSION['origin'] == "scan") {
        $newFileName = "tmp_file_" . $_SESSION['upfile']['md5'] . '.'
                     . strtolower($_SESSION['upfile']['format']);
    } else {
        $newFileName = $_SESSION['upfile']['name'];
    }

    $docserverControler = new docservers_controler();
    $fileInfos = array(
        "tmpDir"      => $_SESSION['config']['tmppath'],
        "size"        => $_SESSION['upfile']['size'],
        "format"      => $_SESSION['upfile']['format'],
        "tmpFileName" => $newFileName,
    );
    //print_r($fileInfos);
    $storeResult = array();
    $storeResult = $docserverControler->storeResourceOnDocserver(
        $collId, $fileInfos
    );
    //print_r($storeResult);
    if (isset($storeResult['error']) && $storeResult['error'] <> "") {
        $_SESSION['action_error'] = $storeResult['error'];
        return false;
    } else {
        $_SESSION['indexing']['path_template'] = $storeResult['path_template'];
        $_SESSION['indexing']['destination_dir'] = $storeResult['destination_dir'];
        $_SESSION['indexing']['docserver_id'] = $storeResult['docserver_id'];
        $_SESSION['indexing']['file_destination_name'] 
            = $storeResult['file_destination_name'];
        $_SESSION['action_error'] = _CHECK_FORM_OK;
        return true;
    }
}

/**
 * Checks the values of the action form for a given category
 *
 * @param $catId String Category identifier
 * @param $values Array Values of the form to check
 * @return Bool true if no error, false otherwise
 **/
function process_category_check($catId, $values)
{
    $core = new core_tools();
    // If No category : Error
    if (! isset($_ENV['categories'][$catId])) {
        $_SESSION['action_error'] = _CATEGORY . ' ' . _UNKNOWN . ': ' . $catId;
        return false;
    }

    // Simple cases
    for ($i = 0; $i < count($values); $i ++) {
        if (! isset($values[$i]['ID'])) {
            $tmpId = 'none';
        } else {
            $tmpId = $values[$i]['ID'];
        }

        if (isset($_ENV['categories'][$catId][$tmpId]['mandatory'])
           && $_ENV['categories'][$catId][$tmpId]['mandatory'] == true
           && empty($values[$i]['VALUE'])
        ) {
            if ($tmpId <> 'appraisal_duration') {
                $_SESSION['action_error'] = $_ENV['categories'][$catId][$tmpId]['label']
                                          . ' ' . _IS_EMPTY . $tmpId;
                return false;
            }
        }
        if (isset($_ENV['categories'][$catId][$tmpId]['type_form'])
            && $_ENV['categories'][$catId][$tmpId]['type_form'] == 'date'
            && ! empty($values[$i]['VALUE'])
            && preg_match($_ENV['date_pattern'], $values[$i]['VALUE']) == 0
        ) {
            $_SESSION['action_error'] = $_ENV['categories'][$catId][$tmpId]['label']
                                      . ' ' . _WRONG_FORMAT;
            return false;
        }
        if (isset($_ENV['categories'][$catId][$tmpId]['type_form'])
            && $_ENV['categories'][$catId][$tmpId]['type_form'] == 'integer'
            && ! empty($values[$i]['VALUE'])
            && preg_match("/^[0-9]*$/", $values[$i]['VALUE']) == 0
        ) {
            $_SESSION['action_error'] = $_ENV['categories'][$catId][$tmpId]['label']
                                      . ' ' . _WRONG_FORMAT;
            return false;
        }
        if (isset($_ENV['categories'][$catId][$tmpId]['type_form'])
            && $_ENV['categories'][$catId][$tmpId]['type_form'] == 'radio'
            && ! empty($values[$i]['VALUE'])
            && ! in_array(
                $values[$i]['VALUE'], $_ENV['categories'][$catId][$tmpId]['values']
            )
        ) {
            $_SESSION['action_error'] = $_ENV['categories'][$catId][$tmpId]['label']
                                      . ' ' . _WRONG_FORMAT;
            return false;
        }
    }
    ///// Checks the complementary indexes depending on the doctype
    require_once 'apps' . DIRECTORY_SEPARATOR . $_SESSION['config']['app_id']
        . DIRECTORY_SEPARATOR . 'class' . DIRECTORY_SEPARATOR
        . 'class_types.php';
    $type = new types();
    $typeId = get_value_fields($values, 'type_id');
    $collId = get_value_fields($values, 'coll_id');
    $indexes = $type->get_indexes($typeId, $collId, 'minimal');
    $valIndexes = array();
    for ($i = 0; $i < count($indexes); $i ++) {
        $valIndexes[$indexes[$i]] = get_value_fields($values, $indexes[$i]);
    }
    $testType = $type->check_indexes($typeId, $collId, $valIndexes );
    if (! $testType) {
        $_SESSION['action_error'] .= $_SESSION['error'];
        $_SESSION['error'] = '';
        return false;
    }

    ///////////////////////// Folders
    $db = new dbquery();
    $db->connect();
    $projectId = '';
    $project = get_value_fields($values, 'project');
    if (isset($_ENV['categories'][$catId]['other_cases']['project'])
        && $_ENV['categories'][$catId]['other_cases']['project']['mandatory'] == true
    ) {
        if (empty($project)) {
            $_SESSION['action_error'] 
                = $_ENV['categories'][$catId]['other_cases']['project']['label']
                . ' ' . _IS_EMPTY;
            return false;
        }
    }
    if (!empty($project)) {
        /*if (! preg_match('/\([0-9]+\)$/', $project)) {
            $_SESSION['action_error'] 
                = $_ENV['categories'][$catId]['other_cases']['project']['label']
                . " " . _WRONG_FORMAT;
            return false;
        }*/
        $projectId = str_replace(
            '[', '', substr($project, 0, strrpos($project, ']'))
        );
        $db->query(
            "select folders_system_id from " . FOLD_FOLDERS_TABLE
            . " where folder_id = '" . $project . "'"
        );
        if ($db->nb_result() == 0) {
            $_SESSION['action_error'] = _MARKET . ' ' . $projectId . ' '
                                      . _UNKNOWN;
            return false;
        }
    }
    
/*
    if (!empty($typeId ) && (!empty($projectId))) {
        $foldertypeId = '';
        
        $db->query(
            "select foldertype_id from " . FOLD_FOLDERS_TABLE
            ." where folder_id = '" . $projectId . "'"
        );

        $res = $db->fetch_object();
        $foldertypeId = $res->foldertype_id;
        $db->query(
            "select fdl.foldertype_id from "
            . FOLD_FOLDERTYPES_DOCTYPES_LEVEL1_TABLE . " fdl, "
            . DOCTYPES_TABLE . " d where d.doctypes_first_level_id = "
            . "fdl.doctypes_first_level_id and fdl.foldertype_id = "
            . $foldertypeId . " and d.type_id = " . $typeId
        );
        if ($db->nb_result() == 0) {
            $_SESSION['action_error'] .= _ERROR_COMPATIBILITY_FOLDER;
            return false;
        }
    }
*/
    
    return true;
}

/**
 * Get the value of a given field in the values returned by the form
 *
 * @param $values Array Values of the form to check
 * @param $field String the field
 * @return String the value, false if the field is not found
 **/
function get_value_fields($values, $field)
{
    for ($i = 0; $i < count($values); $i ++) {
        if ($values[$i]['ID'] == $field) {
            return  $values[$i]['VALUE'];
        }
    }
    return false;
}

/**
 * Action of the form : loads the index in the db
 *
 * @param $arrId Array Not used here
 * @param $history String Log the action in history table or not
 * @param $actionId String Action identifier
 * @param $label_action String Action label
 * @param $status String  Not used here
 * @param $collId String Collection identifier
 * @param $table String Table
 * @param $formValues String Values of the form to load
 * @return false or an array
 *          $data['result'] : res_id of the new file followed by #
 *          $data['history_msg'] : Log complement (empty by default)
 *          $data['page_result'] : Page to load when action is done and modal closed
 **/
function manage_form($arrId, $history, $actionId, $label_action, $status,
$collId, $table, $formValues )
{
    if (empty($formValues) || count($arrId) < 1 || empty($collId)) {
        $_SESSION['action_error'] = _ERROR_MANAGE_FORM_ARGS;
        return false;
    }
    $resId = '';
    $db = new dbquery();
    $sec = new security();
    $req = new request();
    $core = new core_tools();
    $hist = new history();
    $table = $sec->retrieve_table_from_coll($collId);
    $indColl = $sec->get_ind_collection($collId);
    $tableExt = $_SESSION['collections'][$indColl]['extensions'][0];
    $queryExtFields = '(';
    $queryExtValues = '(';
    $resource = new resource();
    $_SESSION['data'] = array();
    
    $doc_date = get_value_fields($formValues, 'doc_date');
    $creation = substr($doc_date, 6, 4) . '-' . substr($doc_date, 3, 2) . '-' . substr($doc_date, 0, 2); 
    
    require_once 'modules/records_management/class/RecordsManagementController.php';
    $RecordsManagementController = new RecordsManagementController();
    
    $ArchiveObject = $RecordsManagementController->create('ArchiveObject');
    $ArchiveObject->Name = get_value_fields($formValues, 'name');
        
    $ContentDescription = $RecordsManagementController->addContentDescription($ArchiveObject);
    $ContentDescription->FilePlanPosition = get_value_fields($formValues, 'project');
    
    $OriginatingAgency = 
        $RecordsManagementController->selectRefOrganization(
            $ContentDescription,
            get_value_fields($formValues, 'originating_agency_entity_id'),
            'OriginatingAgency'
        );
    $OriginatingContact = $RecordsManagementController->addContact($OriginatingAgency);
    $OriginatingContact->DepartmentName = get_value_fields($formValues, 'originating_user_id');
    
    $AccessRestrictionRule = $RecordsManagementController->addAccessRestrictionRule($ArchiveObject);
    $AccessRestrictionRule->Code = get_value_fields($formValues, 'access_restriction_code');
    $AccessRestrictionRule->StartDate = $creation;
    
    $AppraisalRule = $RecordsManagementController->addAppraisalRule($ArchiveObject);
    $AppraisalRule->Code = get_value_fields($formValues, 'appraisal_code');
    $AppraisalRule->Duration = get_value_fields($formValues, 'appraisal_duration');
    $AppraisalRule->StartDate = $creation;
    
    $Document = $RecordsManagementController->addDocument($ArchiveObject);
    $Document->Creation = $creation;
    $Document->Description = 'Document';
    $Document->coll_id = $collId;
    $Document->docserver_id = $_SESSION['indexing']['docserver_id'];
    $Document->format = (string)$_SESSION['upfile']['format'];
    $Document->typist = $_SESSION['user']['UserId'];
    $Document->path = $_SESSION['indexing']['destination_dir'];
    $Document->filename = $_SESSION['indexing']['file_destination_name'];
    $Document->Size = $_SESSION['upfile']['size'];
    $Document->unitCode = 'A99';
    $Document->Status = 'NEW';
    
    try {
        $key = $RecordsManagementController->save($ArchiveObject);
    } catch (Maarch\Exception $e) {
        $_SESSION['action_error'] = $e->getMessage();
        return false;
    } 
    //$ArchiveObject->show();
    $resId = $Document->document_id;
    
    $hist->add(
        'rm_documents',
        $resId,
        'ADD',
        'RecordDocument',
        "Document $resId ajouté.",
        $_SESSION['config']['databasetype'],
        'records_management'
    ); 
    
    
    if ($resId == false) {
        $_SESSION['action_error'] = _ERROR_RES_ID;
        return false;
    }
    
    if ($core->is_module_loaded('tags')) {
        include_once('modules/tags/tags_update.php');
    }

    //$_SESSION['indexing'] = array();
    unset($_SESSION['upfile']);
    unset($_SESSION['data']);
    $_SESSION['action_error'] = _NEW_DOC_ADDED;
    $_SESSION['indexation'] = true;
    return array(
        'result' => $resId . '#',
        'history_msg' => '',
        'page_result' => $_SESSION['config']['businessappurl']
                         . 'index.php?page=details_rm&module=records_management'
                         . '&coll_id=' . $collId . '&id=' . $resId
    );
}

function makeScheduleList(
    $ScheduleTree,
    $Schedule__select,
    $level = 0
) {
           
    $subSchedules = $ScheduleTree->Schedule;
    $l = $subSchedules->length;
    for($i=0; $i<$l; $i++) {
        $subSchedule = $subSchedules[$i];
        $option = 
            $Schedule__select->addOption(
                $subSchedule->schedule_id,
                str_repeat(' ', $level) . $subSchedule->Identifier
            );
        $option->setDataAttribute(
            'appraisal_code',
            $subSchedule->AppraisalCode
        );
        $option->setDataAttribute(
            'appraisal_duration',
            $subSchedule->AppraisalDuration
        );
        $option->setDataAttribute(
            'access_restriction_code',
            $subSchedule->AccessRestrictionCode
        );
        
        if($level < 1)
            $option->setStyle('font-variant', 'small-caps');
        if($level < 2)
            $option->setStyle('text-decoration', 'underline');
        if($level < 3)
            $option->setStyle('font-weight', 'bold');
        
        makeScheduleList(
            $subSchedule,
            $Schedule__select,
            $level+1
        );
    }
}
