<?php
/*
*
*   Copyright 2008,2013 Maarch
*
*   This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief  Displays ios list in baskets
*
* @file
* @author Laurent Giovannoni <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup records_management
*/
require_once 'core/class/class_request.php';
require_once 'core/class/class_security.php';
require_once 'apps/' . $_SESSION['config']['app_id'] . '/class/class_contacts.php';
require_once 'core/class/class_manage_status.php';
require_once 'apps/' . $_SESSION['config']['app_id'] . '/class/class_lists.php';
            
$status_obj = new manage_status();
$security   = new security();
$core_tools = new core_tools();
$request    = new request();
$contact    = new contacts();
$list       = new lists();

//Include definition fields
include_once('apps/' . $_SESSION['config']['app_id'] . '/definition_mail_categories_rm.php');

//URL extra parameters
$urlParameters = '';

//origin
if ($_REQUEST['origin'] == 'searching') $urlParameters .= '&origin=searching';

//Basket information
if (!empty($_SESSION['current_basket']['view'])) {
    $table = $_SESSION['current_basket']['view'];
} else {
    $table = $_SESSION['current_basket']['table'];
}
$_SESSION['origin'] = 'basket';
$_SESSION['collection_id_choice'] = $_SESSION['current_basket']['coll_id'];//Collection

//Table
$select[$table]= array(); 

//Fields
array_push(
    $select[$table],
    'res_id', 
    'status',
    'type_label', 
    'name',
    'transferring_agency_item_identifier',
    'archival_agency_item_identifier',
    'description'
);

//Where clause
$where_tab = array();
//From basket
if (!empty($_SESSION['current_basket']['clause'])) $where_tab[] = stripslashes($_SESSION['current_basket']['clause']); //Basket clause
//From filters
$filterClause = $list->getFilters();
if (!empty($filterClause)) $where_tab[] = $filterClause;//Filter clause
//From search
if (
    (isset($_REQUEST['origin']) && $_REQUEST['origin'] == 'searching') 
    && !empty($_SESSION['searching']['where_request'])
) $where_tab[] = $_SESSION['searching']['where_request']. '(1=1)'; 
//Build where
$where = implode(' and ', $where_tab);

//Order
$order = $order_field = '';
$order = $list->getOrder();
$order_field = $list->getOrderField();
if (!empty($order_field) && !empty($order)) 
    $orderstr = "order by ".$order_field." ".$order;
else  {
    $list->setOrder();
    $list->setOrderField('res_id');
    $orderstr = "order by res_id desc";
}

//Request
$tab=$request->select(
    $select, 
    $where, 
    $orderstr, 
    $_SESSION['config']['databasetype'], 
    $_SESSION['config']['databasesearchlimit'], 
    false, 
    '', 
    '', 
    '', 
    false, 
    false, 
    'distinct'
);
//$request->show();

//Templates
$defaultTemplate = 'item_list_extend_new';
$selectedTemplate = $list->getTemplate();
if  (empty($selectedTemplate)) {
    if (!empty($defaultTemplate)) {
        $list->setTemplate($defaultTemplate);
        $selectedTemplate = $list->getTemplate();
    }
}
$template_list = array();
array_push($template_list, 'item_list_extend_new');

//For status icon
$extension_icon = '';
if ($selectedTemplate <> 'none') $extension_icon = "_big"; 

//Result Array
for ($i=0;$i<count($tab);$i++) {
    for ($j=0;$j<count($tab[$i]);$j++) {
        foreach (array_keys($tab[$i][$j]) as $value) {
            if ($tab[$i][$j][$value]=='res_id') {
                $tab[$i][$j]["res_id"]=$tab[$i][$j]['value'];
                $tab[$i][$j]["label"]=_RES_ID;
                $tab[$i][$j]["size"]="4";
                $tab[$i][$j]["label_align"]="left";
                $tab[$i][$j]["align"]="left";
                $tab[$i][$j]["valign"]="bottom";
                $tab[$i][$j]["show"]=true;
                $tab[$i][$j]["order"]='res_id';
                $_SESSION['rm_search_current_res_id'] = $tab[$i][$j]["value"];
            }
            if ($tab[$i][$j][$value]=="status") {
                $res_status = $status_obj->get_status_data(
                    $tab[$i][$j]['value'],$extension_icon
                );
                $statusCmp = $tab[$i][$j]['value'];
                $tab[$i][$j]['value'] = "<img src = '" 
                    . $res_status['IMG_SRC'] 
                    . "' alt = '" . $res_status['LABEL'] 
                    . "' title = '" . $res_status['LABEL'] . "'>";
                $tab[$i][$j]["label"]=_STATUS;
                $tab[$i][$j]["size"]="4";
                $tab[$i][$j]["label_align"]="left";
                $tab[$i][$j]["align"]="left";
                $tab[$i][$j]["valign"]="bottom";
                $tab[$i][$j]["show"]=true;
                $tab[$i][$j]["order"]='status';
            }
            if ($tab[$i][$j][$value]=="type_label") {
                $tab[$i][$j]["value"]=$request->show_string(
                    $tab[$i][$j]["value"]
                );
                $tab[$i][$j]["label"]=_DOCTYPE;
                $tab[$i][$j]["size"]="10";
                $tab[$i][$j]["label_align"]="left";
                $tab[$i][$j]["align"]="left";
                $tab[$i][$j]["valign"]="bottom";
                $tab[$i][$j]["show"]=true;
                $tab[$i][$j]["order"]='type_label';
            }
            if ($tab[$i][$j][$value]=="name") {
                $tab[$i][$j]["value"] = $request->show_string(
                    $tab[$i][$j]["value"]
                );
                $tab[$i][$j]["label"]=_INTITULE_ANALYSE;
                $tab[$i][$j]["size"]="12";
                $tab[$i][$j]["label_align"]="right";
                $tab[$i][$j]["align"]="left";
                $tab[$i][$j]["valign"]="bottom";
                $tab[$i][$j]["show"]=true;
                $tab[$i][$j]["order"]='name';
            }
            if ($tab[$i][$j][$value]=="transferring_agency_item_identifier") {
                $tab[$i][$j]["value"] = $request->show_string(
                    $tab[$i][$j]["value"]
                );
                $tab[$i][$j]["label"]=_REQUESTING_NUMBER_ARCHIVE;
                $tab[$i][$j]["size"]="12";
                $tab[$i][$j]["label_align"]="right";
                $tab[$i][$j]["align"]="left";
                $tab[$i][$j]["valign"]="bottom";
                $tab[$i][$j]["show"]=true;
                $tab[$i][$j]["order"]='transferring_agency_item_identifier';
            }
            if ($tab[$i][$j][$value]=="originating_agency_entity_id") {
                $tab[$i][$j]["value"] = $request->show_string(
                    $tab[$i][$j]["value"]
                );
                $tab[$i][$j]["label"]=_ORIGINATING_ENTITY;
                $tab[$i][$j]["size"]="12";
                $tab[$i][$j]["label_align"]="right";
                $tab[$i][$j]["align"]="left";
                $tab[$i][$j]["valign"]="bottom";
                $tab[$i][$j]["show"]=true;
                $tab[$i][$j]["order"]='originating_agency_entity_id';
            }
        }
    }
}
//var_dump($tab);
//Clé de la liste
$listKey = 'res_id';

//Initialiser le tableau de paramètres
$paramsTab = array();
$paramsTab['pageTitle'] =  _RESULTS . ' : ' . count($tab) . ' ' . _FOUND_ITEMS;      //Titre de la page
$paramsTab['bool_sortColumn'] = true;                                               //Affichage Tri
$paramsTab['bool_bigPageTitle'] = false;                                            //Affichage du titre en grand
$paramsTab['bool_showIconDocument'] = true;                                         //Affichage de l'icone du document
$paramsTab['bool_showIconDetails'] = true;                                          //Affichage de l'icone de la page de details
$paramsTab['viewDetailsLink'] = 'index.php?page=details_rm&module=records_management'
    . '&coll_id=' . $_SESSION['collection_id_choice'];       //Link to the details page
$paramsTab['urlParameters'] = 'baskets='.$_SESSION['current_basket']['id']
    .$urlParameters;                                                                //Parametres d'url supplementaires
//$paramsTab['filters'] = array('entity');             //Filtres    
if (count($template_list) > 0 ) {                                                   //Templates
    $paramsTab['templates'] = array();
    $paramsTab['templates'] = $template_list;
}
$paramsTab['bool_showTemplateDefaultList'] = true;                                  //Default list (no template)
$paramsTab['defaultTemplate'] = $defaultTemplate;                                   //Default template
$paramsTab['tools'] = array();                                                      //Icones dans la barre d'outils
if (isset($_REQUEST['origin']) && $_REQUEST['origin'] == 'searching')  {
    $save = array(
            "script"        =>  "createModal(form_txt, 'save_search', '100px', '500px');window.location.href='#top';",
            "icon"          =>  $_SESSION['config']['businessappurl']."static.php?filename=tool_save.gif",
            "tooltip"       =>  _SAVE_QUERY,
            "disabledRules" =>  count($tab)." == 0"
            );      
    array_push($paramsTab['tools'],$save); 
}
$export = array(
        "script"        =>  "window.open('".$_SESSION['config']['businessappurl']."index.php?display=true&page=export', '_blank');",
        "icon"          =>  $_SESSION['config']['businessappurl']."static.php?filename=tool_export.gif",
        "tooltip"       =>  _EXPORT_LIST,
        "disabledRules" =>  count($tab)." == 0"
        );
array_push($paramsTab['tools'],$export);

//Afficher la liste
$status = 0;
$content = $list->showList($tab, $paramsTab, $listKey, $_SESSION['current_basket']);
// $debug = $list->debug(false);
echo "{'status' : " . $status . ", 'content' : '" . addslashes($debug.$content) . "', 'error' : '" . addslashes($error) . "'}";
