/*******************************************************************************
Path to elements :
/Message/Comment[i]                 => Root path (Comment div)
/Message/Comment/Comment             => Path to text hidden value
/Message/Comment/Comment__span        => Path to span display (first 50 chars)
/Message/Comment/Comment__textarea    => Path to textarea input

*******************************************************************************/
function Comment__open(Comment_span)
{
    // Comment root element
    var Comment_root_path = Comment_span.getAttribute('id').replace('/Comment__span', '');
    
    // Comment/Comment text value
    var Comment_hidden_path = Comment_root_path + '/Comment';
    var Comment_hidden = $(Comment_hidden_path)
    
    // Create textarea with hidden value
    var Comment_textarea = document.createElement('textarea');
    Comment_textarea.value = $(Comment_hidden).value;
    Comment_textarea.setAttribute('onChange', 'Comment__update(this);');
	Comment_textarea.setAttribute('onBlur', 'Comment__close(this);');
    Comment_textarea.setAttribute('id', Comment_root_path + '/Comment__textarea');
    
    Comment_span.parentNode.replaceChild(Comment_textarea, Comment_span);
    Comment_textarea.focus();
    
}

function Comment__close(Comment_textarea)
{
	if(Comment_textarea.value == '') return;
	
	// Comment root element
    var Comment_root_path = Comment_textarea.getAttribute('id').replace('/Comment__textarea', '');
    
    // Create textarea with hidden value
    var Comment_span = document.createElement('span');
    Comment_span.innerHTML = Comment_textarea.value;
    Comment_span.setAttribute('onClick', 'Comment__open(this);');
    Comment_span.setAttribute('id', Comment_root_path + '/Comment__span');
    
    Comment_textarea.parentNode.replaceChild(Comment_span, Comment_textarea);
}

function Comment__update(Comment_textarea)
{
    // Comment root element
    var Comment_root_path = Comment_textarea.getAttribute('id').replace('/Comment__textarea', '');
    var ajax_target = $(Comment_root_path);
    
    // Comment/Comment = text
    var Comment_hidden_path = Comment_root_path + '/Comment';
    var Comment_hidden = $(Comment_hidden_path);
    	
	// Update hidden Comment/Comment value
    Comment_hidden.value = Comment_textarea.value;
	
	RecordsManagement__update(Comment_hidden);
	/*
    new Ajax.Request(
        'index.php?display=true&module=records_management&page=Comment__update',
        { 
          method: 'post',
            parameters: {
                comment_path : Comment_root_path,
                comment_comment : Comment_hidden.value
            },
            onSuccess: function(transport) {
                    var CommentView = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
                    ajax_target.outerHTML = CommentView;
                }
        }
    );*/
    
}

function Comment__delete(element) 
{
    // Comment root element
    var Comment_root_path = element.getAttribute('id').replace('/Comment__delete', '');
    var ajax_target = $(Comment_root_path);
    
    new Ajax.Request(
        'index.php?display=true&module=records_management&page=Comment__delete',
        { 
          method: 'post',
            parameters: {
                message_type : 'ArchiveTransfer',
                comment_path : Comment_root_path,
            },
            onSuccess: function(transport) {
                    var CommentView = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
                    ajax_target.outerHTML = CommentView;
                }
        }
    );
}

