function FilePlan__open(objectPath)
{
	$('FilePlan__form').innerHTML = "";
	new Ajax.Request(
        'index.php?display=true&module=records_management&page=FilePlan__open',
        {
            method: 'post',
            parameters: {
				objectPath : objectPath
			},
            onSuccess: function(transport) {
                var AJAXReturn = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
                $('FilePlan__form').outerHTML = AJAXReturn;
				goTo('#');
            }
        }
    );
	
}

function FilePlan__add(parentPath)
{
	new Ajax.Request(
        'index.php?display=true&module=records_management&page=FilePlan__add',
        {
            method: 'post',
            parameters: {
				parentPath : parentPath
			},
            onSuccess: function(transport) {
                FilePlan__showTree();
				FilePlan__open(parentPath + '/FilePlan[last()]');
            }
        }
    );
	
}

function FilePlan__delete(objectPath)
{
	new Ajax.Request(
        'index.php?display=true&module=records_management&page=FilePlan__delete',
        {
            method: 'post',
            parameters: {
				objectPath : objectPath
			},
            onSuccess: function(transport) {
				$('FilePlan__form').innerHTML = '';
                FilePlan__showTree();
            }
        }
    );
}


function FilePlan__save(objectPath)
{
	var control = FilePlan__control();
	if(control == true) {
		initMessages();
		
		var JSONParameters = {
			FilePlanPosition:      $F('FilePlanPosition'),
			Name:                  $F('Name'),
			ThesaurusId:           $F('ThesaurusId'),
			DescriptionLevel:      $F('DescriptionLevel'),
			parent_file_plan_id:   $F('parent_file_plan_id'),
			objectPath : 		   objectPath
		}
		
		new Ajax.Request(
			'index.php?display=true&module=records_management&page=FilePlan__save',
			{
				method: 'post',
				parameters: JSONParameters,
				onSuccess: function(transport) {
					var AJAXReturn = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
					if(AJAXReturn.length > 0) {
						eval('Messages = ' + AJAXReturn);
						for (var i=0; i<Messages.length; i++) {
							FilePlan__Messages(Messages[i]);
						}
					} else {
						$('FilePlan__form').innerHTML = '';
						FilePlan__showTree();
					}
				}
			}
		);
	}
}

function initMessages()
{
	var messages = $('FilePlan__form').getElementsByClassName('messages');
	for (var i=0; i<messages.length; i++) {
		var element = messages[i];
		element.innerHTML = '';
		var input = $(element.id.replace('__message', ''));
		input.removeAttribute('style');
	}

}


function FilePlan__control()
{
	initMessages();
	var control = true;

	if($F('FilePlanPosition') == '') {
		var error = {message: 'Précisez un identifiant unique pour le classement', element:'FilePlanPosition'};
		FilePlan__Messages(error);
		control = false;
	}
	
	if($F('Name') == '') {
		var error = {message: 'Précisez un nom', element:'Name'};
		FilePlan__Messages(error);
		control = false;
	}
	
	if($F('DescriptionLevel') == '') {
		var error = {message: 'Précisez un iveau de description', element:'DescriptionLevel'};
		FilePlan__Messages(error);
		control = false;
	}
	
	return control;
}

function isInteger(sText)
{
	var ValidChars = "0123456789";
	var isInt=true;
	var Char;
	
	if(sText.length > 3 || sText.length == 0) {
		return false;
	} else {
		for (i = 0; i < sText.length && isInt == true; i++) { 
		  Char = sText.charAt(i); 
		  if (ValidChars.indexOf(Char) == -1) {
			 isInt = false;
			}
		}
		return isInt; 
	}
}
function FilePlan__Messages(JSONMessage)
{
    var message   = JSONMessage.message;
    var attribute = JSONMessage.attribute;
    var element   = (attribute) ? attribute : JSONMessage.element;
    element__message = $(element + '__message');
    element__input   = $(element);
    
    if (element__input) {
        element__input.setAttribute('style', 'color: firebrick;');
    }
    if (element__message) {
        element__message.innerHTML = element__message.innerHTML + message + '<br />';
        return;
    }
    return;
}

function FilePlan__showTree()
{
	new Ajax.Request(
		'index.php?display=true&module=records_management&page=FilePlan__showTree',
		{
			method: 'post',
			parameters: {},
			onSuccess: function(transport) {
				var AJAXReturn = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
				$('FilePlan__tree').outerHTML = AJAXReturn;
			}
		}
	);
}

//toggleBlock function
function toggleBlock(id) 
{
    if ($(id)) {
        new Effect.toggle(id, 'blind', {delay:0.2});
    }

	var display = $(id).getStyle('display');
	var status_ind = $(id.replace('__container', '__icon'));
	var status_img = status_ind.getAttribute('src');
	
	if(status_ind) {
		if (display == 'none') {
			status_img = status_img.replace('closed_folder_yellow.png', 'open_folder_yellow.png');	
		} else {
			status_img = status_img.replace('open_folder_yellow.png', 'closed_folder_yellow.png');	
		}
	}
	status_ind.setAttribute(
		'src',
		status_img
	);
}

function showBlock(id)
{
	if ($(id)) {
		var display = $(id).getStyle('display');
		if (display == 'none') {
			toggleBlock(id);
		}
		var ancestors = $(id).ancestors();
		showBlock(ancestors[0].getAttribute('id'));
	}
}

function hideBlock(id)
{
	if ($(id)) {
		var display = $(id).getStyle('display');
		if (display != 'none') {
			toggleBlock(id);
		}
	
	}
}

function showAncestors(id)
{
	var ancestors = $(id).ancestors();
	//console.log(ancestors);
	var i=1;
	while(ancestors[i].tagName != 'FilePlan__container')
		i++;
	
	var parent__container_id = ancestors[i].getAttribute('id');
	
	showBlock(parent__container_id);
	showAncestors(parent__container_id);
}
