function Schedule__open(objectPath)
{
	$('Schedule__form').innerHTML = "";
	new Ajax.Request(
        'index.php?display=true&module=records_management&page=Schedule__open',
        {
            method: 'post',
            parameters: {
				objectPath : objectPath
			},
            onSuccess: function(transport) {
                var AJAXReturn = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
				$('Schedule__form').outerHTML = AJAXReturn;
				goTo('#');
            }
        }
    );
			
}

function Schedule__add(parentPath)
{
	new Ajax.Request(
        'index.php?display=true&module=records_management&page=Schedule__add',
        {
            method: 'post',
            parameters: {
				parentPath : parentPath
			},
            onSuccess: function(transport) {
                Schedule__showTree();
				Schedule__open(parentPath + '/Schedule[last()]');
            }
        }
    );
	
}

function Schedule__delete(objectPath)
{
	new Ajax.Request(
        'index.php?display=true&module=records_management&page=Schedule__delete',
        {
            method: 'post',
            parameters: {
				objectPath : objectPath
			},
            onSuccess: function(transport) {
				$('Schedule__form').innerHTML = '';
                Schedule__showTree();
            }
        }
    );
}


function Schedule__save(objectPath)
{
	var control = Schedule__control();
	//console.log('Control=' + control);
	if(control == true) {
		initMessages();
		
		var JSONParameters = {
			Identifier:      	   $F('Identifier'),
			Name:                  $F('Name'),
			Description:           $F('Description'),
			ServiceLevel:          $F('ServiceLevel'),
			AccessRestrictionCode: $F('AccessRestrictionCode'),
			AppraisalCode:         $F('AppraisalCode'),
			AppraisalDuration:     $F('AppraisalDuration'),
			parent_schedule_id:    $F('parent_schedule_id'),
			objectPath : 		   objectPath
		}
		
		new Ajax.Request(
			'index.php?display=true&module=records_management&page=Schedule__save',
			{
				method: 'post',
				parameters: JSONParameters,
				onSuccess: function(transport) {
					var AJAXReturn = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
					if(AJAXReturn.length > 0) {
						eval('Messages = ' + AJAXReturn);
						for (var i=0; i<Messages.length; i++) {
							Schedule__Messages(Messages[i]);
						}
					} else {
						$('Schedule__form').innerHTML = '';
						Schedule__showTree();
					}
				}
			}
		);
	}
}

function initMessages()
{
	var messages = $('Schedule__form').getElementsByClassName('messages');
	for (var i=0; i<messages.length; i++) {
		var element = messages[i];
		element.innerHTML = '';
		var input = $(element.id.replace('__message', ''));
		input.removeAttribute('style');
	}

}


function Schedule__control()
{
	initMessages();
	var control = true;
	
	if($F('Identifier') == '') {
		var error = {message: 'Précisez un identifiant unique pour la règle', element:'Identifier'};
		Schedule__Messages(error);
		control = false;
	}
	
	if($F('AccessRestrictionCode') == '') {
		var error = {message: 'Précisez une règle de communicabilité', element:'AccessRestrictionCode'};
		Schedule__Messages(error);
		control = false;
	}
	
	if($F('AppraisalCode') == '') {
		var error = {message: 'Précisez un sort final', element:'AppraisalCode'};
		Schedule__Messages(error);
		control = false;
	}
	
	if($F('AppraisalDuration') == ''  || !isInteger($F('AppraisalDuration'))) {
		var error = {message: 'Précisez une durée de conservation en années', element:'AppraisalDuration'};
		Schedule__Messages(error);
		control = false;
	}
	
	return control;
}

function isInteger(sText)
{
	var ValidChars = "0123456789";
	var isInt=true;
	var Char;
	
	if(sText.length > 3 || sText.length == 0) {
		return false;
	} else {
		for (i = 0; i < sText.length && isInt == true; i++) { 
		  Char = sText.charAt(i); 
		  if (ValidChars.indexOf(Char) == -1) {
			 isInt = false;
			}
		}
		return isInt; 
	}
}

function Schedule__Messages(JSONMessage)
{
    var message   = JSONMessage.message;
    var attribute = JSONMessage.attribute;
    var element   = (attribute) ? attribute : JSONMessage.element;
    element__message = $(element + '__message');
    element__input   = $(element);
    
    if (element__input) {
        element__input.setAttribute('style', 'color: firebrick;');
    }
    if (element__message) {
        element__message.innerHTML = element__message.innerHTML + message + '<br />';
        return;
    }
    return;
}

function Schedule__showTree()
{
	new Ajax.Request(
		'index.php?display=true&module=records_management&page=Schedule__showTree',
		{
			method: 'post',
			parameters: {},
			onSuccess: function(transport) {
				var AJAXReturn = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
				$('Schedule__tree').outerHTML = AJAXReturn;
			}
		}
	);


}

function Schedule__print()
{
	var target = document.location.href;
	var target = target.replace('Schedule_admin', 'Schedule_print');
	var anchor = target.match(/#.*/i);
	if(anchor)
		var target = target.replace(anchor[0], '');
	var target = target + '&display=false';
	
	screenHeight = (screen.height > 0) ? screen.height : 768;
    window.open(target, false, 'height=' + screenHeight + ', width=1024, scrollbars=yes, resizable=yes');
	
}

//toggleBlock function
function toggleBlock(id) 
{
    if ($(id)) {
        new Effect.toggle(id, 'blind', {delay:0.2});
    }

	var display = $(id).getStyle('display');
	var status_ind = $(id.replace('__container', '__icon'));
	var status_img = status_ind.getAttribute('src');
	
	if(status_ind) {
		if (display == 'none') {
			status_img = status_img.replace('closed_folder_yellow.png', 'open_folder_yellow.png');	
		} else {
			status_img = status_img.replace('open_folder_yellow.png', 'closed_folder_yellow.png');	
		}
	}
	status_ind.setAttribute(
		'src',
		status_img
	);
}

function showBlock(id)
{
	if ($(id)) {
		var display = $(id).getStyle('display');
		if (display == 'none') {
			toggleBlock(id);
		}
		var ancestors = $(id).ancestors();
		showBlock(ancestors[0].getAttribute('id'));
	}
}

function hideBlock(id)
{
	if ($(id)) {
		var display = $(id).getStyle('display');
		if (display != 'none') {
			toggleBlock(id);
		}
	
	}
}

function showAncestors(id)
{
	var ancestors = $(id).ancestors();
	//console.log(ancestors);
	var i=1;
	while(ancestors[i].tagName != 'Schedule__container')
		i++;
	
	var parent__container_id = ancestors[i].getAttribute('id');
	
	showBlock(parent__container_id);
	showAncestors(parent__container_id);
}
