//toggleBlock function
function toggleBlock(id) 
{
    if ($(id)) {
        new Effect.toggle(id, 'blind', {delay:0.2});
    }
    
	var display = $(id).getStyle('display');
	var status_ind = $(id.replace('__form', '__formStatus'));
	
	if(status_ind) {
		if (display == 'none') {
			status_ind.innerHTML = '>>';
		} else {
			status_ind.innerHTML = '<<';   
		}
	}
}

function showBlock(id)
{
	if ($(id)) {
		var display = $(id).getStyle('display');
		if (display == 'none') {
			toggleBlock(id);
		}
	
	}
}

function hideBlock(id)
{
	if ($(id)) {
		var display = $(id).getStyle('display');
		if (display != 'none') {
			toggleBlock(id);
		}
	
	}
}

function IO__display()
{
    var popup = document.location.href;
	
	var anchor = popup.indexOf('#');
	if (anchor > 0)
		popup = popup.substr(0, anchor);
	
	var moduleMatch = popup.match(/module=.[^&]*/ig);
	if(moduleMatch) popup = popup.replace(moduleMatch[0], 'module=records_management');
	else popup += '&module=records_management';
	
	var pageMatch = popup.match(/page=.[^&]*/ig);
	popup = popup.replace(pageMatch[0], 'page=IO__display');
	
	popup = popup + '&display=true';
    screenHeight = (screen.height > 0) ? screen.height : 768;
    window.open(popup, false, 'height=' + screenHeight + ', width=1050, scrollbars=yes, resizable=yes');
}

//*****************************************************************************
//	RecordsManagement
//*****************************************************************************
function RecordsManagement__add(command, childName)
{
	// element id = /rootObject/.../parentObject/xxxx__add(this, what)
	var commandPath = command.getAttribute('id');
	
	var pathArray = commandPath.split('/');
	
	// Find rootObject name (first level, remove leading slash)
	var rootName = pathArray[1];
	
	pathArray.pop();
	var parentPath = pathArray.join('/') 

	var ajax_target = $(parentPath + '/' + childName + '__container');

	new Ajax.Request(
		'index.php?display=true&module=records_management&page=RecordsManagement__add',
		{ 
		  method: 'post',
			parameters: {
				objectName : rootName,
				parentPath : parentPath,
				childName : childName
			},
			onSuccess: function(transport) {
					var View = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
					ajax_target.update(ajax_target.innerHTML + View);
				}
		}
	);
}

function RecordsManagement__update(element)
{
	// element id = "/rootObject/.../Object/PropertyName"
	var propertyPath = element.getAttribute('id');
	
	var pathArray = propertyPath.split('/');
	
	// Find rootObject name (first level, remove leading slash)
	var rootName = pathArray[1];
	
	// Find property name (last level)
	var propertyName = pathArray.last();
	
	// Find Object name (before last level)
	pathArray.pop();
	var objectName = pathArray.last();
	
	// Find Object path (all before last level)
	var objectPath = pathArray.join('/');
    
	// Find target form
	var ajax_target = $(objectPath + '/' + objectName + '__form');
	
    new Ajax.Request(
        'index.php?display=true&module=records_management&page=RecordsManagement__update',
        { 
          method: 'post',
            parameters: {
				objectName : rootName,
				objectPath : objectPath,
                propertyName : propertyName,
				propertyValue : element.value
            },
            onSuccess: function(transport) {
                    var View = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
                    ajax_target.outerHTML = View;
                }
        }
    );
}

function RecordsManagement__delete(command)
{
	// element id = /rootObject/.../parentObject/xxxx__add(this, what)
	var commandPath = command.getAttribute('id');
	
	var pathArray = commandPath.split('/');
	
	// Find rootObject name (first level, remove leading slash)
	var rootName = pathArray[1];
	
	pathArray.pop();
	var objectPath = pathArray.join('/');
	var objectName = pathArray.last();
	
	pathArray.pop();
	var parentPath = pathArray.join('/');
	
	var ajax_target = $(objectPath);

	new Ajax.Request(
		'index.php?display=true&module=records_management&page=RecordsManagement__delete',
		{ 
		  method: 'post',
			parameters: {
				objectName : rootName,
				objectPath : objectPath
			},
			onSuccess: function(transport) {
					var View = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
					ajax_target.innerHTML  = View;
				}
		}
	);
}

//*****************************************************************************
//	ArchiveTransferList
//*****************************************************************************
function page__lines(element)
{
    var nbLines = element.value;
	var href = document.location.href;
	
	var nbLinesMatch = href.match(/nbLines=\d*/ig);
    if(nbLinesMatch) {
		href = href.replace(nbLinesMatch[0], "nbLines=" + nbLines);
	} else {
		href += "&nbLines=" + nbLines;
	}
    goTo(href);
}

function page__num(element)
{
    var pageNum = element.value;
	var href = document.location.href;
	
	var pageNumMatch = href.match(/pageNum=\d*/ig);
    if(pageNumMatch) {
		href = href.replace(pageNumMatch[0], "pageNum=" + pageNum);
	} else {
		href += "&pageNum=" + pageNum;
	}
    goTo(href);
}

function ArchiveTransfer__filter(element)
{
	var filter = $(element.getAttribute('id')
		.replace('ArchiveTransfer__filter', 'ArchiveTransfer__filterValue')).value;
	
	var href = document.location.href;
	var filterMatch = href.match(/filter=.[^\&]*/ig);
	if(filterMatch) {
		href = href.replace(filterMatch[0], "filter=" + filter);
	} else {
		href += "&filter=" + filter;
	}
    goTo(href);
}

function filterAutocomplete()
{
    var baseURL = $('filter.alphabetique').getAttribute('data-baseurl');
    var what = '.' + $('what').value + '.';
    
    if (what == '..')
        var target = baseURL;
    else
        var target = baseURL + '&what=' + what;
    
    goTo(target);
}

function ArchiveTransferList__sort(property, order) 
{
	var href = document.location.href;
	
	var orderFieldsMatch = href.match(/orderField=.[^\&]*/ig);
	if(orderFieldsMatch) {
		href = href.replace(orderFieldsMatch[0], "orderField=" + property);
	} else {
		href += "&orderField=" + property;
	}
	
	var orderMatch = href.match(/order=(asc|desc)/ig);
	if(orderMatch) {
		href = href.replace(orderMatch[0], "order=" + order);
	} else {
		href += "&order=" + order;
	}
    goTo(href);

}

function ArchiveTransfer__read(element) 
{
	var objectPath = element.getAttribute('id').replace('/ArchiveTransfer__read', '');
	var objectId = $(objectPath + '/io_id').innerHTML;
	
	var baseUrl = document.location.href.match(/.[^\?]*/i);
	href = baseUrl + '?page=ArchiveTransfer__read&module=records_management&objectId=' + objectId;
	
    goTo(href);

}

//*****************************************************************
// ARCHIVE TRANSFER
//*****************************************************************
function ArchiveTransferCreation__load() 
{
	new Ajax.Autocompleter(
		'/ArchiveTransfer/Archive/ContentDescription/FilePlanPosition', 
		'/ArchiveTransfer/Archive/ContentDescription/FilePlanPosition__autocomplete', 
		'index.php?display=true&module=records_management&page=FilePlanPosition__autocomplete',
		{
			method:'get',
			paramName:'FilePlanPosition',
			minChars:2,
			updateElement:function (li) 
			{ 
				var FilePlanPosition = $('/ArchiveTransfer/Archive/ContentDescription/FilePlanPosition');
				FilePlanPosition.value = li.innerHTML;
				RecordsManagement__update(FilePlanPosition);
				
				var DescriptionLevel = $('/ArchiveTransfer/Archive/ContentDescription/DescriptionLevel');
				DescriptionLevel.value = li.getAttribute('data-description_level');
				RecordsManagement__update(DescriptionLevel);
			} 
		}
	);


	// Archive/ArchiveObject__form/ContentDescription/FilePlanPosition // Schedule Autocompleter
	new Ajax.Autocompleter(
		'/ArchiveTransfer/Archive/ArchiveObject__form/ContentDescription/FilePlanPosition', 
		'/ArchiveTransfer/Archive/ArchiveObject__form/ContentDescription/FilePlanPosition__autocomplete', 
		'index.php?display=true&module=records_management&page=FilePlanPosition__autocomplete',
		{
			method:'get',
			paramName:'FilePlanPosition',
			minChars:2,
			updateElement:function (li) 
			{ 
				var FilePlanPosition = $('/ArchiveTransfer/Archive/ArchiveObject__form/ContentDescription/FilePlanPosition');
				FilePlanPosition.value = li.innerHTML;
				
				var DescriptionLevel = $('/ArchiveTransfer/Archive/ArchiveObject__form/ContentDescription/DescriptionLevel');
				DescriptionLevel.value = li.getAttribute('data-description_level');
			} 
		}
	);

	// TransferringAgency => filter ArchivalAgreements
	var RefTransferringAgency = $('/ArchiveTransfer/TransferringAgency/entity_id');
	if(RefTransferringAgency && RefTransferringAgency.value != '') {
		ArchivalAgreement__filter();
	}

	// ArchivalAgreement => ArchivalAgency
	var RefArchivalAgreement = $('/ArchiveTransfer/Archive/ArchivalAgreement');
	if(RefArchivalAgreement && RefArchivalAgreement.value != '') {
		Address__display(
			'/ArchiveTransfer/Archive/ArchivalAgreement',
			'/ArchiveTransfer/Archive/ArchivalAgency/Address'
		);

		if($('/ArchiveTransfer/Archive/ArchivalProfile').value == '')
			$('/ArchiveTransfer/Archive/ArchivalProfile').value =
				RefArchivalAgreement.options[RefArchivalAgreement.selectedIndex]
					.getAttribute('data-archivalprofile');
	}

	// Archive/OriginatingAgency
	var RefOriginatingAgency = $('/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/entity_id');
	if(RefOriginatingAgency && RefOriginatingAgency.value != '') {
		RefContact__filter(false);
		Address__display(
			'/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/entity_id',
			'/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Address'
		);
	}

	// Archive/OriginatingAgency/Contact
	var RefContact = $('/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Contact/user_id');
	if(RefContact && RefContact.value != '') {
		Address__display(
			'/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Contact/user_id',
			'/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Contact/Address'
		);
	}

	// Archive/ContentDescription/OldestDate
	if($('/ArchiveTransfer/Archive/ContentDescription/OldestDate')) 
	Date__loadYear($('/ArchiveTransfer/Archive/ContentDescription/OldestDate'));
	// Archive/ContentDescription/LatestDate
	if ($('/ArchiveTransfer/Archive/ContentDescription/LatestDate'))
	Date__loadYear($('/ArchiveTransfer/Archive/ContentDescription/LatestDate'));
	
	// Archive/Document/Digital and ArchiveObject__form/Document/Digital 
	Support__digital($('/ArchiveTransfer/Archive/Document/Digital').checked);
	Support__physical($('/ArchiveTransfer/Archive/Document/Physical').checked);
	
	
}

function ArchiveTransfer__display()
{
    var popup = document.location.href;
	
	var anchor = popup.indexOf('#');
	if (anchor > 0)
		popup = popup.substr(0, anchor);
	
	var moduleMatch = popup.match(/module=.[^&]*/ig);
	if(moduleMatch) popup = popup.replace(moduleMatch[0], 'module=records_management');
	else popup += '&module=records_management';
	
	var pageMatch = popup.match(/page=.[^&]*/ig);
	popup = popup.replace(pageMatch[0], 'page=ArchiveTransfer__display');
	
	var displayMatch = popup.match(/display=.[^&]*/ig);
	if(!displayMatch || displayMatch.length == 0) popup = popup + '&display=true';
	else popup = popup.replace(displayMatch[0], 'display=true');

    screenHeight = (screen.height > 0) ? screen.height : 768;
    window.open(popup, false, 'height=' + screenHeight + ', width=1050, scrollbars=yes, resizable=yes');
}

function RefTransferringAgency__select()
{
    var entity_id = $('/ArchiveTransfer/TransferringAgency/entity_id').value;

    new Ajax.Request(
        'index.php?display=true&module=records_management&page=Organization__select',
        {
            method: 'post',
            parameters: {
                objectName : 'ArchiveTransfer',
                parentPath : '/ArchiveTransfer',
                organizationPath : '/ArchiveTransfer/TransferringAgency',
                entity_id : entity_id,
                role : 'TransferringAgency'
            },
            onSuccess: function(transport) {
                    var OrganizationView = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
                }
        }
    );

    // Filter list of ArchivalAgreements
    ArchivalAgreement__filter();

}

function ArchiveTransfer__save(applet)
{
    var control = ArchiveTransfer__control();
	if(control == false) {
		goTo('#ArchiveTransfer__messages');
		return;
	}
	else {
		var target = $('ArchiveTransfer__messages');	
		new Ajax.Request(
			'index.php?display=true&module=records_management&page=ArchiveTransfer__save',
			{
				method: 'post',
				parameters: {
				},
				onSuccess: function(transport) {
					var Messages = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
					if(Messages && Messages.length > 0) 
					{
						target.innerHTML = Messages;
						return false;
					} else {						
						var currenturl = document.location.href;
						appurl = currenturl.substr(0, currenturl.indexOf("?")+1);

						if(applet) {					
							// Go to ArchiveTransferApplet
							var appleturl = appurl + 'module=records_management&page=ArchiveTransferApplet&display=true';
							screenHeight = (screen.height > 0) ? screen.height : 768;
							window.open(appleturl, false, 'height=' + screenHeight + ', width=1050, scrollbars=yes, resizable=yes');
						} 
					}
					ArchiveTransfer__return();
				}
			}
		);
	}
}

function ArchiveTransfer__return()
{
	destroyModal('modal_' + $('id_action').value);
	
	var currenturl = document.location.href;
	var anchor = currenturl.indexOf('#');
	if (anchor > 0)
		currenturl = currenturl.substr(0, anchor);
	var currentBasket = currenturl.match(/(&)?baskets=.[^&]*/gi);
	
	var returnurl = currenturl.replace(currentBasket[0], '');
	
	goTo(returnurl);
}

//*****************************************************************
// ARCHIVE
//*****************************************************************
function ArchivalAgreement__filter()
{
    var entity_id = $('/ArchiveTransfer/TransferringAgency/entity_id').value;
    var ArchivalAgreement__select = $('/ArchiveTransfer/Archive/ArchivalAgreement');
    if (entity_id && entity_id.length > 0) {
        var options = ArchivalAgreement__select.getElementsByTagName('option');
        for (var i = 0; i < options.length; i++) {
            if (options[i].getAttribute('data-transferringagency__entity_id')
                != entity_id) {
                    options[i].disabled = "disabled";
                    if(ArchivalAgreement__select.selectedIndex == i) ArchivalAgreement__select.selectedIndex = 0;
                }
            else options[i].removeAttribute('disabled');
        }
    }

}

function Schedule__select()
{
	var Schedule = $('/ArchiveTransfer/Archive/schedule_id');
	RecordsManagement__update(Schedule);
	
	var selectedOption = Schedule.options[Schedule.selectedIndex];
	
	var AppraisalCode = $('/ArchiveTransfer/Archive/AppraisalRule/Code');
	AppraisalCode.value = selectedOption.getAttribute('data-appraisal_code');
	RecordsManagement__update(AppraisalCode);
	
	var AppraisalDuration = $('/ArchiveTransfer/Archive/AppraisalRule/Duration');
	AppraisalDuration.value = selectedOption.getAttribute('data-appraisal_duration');
	RecordsManagement__update(AppraisalDuration);
	
	var AccessRestrictionCode = $('/ArchiveTransfer/Archive/AccessRestrictionRule/Code');
	AccessRestrictionCode.value = selectedOption.getAttribute('data-access_restriction_code');
	RecordsManagement__update(AccessRestrictionCode);

}

function RefOriginatingAgency__select() 
{

    var entity_id = $('/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/entity_id').value;

    new Ajax.Request(
        'index.php?display=true&module=records_management&page=Organization__select',
        {
            method: 'post',
            parameters: {
                objectName : 'ArchiveTransfer',
                parentPath : '/ArchiveTransfer/Archive/ContentDescription',
                organizationPath : '/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency',
                entity_id : entity_id,
                role : 'OriginatingAgency'
            },
            onSuccess: function(transport) {
                    var OrganizationView = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
                }
        }
    );

    // Update list of OriginatingAgency/Contacts
    RefContact__filter(true);

    Address__display(
        '/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/entity_id',
        '/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Address'
    );

}

function RefContact__filter(initRefContact)
{
    var entity_id = $('/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/entity_id').value;

    var RefContact__select = $('/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Contact/user_id');
    if(initRefContact) RefContact__select.selectedIndex = 0;

    // Remove address of contact
    $('/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Contact/Address').update('').innerHTML;

    if (entity_id && entity_id.length > 0) {
        var optgroups = RefContact__select.getElementsByTagName('optgroup');
        for (var i = 0; i < optgroups.length; i++) {
            if (optgroups[i].id != entity_id) optgroups[i].disabled = "disabled";
            else optgroups[i].removeAttribute('disabled');
        }
    }

}

function RefContact__select()
{
    var user_id = $('/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Contact/user_id').value;

    new Ajax.Request(
        'index.php?display=true&module=records_management&page=Contact__select',
        {
            method: 'post',
            parameters: {
                objectName : 'ArchiveTransfer',
                parentPath : '/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency',
                contactPath : '/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Contact',
                user_id : user_id
            },
            onSuccess: function(transport) {
                    var ContactView = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
                }
        }
    );

    Address__display(
        '/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Contact/user_id',
        '/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Contact/Address'
    );

}

function TransferringAgencyArchiveIdentifier__update(element)
{
    new Ajax.Request(
        'index.php?display=true&module=records_management&page=RecordsManagement__checkUnique',
        {
            method:'post',
            parameters: {
                objectName : 'ArchiveTransfer',
                objectPath : '/ArchiveTransfer/Archive',
                identifierName : 'TransferringAgencyArchiveIdentifier',
                identifierValue : element.value
            },
            onSuccess: function(transport){
                if (transport.responseText == '0') {
                    alert('Identifiant "' + element.value + '" déjà attribué!');
					element.value = '';
					$('/ArchiveTransfer/TransferIdentifier').value = '';
                } else if (transport.responseText == '1'){
                    RecordsManagement__update(element);
                    $('/ArchiveTransfer/TransferIdentifier').value = element.value;
                    RecordsManagement__update($('/ArchiveTransfer/TransferIdentifier'));
                }
            }
        }
    );

}

function ArchivalAgencyArchiveIdentifier__update(element)
{
    new Ajax.Request(
        'index.php?display=true&module=records_management&page=RecordsManagement__checkUnique',
        {
            method:'post',
            parameters: {
                objectName : 'ArchiveTransfer',
                objectPath : '/ArchiveTransfer/Archive',
                identifierName : 'ArchivalAgencyArchiveIdentifier',
                identifierValue : element.value
            },
            onSuccess: function(transport){
                if (transport.responseText == '0') {
                    alert('Identifiant déjà attribué!');
                } else if (transport.responseText == '1'){
                    RecordsManagement__update(element);
                }
            }
        }
    );

}

// rm_archives.agreement
function ArchivalAgreement__select()
{
    var agreement_select = $('/ArchiveTransfer/Archive/ArchivalAgreement');
    var agreement_selectedOption = agreement_select.options[agreement_select.selectedIndex];

    var agreement_identifier = agreement_select.value;
    var archival_agency_id = agreement_selectedOption.getAttribute('data-archivalagency__entity_id');
    var archival_profile = agreement_selectedOption.getAttribute('data-archivalprofile');
	
	// Update ArchivalAgreement
	RecordsManagement__update(agreement_select);
	
	// Update ArchiveTransfer/ArchivalAgency
    new Ajax.Request(
        'index.php?display=true&module=records_management&page=Organization__select',
        {
            method: 'post',
            parameters: {
                objectName : 'ArchiveTransfer',
                parentPath : '/ArchiveTransfer',
                organizationPath : '/ArchiveTransfer/ArchivalAgency',
                entity_id : archival_agency_id,
                role : 'ArchivalAgency'
            },
            onSuccess: function(transport) {
                    var OrganizationView = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
                }
        }
    );
	
	// Update ArchivalProfile
	var ArchivalProfile = $('/ArchiveTransfer/Archive/ArchivalProfile');
    ArchivalProfile.value = archival_profile;
	RecordsManagement__update(ArchivalProfile);
	
	
    Address__display(
        '/ArchiveTransfer/Archive/ArchivalAgreement',
        '/ArchiveTransfer/Archive/ArchivalAgency/Address'
    );

}

function Address__display(select_id, target_id)
{
    var select = $(select_id);
    var selectedOption = select.options[select.selectedIndex];

    var name = selectedOption.getAttribute('data-name');
    var identification = selectedOption.getAttribute('data-identification');
    var streetname = selectedOption.getAttribute('data-streetname');
    var blockname = selectedOption.getAttribute('data-blockname');
    var postofficebox = selectedOption.getAttribute('data-postofficebox');
    var postcode = selectedOption.getAttribute('data-postcode');
    var cityname = selectedOption.getAttribute('data-cityname');

    var str_adrs = '';
	
	if (select_id == '/ArchiveTransfer/Archive/ArchivalAgreement')
		$('/ArchiveTransfer/Archive/ArchivalAgency/Name').value = name;
    
	//if (identification && identification.length > 0) str_adrs += ' [' + identification + ']<br />';
    
    if (streetname && streetname.length > 0) str_adrs += streetname + '<br />';
    if (blockname && blockname.length > 0) str_adrs += blockname + '<br />';
    if (postofficebox && postofficebox.length > 0) str_adrs += postofficebox + '<br />';
    if (postcode && postcode.length > 0) str_adrs += postcode + '&nbsp;';
    if (cityname && cityname.length > 0) str_adrs += cityname;

    $(target_id).innerHTML = str_adrs;
}

function Date__loadYear(date_input)
{
    var date = date_input.value;
    var date_id = date_input.getAttribute('id');
    var year_id = date_id + '__year';
    var year = '';

    if(date && date.length > 4)
        year = date.substring(0, 4);
    $(year_id).value = year;
}

function ArchiveDate__update(year_input)
{
	Date__update(year_input);
}

function Date__update(year_input)
{
    var year = year_input.value;
    var year_id = year_input.getAttribute('id');
    var date_id = year_id.replace('__year', '');
    var date_name = date_id.substr(-10);
    var date = '';

    var appraisalruledate_id = date_id.replace('ContentDescription/' + date_name, 'AppraisalRule/StartDate');
    var accessrestrictionruledate_id = date_id.replace('ContentDescription/' + date_name, 'AccessRestrictionRule/StartDate');
	
    if(year && year.length >= 4) {
        if(date_name == 'OldestDate')
            date = year + '-01-01';
        if(date_name == 'LatestDate') {
            date = year + '-12-31';
            $(appraisalruledate_id).value = date;
            RecordsManagement__update($(appraisalruledate_id));
            $(accessrestrictionruledate_id).value = date;
            RecordsManagement__update($(accessrestrictionruledate_id));
        }
        $(date_id).value = date;

    }

    // Update object
    RecordsManagement__update($(date_id));
}

function Support__physical(checked)
{
	var size = $('/ArchiveTransfer/Archive/Document/Size');
	var unitCode = $('/ArchiveTransfer/Archive/Document/unitCode');
	
	if(checked) {
		addFormat('Physical');
		
		// Manage size/unit
		size.removeAttribute('disabled');
		unitCode.removeAttribute('disabled');
	} else {
		// Set format
		removeFormat('Physical');
		
		// Manage size/unit
        size.value = '0';
		unitCode.value = '';
        RecordsManagement__update(size);
		size.setAttribute('disabled', 'disabled');
		RecordsManagement__update(unitCode);
		unitCode.setAttribute('disabled', 'disabled');
	}
		
	manageArchiveObject_support();
}

function Support__digital(checked) 
{	
	if(checked)
		addFormat('Digital');
	else
		removeFormat('Digital');
	
	manageArchiveObject_support();
}

function addFormat(addedFormat)
{
	var format = $('/ArchiveTransfer/Archive/Document/format');	
	
	// If not set (n/a) erase
	format.value = format.value.replace('n/a', '');
	
	// If already set, leave
	if(format.value.search(addedFormat) >= 0)
		return;
	
	// If set, add space
	if(format.value != '') format.value += ' ';
	
	// Add 'Digital'
	format.value += addedFormat;
	
	RecordsManagement__update(format);

}

function removeFormat(removedFormat)
{
	var format = $('/ArchiveTransfer/Archive/Document/format');	
	// Remove
	format.value = format.value.replace(removedFormat, '');
	// If also physical, remove space
	if(format.value != '') format.value = format.value.replace(' ', '');
	// If empty, set n/a
	if(format.value == '') format.value = 'n/a';
	
	RecordsManagement__update(format);
}

function manageArchiveObject_support()
{	
	var Digital = $('/ArchiveTransfer/Archive/Document/Digital');
	var Physical = $('/ArchiveTransfer/Archive/Document/Physical');
	
	var archiveObject_digital = $('/ArchiveTransfer/Archive/ArchiveObject__form/Document/Digital');
	var archiveObject_physical = $('/ArchiveTransfer/Archive/ArchiveObject__form/Document/Physical');
	
	// Manage enable/disable
	if(Digital.checked) {
		archiveObject_digital.removeAttribute('disabled');
	} else {
		archiveObject_digital.setAttribute('disabled', 'true');
		archiveObject_digital.removeAttribute('checked');
	}
	
	if(Physical.checked) {
		archiveObject_physical.removeAttribute('disabled');
	} else {
		archiveObject_physical.setAttribute('disabled', 'true');
		archiveObject_physical.removeAttribute('checked');
	}
	
	// Manage default value
	if(Digital.checked) {
		archiveObject_digital.setAttribute('checked', 'true');
		ArchiveObject__digital(true);
	} else if(Physical.checked) {
		archiveObject_physical.setAttribute('checked', 'true');
		ArchiveObject__physical(true);	
	}
	
}

function ArchiveTransfer__control() 
{
	var target = $('ArchiveTransfer__messages');
	target.setAttribute('style', 'width: 1024px;');
	target.innerHTML = '';
	
	var errors = new Array();
	
	//Support
	var physical = $('/ArchiveTransfer/Archive/Document/Physical');
	var physical_size = $('/ArchiveTransfer/Archive/Document/Size');
	var physical_unitCode = $('/ArchiveTransfer/Archive/Document/unitCode');
	var digital = $('/ArchiveTransfer/Archive/Document/Digital');
	if(digital.checked == false && physical.checked == false) 
		errors.push('Support des archives transférées');
	if(physical.checked == true && (physical_size.value == 0 || physical_unitCode.value == ''))
		errors.push('Taille des archives physiques transférées');
		
	// Origine	
	var originatingAgency = $('/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/entity_id');
	if(originatingAgency.value == '')
		errors.push('Entité productrice');
	var originatingService = $('/ArchiveTransfer/Archive/ContentDescription/OriginatingAgency/Contact/user_id');
	if(originatingService.value == '')
		errors.push('Service producteur');
	var transferringAgency = $('/ArchiveTransfer/TransferringAgency/entity_id');
	if(transferringAgency.value == '')
		errors.push('Service versant');
	
	// Description
	var archivalAgreement = $('/ArchiveTransfer/Archive/ArchivalAgreement');
	if(archivalAgreement.value == '')
		errors.push('Convention d\'archivage');
	var archivalSchedule = $('/ArchiveTransfer/Archive/schedule_id');
	if(archivalSchedule.value == '')
		errors.push('Tableau de gestion');
	var archiveIdentifier = $('/ArchiveTransfer/Archive/TransferringAgencyArchiveIdentifier');
	if(archiveIdentifier.value == '')
		errors.push('Cote de l\'archive');
	
	// Dates
	var oldestDate__year = $('/ArchiveTransfer/Archive/ContentDescription/OldestDate__year');
	var oldestDate_isYear = isYear(oldestDate__year.value);
	
	if(oldestDate_isYear == false)
		errors.push('Format de date de début invalide');
	
	var latestDate__year = $('/ArchiveTransfer/Archive/ContentDescription/LatestDate__year');
	var latestDate_isYear = isYear(latestDate__year.value);
	if(latestDate_isYear == false)
		errors.push('Format de date de fin invalide');
	
	if(oldestDate_isYear && latestDate_isYear && oldestDate__year.value > latestDate__year.value) 
		errors.push('La date de fin doit être postérieure à la date de début');
	
	var format = $('/ArchiveTransfer/Archive/Document/Description');
	if(format.value == '')
		errors.push('Nature');

	var FilePlanPosition = $('/ArchiveTransfer/Archive/ContentDescription/FilePlanPosition');
	if(FilePlanPosition.value == '')
		errors.push('Plan de classement');
	
	var DescriptionLevel = $('/ArchiveTransfer/Archive/ContentDescription/DescriptionLevel');
	if(DescriptionLevel.value == '')
		errors.push('Plan de classement');
	
	var Name = $('/ArchiveTransfer/Archive/Name');
	if(Name.value == '')
		errors.push('Intitulé/analyse de l\'archive');
	
	//console.log(errors);
	if(errors.length > 0) {
		var error_display = '<b>Les éléments suivants sont erronés:</b><br/>&nbsp;-&nbsp;';
		error_display += errors.join('<br/>&nbsp;-&nbsp;');
		
		target.setAttribute('style', 'background-color: papayawhip; color: firebrick; padding: 10px;');
		target.innerHTML = error_display;
		return false;
	}	

}

function isYear(sText)
{
	var ValidChars = "0123456789";
	var isInt=true;
	var Char;
	
	if(sText.length != 4) {
		return false;
	} else {
		for (i = 0; i < sText.length && isInt == true; i++) { 
		  Char = sText.charAt(i); 
		  if (ValidChars.indexOf(Char) == -1) {
			 isInt = false;
			}
		}
		return isInt; 
	}
}


//*****************************************************************
// ARCHIVE OBJECTS
//*****************************************************************
function ArchiveObject__fillForm()
{
	var control = ArchiveTransfer__control();
	if(control == false) {
		goTo('#ArchiveTransfer__messages');
		return;
	}
	else {
	
		var ArchivePath = '/ArchiveTransfer/Archive';
		var ObjectPath = '/ArchiveTransfer/Archive/ArchiveObject__form';
		
		hideBlock('/ArchiveTransfer/Archive/Document__form');
		hideBlock('/ArchiveTransfer/Archive/Origin__form');
		hideBlock('/ArchiveTransfer/Archive__form');
		showBlock('/ArchiveTransfer/Archive/ArchiveObject__form');
		
		var properties = [
			'/Name',
			'/schedule_id',
			'/AccessRestrictionRule/Code',
			'/AccessRestrictionRule/StartDate',
			'/AppraisalRule/Code',
			'/AppraisalRule/Duration',
			'/AppraisalRule/StartDate',
			'/ContentDescription/DescriptionLevel',
			'/ContentDescription/OldestDate',
			'/ContentDescription/OldestDate__year',
			'/ContentDescription/LatestDate',
			'/ContentDescription/LatestDate__year',
			'/ContentDescription/FilePlanPosition',
			'/Document/Description',
			'/Document/format',
			'/Document/unitCode'
		];

		for(var i in properties) {
			var ArchivePropertyId = ArchivePath + properties[i];
			var ArchiveProperty = $(ArchivePropertyId);
			var ObjectPropertyId = ObjectPath + properties[i];
			var ObjectProperty = $(ObjectPropertyId);
			if (ArchiveProperty && ObjectProperty) {
				ObjectProperty.value = ArchiveProperty.value;
			}
		}
		//$(ObjectPath + '/Document/format').value = 'Digital';
		//$(ObjectPath + '/Document/unitCode').value = 'A99'
		
		$('ArchiveObject__update').style.display = 'none';
		$('ArchiveObject__add').style.display = 'block';
		$(ObjectPath + '/activePath').value = '';
	}
}

function ArchiveObject__add()
{
	var control = ArchiveObject__control();
	if(control == false) {
		return;
	}
	else {
	
		var formPath = '/ArchiveTransfer/Archive/ArchiveObject__form';
		//var target = $('/ArchiveTransfer/Archive/ArchiveObject__list');
		
		ArchiveObjectDate__update($(formPath + '/ContentDescription/OldestDate__year'));
		ArchiveObjectDate__update($(formPath + '/ContentDescription/LatestDate__year'));

		new Ajax.Request(
			'index.php?display=true&module=records_management&page=ArchiveObject__add',
			{
				method: 'post',
				parameters: {
					objectName : 'ArchiveTransfer',
					Name : $(formPath + '/Name').value,
					schedule_id : $(formPath + '/schedule_id').value,
					DescriptionLevel : $(formPath + '/ContentDescription/DescriptionLevel').value,
					OldestDate : $(formPath + '/ContentDescription/OldestDate').value,
					LatestDate : $(formPath + '/ContentDescription/LatestDate').value,
					FilePlanPosition : $(formPath + '/ContentDescription/FilePlanPosition').value,
					AppraisalCode : $(formPath + '/AppraisalRule/Code').value,
					AppraisalDuration : $(formPath + '/AppraisalRule/Duration').value,
					AppraisalStartDate : $(formPath + '/AppraisalRule/StartDate').value,
					AccessRestrictionCode : $(formPath + '/AccessRestrictionRule/Code').value,
					AccessRestrictionStartDate : $(formPath + '/AccessRestrictionRule/StartDate').value,
					Description : $(formPath + '/Document/Description').value,
					format : $(formPath + '/Document/format').value,
					unitCode : $(formPath + '/Document/unitCode').value
				},
				onSuccess: function(transport) {
						var ArchiveObjectView = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
						var target = $('/ArchiveTransfer/Archive/ArchiveObject__list');
						target.update(target.innerHTML + ArchiveObjectView);
					}
			}
		);
		
		$('ArchiveObject__update').style.display = 'none';
		$('ArchiveObject__add').style.display = 'block';
		$(formPath + '/activePath').value = '';
		$(formPath + '/TransferringAgencyObjectIdentifier').value = '';
	}

}

function ArchiveObject__open(element)
{
    var parentPath 
        = element.getAttribute('id').replace('/ArchiveObject__open', '');
    
    var formPath = '/ArchiveTransfer/Archive/ArchiveObject__form';
	var activePath = $(formPath + '/activePath');
    activePath.value = parentPath;

	var properties = [
		'/TransferringAgencyObjectIdentifier',
		'/schedule_id',
		'/item_id',
		'/Name',
		'/AccessRestrictionRule/Code',
		'/AccessRestrictionRule/StartDate',
		'/AppraisalRule/Code',
		'/AppraisalRule/Duration',
		'/AppraisalRule/StartDate',
		'/ContentDescription/DescriptionLevel',
		'/ContentDescription/OldestDate',
		'/ContentDescription/OldestDate__year',
		'/ContentDescription/LatestDate',
		'/ContentDescription/LatestDate__year',
		'/ContentDescription/FilePlanPosition',
		'/Document/Description',
		'/Document/format',
		'/Document/unitCode'
	];

	for(var i in properties) {
		var form_property = $(formPath + properties[i]);
		var table_property = $(parentPath + properties[i]);
		if (form_property && table_property) 
			form_property.value = table_property.innerHTML;
	}
	
	var form_format = $(formPath + '/Document/format');
	var form_digital = $(formPath + '/Document/Digital');
	var form_physical = $(formPath + '/Document/Physical');
	if(form_format.value == 'Digital') {
		form_digital.checked = true; 
		form_physical.checked = false; 
	}
	else if(form_format.value == 'Physical') {
		form_digital.checked = false; 
		form_physical.checked = true; 
	} else {
		form_digital.checked = false; 
		form_physical.checked = false; 
	}
	
	hideBlock('/ArchiveTransfer/Archive/Document__form');
	hideBlock('/ArchiveTransfer/Archive/Origin__form');
	hideBlock('/ArchiveTransfer/Archive__form');
	showBlock(formPath);
	
	$('ArchiveObject__update').style.display = 'block';
	$('ArchiveObject__add').style.display = 'none';
	
}

function ArchiveObject__update()
{
	var control = ArchiveObject__control();
	if(control == false) {
		return;
	}
	else {
	
		var formPath = '/ArchiveTransfer/Archive/ArchiveObject__form';
		var objectPath = $(formPath + '/activePath').value;
		var target = $(objectPath);
		
		ArchiveObjectDate__update($(formPath + '/ContentDescription/OldestDate__year'));
		ArchiveObjectDate__update($(formPath + '/ContentDescription/LatestDate__year'));
		
		new Ajax.Request(
			'index.php?display=true&module=records_management&page=ArchiveObject__update',
			{
				method: 'post',
				parameters: {
					objectName : 'ArchiveTransfer',
					objectPath : objectPath,
					TransferringAgencyObjectIdentifier : $(formPath + '/TransferringAgencyObjectIdentifier').value,
					Name : $(formPath + '/Name').value,
					schedule_id : $(formPath + '/schedule_id').value,
					DescriptionLevel : $(formPath + '/ContentDescription/DescriptionLevel').value,
					OldestDate : $(formPath + '/ContentDescription/OldestDate').value,
					LatestDate : $(formPath + '/ContentDescription/LatestDate').value,
					FilePlanPosition : $(formPath + '/ContentDescription/FilePlanPosition').value,
					AppraisalCode : $(formPath + '/AppraisalRule/Code').value,
					AppraisalDuration : $(formPath + '/AppraisalRule/Duration').value,
					AppraisalStartDate : $(formPath + '/AppraisalRule/StartDate').value,
					AccessRestrictionCode : $(formPath + '/AccessRestrictionRule/Code').value,
					AccessRestrictionStartDate : $(formPath + '/AccessRestrictionRule/StartDate').value,
					Description : $(formPath + '/Document/Description').value,
					format : $(formPath + '/Document/format').value,
					unitCode : $(formPath + '/Document/unitCode').value
				},
				onSuccess: function(transport) {
						var ArchiveObjectView = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
						target.innerHTML = ArchiveObjectView;
					}
			}
		);
		
		$('ArchiveObject__update').style.display = 'none';
		$('ArchiveObject__add').style.display = 'block';
		$(formPath + '/TransferringAgencyObjectIdentifier').value = '';
		//setRowColor();
	}

}

function ArchiveObject__delete(command)
{
    var command_id = command.getAttribute('id');
	var ArchiveObjectPath = command_id.replace('/ArchiveObject__delete', '');
	var target = $('/ArchiveTransfer/Archive/ArchiveObject__list');
	
	new Ajax.Request(
        'index.php?display=true&module=records_management&page=ArchiveObject__delete',
        {
            method:'post',
            parameters: {
                objectName : 'ArchiveTransfer',
                objectPath : ArchiveObjectPath
            },
            onSuccess: function(transport){
					var ArchiveObjects__tbody = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
					target.outerHTML = ArchiveObjects__tbody;
				}
        }
    );

}

function ArchiveObjectDate__update(year_input)
{
	var year = year_input.value;
    var year_id = year_input.getAttribute('id');
    var date_id = year_id.replace('__year', '');
    var date_name = date_id.substr(-10);
	var date = '';
	var appraisalruledate_id = date_id.replace('ContentDescription/' + date_name, 'AppraisalRule/StartDate');
    var accessrestrictionruledate_id = date_id.replace('ContentDescription/' + date_name, 'AccessRestrictionRule/StartDate');
	
	if(year && year.length >= 4) {
        if(date_name == 'OldestDate')
            date = year + '-01-01';
        if(date_name == 'LatestDate') {
            date = year + '-12-31';
            $(appraisalruledate_id).value = date;
            $(accessrestrictionruledate_id).value = date;
        }
        $(date_id).value = date;
    }
	
	var archive_year_input = 
		$('/ArchiveTransfer/Archive/ContentDescription/' + date_name + '__year');
	
	if(	(date_name == 'OldestDate' && year < archive_year_input.value)
		|| (date_name == 'LatestDate' && year > archive_year_input.value)
	) {
			archive_year_input.value = year;
			ArchiveDate__update(archive_year_input);
	}
 	
}

function ArchiveObjectSchedule__select()
{
	var Schedule = $('/ArchiveTransfer/Archive/ArchiveObject__form/schedule_id');
	var selectedOption = Schedule.options[Schedule.selectedIndex];
	
	var AppraisalCode = $('/ArchiveTransfer/Archive/ArchiveObject__form/AppraisalRule/Code');
	AppraisalCode.value = selectedOption.getAttribute('data-appraisal_code');
	
	var AppraisalDuration = $('/ArchiveTransfer/Archive/ArchiveObject__form/AppraisalRule/Duration');
	AppraisalDuration.value = selectedOption.getAttribute('data-appraisal_duration');
	
	var AccessRestrictionCode = $('/ArchiveTransfer/Archive/ArchiveObject__form/AccessRestrictionRule/Code');
	AccessRestrictionCode.value = selectedOption.getAttribute('data-access_restriction_code');
	
}

function ArchiveObject__digital(checked)
{
	if(checked) {
		var format = $("/ArchiveTransfer/Archive/ArchiveObject__form/Document/format");
		var unitCode = $('/ArchiveTransfer/Archive/ArchiveObject__form/Document/unitCode');
		var physical = $('/ArchiveTransfer/Archive/ArchiveObject__form/Document/Physical');
		format.value = 'Digital';
		unitCode.value = 'A99';
		physical.removeAttribute('checked');
	}
}

function ArchiveObject__physical(checked)
{
	if(checked) {
		var format = $("/ArchiveTransfer/Archive/ArchiveObject__form/Document/format");
		var unitCode = $('/ArchiveTransfer/Archive/ArchiveObject__form/Document/unitCode');
		var digital = $('/ArchiveTransfer/Archive/ArchiveObject__form/Document/Digital');
		format.value = 'Physical';
		unitCode.value = '';		
		digital.removeAttribute('checked');
	}
}

function ArchiveObject__control() 
{
	var target = $('ArchiveObject__messages');
	target.setAttribute('style', 'width: 1024px;');
	target.innerHTML = '';
	
	var errors = new Array();
	
	//Support
	var physical = $('/ArchiveTransfer/Archive/ArchiveObject__form/Document/Physical');
	var digital = $('/ArchiveTransfer/Archive/ArchiveObject__form/Document/Digital');
	if(digital.checked == false && physical.checked == false) 
		errors.push('Support de l\'article transféré');
	
	// Description
	var archivalSchedule = $('/ArchiveTransfer/Archive/ArchiveObject__form/schedule_id');
	if(archivalSchedule.value == '')
		errors.push('Tableau de gestion');
	
	// Dates
	var oldestDate__year = $('/ArchiveTransfer/Archive/ArchiveObject__form/ContentDescription/OldestDate__year');
	var oldestDate_isYear = isYear(oldestDate__year.value);
	
	if(oldestDate_isYear == false)
		errors.push('Format de date de début invalide');
	
	var latestDate__year = $('/ArchiveTransfer/Archive/ArchiveObject__form/ContentDescription/LatestDate__year');
	var latestDate_isYear = isYear(latestDate__year.value);
	if(latestDate_isYear == false)
		errors.push('Format de date de fin invalide');
	
	if(oldestDate_isYear && latestDate_isYear && oldestDate__year.value > latestDate__year.value) 
		errors.push('La date de fin doit être postérieure à la date de début');
	
	var format = $('/ArchiveTransfer/Archive/ArchiveObject__form/Document/Description');
	if(format.value == '')
		errors.push('Nature');

	var FilePlanPosition = $('/ArchiveTransfer/Archive/ArchiveObject__form/ContentDescription/FilePlanPosition');
	if(FilePlanPosition.value == '')
		errors.push('Plan de classement');
	
	var DescriptionLevel = $('/ArchiveTransfer/Archive/ArchiveObject__form/ContentDescription/DescriptionLevel');
	if(DescriptionLevel.value == '')
		errors.push('Plan de classement');
	
	var AppraisalCode = $('/ArchiveTransfer/Archive/ArchiveObject__form/AppraisalRule/Code');
	if(AppraisalCode.value == '')
		errors.push('Sort final');
	
	var AppraisalDuration = $('/ArchiveTransfer/Archive/ArchiveObject__form/AppraisalRule/Duration');
	if(AppraisalDuration.value == '')
		errors.push('DUA');
	
	var AccessRestrictionCode = $('/ArchiveTransfer/Archive/ArchiveObject__form/AccessRestrictionRule/Code');
	if(AccessRestrictionCode.value == '')
		errors.push('Communicabilité');
		
	var Name = $('/ArchiveTransfer/Archive/ArchiveObject__form/Name');
	if(Name.value == '')
		errors.push('Intitulé de l\'article');
	
	//console.log(errors);
	if(errors.length > 0) {
		var error_display = '<b>Les éléments suivants sont erronés:</b><br/>&nbsp;-&nbsp;';
		error_display += errors.join('<br/>&nbsp;-&nbsp;');
		
		target.setAttribute('style', 'background-color: papayawhip; color: firebrick; padding: 10px;');
		target.innerHTML = error_display;
		return false;
	}	

}

//*****************************************************************
// ARCHIVE TRANSFER APPLET
//*****************************************************************
function ArchiveTransferApplet__close(showBR) {
	if(showBR == "1") 
		ArchiveTransfer__display();
}

//*****************************************************************
// ARCHIVE TRANSFER VALIDATION
//*****************************************************************
function ArchiveTransferValidation__save()
{
    var target = $('ArchiveTransferValidation__messages');
	
    new Ajax.Request(
        'index.php?display=true&module=records_management&page=ArchiveTransferValidation__save',
        {
            method: 'post',
            parameters: {
				ReplyCode : $('/ArchiveTransferReply/ReplyCode').value,
				ReplyComment : $('/ArchiveTransferReply/Comment/Comment').value
            },
            onSuccess: function(transport) {
                var Messages = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
                if(Messages && Messages.length > 0) 
				{
					target.innerHTML = Messages;
                } else {
					// Pop up SEDA
					var popup = document.location.href;
					
					var moduleMatch = popup.match(/module=.[^&]*/ig);
					if(moduleMatch) popup = popup.replace(moduleMatch[0], "module=records_management");
					
					var pageMatch = popup.match(/page=.[^&]*/ig);
					popup = popup.replace(pageMatch[0], "page=ArchiveTransferReply__display");
					
					popup += "&display=true";
					
					screenHeight = (screen.height > 0) ? screen.height : 768;
					window.open(popup, false, 'height=' + screenHeight + ', width=1050, scrollbars=yes, resizable=yes');
					
					// Destroy Modal
					destroyModal('modal_' + $('id_action').value);
                }
            }
        }
    );
}

//*****************************************************************
// ARCHIVE OBJECTS TRANSFER
//*****************************************************************
function ArchiveObjectsTransfer__load() 
{
	// TransferringAgency => filter ArchivalAgreements
	var RefTransferringAgency = $('/ArchiveTransfer/TransferringAgency/entity_id');
	if(RefTransferringAgency && RefTransferringAgency.value != '') {
		ArchivalAgreement__filter();
	}

	// ArchivalAgreement => ArchivalAgency
	var RefArchivalAgreement = $('/ArchiveTransfer/Archive/ArchivalAgreement');
	if(RefArchivalAgreement && RefArchivalAgreement.value != '') {
		Address__display(
			'/ArchiveTransfer/Archive/ArchivalAgreement',
			'/ArchiveTransfer/Archive/ArchivalAgency/Address'
		);

		if($('/ArchiveTransfer/Archive/ArchivalProfile').value == '')
			$('/ArchiveTransfer/Archive/ArchivalProfile').value =
				RefArchivalAgreement.options[RefArchivalAgreement.selectedIndex]
					.getAttribute('data-archivalprofile');
	}
}

function ArchiveObjectsTransfer__save()
{
    var target = $('ArchiveTransfer__messages');
	
    new Ajax.Request(
        'index.php?display=true&module=records_management&page=ArchiveObjectsTransfer__save',
        {
            method: 'post',
            parameters: {
            },
            onSuccess: function(transport) {
                var Messages = transport.responseText.replace(new RegExp("(\r|\n)", "g"), "");
                if(Messages && Messages.length > 0) 
				{
					target.innerHTML = Messages;
                } else {
					// Pop up SEDA
					ArchiveTransfer__display();
					
					// Destroy Modal
					destroyModal('modal_' + $('id_action').value);
					
					var reiniturl = document.location.href + '&reinit=true';			
					goTo(reiniturl);
                }
            }
        }
    );
}

//*****************************************************************
// ARCHIVE TRANSFER BASKET
//*****************************************************************
function ArchiveTransferBasket__loadItemList(id)
{
    new Effect.toggle('itemList_'+id, 'appear' , {delay:0.2});

    var path_manage_script = 'index.php?page=rm_items_list&module=records_management&display=true';
    new Ajax.Request(path_manage_script,
    {
        method:'post',
        parameters: { io_id : id},
        onSuccess: function(answer){
			var crlf = new RegExp("(\r|\n)", "g");
			var response = answer.responseText.replace(crlf, "<br/>")
			eval("response = " + response);
			$('divItemList_'+id).innerHTML = response.toShow;
        }
    });
}

//*****************************************************************
// ARCHIVE OBJECT CREATE (GDA)
//*****************************************************************
function ArchiveObjectIndex__load() 
{
	new Ajax.Autocompleter(
		'project', 
		'project_autocomplete', 
		'index.php?display=true&module=records_management&page=FilePlanPosition__autocomplete',
		{
			method:'get',
			paramName:'FilePlanPosition',
			minChars:2,
			updateElement:function (li) 
			{ 
				var FilePlanPosition = $('project');
				FilePlanPosition.value = li.innerHTML;
			} 
		}
	);


}

function load_originatingSubentities(originatingEntity)
{
    if (originatingEntity.length < 1) {
        $('originating_user_id').update('').innerHTML;
        return;
    }
    
    var path_manage_script = 'index.php?display=true&page=loadAJAX_originatingSubentities&module=records_management';

    new Ajax.Request(path_manage_script,
    {
        method:'post',
        parameters: { originating_entity : originatingEntity},
        onSuccess: function(answer){
            eval("response = "+answer.responseText);
            $('originating_user_id').update(response.options).innerHTML;
        }
    });
}

function ArchiveObjectIndexSchedule__select()
{
	var Schedule = $('schedule');
	var selectedOption = Schedule.options[Schedule.selectedIndex];
	
	var AppraisalCode = $('appraisal_code');
	AppraisalCode.value = selectedOption.getAttribute('data-appraisal_code');
	
	var AppraisalDuration = $('appraisal_duration');
	AppraisalDuration.value = selectedOption.getAttribute('data-appraisal_duration');
	
	var AccessRestrictionCode = $('access_restriction_code');
	AccessRestrictionCode.value = selectedOption.getAttribute('data-access_restriction_code');
	
}

function load_destination(rootEntity)
{
    if (rootEntity.length < 1) {
        $('destination').update('').innerHTML;
        return;
    }
    
    var path_manage_script = 'index.php?display=true&page=loadAJAX_destination&module=records_management';

    new Ajax.Request(path_manage_script,
    {
        method:'post',
        parameters: { originating_entity : rootEntity},
        onSuccess: function(answer){
            eval("response = "+answer.responseText);
            $('destination').update(response.options).innerHTML;
        }
    });
}


//*****************************************************************
// REPORT RECORDS BY PERIOD
//*****************************************************************
function RecordsByPeriod_show(url, mode) {
	var type_period = '';
    var type_report = 'array';
    var datestart = '';
    var dateend = '';
    var year = '';
    var month = '';
    var error = '';
    var report_id = '';

    var report_id_item = $('id_report');
    if(report_id_item)
    {
        report_id = report_id_item.value;
    }

    var report = $('report_array');
    if(report && report.checked)
    {
        type_report = 'array';
    }
    var period_custom = $('custom_period');
    var period_year = $('period_by_year');
    var period_month = $('period_by_month');
    if(period_custom && period_custom.checked)
    {
        type_period = 'custom_period';
        var datestart_item = $('datestart');
        if(datestart_item)
        {
            datestart = datestart_item.value;
        }
        var dateend_item = $('dateend');
        if(dateend_item)
        {
            dateend = dateend_item.value;
        }
    }
    else if(period_year && period_year.checked)
    {
        type_period = 'period_year';
        var years_list = $('the_year');
        if(years_list)
        {
            year =  years_list.options[years_list.selectedIndex].value;
        }
    }
    else if(period_month && period_month.checked)
    {
        type_period = 'period_month';
        var months_list = $('the_month');
        if(months_list)
        {
            month =  months_list.options[months_list.selectedIndex].value;
        }
    }
    else
    {
        error = 'empty_type_period';
    }

    if(type_period  != '' && error == '')
    {
		if(mode == 'array') {
			new Ajax.Request(url,
			{
				method:'post',
				parameters: {
					id_report : report_id,
					report_type : type_report,
					period_type : type_period,
					the_year : year,
					the_month : month,
					date_start : datestart,
					date_fin : dateend,
					mode : mode
							},
					onSuccess: function(answer){
				//  alert(answer.responseText);
					
						var div_to_fill = $('RecordsByPeriod_result');
					//  console.log(div_to_fill);
						if(div_to_fill)
							div_to_fill.innerHTML = answer.responseText;
					
				}
			});
		}
		else if (mode == 'print') {
			url = url + '&id_report=' + report_id;
			url = url + '&report_type=' + type_report;
			url = url + '&period_type=' + type_period;
			url = url + '&the_year=' + year;
			url = url + '&the_month=' + month;
			url = url + '&date_start=' + datestart;
			url = url + '&date_fin=' + dateend;
			url = url + '&mode=print';
			
			screenHeight = (screen.height > 0) ? screen.height : 768;
			window.open(url, false, 'height=' + screenHeight + ', scrollbars=no, resizable=yes');
		}
    }

}

