<?php

require_once 'core/tests/class/DataObjectController.php';
require_once 'core/tests/class/ViewController.php';

//*****************************************************************************
// 1 - Init
//*****************************************************************************
// Load returned View as source of data
$ViewController = new ViewController();
$view = $ViewController->loadHTML($_REQUEST['rm_doctypes']);

$messageController = new MessageController();
$messageController->loadMessageFile(
    'modules/records_management/xml/rm_doctypes_Messages.xml'
);

// Load Schema
$dataObjectController = new DataObjectController();
$dataObjectController->loadXSD(
    $_SESSION['config']['corepath'] 
    . 'modules/records_management/xml/records_management.xsd'
);

// Load data object from session
$rm_doctype = $dataObjectController->loadXML($_SESSION['rm_doctypes']);

//*****************************************************************************
// 2 - Update DataObject
//*****************************************************************************
$log = array();
$log[] = "Update RM_DOCTYPE...";
$object_properties = $dataObjectController->getObjectProperties('rm_doctypes');
foreach($object_properties as $property) {
    $propertyName = $property->getName();
    $formElement = $ViewController->getElementById(
        'rm_doctypes.' . $propertyName
    );

    if(!$formElement) continue;
    
    switch($propertyName) {
    case 'rm_doctype_id':
        continue;
    default:
        $log[] = $propertyName . " => " . utf8_decode($formElement->getAttribute('value'));
        $rm_doctype->$propertyName = utf8_decode($formElement->getAttribute('value'));
    }
    
}

//*****************************************************************************
// 3 - Validate / save and return
//*****************************************************************************
$return = new StdClass();
$return->status = 1;
$return->log = $log;
$return->dataObject = $rm_doctype->ownerDocument->saveXML();
$return->errors = array();

//*************************************
// 3.1 - Validate
//*************************************
$valid = $dataObjectController->validate($rm_doctype);
if(!$valid) {
    $return->status = 0;
    $validationErrors = $rm_doctype->getValidationErrors();
    for($i=0; $i<count($validationErrors); $i++) {
        $validationError = $validationErrors[$i];
        $returnError = $validationError->message;
        switch($validationError->id){
        case '1824':
            $parts = explode("'", $validationError->message);
            $element = $parts[1];
            if(strstr($validationError->message, 'attribute')) {
                $attribute = $parts[3];
                $value = $parts[5];
                $type = $parts[7];
                $propertyDesc = $messageController->getMessageText($element . "." .$attribute);
                if($value == '') {
                    $returnError = "La valeur de '$propertyDesc' est obligatoire.";
                } else {
                    $returnError = "La valeur '$value' n'est pas autorisée pour '$propertyDesc'.";
                }
            } else {
                $value = $parts[3];
                $type = $parts[5];
                $propertyDesc = $messageController->getMessageText('rm_archives.' . $element);
                if($value == '') {
                    $returnError = "La valeur de '$propertyDesc' est obligatoire.";
                } else {
                    $returnError = "La valeur '$value' n'est pas autorisée pour '$propertyDesc'.";
                } 
            }
            
        }
        $return->errors[] = $returnError;
    }   
    
    echo json_encode($return); 
    return;
} // End if ntot valid

//*************************************
// 3.2 - Save
//*************************************
$key = $dataObjectController->save($rm_doctype);
if(!$key) {
    $return->status = 0;
    $return->errors[] = "Erreur lors de la sauvegarde des données";
    echo json_encode($return); 
    return;
}
$return->rm_doctype_id = $key->rm_doctype_id;

//*************************************
// 3.4 - Return
//*************************************   
echo json_encode($return); 