<?php
//MODEL
    //CLASSES
        require_once('core/class/class_functions.php');
        require_once('core/class/class_db.php');
        
    //FUNCTIONS
            function translate($viewController, $messageController)
            {
                $view = $viewController->view;
                /* --------------------------------------------------
                - get <label> elements
                - translate the "for" attributes of <label>s
                - add ->nodeValue with the translation to the <label>
                -------------------------------------------------- */
                $labels = $viewController->getLabels();
                for ($i=0; $i<$labels->length; $i++) {
                    $label = $labels->item(
                        $i
                    );
                    $labelFor = $label->getAttribute(
                        'for'
                    );
                    $labelText = $messageController->getMessageText(
                        $labelFor
                    );
                    $label->nodeValue = $labelText;
                }
                
                
                /* ----------------------------------------------------------------------
                - add the translation of $blocks[$i] in the element with id="$blocks[$i]"
                ---------------------------------------------------------------------- */
                /*$blocks = array(
                    'identification_title',
                    'description_title',
                    'relations_title',
                    'controls_title',
                );
                for ($i=0; $i<count($blocks); $i++) {
                    $viewController->getElementById($blocks[$i])->nodeValue = $messageController->getMessageText(
                        $blocks[$i]
                    );
                }*/
                
                /* ----------------------------------------------------------------------
                - get <p> elements with an attribute "data-messageid"
                - translate the "data-messageid" attribute of <p>s
                - add a nodeValue with the translation to the "data-messgaeid" in the <p>
                ---------------------------------------------------------------------- */
                $helps = $view->getElementsByTagName('p');
                for ($i=0; $i<$helps->length; $i++) {
                    $legend = $helps->item(
                        $i
                    );
                    $legendId = $legend->getAttribute(
                        'data-messageid'
                    );
                    if (!$legendId) continue;
                    $legendText = $messageController->getMessageText(
                        $legendId
                    );
                    $legend->nodeValue = $legendText;
                }
            }
            function translate_button($viewController, $messageController, $idButton, $messageButton)
            {
                /* ----------------------------------------------
                - get the <input type="button"> of id="$idButton"
                - translate the $messageButton
                - add the translation to the button
                ---------------------------------------------- */
                $viewController->getElementById($idButton)->setValue(
                    $messageController->getMessageText(
                        $messageButton
                    )
                );
            }
            function populate($dataObjectController, $viewController, $rm_doctype, $mode)
            {
                $view = $viewController->view;
                $db = new dbquery();
                $db->connect();
                
                /* -----------
                - rm_doctype_id
                ----------- */
                $rm_doctype_id = $view->getElementById('rm_doctypes.rm_doctype_id');
                if (isset($_REQUEST['objectId']) && !empty($_REQUEST['objectId']))
                    $rm_doctype_id->setValue($_REQUEST['objectId']);
                
                /* --------
                - type_id
                -------- */
                $type_id = $view->getElementById('rm_doctypes.type_id');
                $query = 'SELECT ';
                    $query .= 'type_id, ';
                    $query .= 'description ';
                $query .= 'FROM ';
                    $query .= 'doctypes ';
                $query .= 'WHERE ';
                    if ($mode == 'create') {
                        $query .= "type_id NOT IN (";
                            $query .= 'SELECT ';
                                $query .= 'DISTINCT type_id ';
                            $query .= 'FROM ';
                                $query .= 'rm_doctypes';
                        $query .= ")";
                    } else {
                        $query .= "type_id = '" . $rm_doctype->type_id . "'";
                    }

                $db->query($query);
                $i_max = $db->nb_result();
                if ($i_max > 1)
                    $type_id->addOption('', '');
                while($doctype = $db->fetch_object()) {
                    $option = $type_id->addOption($doctype->type_id, $doctype->description);
                }
                if ($i_max == 1)
                    $option->setAttribute('selected', 'selected');
                if ($mode != 'create')
                    $type_id->disable();
                
                /* ----------
                - Appraisal_code
                ---------- */
                $appraisal_code = $view->getElementById('rm_doctypes.appraisal_code');
                $appraisal_codes = $dataObjectController->getTypeEnumeration('appraisal_code');
                $i_max = count($appraisal_codes);
                if ($i_max > 1)
                    $appraisal_code->addOption('', '');
                for($i=0; $i<$i_max; $i++) {
                    $code = $appraisal_codes[$i];
                    $option = $appraisal_code->addOption($code['value'], $code['name']);
                    if ($rm_doctype->appraisal_code == $code['value'])
                        $option->setAttribute('selected', 'selected');
                }
                if ($mode == 'read')
                    $appraisal_code->disable();
                
                /* ----------
                - Appraisal_duration
                ---------- */
                $appraisal_duration = $view->getElementById('rm_doctypes.appraisal_duration');
                $appraisal_duration->setValue($rm_doctype->appraisal_duration);
                if ($mode == 'read')
                    $appraisal_duration->disable();
                
                /* ----------
                - Access_restriction
                ---------- */
                $access_restriction_code = $view->getElementById('rm_doctypes.access_restriction_code');
                $access_restriction_description = $view->getElementById('rm_doctypes.access_restriction_description');
                $sedaParser = new DataObjectController();
                $sedaParser->loadXSD(
                    'modules/records_management/schema/'
                    . 'seda/v1.0/codes/seda_v1-0_accessrestriction_code.xsd'
                );
                $accessRestrictionCodes = 
                    $sedaParser->getTypeEnumeration(
                        'AccessRestrictionCodeType', 
                        array(
                            'name' => './/ccts:Name',
                            'description' => './/ccts:Description',
                            )
                    );

                $i_max = count($accessRestrictionCodes);
                if ($i_max > 1)
                    $access_restriction_code->addOption('', '');
                for($i=0; $i<$i_max; $i++) {
                    $code = $accessRestrictionCodes[$i];
                    $option = $access_restriction_code->addOption($code['value'], $code['value']);
                    $option->setAttribute('title', $code['name'] . ": " . $code['description']);
                    $option->setDataAttribute('name', $code['name']);
                    if ($rm_doctype->access_restriction_code == $code['value'])
                        $option->setAttribute('selected', 'selected');
                }
                if ($mode == 'read')
                    $access_restriction_code->disable();
                
                /* ----------
                - Service_level
                ---------- */
                $service_level = $view->getElementById('rm_doctypes.service_level');
                $service_levels = $dataObjectController->getTypeEnumeration('service_level');
                $i_max = count($service_levels);
                if ($i_max > 1)
                    $service_level->addOption('', '');
                for($i=0; $i<$i_max; $i++) {
                    $level = $service_levels[$i];
                    $option = $service_level->addOption($level['value'], $level['name']);
                    if ($rm_doctype->service_level == $level['value'])
                        $option->setAttribute('selected', 'selected');
                }
                if ($mode == 'read')
                    $service_level->disable();
                    
            }
//CONTROLLER
    //INIT
        /* ------------------------------------
        - retrieve dataObject in $rm_agreements
        ------------------------------------- */
        $rm_doctype = $dataObject;
        
        /* ----------------
        - title of the page
        ---------------- */
        $titleImageSource = $_SESSION['config']['businessappurl'].'static.php?filename=favicon.png';
        
    //
    
        if ($params['mode'] == 'create' || $params['mode'] == 'read' || $params['mode'] == 'update') {
            $view = $viewController->loadHTMLFile('modules/records_management/rm_doctypes.html');
            translate($viewController, $messageController);
            translate_button($viewController, $messageController, 'saveButton', 'saveButton');
            translate_button($viewController, $messageController, 'cancelButton', 'cancelButton');
            populate($dataObjectController, $viewController, $rm_doctype, $params['mode']);
            $_SESSION['rm_doctypes'] = $rm_doctype->asXML();
        }
            
        
        switch($params['mode']) {
            case 'list' :
                $titleText = $messageController->getMessageText(
                    'rm_doctypes_list', 
                    false, 
                    array(
                        count($dataObjectList->$toEnumerate)
                    )
                );
                $str_returnShow = $listContent;
                break;
                
            case 'create' :
                $titleText = $messageController->getMessageText('rm_doctypes_create');
                break;
                
            case 'read' :
                $titleText = $messageController->getMessageText('rm_doctypes_read');
                break;
                
            case 'update' :
                $titleText = $messageController->getMessageText('rm_doctypes_update');
                break;
        }
?>
<h1>
    <img src="<?php echo $titleImageSource; ?>" />
    <?php echo $titleText; ?>
</h1>
<div class="<?php echo $params['objectName'] ?>">
    <div id="returnAjax"><br /><br /></div>
    <?php
    if ($params['mode'] == 'create' || $params['mode'] == 'read' || $params['mode'] == 'update') {
        /* --------
        - show view
        -------- */
        $viewController->showView();
    } else {
        if (isset($str_returnShow) && !empty($str_returnShow))
            echo $str_returnShow;
    }
    ?>
</div>
<?php if ($str_defaultJs) echo $str_defaultJs; ?>
