<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:seda="fr:gouv:culture:archivesdefrance:seda:v1.0"
  xmlns="fr:gouv:culture:archivesdefrance:seda:v1.0"
  version="1.0">

  <xsl:output
    method="xml"
    version="1.0"
    encoding="UTF-8"
    indent="yes"/> 

  <!-- ======================================================== -->
  <!-- ====             RM_IO => ArchiveTransferReply      ==== -->
  <!-- ======================================================== -->
  <xsl:template match="ArchiveTransferReply">
    <xsl:element name="ArchiveTransferReply" >
      <xsl:apply-templates select="Comment/Comment" />
      <xsl:element name="Date" >
        <xsl:value-of select="substring-before(Date,' ')"/>
          <xsl:text>T</xsl:text>
        <xsl:value-of select="substring-after(Date,' ')"/>
      </xsl:element>
      <xsl:apply-templates select="ReplyCode" />
      <xsl:apply-templates select="TransferIdentifier" />
      <xsl:apply-templates select="TransferReplyIdentifier" />
      <xsl:apply-templates select="ArchivalAgency" />
      <xsl:apply-templates select="TransferringAgency" />
    </xsl:element>
  </xsl:template>
  
  <!-- Comments -->
  <xsl:template match="Comment/Comment">
    <xsl:element name="Comment" >
        <xsl:value-of select="text()" />
    </xsl:element>   
  </xsl:template>
  
  <!-- All other elements -->
  <xsl:template match="*">
    <xsl:element name="{local-name()}">
      <xsl:value-of select='text()' />
      <xsl:apply-templates select="./*" />
    </xsl:element>
  </xsl:template>
  
</xsl:stylesheet>