<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:seda="fr:gouv:culture:archivesdefrance:seda:v1.0"
  xmlns="fr:gouv:culture:archivesdefrance:seda:v1.0"
  version="1.0">

  <xsl:output
    method="xml"
    version="1.0"
    encoding="UTF-8"
    indent="yes"/> 

  <!-- ======================================================== -->
  <!-- ====             RM_IO => ArchiveTransfer      ==== -->
  <!-- ======================================================== -->
  <xsl:template match="ArchiveTransfer | ArchiveTransferReply">
    <xsl:element name="{local-name()}" >
      <xsl:apply-templates select="./*" />
    </xsl:element>
  </xsl:template>
  
  <!-- Comments -->
  <xsl:template match="Comment">
    <xsl:element name="Comment" >
        <xsl:value-of select="./Comment" />
    </xsl:element>   
  </xsl:template>

  <!-- Archive Object -->
  <xsl:template match="Document">
    <xsl:element name="Document" >
      <xsl:element name="Attachment">
        <xsl:if test="@filename">
          <xsl:attribute name="filename">
            <xsl:value-of select="@filename"/>
          </xsl:attribute>
          <!-- Format pronom !!! -->
        </xsl:if>
      </xsl:element>
      <xsl:apply-templates select="./*" />
    </xsl:element>
  </xsl:template> 
  
  <!-- unitCode -->
  <xsl:template match="Size">
    <xsl:if test="../unitCode != ''">
      <xsl:element name="Size" >
        <xsl:attribute name="unitCode">
          <xsl:value-of select="../unitCode"/>
        </xsl:attribute>
        <xsl:value-of select="text()"/>
      </xsl:element>
    </xsl:if>
  </xsl:template>
  
  <xsl:template match="unitCode">
    <!-- Inserted as attribute of Size if not empty -->
  </xsl:template>
  
  <xsl:template match="format">
    <!-- Not managed at this point -->
  </xsl:template>
  
  <xsl:template match="Integrity">
    <xsl:element name="Integrity">
      <xsl:attribute name="algorithme">
        <xsl:text>MD5</xsl:text>
      </xsl:attribute>
      <xsl:value-of select='text()' />
    </xsl:element>
  </xsl:template>
  
  <!-- Dates -->
  <xsl:template match="Date | Creation | Submission | Response | Receipt | Issue">
    <xsl:element name="{local-name()}" >
      <xsl:value-of select="substring-before(text(),' ')"/>
        <xsl:text>T</xsl:text>
      <xsl:value-of select="substring-after(text(),' ')"/>
    </xsl:element>
  </xsl:template>
  
  <!-- Durations -->
  <xsl:template match="Duration">
    <xsl:element name="Duration">
      <xsl:text>P</xsl:text>
      <xsl:value-of select='text()' />
      <xsl:text>Y</xsl:text>
    </xsl:element>
  </xsl:template>
  
  <!-- All other elements -->
  <xsl:template match="*">
    <xsl:element name="{local-name()}">
      <xsl:value-of select='text()' />
      <xsl:apply-templates select="./*" />
    </xsl:element>
  </xsl:template>
  
</xsl:stylesheet>