<?php
/*
*   Copyright 2008-2012 Maarch
*
*   This file is part of Maarch Framework.
*
*   Maarch Framework is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Maarch Framework is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Maarch Framework.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
* @brief  Advanced search form for archives
*
* @file search_adv_rm.php
* @author Laurent Giovannoni <dev@maarch.org>
* @date $date$
* @version $Revision$
* @ingroup records_management
*/

require_once('core/class/class_request.php');
require_once('core/class/class_security.php');
require_once('core/class/class_manage_status.php');
require_once('apps/' . $_SESSION['config']['app_id']. '/class/class_indexing_searching_app.php');
require_once('apps/' . $_SESSION['config']['app_id']. '/class/class_types.php');
$core_tools = new core_tools();
$core_tools->test_user();
$core_tools->load_lang();
$type = new types();
$func = new functions();
$conn = new dbquery();
$conn->connect();
$search_obj = new indexing_searching_app();
$status_obj = new manage_status();
$sec = new security();
$_SESSION['indexation'] = false;
if (isset($_REQUEST['exclude'])){
    $_SESSION['excludeId'] = $_REQUEST['exclude'];
}
$mode = 'normal';
if (isset($_REQUEST['mode'])&& !empty($_REQUEST['mode'])) {
    $mode = $func->wash($_REQUEST['mode'], "alphanum", _MODE);
}
if($mode == 'normal')
{
    $core_tools->test_service('adv_search_rm', 'records_management');
/****************Management of the location bar  ************/ 
$init = false;
if(isset($_REQUEST['reinit']) && $_REQUEST['reinit']  == 'true') {
    $init = true;
}
$level = "";
if (
    isset($_REQUEST['level']) 
    && (
        $_REQUEST['level'] == 2 
        || $_REQUEST['level'] == 3 
        || $_REQUEST['level'] == 4 
        || $_REQUEST['level'] == 1
    )
) {
    $level = $_REQUEST['level'];
}
$page_path = $_SESSION['config']['businessappurl'] 
    . 'index.php?page=search_adv_rm&module=records_management';
$page_label = _SEARCH_ADV_RM;
$page_id = 'search_adv_rm';
$core_tools->manage_location_bar($page_path, $page_label, $page_id, $init, $level);
/***********************************************************/
}
elseif($mode == 'popup' || $mode == 'frame')
{
    $core_tools->load_html();
    $core_tools->load_header('', true, false);
    $time = $core_tools->get_session_time_expire();
    ?><body>
    <div id="container">

            <div class="error" id="main_error">
                <?php  echo $_SESSION['error'];?>
            </div>
            <div class="info" id="main_info">
                <?php  echo $_SESSION['info'];?>
            </div><?php
}

// load saved queries for the current user in an array
$conn->query("select query_id, query_name from " 
    . $_SESSION['tablename']['saved_queries'] 
    . " where user_id = '" 
    . $_SESSION['user']['UserId'] 
    . "' order by query_name");
$queries = array();
while($res = $conn->fetch_object())
{
    array_push($queries, array('ID'=>$res->query_id, 'LABEL' => $res->query_name));
}

$conn->query("select user_id, firstname, lastname, status from " 
    . $_SESSION['tablename']['users'] 
    . " where enabled = 'Y' and status <> 'DEL' order by lastname asc");
$users_list = array();
while($res = $conn->fetch_object())
{
    array_push(
        $users_list, 
        array(
            'ID' => $conn->show_string($res->user_id), 
            'NOM' => $conn->show_string($res->lastname), 
            'PRENOM' => $conn->show_string($res->firstname), 
            'STATUT' => $res->status
        )
    );
}

$coll_id = 'rm_coll';
$view = $sec->retrieve_view_from_coll_id($coll_id);
$where = $sec->get_where_clause_from_coll_id($coll_id);
if(!empty($where))
{
    $where = ' where '.$where;
}

//Check if web brower is ie_6 or not
if (preg_match("/MSIE 6.0/", $_SERVER["HTTP_USER_AGENT"])) {
    $browser_ie = 'true';
    $class_for_form = 'form';
    $hr = '<tr><td colspan="2"><hr></td></tr>';
    $size = '';
} elseif (
    preg_match('/msie/i', $_SERVER["HTTP_USER_AGENT"]) 
    && !preg_match('/opera/i', $HTTP_USER_AGENT)
) {
    $browser_ie = 'true';
    $class_for_form = 'forms';
    $hr = '';
     $size = '';
} else {
    $browser_ie = 'false';
    $class_for_form = 'forms';
    $hr = '';
     $size = '';
   // $size = 'style="width:40px;"';
}

// building of the parameters array used to pre-load the category list and the search elements
$param = array();

// Indexes specific to doctype
$indexes = $type->get_all_indexes($coll_id);

for ($i=0;$i<count($indexes);$i++) {
    $field = $indexes[$i]['column']; 
    if (preg_match('/^custom_/', $field)) {
        $field = 'doc_'.$field;
    } 
    if ($indexes[$i]['type_field'] == 'select') {
        $arr_tmp = array();
        array_push($arr_tmp, array('VALUE' => '', 'LABEL' => _CHOOSE . '...'));
        for ($j=0;$j<count($indexes[$i]['values']);$j++) {
            array_push($arr_tmp, array(
                'VALUE' => $indexes[$i]['values'][$j]['id'], 
                'LABEL' => $indexes[$i]['values'][$j]['label'])
            );
        }
        $arr_tmp2 = array(
            'label' => $indexes[$i]['label'], 
            'type' => 'select_simple', 
            'param' => array(
                'field_label' => $indexes[$i]['label'],
                'default_label' => '', 
                'options' => $arr_tmp
            )
        );
    } elseif ($indexes[$i]['type'] == 'date') {
        $arr_tmp2 = array(
            'label' => $indexes[$i]['label'], 
            'type' => 'date_range', 
            'param' => array(
                'field_label' => $indexes[$i]['label'], 
                'id1' => $field.'_from', 
                'id2' =>$field.'_to'
            )
        );
    } else if($indexes[$i]['type'] == 'string') {
        $arr_tmp2 = array(
            'label' => $indexes[$i]['label'], 
            'type' => 'input_text', 
            'param' => array(
                'field_label' => $indexes[$i]['label'], 
                'other' => $size
            )
        );
    } else {
         // integer or float
        $arr_tmp2 = array(
            'label' => $indexes[$i]['label'], 
            'type' => 'num_range', 
            'param' => array(
                'field_label' => $indexes[$i]['label'], 
                'id1' => $field.'_min', 
                'id2' =>$field.'_max'
            )
        );
    }
    $param[$field] = $arr_tmp2;
}

//Coming date
$arr_tmp2 = array(
    'label' => _DATE_START, 
    'type' => 'date_range', 
    'param' => array(
        'field_label' => _DATE_START, 
        'id1' => 'admission_date_from', 
        'id2' =>'admission_date_to'
    )
);
$param['admission_date'] = $arr_tmp2;

//Loaded date
$arr_tmp2 = array(
    'label' => _REG_DATE, 
    'type' => 'date_range', 
    'param' => array(
        'field_label' => _REG_DATE, 
        'id1' => 'creation_date_from', 
        'id2' =>'creation_date_to'
    )
);
$param['creation_date'] = $arr_tmp2;

//Closing date
$arr_tmp2 = array(
    'label' => _PROCESS_DATE, 
    'type' => 'date_range', 
    'param' => array(
        'field_label' => _PROCESS_DATE, 
        'id1' => 'closing_date_from', 
        'id2' =>'closing_date_to'
    )
);
$param['closing_date'] = $arr_tmp2;

//Document date
$arr_tmp2 = array(
    'label' => _DOC_DATE, 
    'type' => 'date_range', 
    'param' => array(
        'field_label' => _DOC_DATE, 
        'id1' => 'doc_date_from', 
        'id2' =>'doc_date_to'
    )
);
$param['doc_date'] = $arr_tmp2;

//Process limit date
$arr_tmp2 = array(
    'label' => _LIMIT_DATE_PROCESS, 
    'type' => 'date_range', 
    'param' => array(
        'field_label' => _LIMIT_DATE_PROCESS, 
        'id1' => 'process_limit_date_from', 
        'id2' =>'process_limit_date_to'
    )
);
$param['process_limit_date'] = $arr_tmp2;

//destinataire
$arr_tmp = array();
for ($i=0; $i < count($users_list); $i++) {
    array_push(
        $arr_tmp, 
        array(
            'VALUE' => $users_list[$i]['ID'], 
            'LABEL' => $users_list[$i]['NOM'] . ' ' . $users_list[$i]['PRENOM']
        )
    );
}
$arr_tmp2 = array(
    'label' => _PROCESS_RECEIPT, 
    'type' => 'select_multiple', 
    'param' => array(
        'field_label' => _PROCESS_RECEIPT, 
        'label_title' => _CHOOSE_RECIPIENT_SEARCH_TITLE,
        'id' => 'destinataire',
        'options' => $arr_tmp
    )
);
$param['destinataire'] = $arr_tmp2;

//mail_natures
$arr_tmp = array();
foreach (array_keys($_SESSION['mail_natures']) as $nature) {
    array_push(
        $arr_tmp, 
        array(
            'VALUE' => $nature, 
            'LABEL' => $_SESSION['mail_natures'][$nature]
        )
    );
}
$arr_tmp2 = array(
    'label' => _MAIL_NATURE, 
    'type' => 'select_simple', 
    'param' => array(
        'field_label' => _MAIL_NATURE,
        'default_label' => addslashes(_CHOOSE_MAIL_NATURE), 
        'options' => $arr_tmp
    )
);
$param['mail_nature'] = $arr_tmp2;

if ($_SESSION['features']['search_notes'] == 'true') {
    //annotations
    $arr_tmp2 = array(
        'label' => _NOTES, 
        'type' => 'textarea', 
        'param' => array(
            'field_label' => _NOTES, 
            'other' => $size
        )
    );
    $param['doc_notes'] = $arr_tmp2;
}

//tags 
if($core_tools->is_module_loaded('tags'))
{
    $arr_tmptag = array();
    require_once 'modules/tags/class/TagControler.php' ;
    require_once 'modules/tags/tags_tables_definition.php';
    $tag = new tag_controler;
    $tag_return_value = $tag -> get_all_tags();
 
    if ($tag_return_value){
        foreach ($tag_return_value as $tagelem) {
            array_push($arr_tmptag, 
                array(
                    'VALUE' => $tagelem['tag_label'], 
                    'LABEL' => $tagelem['tag_label']
                )
            );
        }
    } else {
        array_push($arr_tmptag, 
            array(
                'VALUE' => '', 
                'LABEL' => _TAGNONE
            )
        );
    }
    $param['tag_mu'] = array(
        'label' => _TAG_SEARCH, 
        'type' => 'select_multiple', 
        'param' => array(
            'field_label' => _TAG_SEARCH, 
            'label_title' => _CHOOSE_TAG,
            'id' => 'tags',
            'options' => $arr_tmptag
        )
    );
}

//destination (department)
$coll_id = 'rm_coll';
$where = $sec->get_where_clause_from_coll_id($coll_id);
$table = $sec->retrieve_view_from_coll_id($coll_id);
if (empty($table)) {
    $table = $sec->retrieve_table_from_coll($coll_id);
}
if (!empty($where)) {
    $where = ' where '.$where;
}
$conn->query("select distinct r.originating_agency_entity_id , e.entity_label from " 
    . $table . " r join " . $_SESSION['tablename']['ent_entities']
    . " e on e.entity_id = r.originating_agency_entity_id " 
    . $where . " group by e.entity_label, r.originating_agency_entity_id order by e.entity_label"
);

$originating_agencies = array();
while ($res = $conn->fetch_object()) {
    array_push($originating_agencies, 
        array(
            'VALUE' => $res->originating_agency_entity_id, 
            'LABEL' => $res->entity_label
        )
    );
}

# Custodial history items
$conn->query("select distinct custodial_history_item from " 
    . $table . $where . " group by custodial_history_item order by custodial_history_item"
);

$custodial_history_items = array();
while ($res = $conn->fetch_object()) {
    if($res->custodial_history_item)
    array_push($custodial_history_items, 
        array(
            'VALUE' => $res->custodial_history_item, 
            'LABEL' => $res->custodial_history_item
        )
    );
}

# Schedules
$conn->query("select distinct schedule_id, schedule_name from " 
    . $table . $where . " group by schedule_id, schedule_name order by schedule_name"
);

$schedules = array();
while ($res = $conn->fetch_object()) {
    if($res->schedule_id)
    array_push($schedules, 
        array(
            'VALUE' => $res->schedule_id, 
            'LABEL' => $res->schedule_name
        )
    );
}

# Document description (Video, document, audio...)
$conn->query("select distinct description from " 
    . $table . $where . " group by description order by description"
);

$descriptions = array();
while ($res = $conn->fetch_object()) {
    if($res->description)
    array_push($descriptions, 
        array(
            'VALUE' => $res->description, 
            'LABEL' => $res->description
        )
    );
}
/*
$param['destination_mu'] = array(
    'label' => 'coucou' . _DESTINATION_SEARCH, 
    'type' => 'select_multiple', 
    'param' => array(
        'field_label' => _DESTINATION_SEARCH, 
        'label_title' => _CHOOSE_ENTITES_SEARCH_TITLE,
        'id' => 'services',
        'options' => $arr_tmp
    )
);
*/
$arr_tmp2 = array(
    'label' => _MARKET, 
    'type' => 'input_text', 
    'param' => array(
        'field_label' => _MARKET, 
        'other' => $size
    )
);
$param['market'] = $arr_tmp2;

$arr_tmp2 = array(
    'label' => _PROJECT, 
    'type' => 'input_text', 
    'param' => array(
        'field_label' => _PROJECT, 
        'other' => $size
    )
);
$param['project'] = $arr_tmp2;

//status
$status = $status_obj->get_searchable_status();
$statuses = array();
for ($i=0; $i < count($status); $i++) {
    array_push($statuses, 
        array(
            'VALUE' => $status[$i]['ID'], 
            'LABEL' => $status[$i]['LABEL']
        )
    );
}

// Sorts the $param['status'] array
function cmp_status($a, $b) {
    return strcmp(strtolower($a['LABEL']), strtolower($b['LABEL']));
}
usort($arr_tmp, 'cmp_status');
$arr_tmp2 = array(
    'label' => _STATUS_PLUR, 
    'type' => 'select_multiple', 
    'param' => array(
        'field_label' => _STATUS,
        'label_title' => _CHOOSE_STATUS_SEARCH_TITLE,
        'id' => 'status', 
        'options' => $arr_tmp
    )
);
$param['status'] = $arr_tmp2;

//doc_type
$conn->query("select type_id, description  from  " 
    . $_SESSION['tablename']['doctypes'] 
    . " where enabled = 'Y' and coll_id = 'rm_coll' order by description asc"
);
$arr_tmp = array();
while ($res=$conn->fetch_object()) {
    array_push($arr_tmp, 
        array(
            'VALUE' => $res->type_id, 
            'LABEL' => $conn->show_string($res->description)
        )
    );
}
$arr_tmp2 = array(
    'label' => _DOCTYPES, 
    'type' => 'select_multiple', 
    'param' => array(
        'field_label' => _DOCTYPE,
        'label_title' => _CHOOSE_DOCTYPES_SEARCH_TITLE, 
        'id' => 'doctypes', 
        'options' => $arr_tmp
    )
);
$param['doctype'] = $arr_tmp2;

// Sorts the param array
function cmp($a, $b)
{
    return strcmp(strtolower($a["label"]), strtolower($b["label"]));
}
uasort($param, "cmp");

$tab = $search_obj->send_criteria_data($param);
//$conn->show_array($param);
//$conn->show_array($tab);

// criteria list options
$src_tab = $tab[0];

$core_tools->load_js();
?>
<?php // echo $_SESSION['current_search_query'];?>
<script type="text/javascript" src="<?php 
    echo $_SESSION['config']['businessappurl'];
    ?>static.php?filename=search_adv.js" >
</script>


<h1><img src="<?php echo $_SESSION['config']['businessappurl'];
?>static.php?filename=picto_search_b.gif" alt="" /> <?php echo _ADV_SEARCH_RM_TITLE; ?></h1>
<div id="inner_content">

<?php if (count($queries) > 0)
{?>
<form name="choose_query" id="choose_query" action="#" method="post" >
<div align="center" style="display:block;" id="div_query">

<label for="query"><?php echo _MY_SEARCHES;?> : </label>
<select name="query" id="query" onchange="load_query_db(this.options[this.selectedIndex].value, 'select_criteria', 'frmsearch2', '<?php 
    echo _SQL_ERROR;?>', '<?php echo _SERVER_ERROR;?>', '<?php 
    echo $_SESSION['config']['businessappurl']
    . 'index.php?display=true&dir=indexing_searching&page=manage_query';?>');return false;" >
    <option id="default_query" value=""><?php echo _CHOOSE_SEARCH;?></option>
    <?php for($i=0; $i< count($queries);$i++)
    {
    ?><option value="<?php echo $queries[$i]['ID'];?>" id="query_<?php echo $queries[$i]['ID'];?>"><?php echo $queries[$i]['LABEL'];?></option><?php }?>
</select>

<input name="del_query" id="del_query" value="<?php echo _DELETE_QUERY;?>" type="button"  onclick="del_query_confirm();" class="button" style="display:none" />
</div>
</form>
<?php } ?>
<form name="frmsearch2" method="get" action="<?php if($mode == 'normal') {
        echo $_SESSION['config']['businessappurl'].'index.php'; 
    } elseif($mode == 'frame' || $mode == 'popup'){ 
        echo $_SESSION['config']['businessappurl'] . 'index.php?display=true&module=records_management&page=search_adv_result_rm';
    }?>"  id="frmsearch2" class="<?php echo $class_for_form; ?>">
    <input type="hidden" name="module" value="records_management" />
    <input type="hidden" name="page" value="search_adv_result_rm" />
    <input type="hidden" name="mode" value="<?php echo $mode;?>" />
<?php if($mode == 'frame' || $mode == 'popup'){?>
    <input type="hidden" name="display" value="true" />
    <input type="hidden" name="action_form" value="<?php echo $_REQUEST['action_form'];?>" />
    <input type="hidden" name="modulename" value="<?php echo $_REQUEST['modulename'];?>" />
<?php
}
if(isset($_REQUEST['nodetails']))
{?>
<input type="hidden" name="nodetails" value="true" />
<?php
}?>
<table align="center" border="0" width="100%">
    <tr>
        <td><a href="#" onclick="clear_search_form('frmsearch2','select_criteria');clear_q_list();"><img src="<?php  echo $_SESSION['config']['businessappurl']."static.php?filename=reset.gif";?>" alt="<?php echo _CLEAR_SEARCH;?>" /> <?php  echo _CLEAR_SEARCH; ?></a></td>
        <td align="right">
            <input class="button_search_adv" name="imageField" type="submit" value="" onclick="valid_search_form('frmsearch2');this.form.submit();" /><br/>
            <input class="button_search_adv_text" name="imageField" type="button" value="<?php echo _SEARCH; ?>" onclick="valid_search_form('frmsearch2');this.form.submit();" />
        </td>
    </tr>
</table>
<table align="center" border="0" width="100%">
    <tr>
        <td colspan="2" ><h2><?php echo _ARCHIVE_OBJECT_INFO; ?></h2></td>
    </tr>
    <tr>
        <td>
            <div class="block">
            <table border="0" width="100%">
                <tr>
                    <td width="70%"><label for="transferring_agency_item_identifier" class="bold" ><?php echo _TRANSFERRING_AGENCY_ITEM_IDENTIFIER;?>:</label>
                        <input type='text' name="transferring_agency_item_identifier" id="transferring_agency_item_identifier" />
                        <input type="hidden" name="meta[]" value="transferring_agency_item_identifier#transferring_agency_item_identifier#input_text" />
                    </td>
                    <td><em>&nbsp;</em></td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td width="70%"><label for="archival_agency_item_identifier" class="bold" ><?php echo _ARCHIVAL_AGENCY_ITEM_IDENTIFIER;?>:</label>
                        <input type='text' name="archival_agency_item_identifier" id="archival_agency_item_identifier" />
                        <input type="hidden" name="meta[]" value="archival_agency_item_identifier#archival_agency_item_identifier#input_text" />
                    </td>
                    <td><em>&nbsp;</em></td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td width="70%"><label for="originating_agency_entity_id" class="bold" ><?php echo _ORIGINATING_ENTITY;?>:</label>
                        <select name="originating_agency_entity_id" id="originating_agency_entity_id">
                            <option value=""><?php echo _CHOOSE_ORIGINATING_ENTITY; ?></option><?php 
                            foreach($originating_agencies as $originating_agency) {
                                echo "<option value='".$originating_agency['VALUE']. "'>".$originating_agency['LABEL']."</option>";
                            } 
                        ?></select>
                        <input type="hidden" name="meta[]" value="originating_agency_entity_id#originating_agency_entity_id#select_simple" />
                    </td>
                    <td><em>&nbsp;</em></td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td width="70%"><label for="object_name" class="bold" ><?php echo _INTITULE_ANALYSE;?>:</label>
                        <textarea name="object_name" id="object_name" style="width:200px;"></textarea>
                        <input type="hidden" name="meta[]" value="object_name#object_name#textarea" />
                    </td>
                    <td><em>&nbsp;</em></td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td width="70%"><label for="file_plan_position" class="bold" ><?php echo _FILE_PLAN_POSITION;?>:</label>
                        <input type="text" name="file_plan_position" id="file_plan_position" />
                        <input type="hidden" name="meta[]" value="file_plan_position#file_plan_position#input_text" />
                        <div id="file_plan_position_autocomplete" class="autocomplete" ></div>
                    </td>
                    <td><em>&nbsp;</em></td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td width="70%"><label for="schedule_id" class="bold" ><?php echo _TYPE_DARCHIVE;?>:</label>
                        <select name="schedule_id" id="schedule_id">
                            <option value=""></option><?php 
                            foreach($schedules as $schedule) {
                                echo "<option value='".$schedule['VALUE']. "'>".$schedule['LABEL']."</option>";
                            } 
                        ?></select>
                        <input type="hidden" name="meta[]" value="schedule_id#schedule_id#input_text" />
                    </td>
                    <td><em>&nbsp;</em></td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td width="70%"><label for="dates" class="bold" ><?php echo _LIMIT_DATES;?>:</label>
                        <input type="text" name="oldest_date" id="oldest_date" style="width:80px;" onFocus="showCalender(this);"  />
                        &nbsp;&nbsp;&agrave;&nbsp;&nbsp;&nbsp;<input type="text" name="latest_date" id="latest_date" style="width:80px;" onFocus="showCalender(this);" />
                        <input type="hidden" name="meta[]" value="oldest_date#oldest_date#input_text" />
                        <input type="hidden" name="meta[]" value="latest_date#latest_date#input_text" />
                    </td>
                    <td><em>&nbsp;</em></td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td width="70%"><label for="custodial_history_item" class="bold" ><?php echo _CUSTODIAL_HISTORY_ITEM;?>:</label>
                        <select name="custodial_history_item" id="custodial_history_item">
                            <option value=""></option><?php 
                            foreach($custodial_history_items as $custodial_history_item) {
                                echo "<option value='".$custodial_history_item['VALUE']. "'>".$custodial_history_item['LABEL']."</option>";
                            } 
                        ?></select>
                        <input type="hidden" name="meta[]" value="custodial_history_item#custodial_history_item#select_simple" />
                    </td>
                    <td><em></em></td>
                    <td>&nbsp;</td>
                </tr>
            </table>
            </div>
            <div class ="block_end">&nbsp;</div>
        </td>
        <td>
            <p align="center">
            </p>
        </td>
    </tr>
    <tr><td colspan="2"><hr/></td></tr>
    <tr>
        <td colspan="2" ><h2><?php echo _DOCUMENT_INFO; ?></h2></td>
    </tr>
    <tr >
        <td >
        <div class="block">
            <table border = "0" width="100%">
                <tr>
                    <td width="70%"><label for="creation_date" class="bold" ><?php echo _CREATION_DATE;?>:</label>
                        <input type="text" name="creation_date_from" id="creation_date_from" style="width:80px;" onFocus="showCalender(this);"  />
                        &nbsp;&nbsp;&agrave;&nbsp;&nbsp;&nbsp;<input type="text" name="creation_date_to" id="creation_date_to" style="width:80px;" onFocus="showCalender(this);" />
                        <input type="hidden" name="meta[]" value="creation_date_from#creation_date_from#input_text" />
                        <input type="hidden" name="meta[]" value="creation_date_to#creation_date_to#input_text" />
                    </td>
                    <td><em>&nbsp;</em></td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td width="70%"><label for="description" class="bold" ><?php echo _STORING_DESCRIPTION;?>:</label>
                        <select name="description" id="description">
                            <option value=""></option><?php 
                            $i = 0;
                            foreach($descriptions as $description) { 
                                $i++;
                                if($i > 20) break;
                                echo "<option value='".$description['VALUE']. "'>".$description['LABEL']."</option>";
                            } 
                        ?></select>
                        <input type="hidden" name="meta[]" value="description#description#select_simple" />
                    </td>
                    <td><em></em></td>
                </tr>
                <tr>
                    <td width="70%"><label for="status" class="bold" ><?php echo _STATUS;?>:</label>
                        <select name="status" id="status">
                            <option value=""></option><?php 
                            foreach($statuses as $status) { 
                                echo "<option value='".$status['VALUE']. "'>".$status['LABEL']."</option>";
                            } 
                        ?></select>
                        <input type="hidden" name="meta[]" value="status#status#select_simple" />
                    </td>
                    <td><em></em></td>
                </tr>
                <tr>
                    <td width="70%"><label for="format" class="bold"><?php echo _FORMAT;?>:</label>
                        <?php echo _PHYSICAL;?><input type="radio" name="format" id="format_physical" value="Physical" />
                        &nbsp;&nbsp;<?php echo _DIGITAL;?><input type="radio" name="format" id="format_digital" value="Digital" />
                        <input type="hidden" name="meta[]" value="format#format#radio" />
                    </td>
                    <td><em></em></td>
                </tr>
            </table>
            </div>
            <div class="block_end">&nbsp;</div>
        </td>
    </tr>
    <tr><td colspan="2"><hr/></td></tr>
<tr>
<td  >
<!--div class="block">
 <table border = "0" width="100%">
       <tr>
     <td width="70%">
        <label class="bold"><?php echo _ADD_PARAMETERS; ?>:</label>
        <select name="select_criteria" id="select_criteria" style="display:inline;" onchange="add_criteria(this.options[this.selectedIndex].id, 'frmsearch2', <?php echo $browser_ie;?>, '<?php echo _ERROR_IE_SEARCH;?>');">
            <?php echo $src_tab; ?>
        </select>
     </td>

        <td width="30%"><em><?php echo _ADD_PARAMETERS_HELP; ?></em></td>
        </tr>
 </table>
 </div>
 <div class="block_end">&nbsp;</div-->
</td></tr>
</table>

<table align="center" border="0" width="100%">
    <tr>
        <td><a href="#" onclick="clear_search_form('frmsearch2','select_criteria');clear_q_list();"><img src="<?php  echo $_SESSION['config']['businessappurl']."static.php?filename=reset.gif";?>" alt="<?php echo _CLEAR_SEARCH;?>" /> <?php  echo _CLEAR_SEARCH; ?></a></td>
        <td align="right">
            <input class="button_search_adv" name="imageField" type="submit" value="" onclick="valid_search_form('frmsearch2');this.form.submit();" /><br/>
            <input class="button_search_adv_text" name="imageField" type="button" value="<?php echo _SEARCH; ?>" onclick="valid_search_form('frmsearch2');this.form.submit();" />
        </td>
    </tr>
</table>

</form>
<br/>
<div align="right">
<!--<input class="button" name="submit" type="button" value="<?php echo _SEARCH;?>" onclick="valid_search_form('frmsearch2');document.getElementById('frmsearch2').submit();"  />-->
 <!--<input class="button" name="clear" type="button" value="<?php echo _CLEAR_SEARCH;?>" onclick="clear_search_form('frmsearch2','select_criteria');clear_q_list();"  />-->
</div>
 </div>
<script type="text/javascript">
//load_query(valeurs, loaded_query, 'frmsearch2', '<?php echo $browser_ie;?>, <?php echo _ERROR_IE_SEARCH;?>');

// Load file plan position autocompleter
new Ajax.Autocompleter(
	'file_plan_position', 
	'file_plan_position_autocomplete', 
	'index.php?display=true&module=records_management&page=FilePlanPosition__autocomplete',
	{
		method:'get',
		paramName:'FilePlanPosition',
		minChars:2
	}
);
<?php if(isset($_REQUEST['init_search']))
{
    ?>clear_search_form('frmsearch2','select_criteria');clear_q_list(); <?php
}?>
</script>
<?php if($mode == 'popup' || $mode == 'frame')
{
    echo '</div>';
    if($mode == 'popup')
    {
    ?><br/><div align="center"><input type="button" name="close" class="button" value="<?php echo _CLOSE_WINDOW;?>" onclick="self.close();" /></div> <?php
    }
    echo '</body></html>';
}

