-------------------
--DOCSERVER_TYPES--
-------------------
delete from docserver_types where docserver_type_id = 'IOS';
--
INSERT INTO docserver_types (docserver_type_id, docserver_type_label, enabled, is_container, container_max_number, is_compressed, compression_mode, is_meta, meta_template, is_logged, log_template, is_signed, fingerprint_mode) 
VALUES ('IOS', 'IOS', 'Y', 'N', 0, 'N', 'NONE', 'N', 'NONE', 'N', 'NONE', 'N', 'NONE');

--------------
--DOCSERVERS--
--------------
delete from docservers where docserver_id = 'FASTHD_RM_BATCH' or docserver_id = 'FASTHD_RM_MAN' or docserver_id = 'IOS';
--
INSERT INTO docservers (docserver_id, docserver_type_id, device_label, is_readonly, enabled, size_limit_number, actual_size_number, path_template, ext_docserver_info, chain_before, chain_after, creation_date, closing_date, coll_id, priority_number, docserver_location_id, adr_priority_number) 
VALUES ('FASTHD_RM_BATCH', 'FASTHD', 'FASTHD RM BATCH', 'N', 'Y', 50000000000, 1, 'C:\\maarch\\docservers\\entreprise_ad\\RM_BATCH\\', '1', '1', '1', '2012-08-23 00:00:00', NULL, 'rm_coll', 2, 'NANTERRE', 2);
--
INSERT INTO docservers (docserver_id, docserver_type_id, device_label, is_readonly, enabled, size_limit_number, actual_size_number, path_template, ext_docserver_info, chain_before, chain_after, creation_date, closing_date, coll_id, priority_number, docserver_location_id, adr_priority_number) 
VALUES ('FASTHD_RM_MAN', 'FASTHD', 'FASTHD RM MANUAL', 'N', 'Y', 50000000000, 1, 'C:\\maarch\\docservers\\entreprise_ad\\RM_MAN\\', '1', '1', '1', '2012-08-23 00:00:00', NULL, 'rm_coll', 1, 'NANTERRE', 1);
--
INSERT INTO docservers (docserver_id, docserver_type_id, device_label, is_readonly, enabled, size_limit_number, actual_size_number, path_template, ext_docserver_info, chain_before, chain_after, creation_date, closing_date, coll_id, priority_number, docserver_location_id, adr_priority_number) 
VALUES ('IOS', 'IOS', 'IOS', 'N', 'Y', 50000000000, 1, 'C:\\maarch\\docservers\\entreprise_ad\\IOS\\', NULL, NULL, NULL, '2012-08-28 15:43:05.922', NULL, 'io_coll', 1, 'NANTERRE', 1);

---------------
--FOLDERTYPES--
---------------
delete from foldertypes where foldertype_id = 100;
--
INSERT INTO foldertypes (foldertype_id, foldertype_label, maarch_comment, retention_time, custom_d1, custom_f1, custom_n1, custom_t1, custom_d2, custom_f2, custom_n2, custom_t2, custom_d3, custom_f3, custom_n3, custom_t3, custom_d4, custom_f4, custom_n4, custom_t4, custom_d5, custom_f5, custom_n5, custom_t5, custom_d6, custom_t6, custom_d7, custom_t7, custom_d8, custom_t8, custom_d9, custom_t9, custom_d10, custom_t10, custom_t11, custom_t12, custom_t13, custom_t14, custom_t15, coll_id) 
VALUES (100, 'Archivage', 'Archivage', NULL, '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', '0000000000', 'rm_coll');
--
delete from foldertypes_doctypes_level1 where foldertype_id = 100 and doctypes_first_level_id = 100;
--
INSERT INTO foldertypes_doctypes_level1 (foldertype_id, doctypes_first_level_id) 
VALUES (100, 100);
--
delete from doctypes_first_level where doctypes_first_level_id = 100;
--
INSERT INTO doctypes_first_level (doctypes_first_level_id, doctypes_first_level_label, css_style, enabled) 
VALUES (100, 'Archivage', NULL, 'Y');
--
delete from doctypes_second_level where doctypes_second_level_id = 100;
--
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) 
VALUES (100, 'Archivage', 100, NULL, 'Y');
--
delete from doctypes where type_id = 200;
--
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) 
VALUES ('rm_coll', 200, 'Archivage', 'Y', 100, 100, NULL, NULL);

-----------------
--RM_AGREEMENTS--
-----------------
truncate table rm_agreements;
--
INSERT INTO rm_agreements (agreement_id, identifier, description, comment, archival_profile, archival_entity_id, transferring_entity_id, begin_date, end_date, coll_id, allowed_file_types, transfer_max_size, transfer_max_item, transfer_count, transfer_count_period, is_enabled) 
VALUES (5, 'ENVOI_AD', 'Convention avec la ville de Maarch-les-Bains', 'Convention pour réception des archives de la ville de Maarch-les-Bains', 'Actes', 'COU', 'COU', '2012-09-07 00:00:00', '2014-09-23 00:00:00', '', 'application/pdf', 100000000000, 100, 10, 'D', 'Y');
--

---------------
--RM_DOCTYPES--
---------------
truncate table rm_doctypes;
--
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) 
VALUES (200, 'conserver', 10, NULL, NULL);

---------------
--RM_ENTITIES--
---------------
truncate table rm_entities;
--
INSERT INTO rm_entities (rm_entity_id, entity_id, is_archival, is_originating, is_transferring, is_controlling, rm_type, parallel_forms_of_names, other_normalized_names, other_names, oldest_date, latest_date, history, places, legal_status, activities, mandates, structure, context, record_id, institution_id, rules, status, detail_level, maintenance_dates, description_language, sources, maintenance_notes) 
VALUES (3, 'VILLE', 'N', 'Y', 'Y', 'N', 'Collectivité', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO rm_entities (rm_entity_id, entity_id, is_archival, is_originating, is_transferring, is_controlling, rm_type, parallel_forms_of_names, other_normalized_names, other_names, oldest_date, latest_date, history, places, legal_status, activities, mandates, structure, context, record_id, institution_id, rules, status, detail_level, maintenance_dates, description_language, sources, maintenance_notes) 
VALUES (4, 'COU', 'Y', 'N', 'N', 'Y', 'Collectivité', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

------------
--ENTITIES--
------------
update entities set business_id = '06088' where entity_id = 'VILLE';
update entities set business_id = '06088-01', entity_label='DGSDSGCOU:Service Courrier et Archive', short_label='DGSDSGCOU:Service Courrier et Archive' where entity_id = 'COU';

-----------------------
--USERGROUPS_SERVICES--
-----------------------
delete from usergroups_services where group_id = 'COURRIER';
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'adv_search_mlb');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'index_mlb');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'my_contacts');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'put_in_validation');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'admin_apa');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'view_baskets');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'join_res_case');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'close_case');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'add_copy_in_process');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'physical_archive');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'physical_archive_box_manage');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'physical_archive_batch_manage');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'reports');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'tag_view');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'admin_records_management');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'admin_rm_agreements');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'index_rm');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'admin');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'search_customer');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'admin_architecture');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'view_technical_infos');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'add_links');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'manage_apa');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'update_case');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'join_res_case_in_process');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'add_cases');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'update_list_diff_in_details');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'physical_archive_box_read');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'physical_archive_batch_read');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', '_print_sep');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'add_new_version');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'add_tag_to_res');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'admin_rm_ios');
--
INSERT INTO usergroups_services (group_id, service_id) 
VALUES ('COURRIER', 'adv_search_rm');

------------------
--USERS_ENTITIES--
--USERGROUP_CONTENT--
------------------
delete from users_entities where user_id = 'bblier';
INSERT INTO users_entities (user_id, entity_id, user_role, primary_entity) VALUES ('bblier', 'COU', 'Archiviste', 'N');
INSERT INTO users_entities (user_id, entity_id, user_role, primary_entity) VALUES ('bblier', 'VILLE', 'Archiviste', 'Y');
delete from users_entities where user_id = 'bboule';
INSERT INTO users_entities (user_id, entity_id, user_role, primary_entity) VALUES ('bboule', 'COU', 'Archiviste', 'N');
INSERT INTO users_entities (user_id, entity_id, user_role, primary_entity) VALUES ('bboule', 'VILLE', 'Archiviste', 'Y');
delete from usergroup_content where user_id='bboule';
INSERT INTO usergroup_content (user_id, group_id, primary_group, role) VALUES ('bboule', 'COURRIER', 'Y', '');


----------
--STATUS--
----------
delete from status where id = 'BRSAS';
--
INSERT INTO status (id, label_status, is_system, img_filename, maarch_module, can_be_searched, can_be_modified) 
VALUES ('BRSAS', 'BR en attente de contrôle de conformité', 'N', 'brsas.gif', 'records_management', 'Y', 'Y');

-----------
--ACTIONS--
-----------
delete from actions where id = 202 or id = 203 or id = 204;
--
INSERT INTO actions (id, keyword, label_action, id_status, is_system, enabled, action_page, history, origin, create_id) 
VALUES (202, 'indexing', 'Indexer une archive', 'NEW', 'N', 'Y', 'index_rm', 'Y', 'records_management', 'N');
--
INSERT INTO actions (id, keyword, label_action, id_status, is_system, enabled, action_page, history, origin, create_id) 
VALUES (203, ' ', 'Traiter le message de transfert', ' ', 'N', 'Y', 'rm_io_process', 'Y', 'records_management', 'N');
--
INSERT INTO actions (id, keyword, label_action, id_status, is_system, enabled, action_page, history, origin, create_id) 
VALUES (204, ' ', 'Transférer des archives', ' ', 'N', 'Y', 'rm_item_transfer', 'Y', 'records_management', 'N');

-----------
--BASKETS--
-----------
delete from baskets;
--
INSERT INTO baskets (coll_id, basket_id, basket_name, basket_desc, basket_clause, is_generic, is_visible, enabled) 
VALUES ('io_coll', 'BRAttenteControleConformite', 'BR en attente de Contrôle Conformité', 'BR en attente de Contrôle Conformité', 'status = ''BRSAS''', 'N', 'Y', 'Y');
--
INSERT INTO baskets (coll_id, basket_id, basket_name, basket_desc, basket_clause, is_generic, is_visible, enabled) 
VALUES ('io_coll', 'BRAcceptes', 'BR acceptés', 'BR conformes et acceptés', 'status = ''BROK''', 'N', 'Y', 'Y');
--
INSERT INTO baskets (coll_id, basket_id, basket_name, basket_desc, basket_clause, is_generic, is_visible, enabled) 
VALUES ('io_coll', 'BRRejetes', 'BR rejetés', 'BR non conformes et rejetés', 'status = ''BRKO''', 'N', 'Y', 'Y');

------------------------
--ACTIONS_GROUPBASKETS--
------------------------
delete from actions_groupbaskets where id_action = 202 or id_action = 203 or id_action = 204;
--
INSERT INTO actions_groupbaskets (id_action, where_clause, group_id, basket_id, used_in_basketlist, used_in_action_page, default_action_list) 
VALUES (202, '', 'COURRIER', 'INDEXARCHIVE', 'N', 'N', 'Y');
--
INSERT INTO actions_groupbaskets (id_action, where_clause, group_id, basket_id, used_in_basketlist, used_in_action_page, default_action_list) 
VALUES (203, '', 'COURRIER', 'BRAttenteControleConformite', 'N', 'N', 'Y');
--
INSERT INTO actions_groupbaskets (id_action, where_clause, group_id, basket_id, used_in_basketlist, used_in_action_page, default_action_list) 
VALUES (204, '', 'COURRIER', 'SelectItemToTransfer', 'Y', 'N', 'N');

---------------
--GROUPBASKET--
---------------
delete from groupbasket where 
   basket_id = 'BRAttenteControleConformite' 
or basket_id = 'INDEXARCHIVE' 
or basket_id = 'SelectItemToTransfer' 
or basket_id = 'BRAcceptes' 
or basket_id = 'BRRejetes' 
or basket_id = 'ItemTransferred';
--
INSERT INTO groupbasket (group_id, basket_id, sequence, redirect_basketlist, redirect_grouplist, result_page, can_redirect, can_delete, can_insert) 
VALUES ('COURRIER', 'INDEXARCHIVE', 19, NULL, NULL, 'redirect_to_action', 'N', 'N', 'N');
--
INSERT INTO groupbasket (group_id, basket_id, sequence, redirect_basketlist, redirect_grouplist, result_page, can_redirect, can_delete, can_insert) 
VALUES ('COURRIER', 'BRAttenteControleConformite', 21, NULL, NULL, 'io_basket_list', 'N', 'N', 'N');
--
INSERT INTO groupbasket (group_id, basket_id, sequence, redirect_basketlist, redirect_grouplist, result_page, can_redirect, can_delete, can_insert) 
VALUES ('COURRIER', 'BRAcceptes', 22, NULL, NULL, 'io_basket_list', 'N', 'N', 'N');
--
INSERT INTO groupbasket (group_id, basket_id, sequence, redirect_basketlist, redirect_grouplist, result_page, can_redirect, can_delete, can_insert) 
VALUES ('COURRIER', 'BRRejetes', 23, NULL, NULL, 'io_basket_list', 'N', 'N', 'N');
--
INSERT INTO groupbasket (group_id, basket_id, sequence, redirect_basketlist, redirect_grouplist, result_page, can_redirect, can_delete, can_insert) 
VALUES ('COURRIER', 'SelectItemToTransfer', 24, NULL, NULL, 'item_basket_list', 'N', 'N', 'N');

------------------------
--GROUPBASKET_REDIRECT--
------------------------
delete from groupbasket_redirect where basket_id = 'INDEXARCHIVE';
--
INSERT INTO groupbasket_redirect (system_id, group_id, basket_id, action_id, entity_id, keyword, redirect_mode) 
VALUES (200, 'COURRIER', 'INDEXARCHIVE', 202, '', 'ALL_ENTITIES', 'ENTITY');

------------
--SECURITY--
------------
delete from security where coll_id = 'rm_coll' and group_id = 'COURRIER';
--
INSERT INTO security (security_id, group_id, coll_id, where_clause, maarch_comment, can_insert, can_update, can_delete, rights_bitmask, mr_start_date, mr_stop_date, where_target) 
VALUES (108, 'COURRIER', 'rm_coll', '1=1', 'ARCHIVES', 'N', 'N', 'N', 153, NULL, NULL, 'DOC');

-------------------------------
--CREATE DOCTYPES--------------
--                           --
--DOCTYPES_FIRST_LEVEL       --
--DOCTYPES_SECOND_LEVEL      --
--DOCTYPES                   --
--MLB_DOCTYPE_EXT            --
--DOCTYPES_INDEXES           --
--TEMPLATES_DOCTYPE_EXT      --
--FOLDERTYPES_DOCTYPES_LEVEL1--
--RM_DOCTYPES                --
-------------------------------
-- Create DOCTYPES
TRUNCATE TABLE DOCTYPES_FIRST_LEVEL;
TRUNCATE TABLE DOCTYPES_SECOND_LEVEL;
TRUNCATE TABLE DOCTYPES;
TRUNCATE TABLE MLB_DOCTYPE_EXT;
TRUNCATE TABLE DOCTYPES_INDEXES;
TRUNCATE TABLE TEMPLATES_DOCTYPE_EXT;
TRUNCATE TABLE FOLDERTYPES_DOCTYPES_LEVEL1;
TRUNCATE TABLE RM_DOCTYPES;

INSERT INTO doctypes_first_level (doctypes_first_level_id, doctypes_first_level_label, css_style, enabled) VALUES (1, 'I. Administration Générale', 'orange_style_big', 'Y');
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (10, 'I.1. Contentieux', 1, 'blue_style_big', 'Y');
INSERT INTO foldertypes_doctypes_level1 (foldertype_id, doctypes_first_level_id) VALUES (100, 1);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',11, 'I.1.1 - Contentieux divers', 'Y', 1, 10, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (11, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (11, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',12, 'I.1.2 - Tribunal administratif', 'Y', 1, 10, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (12, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (12, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (11, 'I.2. Dossiers réglementaires', 1, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',21, 'I.2.1 - Statuts', 'Y', 1, 11, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (21, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (21, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',22, 'I.2.1 - Registre des délibérations du Comité syndical et Bureau Syndical', 'Y', 1, 11, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (22, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (22, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (12, 'I.3. Dossiers des séances du Conseil Municipal', 1, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',31, 'I.3.1 - CR de Conseil Municipal', 'Y', 1, 12, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (31, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (31, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',32, 'I.3.2 - Convocation + ordre du jour', 'Y', 1, 12, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (32, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (32, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',33, 'I.3.3 - Procès verbaux', 'Y', 1, 12, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (33, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (33, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',34, 'I.3.4 - Délibérations', 'Y', 1, 12, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (34, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (34, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',35, 'I.3.5 - Arrêtés municipaux', 'Y', 1, 12, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (35, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (35, 'conserver', 10, 'AR038', NULL);

INSERT INTO doctypes_first_level (doctypes_first_level_id, doctypes_first_level_label, css_style, enabled) VALUES (2, 'II. Finances communales', 'orange_style_big', 'Y');
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (20, 'II.1. Budget et comptes', 2, 'blue_style_big', 'Y');
INSERT INTO foldertypes_doctypes_level1 (foldertype_id, doctypes_first_level_id) VALUES (100, 2);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',41, 'II.1.1 - Bases d''imposition 2004 à 2005', 'Y', 2, 20, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (41, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (41, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',42, 'II.1.2 - Bases d''imposition 2006 à année N', 'Y', 2, 20, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (42, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (42, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',43, 'II.1.3 - Budget et comptes 2005', 'Y', 2, 20, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (43, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (43, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',44, 'II.1.4 - Budget et comptes 2006', 'Y', 2, 20, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (44, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (44, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',45, 'II.1.5 - Budget et comptes 2007', 'Y', 2, 20, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (45, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (45, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',46, 'II.1.6 - Budget et comptes 2008', 'Y', 2, 20, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (46, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (46, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',47, 'II.1.7 - Budget et comptes 2009', 'Y', 2, 20, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (47, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (47, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (21, 'II.2. Contributions budgétaires', 2, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',51, 'II.2.1 - Tableau de maintenance', 'Y', 2, 21, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (51, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (51, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',52, 'II.2.2 - Tableau de préfinancement', 'Y', 2, 21, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (52, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (52, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',53, 'II.2.3 - Fiches comptables', 'Y', 2, 21, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (53, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (53, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (22, 'II.3. Comptabilité dépenses - bordereaux - pièces justificatives', 2, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',61, 'II.3.1 - Doubles des factures + bordereaux (1990 à )', 'Y', 2, 22, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (61, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (61, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',62, 'II.3.2 - Factures détaillées (2005 à Année N)', 'Y', 2, 22, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (62, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (62, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',63, 'II.3.3 - RIB fournisseurs', 'Y', 2, 22, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (63, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (63, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',64, 'II.3.4 - Bons de commande', 'Y', 2, 22, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (64, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (64, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (23, 'II.4. Comptabilité recettes - bordereaux - pièces justificatives', 2, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',71, 'II.4.1 - Titres des recettes + bordereaux (1990 à )', 'Y', 2, 23, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (71, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (71, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (24, 'II.5. F.C.T.V.A.', 2, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',81, 'II.5.1 - 2000 à 2002', 'Y', 2, 24, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (81, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (81, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',82, 'II.5.2 - 2003 à 2004', 'Y', 2, 24, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (82, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (82, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',83, 'II.5.3 - 2004 à 2005', 'Y', 2, 24, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (83, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (83, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',84, 'II.5.4 - 2006 à 2007', 'Y', 2, 24, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (84, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (84, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',85, 'II.5.5 - 2007 à 2008', 'Y', 2, 24, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (85, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (85, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',86, 'II.5.6 - 2009 à …', 'Y', 2, 24, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (86, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (86, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (25, 'II.6. Emprunts et lignes de trésorerie', 2, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',91, 'II.6.1 - Emprunts soldés', 'Y', 2, 25, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (91, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (91, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',92, 'II.6.2 - Emprunts en cours', 'Y', 2, 25, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (92, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (92, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (26, 'II.7. Marchés', 2, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',101, 'II.7.1 - Offres non retenues', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (101, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (101, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',102, 'II.7.2 - Licence logiciels Civitas - 1', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (102, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (102, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',103, 'II.7.3 - Maintenance matériels', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (103, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (103, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',104, 'II.7.4 - Marché S.I.G.', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (104, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (104, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',105, 'II.7.5 - Marché Polices municipales', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (105, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (105, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',106, 'II.7.6 - Marché maintenance MAGNUS', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (106, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (106, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',107, 'II.7.7 - Marchés Cadastres', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (107, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (107, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',108, 'II.7.8 - Marchés Plans', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (108, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (108, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',109, 'II.7.9 - Marché Dématérialisation marchés publics (2004)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (109, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (109, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',110, 'II.7.10 - Marché à bon de commande matériel et logiciel (2004)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (110, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (110, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',111, 'II.7.11 - Marché licence progiciel (2004)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (111, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (111, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',112, 'II.7.12 - Marché SIG (2004)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (112, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (112, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',113, 'II.7.13 - Marché Slide (Sécurité) (2004)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (113, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (113, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',114, 'II.7.14 - Marché courrier protocole (2005)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (114, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (114, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',115, 'II.7.15 - Marché maintenance MAGNUS (2005)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (115, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (115, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',116, 'II.7.16 - Marché assurances (2005)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (116, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (116, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',117, 'II.7.17 - Marché Police municipale (2005)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (117, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (117, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',118, 'II.7.18 - Marché véhicule (2005)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (118, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (118, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',119, 'II.7.19 - Marché Action sociale (2006)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (119, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (119, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',120, 'II.7.20 - Marché CMS (2006)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (120, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (120, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',121, 'II.7.21 - Marché maintenance achats (2006)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (121, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (121, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',122, 'II.7.22 - Marché numérisation cadastre (2006)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (122, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (122, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',123, 'II.7.23 - Marché serveur web-mail (2006)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (123, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (123, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',124, 'II.7.24 - Marché solution gestion des marchés publics (2006)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (124, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (124, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',125, 'II.7.25 - Marché véhicule (2006)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (125, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (125, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',126, 'II.7.26 - Marché e-Magnus (2007)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (126, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (126, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',127, 'II.7.27 - Marché centrale d''achats (2007)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (127, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (127, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',128, 'II.7.28 - Marché CAD Sauvegarde (2007)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (128, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (128, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',129, 'II.7.29 - Marché signature électronique (2007)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (129, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (129, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',130, 'II.7.30 - Marché CAD OpenXChange (2007)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (130, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (130, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',131, 'II.7.31 - Marché numérisation PLU (2007)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (131, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (131, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',132, 'II.7.32 - Marché Observatoire fiscal (2007)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (132, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (132, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',133, 'II.7.33 - Marché maintenance imprimante (2007)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (133, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (133, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',134, 'II.7.34 - Marché pièces détachées (2007)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (134, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (134, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',135, 'II.7.35 - Marché Enfance (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (135, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (135, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',136, 'II.7.36 - Marché certificat de signature (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (136, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (136, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',137, 'II.7.37 - Marché opérateur certificat (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (137, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (137, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',138, 'II.7.38 - Marché SIG métier (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (138, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (138, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',139, 'II.7.39 - Marché MOE vidéo surveillance Mandelieu (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (139, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (139, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',140, 'II.7.40 - Marché ADS Urba (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (140, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (140, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',141, 'II.7.41 - Marché aménagement numérisation CASFR (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (141, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (141, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',142, 'II.7.42 - Marché Gestion de la dette (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (142, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (142, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',143, 'II.7.43 - Marché Etat civil (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (143, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (143, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',144, 'II.7.44 - Marché générateur de site (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (144, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (144, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',145, 'II.7.45 - Marché SIG traitement (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (145, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (145, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',146, 'II.7.46 - Marché SIG Web (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (146, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (146, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',147, 'II.7.47 - Marché taxe de séjour (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (147, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (147, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',148, 'II.7.48 - Marché PPI (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (148, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (148, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',149, 'II.7.49 - Marché véhicule (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (149, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (149, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',150, 'II.7.50 - Marché maintenance Magnus (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (150, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (150, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',151, 'II.7.51 - Marché GF RH FW Plateforme (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (151, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (151, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',152, 'II.7.52 - Marché démat. Marchés publics (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (152, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (152, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',153, 'II.7.53 - Marché sauvegardes externalisées (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (153, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (153, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',154, 'II.7.54 - Marché autorités de certification (2008)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (154, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (154, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',155, 'II.7.55 - Marché maintenance Municipol (2009)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (155, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (155, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',156, 'II.7.56 - Marché véhicules (2009)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (156, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (156, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',157, 'II.7.57 - Marché services techniques (2009)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (157, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (157, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',158, 'II.7.58 - Marché élections (2009)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (158, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (158, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',159, 'II.7.59 - Marché téléphonie (2009)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (159, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (159, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',160, 'II.7.60 - Marché cimetière (2009)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (160, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (160, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',161, 'II.7.61 - Marché gestion du courrier (2009)', 'Y', 2, 26, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (161, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (161, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (27, 'II.8. Trésorerie ', 2, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',201, 'II.8.1 - Trésorerie', 'Y', 2, 27, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (201, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (201, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',203, 'II.8.2 - Régie d''avance', 'Y', 2, 27, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (203, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (203, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (28, 'II.9. Convention ACTU-Maarch-les-Bains', 2, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',211, 'II.9.1 - Conventions 1999...', 'Y', 2, 28, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (211, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (211, 'conserver', 10, 'AR038', NULL);

INSERT INTO doctypes_first_level (doctypes_first_level_id, doctypes_first_level_label, css_style, enabled) VALUES (3, 'III. Gestion des moyens humains', 'orange_style_big', 'Y');
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (31, 'III.1. Organisation du travail - notes de service - organigrammes', 3, 'blue_style_big', 'Y');
INSERT INTO foldertypes_doctypes_level1 (foldertype_id, doctypes_first_level_id) VALUES (100, 3);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',311, 'III.1.1 - Notes de service', 'Y', 3, 31, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (311, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (311, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',312, 'III.1.2 - Comptes rendus', 'Y', 3, 31, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (312, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (312, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',313, 'III.1.3 - Organigrammes', 'Y', 3, 31, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (313, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (313, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',314, 'III.1.4 - Charte informatique', 'Y', 3, 31, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (314, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (314, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (32, 'III.2. Centre de gestion de la FPT', 3, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',321, 'III.2.1 - Centre de Gestion', 'Y', 3, 32, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (321, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (321, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',322, 'III.2.2 - CTP - CAP - Commission de réforme', 'Y', 3, 32, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (322, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (322, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (33, 'III.3. Congés', 3, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',331, 'III.3.1 - Congés', 'Y', 3, 33, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (331, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (331, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (34, 'III.4. Formation - CNFTP', 3, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',341, 'III.4.1 - Formations autres', 'Y', 3, 34, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (341, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (341, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',342, 'III.4.2 - CNFPT', 'Y', 3, 34, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (342, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (342, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (35, 'III.5. Dossiers agents', 3, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',351, 'III.5.1 - Bulletins de paie', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (351, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (351, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',352, 'III.5.2 - Dossiers paie (cotisations IRCANTEC, CNFPT, CDG…)', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (352, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (352, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',353, 'III.5.3 - Contrats emplois jeunes, contrats d''apprentissage', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (353, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (353, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',354, 'III.5.4 - Retraite: Caisse des dépôts-CNRACL-Ircantec ', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (354, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (354, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',355, 'III.5.5 - Carte fréquence plus (Air France)', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (355, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (355, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',356, 'III.5.6 - Frais réprésentation élus', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (356, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (356, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',357, 'III.5.7 - Contrats d''engagement', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (357, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (357, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',358, 'III.5.8 - Arrêtés individuels', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (358, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (358, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',359, 'III.5.9 - Arrêté délégation de signature', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (359, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (359, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',360, 'III.5.10 - Fiches d''évaluation et notation', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (360, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (360, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',361, 'III.5.11 - Courriers divers', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (361, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (361, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',362, 'III.5.12 - Tableau de suivi du personnel (carrière, RI…)', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (362, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (362, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',363, 'III.5.13 - Tableau des effectifs', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (363, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (363, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',364, 'III.5.14 - Ordres de mission', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (364, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (364, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',365, 'III.5.15 - Dossier agent ', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (365, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (365, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',366, 'III.5.16 - Cumul d''activité', 'Y', 3, 35, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (366, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (366, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (36, 'III.6. Médecine professionnelle', 3, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',367, 'III.6.1 - Convocation', 'Y', 3, 36, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (367, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (367, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',368, 'III.6.2 - Fiches d''aptitude annexées au dossier agent', 'Y', 3, 36, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (368, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (368, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (37, 'III.7. Mutuelles et garanties maintien de salaire', 3, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',371, 'III.7.1 - Mutuelle Méditerranée - Propositions 2007 (MNT)', 'Y', 3, 37, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (371, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (371, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',372, 'III.7.2 - SMACL - Devis, conditions…', 'Y', 3, 37, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (372, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (372, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (38, 'III.8. Demande d''emploi / demande stage non-rémunéré', 3, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',381, 'III.8.1 - Demande d''emploi sans suite', 'Y', 3, 38, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (381, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (381, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',382, 'III.8.2 - Demande de stage non-rémunéré avec suite', 'Y', 3, 38, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (382, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (382, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',383, 'III.8.3 - Demande de stage non-rémunéré sans suite', 'Y', 3, 38, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (383, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (383, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (39, 'III.9. URSSAF', 3, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',391, 'III.9.1 - Contrôles URSSAF', 'Y', 3, 39, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (391, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (391, 'conserver', 10, 'AR038', NULL);

INSERT INTO doctypes_first_level (doctypes_first_level_id, doctypes_first_level_label, css_style, enabled) VALUES (4, 'IV. Gestion des Moyens Matériels et Immobiliers', 'orange_style_big', 'Y');
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (41, 'IV.1. Locaux - Immobilisations', 4, 'blue_style_big', 'Y');
INSERT INTO foldertypes_doctypes_level1 (foldertype_id, doctypes_first_level_id) VALUES (100, 4);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',411, 'IV.1.1 - Locaux - 1 - achat', 'Y', 4, 41, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (411, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (411, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',412, 'IV.1.2 - Locaux - 2 - copropriété', 'Y', 4, 41, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (412, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (412, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',413, 'IV.1.3 - Locaux - 3 - location Interbat', 'Y', 4, 41, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (413, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (413, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (42, 'IV.2. Assurances', 4, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',421, 'IV.2.1 - Contrats, Avenants', 'Y', 4, 42, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (421, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (421, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',422, 'IV.2.2 - Propositions et devis ', 'Y', 4, 42, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (422, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (422, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (43, 'IV.3. Véhicules ', 4, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',431, 'IV.3.1 - TOTAL', 'Y', 4, 43, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (431, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (431, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',432, 'IV.3.2 - Véhicules de service ', 'Y', 4, 43, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (432, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (432, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',433, 'IV.3.3 - Véhicules de fonction', 'Y', 4, 43, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (433, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (433, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (44, 'IV.4.Matériels informatiques', 4, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',441, 'IV.4.1 - Equipe Maarch-les-Bains', 'Y', 4, 44, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (441, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (441, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',442, 'IV.4.2 - Salle de formation Maarch-les-Bains', 'Y', 4, 44, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (442, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (442, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',443, 'IV.4.3 - Salle de formation nomade Maarch-les-Bains', 'Y', 4, 44, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (443, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (443, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',444, 'IV.4.4 - Serveurs', 'Y', 4, 44, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (444, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (444, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (45, 'IV.5. Mobilier', 4, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',451, 'IV.5.1 - Mobilier', 'Y', 4, 45, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (451, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (451, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (46, 'IV.6. Matériel divers', 4, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',461, 'IV.6.1 - Matériel divers', 'Y', 4, 46, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (461, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (461, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (47, 'IV.7. Téléphonie / internet', 4, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',471, 'IV.7.1 - Téléphonie / internet', 'Y', 4, 47, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (471, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (471, 'conserver', 10, 'AR038', NULL);

INSERT INTO doctypes_first_level (doctypes_first_level_id, doctypes_first_level_label, css_style, enabled) VALUES (5, 'V. Intercommunalité', 'orange_style_big', 'Y');
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (51, 'V.1. Formation utilisateur', 5, 'blue_style_big', 'Y');
INSERT INTO foldertypes_doctypes_level1 (foldertype_id, doctypes_first_level_id) VALUES (100, 5);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',511, 'V.1.1 - Séminaire Code des Marchés Publics', 'Y', 5, 51, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (511, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (511, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',512, 'V.1.2 - Récapitulatif des formations', 'Y', 5, 51, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (512, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (512, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (52, 'V.2. Maintenance', 5, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',521, 'V.2.1 - Magnus-Civitas-2003/2004/2005', 'Y', 5, 52, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (521, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (521, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',522, 'V.2.2 - Magnus-Civitas-2006/2007', 'Y', 5, 52, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (522, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (522, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',523, 'V.2.3 - Autres logiciels', 'Y', 5, 52, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (523, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (523, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',524, 'V.2.4 - Matériels (Infrastructure matériel)', 'Y', 5, 52, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (524, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (524, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',525, 'V.2.5 - Sites internet', 'Y', 5, 52, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (525, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (525, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (53, 'V.3. Assistance', 5, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',531, 'V.3.1 - Magnus GF', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (531, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (531, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',532, 'V.3.2 - Magnus RH', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (532, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (532, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',533, 'V.3.3 - Civitas GF', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (533, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (533, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',534, 'V.3.4 - Civitas RH', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (534, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (534, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',535, 'V.3.5 - Plateforme GF GRH', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (535, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (535, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',536, 'V.3.6 - Population (Etat civil, élection, enfance, facturation, cimetière, action sociale)', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (536, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (536, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',537, 'V.3.7 - Stela contrôle de légalité', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (537, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (537, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',538, 'V.3.8 - Stela Hélios', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (538, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (538, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',539, 'V.3.9 - Stela Inter Admin', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (539, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (539, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',540, 'V.3.10 - Archivage', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (540, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (540, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',541, 'V.3.11 - Certificat électronique', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (541, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (541, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',542, 'V.3.12 - Gestion des délibérations', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (542, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (542, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',543, 'V.3.13 - Plateforme des marchés', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (543, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (543, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',544, 'V.3.14 - Parapheur', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (544, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (544, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',545, 'V.3.15 - Tableaux de suivi', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (545, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (545, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',546, 'V.3.16 - Formation continue', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (546, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (546, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',547, 'V.3.17 - Autres', 'Y', 5, 53, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (547, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (547, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (54, 'V.4. Internet', 5, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',550, 'V.4.1 - Hébergement Internet', 'Y', 5, 54, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (550, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (550, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',551, 'V.4.2 - Convention création de sites', 'Y', 5, 54, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (551, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (551, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',552, 'V.4.3 - Convention  de co-marquage', 'Y', 5, 54, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (552, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (552, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',553, 'V.4.4 - Site internet Maarch-les-Bains', 'Y', 5, 54, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (553, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (553, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',554, 'V.4.5 - Modèle Convention et PDS', 'Y', 5, 54, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (554, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (554, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',555, 'V.4.6 - Procédures ', 'Y', 5, 54, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (555, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (555, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',556, 'V.4.7 - Documentations techniques', 'Y', 5, 54, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (556, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (556, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',557, 'V.4.8 - Documents relatifs aux formations adhérents', 'Y', 5, 54, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (557, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (557, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',558, 'V.4.9 - Logos, Blasons, photos...', 'Y', 5, 54, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (558, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (558, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',559, 'V.4.10 - Liste d''accès au site internet (codes identifiant, mots de passe)', 'Y', 5, 54, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (559, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (559, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (55, 'V.5. Animation', 5, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',561, 'V.5.1 - Réunions utilisateurs', 'Y', 5, 55, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (561, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (561, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',562, 'V.5.2 - Club Magel', 'Y', 5, 55, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (562, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (562, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',563, 'V.5.3 - Club ACTU', 'Y', 5, 55, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (563, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (563, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',564, 'V.5.4 - Assises du Net 2005 - 2006', 'Y', 5, 55, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (564, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (564, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',565, 'V.5.5 - Forums- Evènements', 'Y', 5, 55, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (565, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (565, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',566, 'V.5.6 - Club CLUSIG', 'Y', 5, 55, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (566, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (566, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',567, 'V.5.7 - Fédération des Instances Magnus', 'Y', 5, 55, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (567, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (567, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',568, 'V.5.8 - JUS 2006, 2007, 2008, 2009', 'Y', 5, 55, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (568, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (568, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (56, 'V.6. Logiciels', 5, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',569, 'V.6.1 - Courrier ', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (569, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (569, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',570, 'V.6.2 - Numérisation cadastres et plans (SIG)', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (570, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (570, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',571, 'V.6.3 - licences diverses', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (571, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (571, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',572, 'V.6.4 - Dématérialisation ', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (572, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (572, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',573, 'V.6.5 - Procédures d''appel d''offres', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (573, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (573, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',574, 'V.6.6 - Contrôle de légalité', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (574, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (574, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',575, 'V.6.7 - Helios', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (575, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (575, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',576, 'V.6.8 - E-Groupware', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (576, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (576, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',577, 'V.6.9 - Portail des collectivités', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (577, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (577, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',578, 'V.6.10 - Gestion des interventions web', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (578, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (578, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',579, 'V.6.11 - Seldon Finances', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (579, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (579, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',580, 'V.6.12 - Solon', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (580, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (580, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',581, 'V.6.13 - WebDELIB', 'Y', 5, 56, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (581, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (581, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (57, 'V.7. Partenariats avec d''autres intercommunalités et associations', 5, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',582, 'V.7.1 - Inforoutes de l''Ardèche', 'Y', 5, 57, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (582, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (582, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',583, 'V.7.2 - SI17', 'Y', 5, 57, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (583, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (583, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',584, 'V.7.3 - SDITEC', 'Y', 5, 57, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (584, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (584, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',585, 'V.7.4 - ADEP', 'Y', 5, 57, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (585, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (585, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',586, 'V.7.5 - FEDISA', 'Y', 5, 57, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (586, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (586, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',587, 'V.7.6 - SITIV', 'Y', 5, 57, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (587, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (587, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',588, 'V.7.7 - CDG47', 'Y', 5, 57, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (588, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (588, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes_second_level (doctypes_second_level_id, doctypes_second_level_label, doctypes_first_level_id, css_style, enabled) VALUES (58, 'V.8. Divers', 5, 'blue_style_big', 'Y');
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',589, 'V.8.1 - Association des Maires de France ', 'Y', 5, 58, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (589, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (589, 'conserver', 10, 'AR038', NULL);
INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',590, 'V.8.2 - Observatoire Zonal de la Sécurité des Systèmes d''Information (O.Z.S.S.I.)', 'Y', 5, 58, NULL, NULL);
INSERT INTO mlb_doctype_ext(type_id, process_delay, delay1, delay2) VALUES (590, 21, 14, 1);
INSERT INTO rm_doctypes (type_id, appraisal_code, appraisal_duration, access_restriction_code, service_level) VALUES (590, 'conserver', 10, 'AR038', NULL);

INSERT INTO doctypes (coll_id, type_id, description, enabled, doctypes_first_level_id, doctypes_second_level_id, primary_retention, secondary_retention) VALUES ('rm_coll',200, 'Document archivé', 'Y', NULL, NULL, NULL, NULL);

------------
--FOLDERS--
------------
DELETE FROM Folders WHERE folders_system_id = 100;
INSERT INTO folders (folders_system_id, folder_id, foldertype_id, parent_id, folder_name, subject, description, author, typist, status, folder_level, creation_date, folder_out_id, video_status, video_user, is_frozen, custom_t1, custom_n1, custom_f1, custom_d1, custom_t2, custom_n2, custom_f2, custom_d2, custom_t3, custom_n3, custom_f3, custom_d3, custom_t4, custom_n4, custom_f4, custom_d4, custom_t5, custom_n5, custom_f5, custom_d5, custom_t6, custom_d6, custom_t7, custom_d7, custom_t8, custom_d8, custom_t9, custom_d9, custom_t10, custom_d10, custom_t11, custom_d11, custom_t12, custom_d12, custom_t13, custom_d13, custom_t14, custom_d14, custom_t15, is_complete, is_folder_out, last_modified_date) VALUES (100, 'CM', 5, 0, 'Conseil municipal', NULL, NULL, NULL, 'superadmin', 'NEW', 2, '2012-03-02 18:32:07.22', NULL, NULL, NULL, 'N', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'N', 'N', '2012-03-02 18:32:07.22');
